﻿--[[
Name: Babble-Quest-2.2
Revision: $Rev: 25816 $
Authors(s): Kodewulf (kodewulf@gmail.com)
Website: www.wowace.com
Documentation: http://www.wowace.com/wiki/Babble-Quest-2.2
Dependencies: AceLibrary, AceLocale-2.2
License: MIT
]]

local MAJOR_VERSION = "Babble-Quest-2.2"
local MINOR_VERSION = tonumber(string.sub("$Revision: 25816 $", 12, -3))

if not AceLibrary then error(MAJOR_VERSION .. " requires AceLibrary") end
if not AceLibrary:HasInstance("AceLocale-2.2") then error(MAJOR_VERSION .. " requires AceLocale-2.2") end

local _, x = AceLibrary("AceLocale-2.2"):GetLibraryVersion()
MINOR_VERSION = MINOR_VERSION * 100000 + x

if not AceLibrary:IsNewVersion(MAJOR_VERSION, MINOR_VERSION) then return end

local BabbleQuest = AceLibrary("AceLocale-2.2"):new(MAJOR_VERSION)

BabbleQuest:RegisterTranslations("enUS", function() return {
    -- Quest names (3814)
        ["Data Rescue"] = true,
        ["The Everstill Bridge"] = true,
        ["Return to Sha'tari Base Camp"] = true,
        ["Carrion Grubbage"] = true,
        ["Resting in Pieces"] = true,
        ["Fresh From the Mechanar"] = true,
        ["The Sketh'lon Wreckage"] = true,
        ["Trol'kalar"] = true,
        ["Bladespire Kegger"] = true,
        ["A Better Ingredient"] = true,
        ["Breaching the Path"] = true,
        ["The Horde Needs More Runecloth Bandages!"] = true,
        ["A Shred of Hope"] = true,
        ["Return to Honor Hold"] = true,
        ["Rear Guard Patrol"] = true,
        ["Rescue From Jaedenar"] = true,
        ["Bookie Herod"] = true,
        ["In Nightmares"] = true,
        ["Recover the Key!"] = true,
        ["The Throne of the Elements"] = true,
        ["Alien Predators"] = true,
        ["Of Thistleheads and Eggs..."] = true,
        ["Voidwalkers Gone Wild"] = true,
        ["Reclaimed Treasures"] = true,
        ["The Affray"] = true,
        ["Muck Diving"] = true,
        ["Excavation Progress Report"] = true,
        ["Piercing the Veil"] = true,
        ["An Unholy Alliance"] = true,
        ["The Unsent Letter"] = true,
        ["Vile Idolatry"] = true,
        ["Help Watcher Biggs"] = true,
        ["Bloodpetal Poison"] = true,
        ["Striker's Footguards"] = true,
        ["A New Cloak's Sheen"] = true,
        ["A Gnome's Respite"] = true,
        ["Curbing the Plague"] = true,
        ["An Alternative Alternative"] = true,
        ["The Qiraji Conqueror"] = true,
        ["The Spirit Polluted"] = true,
        ["Idols of the Feralfen"] = true,
        ["What We Know..."] = true,
        ["The Princess Trapped"] = true,
        ["Noggle's Last Hope"] = true,
        ["The Orb of Soran'ruk"] = true,
        ["Electropellers"] = true,
        ["Red Leather Bandanas"] = true,
        ["In Good Taste"] = true,
        ["Hallowed Tablet"] = true,
        ["Breaking the Keystone"] = true,
        ["Chen's Empty Keg"] = true,
        ["A Supernatural Device"] = true,
        ["Mennet Carkad"] = true,
        ["Baron Sablemane's Poison"] = true,
        ["Crystal Charge"] = true,
        ["A Visit With the Greatmother"] = true,
        ["The Forging of Quel'Serrar"] = true,
        ["Natural Armor"] = true,
        ["The Flawless Flame"] = true,
        ["Rightful Repossession"] = true,
        ["HELP!"] = true,
        ["Urok Doomhowl"] = true,
        ["The Eastern Pylon"] = true,
        ["Report to Doren"] = true,
        ["Touch of Weakness"] = true,
        ["Seek Out Kirrik"] = true,
        ["Cryptstalker Handguards"] = true,
        ["Expedition Point"] = true,
        ["Deactivate An'owyn"] = true,
        ["Ruuzel"] = true,
        ["Ziz Fizziks"] = true,
        ["Timberling Seeds"] = true,
        ["WANTED: Baron Longshore"] = true,
        ["Stalwart's Battlegear"] = true,
        ["Into the Draenethyst Mine"] = true,
        ["The Emerald Dreamcatcher"] = true,
        ["Assault on the Kolkar"] = true,
        ["Tanaris Field Sampling"] = true,
        ["Taretha's Gift"] = true,
        ["Bonescythe Bracers"] = true,
        ["Gyro... What?"] = true,
        ["Imperial Plate Helm"] = true,
        ["On Spirit's Wings"] = true,
        ["The Tear of the Moons"] = true,
        ["Harlan Needs a Resupply"] = true,
        ["Razzeric's Tweaking"] = true,
        ["Brutal Gauntlets"] = true,
        ["Revenge of Gann"] = true,
        ["Into the Heart of the Labyrinth"] = true,
        ["The Dread Citadel - Naxxramas"] = true,
        ["Steelsnap"] = true,
        ["The Troll Witchdoctor"] = true,
        ["Assessing the Situation"] = true,
        ["Harpy Raiders"] = true,
        ["The First and the Last"] = true,
        ["The Perfect Poison"] = true,
        ["Missing In Action"] = true,
        ["The Orgrimmar Legion Needs Mojo!"] = true,
        ["Blacksting's Bane"] = true,
        ["Sara Balloo's Plea"] = true,
        ["The Chill of Death"] = true,
        ["Super Reaper 6000"] = true,
        ["The Origins of Smithing"] = true,
        ["Andron's Payment to Jediga"] = true,
        ["Daggerfen Deviance"] = true,
        ["Syndicate Emblems"] = true,
        ["A Not-So-Modest Proposal"] = true,
        ["Invasion Point: Annihilator"] = true,
        ["Filling the Soul Gem"] = true,
        ["Covert Ops - Beta"] = true,
        ["B'naar Console Transcription"] = true,
        ["Bloodscalp Clan Heads"] = true,
        ["Divino-matic Rod"] = true,
        ["Belt of Faith"] = true,
        ["Protecting Our Own"] = true,
        ["Fetch!"] = true,
        ["A Gnome's Assistance"] = true,
        ["Testing for Impurities - Un'Goro Crater"] = true,
        ["Fuel for the Zapping"] = true,
        ["Ruuan Weald"] = true,
        ["Tome of the Cabal"] = true,
        ["A Broken Trap"] = true,
        ["Webwood Venom"] = true,
        ["The Shattered Hand"] = true,
        ["Fiery Blaze Enchantments"] = true,
        ["Arcane Refreshment"] = true,
        ["Dark Council"] = true,
        ["On Guard in Stonetalon"] = true,
        ["Pristine Enchanted South Seas Kelp"] = true,
        ["Mark V is Alive!"] = true,
        ["The Black Morass"] = true,
        ["The Boar Hunter"] = true,
        ["The Ethereum"] = true,
        ["Items of Some Consequence"] = true,
        ["The Dreghood Elders"] = true,
        ["Cry of the Thunderhawk"] = true,
        ["To Meet Mother Kashur"] = true,
        ["Tainted Parchment"] = true,
        ["Plants of Zangarmarsh"] = true,
        ["Matters of Security"] = true,
        ["Therzok"] = true,
        ["I See Alcaz Island In Your Future..."] = true,
        ["Conqueror's Crown"] = true,
        ["Runecloth"] = true,
        ["The Alliance Needs More Linen Bandages!"] = true,
        ["Baron Aquanis"] = true,
        ["Failed Incursion"] = true,
        ["Lord Maxwell Tyrosus"] = true,
        ["Freedom for All Creatures"] = true,
        ["Return the Statuette"] = true,
        ["The Ironforge Brigade Needs Explosives!"] = true,
        ["The Calling"] = true,
        ["Incoming Gumdrop"] = true,
        ["Veil Skith: Darkstone of Terokk"] = true,
        ["The Missing Shipment"] = true,
        ["Battle of the Crimson Watch"] = true,
        ["Don't Drink the Water"] = true,
        ["Rage of Blood"] = true,
        ["Claim Rackmore's Treasure!"] = true,
        ["Signets of the Zandalar"] = true,
        ["The Consortium Needs You!"] = true,
        ["Dead Man's Plea"] = true,
        ["Encroachment"] = true,
        ["Identify Plant Parts"] = true,
        ["Rotten Eggs"] = true,
        ["Help Mama Wheeler"] = true,
        ["Poison Water"] = true,
        ["The Art of Fel Reaver Maintenance"] = true,
        ["The Fate of Kagrosh"] = true,
        ["Deliver Them From Evil..."] = true,
        ["The Twin Ziggurats"] = true,
        ["Patrol Schedules"] = true,
        ["Gyromast's Revenge"] = true,
        ["Strange Brew"] = true,
        ["The Kurken's Hide"] = true,
        ["Report to Thomas"] = true,
        ["Tomber's Supplies"] = true,
        ["Fly to Silvermoon City"] = true,
        ["Cleansing the Eye"] = true,
        ["Cleansing of the Infected"] = true,
        ["Chapter IV"] = true,
        ["Supervisor Fizsprocket"] = true,
        ["Keeper of the Flame"] = true,
        ["Survey the Land"] = true,
        ["Stalking the Stalkers"] = true,
        ["Lore for a Price"] = true,
        ["The Essence of Eranikus"] = true,
        ["From The Wreckage...."] = true,
        ["Screecher Spirits"] = true,
        ["Frostmaw"] = true,
        ["Defeat Nek'rosh"] = true,
        ["Gordo's Task"] = true,
        ["Signet of the Dukes"] = true,
        ["Wanted: Bonelashers Dead!"] = true,
        ["Pilfered Equipment"] = true,
        ["The Smoldering Ruins of Thaurissan"] = true,
        ["Cache of Mau'ari"] = true,
        ["Orendil's Cure"] = true,
        ["Galgar's Cactus Apple Surprise"] = true,
        ["Satyr Slaying!"] = true,
        ["Cryptstalker Wristguards"] = true,
        ["Encrypted Scroll"] = true,
        ["Senir's Observations"] = true,
        ["The Farstrider Enclave"] = true,
        ["Arcane Tomes"] = true,
        ["Troubled Spirits of Kel'Theril"] = true,
        ["Release Them"] = true,
        ["The Savage Guard - Arcanum of Rapidity"] = true,
        ["Harnessing Shadows"] = true,
        ["Rellian Greenspyre"] = true,
        ["Cryptstalker Tunic"] = true,
        ["Source of the Corruption"] = true,
        ["The Horde Needs Thick Leather!"] = true,
        ["Special Delivery for Gaxim"] = true,
        ["Stormpike's Order"] = true,
        ["This Is Going to Be Hard"] = true,
        ["Safety Is Job One"] = true,
        ["Menacing Marshfangs"] = true,
        ["Warn Area 52!"] = true,
        ["The Ancient Statuette"] = true,
        ["Foul Magics"] = true,
        ["Azsharite"] = true,
        ["The Lost Tablets of Will"] = true,
        ["High Value Targets"] = true,
        ["A Traitor Among Us"] = true,
        ["Formal Introductions"] = true,
        ["Patrolling Westfall"] = true,
        ["Honor Students"] = true,
        ["Scrounging"] = true,
        ["Bonescythe Breastplate"] = true,
        ["Raptor Horns"] = true,
        ["Grime-Encrusted Ring"] = true,
        ["Infiltrating the Castle"] = true,
        ["The Battle of Alterac"] = true,
        ["Etched Rune"] = true,
        ["Satyr Hooves"] = true,
        ["From the Abyss"] = true,
        ["Elixir of Suffering"] = true,
        ["The Black Shield "] = true,
        ["Administering the Salve"] = true,
        ["Deciphering the Book"] = true,
        ["The Alliance Needs Linen Bandages!"] = true,
        ["In Favor of Spirituality"] = true,
        ["Surena Caledon"] = true,
        ["You Have Served Us Well"] = true,
        ["Into the Depths"] = true,
        ["Reclaiming the Eggs"] = true,
        ["WANTED: Andre Firebeard"] = true,
        ["Into The Maw of Madness"] = true,
        ["Target: Hive'Regal Slavemakers"] = true,
        ["Core of Elements"] = true,
        ["Attack on the Tower"] = true,
        ["Further Corruption"] = true,
        ["The Codex of Blood"] = true,
        ["A Festive Gift"] = true,
        ["Ansirem's Key"] = true,
        ["Mazzranache"] = true,
        ["Message to Garadar"] = true,
        ["Mai'Zoth"] = true,
        ["The Bladespire Threat"] = true,
        ["Doomcaller's Footwraps"] = true,
        ["Akama's Promise"] = true,
        ["Operation: Death to Angerforge"] = true,
        ["Look to an Old Friend"] = true,
        ["Frame of Atiesh"] = true,
        ["It's Just That Easy?"] = true,
        ["Murkblood Invaders"] = true,
        ["Raleigh and the Undercity"] = true,
        ["To The Hinterlands"] = true,
        ["Blast the Infernals!"] = true,
        ["Speak with Anastasia"] = true,
        ["Retrieving the Goods"] = true,
        ["Overmaster Pyron"] = true,
        ["Kayneth Stillwind"] = true,
        ["Veteran's Battlegear"] = true,
        ["Houses of the Holy"] = true,
        ["Ram Riding Harnesses"] = true,
        ["Warrior Training"] = true,
        ["Into the Breach"] = true,
        ["Deliveries to Sven"] = true,
        ["One Demon's Trash..."] = true,
        ["You Too Good."] = true,
        ["Southsea Shakedown"] = true,
        ["A Solvent Spirit"] = true,
        ["Rune-Inscribed Tablet"] = true,
        ["JOB OPPORTUNITY: Culling the Competition"] = true,
        ["The Orc Report"] = true,
        ["Hero of the Mag'har"] = true,
        ["Ken'zigla's Draught"] = true,
        ["Path of the Violet Restorer"] = true,
        ["Wild Leather Boots"] = true,
        ["Death's Door"] = true,
        ["An Unseen Hand"] = true,
        ["Surveying the Ruins"] = true,
        ["Messenger to Darkshire"] = true,
        ["Rite of Vision"] = true,
        ["A Host of Evil"] = true,
        ["Seeking Strahad"] = true,
        ["Abandoned Hope"] = true,
        ["Fragments of the Orb of Orahil"] = true,
        ["The Horde Needs More Rugged Leather!"] = true,
        ["The Ruins of Solarsal "] = true,
        ["Consortium Crystal Collection"] = true,
        ["Sunscorched Shells"] = true,
        ["Galen's Escape"] = true,
        ["Fel Orc Plans"] = true,
        ["To The Bulwark"] = true,
        ["A Discreet Inquiry"] = true,
        ["Call of Air - Jeztor's Fleet"] = true,
        ["A Tale of Sorrow"] = true,
        ["Blood Feeders"] = true,
        ["The Hermit"] = true,
        ["The Scent of Lar'korwi"] = true,
        ["Suspicious Hoofprints"] = true,
        ["Earthen Templar"] = true,
        ["Report to Marshal Bluewall"] = true,
        ["Wild Leather Leggings"] = true,
        ["The Dread Relic"] = true,
        ["Heroes of Darrowshire"] = true,
        ["Lazy Peons"] = true,
        ["Shy-Rotam"] = true,
        ["Corruption of Earth and Seed"] = true,
        ["\"Pretty Boy\" Duncan"] = true,
        ["Know your Enemy"] = true,
        ["The Darkmoon Faire"] = true,
        ["Picking Up Some Power Converters"] = true,
        ["Return to Tymor"] = true,
        ["Freedom to Ruul"] = true,
        ["Halgar's Summons"] = true,
        ["The Ultimate Bloodsport"] = true,
        ["Vivian Lagrave and the Darkstone Tablet"] = true,
        ["Soothing Turtle Bisque"] = true,
        ["Pride of the Fel Horde"] = true,
        ["Taken in the Night"] = true,
        ["A Shameful Waste"] = true,
        ["Aquatic Form"] = true,
        ["The Vengeful Harbinger"] = true,
        ["Search More Hovels"] = true,
        ["The Ashtongue Broken"] = true,
        ["Easy Strider Living"] = true,
        ["Test of Lore"] = true,
        ["Scouting the Defenses"] = true,
        ["Heroes of Old"] = true,
        ["The God Hakkar"] = true,
        ["A Rare Bean"] = true,
        ["Rising Spirit"] = true,
        ["Mystery Goo"] = true,
        ["Tainted Letter"] = true,
        ["The Spirits of Stonetalon"] = true,
        ["The Spirits Have Voices"] = true,
        ["Hot Fiery Death"] = true,
        ["A Letter Undelivered"] = true,
        ["Battle-Mage Dathric"] = true,
        ["Jarl Needs Eyes"] = true,
        ["In Search of The Temple"] = true,
        ["Restoring the Necklace"] = true,
        ["Tabards of the Illidari"] = true,
        ["Into Occupied Territory"] = true,
        ["King of the Foulweald"] = true,
        ["The Cipher of Damnation - Truth and History"] = true,
        ["A Pilot's Revenge"] = true,
        ["The Glowing Fruit"] = true,
        ["The Missing Merchant"] = true,
        ["Path of Defense"] = true,
        ["Sergra Darkthorn"] = true,
        ["Investigate the Crash"] = true,
        ["Paragons of Power: The Haruspex's Tunic"] = true,
        ["Blade of Vaulted Secrets"] = true,
        ["Kris of Unspoken Names"] = true,
        ["Tools of the Highborne"] = true,
        ["Mystery Mask"] = true,
        ["Signs of the Legion"] = true,
        ["Breaking the Code"] = true,
        ["Old Hillsbrad"] = true,
        ["The Sanctum of the Sun"] = true,
        ["The Stone Circle"] = true,
        ["A Noble Brew"] = true,
        ["Blackhand's Command"] = true,
        ["WANTED: Deathclaw"] = true,
        ["Rescue OOX-17/TN!"] = true,
        ["Elune's Tear"] = true,
        ["Egg Hunt"] = true,
        ["Cutting Your Teeth"] = true,
        ["Auchindoun..."] = true,
        ["The Balnir Farmstead"] = true,
        ["Sentinel Standard Care Package"] = true,
        ["A Strange One"] = true,
        ["Harpies Threaten"] = true,
        ["Animist's Caress"] = true,
        ["Superior Armaments of Battle - Friend of the Dawn"] = true,
        ["A Debilitating Sickness"] = true,
        ["What We Don't Know..."] = true,
        ["The Sleeping Druid"] = true,
        ["The Alliance Needs Silk Bandages!"] = true,
        ["Dusky Crab Cakes"] = true,
        ["The Escape"] = true,
        ["A Grim Task"] = true,
        ["The Bloodcurse Legacy"] = true,
        ["The Twilight Camp"] = true,
        ["Shutting Down Manaforge Coruu"] = true,
        ["Shoulderpads of Faith"] = true,
        ["Cruel's Intentions"] = true,
        ["Examine the Vessel"] = true,
        ["In A Scrap With The Legion"] = true,
        ["Vanquishing Aquantion"] = true,
        ["Shattering the Veil"] = true,
        ["Rot Hide Ichor"] = true,
        ["Watcher Leesa'oh"] = true,
        ["Arcane Feedback"] = true,
        ["Ashenvale Outrunners"] = true,
        ["Tainted Scroll"] = true,
        ["Restless Activity"] = true,
        ["The Family and the Fishing Pole"] = true,
        ["Welcome!"] = true,
        ["Allegiance to the Old Gods"] = true,
        ["Frostmane Hold"] = true,
        ["Speak with Thun'grim"] = true,
        ["Report to Shadow Hunter Denjai"] = true,
        ["Armor Kits for the Field"] = true,
        ["Arrows Are For Sissies"] = true,
        ["Encroaching Gnolls"] = true,
        ["Report to the Allerian Post"] = true,
        ["The Spirits of Southwind"] = true,
        ["Quenching the Blade"] = true,
        ["Bindings of Faith"] = true,
        ["Armed and Ready"] = true,
        ["Secrets of the Daggerfen"] = true,
        ["The Dwarven Spy"] = true,
        ["Fine Gold Thread"] = true,
        ["News for Rakoria"] = true,
        ["The Ring of Blood: Brokentoe"] = true,
        ["Little Embers"] = true,
        ["Terokk's Legacy"] = true,
        ["Beginnings"] = true,
        ["Corki's Gone Missing Again!"] = true,
        ["The Powers Below"] = true,
        ["Find the Lost Guards"] = true,
        ["Learning from the Crystals"] = true,
        ["Stormwind Library"] = true,
        ["Soft Bushy Tails"] = true,
        ["Lost Necklace"] = true,
        ["Abyssal Crests"] = true,
        ["Glowcap Mushrooms"] = true,
        ["Hunt the Savages"] = true,
        ["The Rescue"] = true,
        ["Vyrin's Revenge"] = true,
        ["For Great Honor"] = true,
        ["Report to Magister Kaendris"] = true,
        ["Return to Apothecary Zinge"] = true,
        ["Craftsman's Writ - Brightcloth Pants"] = true,
        ["Field Duty"] = true,
        ["Challenge Overlord Mok'Morokk"] = true,
        ["The Blood Elves"] = true,
        ["Young Crocolisk Skins"] = true,
        ["Down the Coast"] = true,
        ["Avenger's Crown"] = true,
        ["Hearts of Zeal"] = true,
        ["Target: Hive'Ashi Defenders"] = true,
        ["Echoes of War"] = true,
        ["Super Sticky"] = true,
        ["Test Flight: The Zephyrium Capacitorium"] = true,
        ["Glyphic Scroll"] = true,
        ["The Horde Needs Wool Bandages!"] = true,
        ["<NYI><TXT>News of Victory"] = true,
        ["Search for Incendicite"] = true,
        ["A Dark Threat Looms"] = true,
        ["Trouble In Darkshore?"] = true,
        ["For the Fallen"] = true,
        ["The Completed Orb of Dar'Orahil"] = true,
        ["Tears of the Moon"] = true,
        ["Proof of Allegiance"] = true,
        ["Araj's Scarab"] = true,
        ["Thelsamar Blood Sausages"] = true,
        ["Evil Draws Near"] = true,
        ["Sathrah's Sacrifice"] = true,
        ["Visit the Herbalist"] = true,
        ["The Master's Glaive"] = true,
        ["Nessa Shadowsong"] = true,
        ["Go to the Front"] = true,
        ["The Four Dukes"] = true,
        ["Morrowgrain to Darnassus"] = true,
        ["A Carefully Wrapped Present"] = true,
        ["Grove of the Ancients"] = true,
        ["Dolanaar Delivery"] = true,
        ["Wild Hearts"] = true,
        ["Wand to Bethor"] = true,
        ["Beware of Pterrordax"] = true,
        ["Thule Ravenclaw"] = true,
        ["Strange Energy"] = true,
        ["The Shadow Tomb"] = true,
        ["The Weaver"] = true,
        ["Maps and Runes"] = true,
        ["Cursed Talismans"] = true,
        ["Wild Leather Armor"] = true,
        ["The Final Reagents"] = true,
        ["The Hidden Niche"] = true,
        ["Flawed Power Stone"] = true,
        ["Warning the Cenarion Circle"] = true,
        ["The Fate of the Kingdom"] = true,
        ["The Decrepit Ferry"] = true,
        ["Save Techbot's Brain!"] = true,
        ["Hinott's Assistance"] = true,
        ["Warlord of the Bleeding Hollow"] = true,
        ["To Winterspring!"] = true,
        ["Supplying the Sepulcher"] = true,
        ["The Cipher of Damnation"] = true,
        ["Speak with Renferrel"] = true,
        ["Rot Hide Origins"] = true,
        ["Digging Through Bones"] = true,
        ["Off To Area 52"] = true,
        ["Ride to the Undercity"] = true,
        ["Return to Quinn"] = true,
        ["Return to Podrig"] = true,
        ["Botanist Taerix"] = true,
        ["Avenger's Legguards"] = true,
        ["Sweet Serenity"] = true,
        ["WANTED: Murkdeep!"] = true,
        ["Creatures of the Eco-Domes"] = true,
        ["Paragons of Power: The Haruspex's Bracers"] = true,
        ["Broken Alliances"] = true,
        ["Dream Dust in the Swamp"] = true,
        ["Michael Garrett"] = true,
        ["Lost Deathstalkers"] = true,
        ["Hidden Enemies"] = true,
        ["The Champion of the Banshee Queen"] = true,
        ["Grimand's Armor"] = true,
        ["The Elemental Equation"] = true,
        ["Deadly Desert Venom"] = true,
        ["Cabal Orders"] = true,
        ["Journey to Hillsbrad Foothills"] = true,
        ["Return to Obadei"] = true,
        ["Translating the Journal"] = true,
        ["WANTED: Overseer Maltorius"] = true,
        ["Regthar Deathgate"] = true,
        ["Escorting Erland"] = true,
        ["The Gordok Ogre Suit"] = true,
        ["Delivery to the Sepulcher"] = true,
        ["Load Lightening"] = true,
        ["Dark Vessels"] = true,
        ["Beer Basted Boar Ribs"] = true,
        ["The Stone"] = true,
        ["Satyr Horns"] = true,
        ["Verdant Sigil"] = true,
        ["Dalaran's Intentions"] = true,
        ["Dalar's Analysis"] = true,
        ["Border Crossings"] = true,
        ["Beren's Peril"] = true,
        ["Mace of Unending Life"] = true,
        ["Understanding the Mok'Nathal"] = true,
        ["Assault on Fenris Isle"] = true,
        ["Arugal's Folly"] = true,
        ["A Convincing Disguise"] = true,
        ["Ambermill Investigations"] = true,
        ["Return Trip"] = true,
        ["Claiming the Light"] = true,
        ["Overlord Gorefist"] = true,
        ["The Warlord's Hideout"] = true,
        ["Pacify the Centaur"] = true,
        ["A Husband's Revenge"] = true,
        ["The Altar of Zul"] = true,
        ["The Active Agent"] = true,
        ["The Stockade Riots"] = true,
        ["The Fury Runs Deep"] = true,
        ["The Color of Blood"] = true,
        ["Quell The Uprising"] = true,
        ["Bounty on Garrick Padfoot"] = true,
        ["Blessing of Incineratus"] = true,
        ["Volcanic Activity"] = true,
        ["The Pools of Aggonar"] = true,
        ["Give Gerard a Drink"] = true,
        ["Tal the Wind Rider Master"] = true,
        ["Zanzil's Secret"] = true,
        ["Whiskey Slim's Lost Grog"] = true,
        ["Welcome to the Jungle"] = true,
        ["The Angry Scytheclaws"] = true,
        ["Water Elementals"] = true,
        ["Voodoo Dues"] = true,
        ["Venture Company Mining"] = true,
        ["Up to Snuff"] = true,
        ["Bartolo's Yeti Fur Cloak"] = true,
        ["Stealing Supplies"] = true,
        ["Withered Basidium"] = true,
        ["Coldtooth Supplies"] = true,
        ["The Fate of Flanis"] = true,
        ["Through the Dark Portal"] = true,
        ["Traitor to the Bloodsail"] = true,
        ["Tiger Mastery"] = true,
        ["Selling Fish"] = true,
        ["Aquementas"] = true,
        ["The Scorched Grove"] = true,
        ["Hoary Templar"] = true,
        ["Outside Assistance"] = true,
        ["The Runed Scroll"] = true,
        ["Thwart the Dark Conclave"] = true,
        ["Felbound Ancients"] = true,
        ["The Stone of the Tides"] = true,
        ["The Spy Revealed!"] = true,
        ["The Singing Crystals"] = true,
        ["The Second Rebellion"] = true,
        ["Theramore Spies"] = true,
        ["Apprentice's Duties"] = true,
        ["The Mind's Eye"] = true,
        ["Wrath of the Blue Flight"] = true,
        ["Gathering the Reagents"] = true,
        ["Riverpaw Gnoll Bounty"] = true,
        ["The Path of the Adept"] = true,
        ["The Hidden Key"] = true,
        ["Breaking Down Netherock"] = true,
        ["The Green Hills of Stranglethorn"] = true,
        ["Marauding Crust Bursters"] = true,
        ["Good Luck Charm"] = true,
        ["Simple Memorandum"] = true,
        ["Velinde's Effects"] = true,
        ["rAnS0m"] = true,
        ["Stromgarde Badges"] = true,
        ["The Defense of Grom'gol"] = true,
        ["The Summoning Chamber"] = true,
        ["Follow the Breadcrumbs"] = true,
        ["The Curse of the Tides"] = true,
        ["The Second Course..."] = true,
        ["The Bloodsail Buccaneers"] = true,
        ["Proof of Deed"] = true,
        ["A Task Unfinished"] = true,
        ["Supply and Demand"] = true,
        ["The Flame's Casing"] = true,
        ["Outrider Basic Care Package"] = true,
        ["Fel Armaments"] = true,
        ["Material Assistance"] = true,
        ["Messenger to Thrall"] = true,
        ["A Dwarf and His Tools"] = true,
        ["Stranglethorn Fever"] = true,
        ["Velora Nitely and the Brutal Legguards"] = true,
        ["Special Forces"] = true,
        ["Winterfall Ritual Totem"] = true,
        ["Sting of the Scorpid"] = true,
        ["Winterfall Activity"] = true,
        ["Returning the Lost Satchel"] = true,
        ["Past Endeavors"] = true,
        ["Speaking with Gan'zulah"] = true,
        ["Some Assembly Required"] = true,
        ["Buzzbox 411"] = true,
        ["Crush the Bloodmaul Camp"] = true,
        ["Singing Blue Shards"] = true,
        ["Paragons of Power: The Illusionist's Mantle"] = true,
        ["Nether Gas In a Fel Fire Engine"] = true,
        ["Longtail is the Lynchpin"] = true,
        ["Report to Orgnil"] = true,
        ["The Missing War Party"] = true,
        ["Enraged Spirits of Water"] = true,
        ["Patriarch Ironjaw"] = true,
        ["Wind Trader Lathrai"] = true,
        ["Enchanted Thorium Platemail: Volume I"] = true,
        ["Return to MacKinley"] = true,
        ["Paragons of Power: The Freethinker's Breastplate"] = true,
        ["Return to Corporal Kaleb"] = true,
        ["Bor Wishes to Speak"] = true,
        ["Consult Master Gadrin"] = true,
        ["The Divination"] = true,
        ["Artifacts of the Blacksilt"] = true,
        ["Raptor Mastery"] = true,
        ["The Savior of Kalimdor"] = true,
        ["Barbaric Battlements"] = true,
        ["Mok'thardin's Enchantment"] = true,
        ["Message in a Bottle"] = true,
        ["Making Amends"] = true,
        ["Magical Analysis"] = true,
        ["Behomat"] = true,
        ["Cruelfin's Necklace"] = true,
        ["Crystal Restore"] = true,
        ["Planting the Banner"] = true,
        ["Missing in the Ghostlands"] = true,
        ["Karabor Training Grounds"] = true,
        ["Ring of the Gathering Storm"] = true,
        ["They Stole Me Hookah and Me Brews!"] = true,
        ["Krazek's Cookery"] = true,
        ["The Grizzled Den"] = true,
        ["Sweet Amber"] = true,
        ["Camp Mojache"] = true,
        ["Solanian's Belongings"] = true,
        ["An Audience with the Prince"] = true,
        ["The Scythe of Elune"] = true,
        ["Keep An Eye Out"] = true,
        ["Jungle Secrets"] = true,
        ["Investigate the Camp"] = true,
        ["Hunt for Yenniku"] = true,
        ["Hostile Takeover"] = true,
        ["Paragons of Power: The Vindicator's Armguards"] = true,
        ["Messenger to Westfall"] = true,
        ["The Bladespire Ogres"] = true,
        ["Return to Deliana"] = true,
        ["Enticing Negolash"] = true,
        ["Craftsman's Writ - Runecloth Boots"] = true,
        ["Thundris Windweaver"] = true,
        ["I'm Saved!"] = true,
        ["Enchanted Azsharite Fel Weaponry"] = true,
        ["Dressing the Part"] = true,
        ["An Improper Burial"] = true,
        ["Warsong Scout Update"] = true,
        ["Cracking Maury's Foot"] = true,
        ["A Good Head On Your Shoulders"] = true,
        ["Show Them Gnome Mercy!"] = true,
        ["Colonel Kurzen"] = true,
        ["Blackrock Menace"] = true,
        ["Chapter III"] = true,
        ["Chapter II"] = true,
        ["Thunderhorn Cleansing"] = true,
        ["Wild Leather Shoulders"] = true,
        ["Stealing Knowledge"] = true,
        ["Bloodscalp Insight"] = true,
        ["Malin's Request"] = true,
        ["Big Game Hunter"] = true,
        ["Hotter than Hell"] = true,
        ["Seer Udalo"] = true,
        ["Band of Vaulted Secrets"] = true,
        ["Raising Spirits"] = true,
        ["Ridgespine Menace"] = true,
        ["Supplies from Darkshire"] = true,
        ["Arena Master"] = true,
        ["An Unusual Patron"] = true,
        ["Warsong Runner Update"] = true,
        ["Tools for Steelgrill"] = true,
        ["Akiris by the Bundle"] = true,
        ["Return to Thander"] = true,
        ["Tundra MacGrann's Stolen Stash"] = true,
        ["Wisdom of Agamaggan"] = true,
        ["The Horde Needs Purple Lotus!"] = true,
        ["The Medallion of Faith"] = true,
        ["Those Blasted Troggs!"] = true,
        ["The Reports"] = true,
        ["Vejrek"] = true,
        ["The Perfect Stout"] = true,
        ["Return to Quartermaster Lymel"] = true,
        ["The Lost Pilot"] = true,
        ["The Great Fissure"] = true,
        ["Supplies to Tannok"] = true,
        ["Medivh's Journal"] = true,
        ["Gor'tesh the Brute Lord"] = true,
        ["Oronu the Elder"] = true,
        ["Stout to Kadrell"] = true,
        ["Stonegear's Search"] = true,
        ["Libram of Tenacity"] = true,
        ["The Call to Command"] = true,
        ["Stocking Jetsteam"] = true,
        ["Shimmer Stout"] = true,
        ["Vital Intelligence"] = true,
        ["Covert Ops - Alpha"] = true,
        ["Return to Bellowfiz"] = true,
        ["Rejold's New Brew"] = true,
        ["Keanna's Log"] = true,
        ["Akama"] = true,
        ["The Swamp Talker"] = true,
        ["Protecting the Herd"] = true,
        ["Jammal'an the Prophet"] = true,
        ["More Power!"] = true,
        ["Tyrande and Remulos"] = true,
        ["Evershine"] = true,
        ["Distracting Jarven"] = true,
        ["The Missing Diplomat"] = true,
        ["Delivering the Relic"] = true,
        ["Coolant Heads Prevail"] = true,
        ["A Study in Power"] = true,
        ["Sacred Cloth"] = true,
        ["Bitter Rivals"] = true,
        ["Ammo for Rumbleshot"] = true,
        ["Superior Armaments of Battle - Honored Amongst the Dawn"] = true,
        ["The Temple of Telhamat"] = true,
        ["Encrypted Parchment"] = true,
        ["Writhing Haunt Cauldron"] = true,
        ["Two Halves Become One"] = true,
        ["Timber Worg Tails"] = true,
        ["Vindicator's Rest"] = true,
        ["Tomb of the Lightbringer"] = true,
        ["Blood Elf Spy"] = true,
        ["Helcular's Revenge"] = true,
        ["The Wildlife Suffers Too"] = true,
        ["The So-Called Mark of the Lightbringer"] = true,
        ["Return to Lewis"] = true,
        ["The Scourge Cauldrons"] = true,
        ["Extinguish the Firegut"] = true,
        ["Single Mark of Kil'jaeden"] = true,
        ["Dragonmaw Shinbones"] = true,
        ["The Umbrafen Tribe"] = true,
        ["Cloak of Veiled Shadows"] = true,
        ["Gaining Acceptance"] = true,
        ["The Last Barov"] = true,
        ["Refuel for the Zapping"] = true,
        ["Rogue Training"] = true,
        ["Roadside Ambush"] = true,
        ["Bring the Light"] = true,
        ["Verifying the Corruption"] = true,
        ["Missing Missive"] = true,
        ["Target: Writhing Haunt"] = true,
        ["Target: Gahrron's Withering"] = true,
        ["Bartleby's Mug"] = true,
        ["Tinkee Steamboil"] = true,
        ["Target: Felstone Field"] = true,
        ["Defiler's Basic Care Package"] = true,
        ["Feast at the Blue Recluse"] = true,
        ["Hallow's End Treats for Jesper!"] = true,
        ["Chillwind Point"] = true,
        ["Soulbound Keepsake"] = true,
        ["Skeletal Fragments"] = true,
        ["Cohlien Frostweaver"] = true,
        ["Return to the Hinterlands"] = true,
        ["Tooga's Quest"] = true,
        ["The Lich's Identity"] = true,
        ["Scholomance"] = true,
        ["Torching Sunfury Hold"] = true,
        ["Deepmoss Spider Eggs"] = true,
        ["Scarlet Subterfuge"] = true,
        ["Scarlet Diversions"] = true,
        ["Return to the Bulwark"] = true,
        ["Return to Chillwind Camp"] = true,
        ["The Stagnant Oasis"] = true,
        ["Feathers for Grazle"] = true,
        ["Band of Veiled Shadows"] = true,
        ["Cutting a Path"] = true,
        ["Mahren Skyseer"] = true,
        ["The Summoning"] = true,
        ["Heartswood"] = true,
        ["Strained Supplies"] = true,
        ["Drape of Vaulted Secrets"] = true,
        ["In Dreams"] = true,
        ["Amulet of Secrets"] = true,
        ["The Fate of Yenniku"] = true,
        ["Wind Rider"] = true,
        ["The Ring of Blood: The Final Challenge"] = true,
        ["Greed"] = true,
        ["Gahrron's Withering Cauldron"] = true,
        ["Ursangous's Paw"] = true,
        ["Into The Scarlet Monastery"] = true,
        ["Leaders of the Fang"] = true,
        ["Hellfire Fortifications"] = true,
        ["Dearest Natalia"] = true,
        ["Speak to Nafien"] = true,
        ["Down at the Docks"] = true,
        ["Fire At Will!"] = true,
        ["Electro-Shock Goodness!"] = true,
        ["Meats to Orgrimmar"] = true,
        ["Find the Shattered Hand"] = true,
        ["Craftsman's Writ - Goblin Sapper Charge"] = true,
        ["The Ensorcelled Parchment"] = true,
        ["Auntie Marlene"] = true,
        ["Morganth"] = true,
        ["Defiling Uther's Tomb"] = true,
        ["Dalson's Tears Cauldron"] = true,
        ["The Haunted Mills"] = true,
        ["Gol'dir"] = true,
        ["Ill Omens"] = true,
        ["Libram of Voracity"] = true,
        ["Catalogue of the Wayward"] = true,
        ["Breastplate of the Chromatic Flight"] = true,
        ["Better Late Than Never"] = true,
        ["Needs More Cowbell"] = true,
        ["The Magister's Apprentice"] = true,
        ["Alien Egg"] = true,
        ["Dalaran Patrols"] = true,
        ["Deadmire"] = true,
        ["Clearing the Way"] = true,
        ["Rocket Car Parts"] = true,
        ["The Dynamic Duo"] = true,
        ["Keeping Pace"] = true,
        ["The Inconsolable Chieftain"] = true,
        ["The Formation of Felbane"] = true,
        ["Stormers and Rumblers"] = true,
        ["Bloody Bone Necklaces"] = true,
        ["Spiritual Unrest"] = true,
        ["Apprentice Angler"] = true,
        ["A Recipe For Death"] = true,
        ["What Tomorrow Brings"] = true,
        ["Return to the Scryers"] = true,
        ["Toxic Test"] = true,
        ["Poisoned Water"] = true,
        ["Meeting with the Master"] = true,
        ["Mura Runetotem"] = true,
        ["Gadgetzan Water Survey"] = true,
        ["Thick Hydra Scales"] = true,
        ["Spiritual Domination"] = true,
        ["The Foot of the Citadel"] = true,
        ["Omarion's Handbook"] = true,
        ["Cloak of Unending Life"] = true,
        ["Trampled Under Foot"] = true,
        ["Magatha's Payment to Jediga"] = true,
        ["Leader of the Bloodscale"] = true,
        ["Loramus"] = true,
        ["Wine Shop Advert"] = true,
        ["The Fragments Within"] = true,
        ["Test Flight: Shattrath <TXT>"] = true,
        ["Prove Your Worth"] = true,
        ["In Search of Anthion"] = true,
        ["The Borrower"] = true,
        ["KILL ON SIGHT: High Ranking Dark Iron Officials"] = true,
        ["Troll Juju"] = true,
        ["Seek Redemption!"] = true,
        ["Find Spy To'gun"] = true,
        ["Eitrigg's Wisdom"] = true,
        ["Protect the Frontier"] = true,
        ["The Alliance Needs More Copper Bars!"] = true,
        ["Savage Fronds"] = true,
        ["Search Stillpine Hold"] = true,
        ["Zeth'Gor Must Burn!"] = true,
        ["Delivery to Magatha"] = true,
        ["Translating the Ledger"] = true,
        ["Never Again!"] = true,
        ["You're Fired!"] = true,
        ["Delivery to Archmage Xylem"] = true,
        ["Delivery to Andron Gant"] = true,
        ["Secrets of the Colossus - Ashi"] = true,
        ["Under Whose Orders?"] = true,
        ["Breaking the Ward"] = true,
        ["You're Hired!"] = true,
        ["Vile Familiars"] = true,
        ["Azuregos's Magical Ledger"] = true,
        ["Ride the Lightning"] = true,
        ["Elven Legends"] = true,
        ["A Restorative Draught"] = true,
        ["A Land Filled with Hatred"] = true,
        ["Frostmaul E'ko"] = true,
        ["A Hero's Reward"] = true,
        ["A Crew Under Fire"] = true,
        ["The Rock Flayer Matriarch"] = true,
        ["Squire Maltrake"] = true,
        ["Dogran's Captivity"] = true,
        ["Captain Sander's Hidden Treasure"] = true,
        ["The Second and Third Fragments"] = true,
        ["An Imp's Request"] = true,
        ["Frostsaber E'ko"] = true,
        ["Testing the Antidote"] = true,
        ["Bonescythe Digs"] = true,
        ["Entry Into Karazhan"] = true,
        ["Humble Beginnings"] = true,
        ["Return to Khadgar"] = true,
        ["Brutal Helm"] = true,
        ["Ezekiel"] = true,
        ["In Search of Knowledge"] = true,
        ["In Good Hands"] = true,
        ["Gearing Redridge"] = true,
        ["Ishanah"] = true,
        ["Whelps of the Wyrmcult"] = true,
        ["The Final Message to the Wildhammer"] = true,
        ["Joys of Omosh"] = true,
        ["Raid on the Kolkar"] = true,
        ["In Defense of Frostwolf"] = true,
        ["Swoop Hunting"] = true,
        ["Harbinger of Doom"] = true,
        ["Inform Leoroxx!"] = true,
        ["Waters of Xavian"] = true,
        ["Purified!"] = true,
        ["Hex of Weakness"] = true,
        ["The Matron Protectorate"] = true,
        ["The Siren's Coral"] = true,
        ["A Small Start"] = true,
        ["The Infernal Orb"] = true,
        ["Presence of Sight"] = true,
        ["Lack of Surplus"] = true,
        ["The Deserters"] = true,
        ["Bonescythe Gauntlets"] = true,
        ["Exorcising Terrordale"] = true,
        ["Recharging the Batteries"] = true,
        ["Ripple Delivery"] = true,
        ["Root Samples"] = true,
        ["Dwarven Justice"] = true,
        ["Speak with Bink"] = true,
        ["Rituals of Power"] = true,
        ["Report to Jennea"] = true,
        ["Damaged Mask"] = true,
        ["The Den Mother"] = true,
        ["Fairbreeze Village"] = true,
        ["Now That We're Friends..."] = true,
        ["Irondeep Supplies"] = true,
        ["The Stolen Tome"] = true,
        ["Troll Necklace Bounty"] = true,
        ["Proving Your Worth"] = true,
        ["Ghost Hair Thread"] = true,
        ["News of Dogran"] = true,
        ["Victims of Corruption "] = true,
        ["Investigate Echo Ridge"] = true,
        ["Forsaken Aid"] = true,
        ["Recently Living"] = true,
        ["A Bad Egg"] = true,
        ["Presence of Might"] = true,
        ["Pristine Spider Silk"] = true,
        ["Serpent Wild"] = true,
        ["Power in Uldaman"] = true,
        ["Shizzle's Flyer"] = true,
        ["Return to Topher Loaal"] = true,
        ["Assault on Zeb'Nowa"] = true,
        ["Who Are They?"] = true,
        ["All Along the Watchtowers"] = true,
        ["Mirror Lake"] = true,
        ["The Good Stuff"] = true,
        ["Manaweave Robe"] = true,
        ["Ak'Zeloth"] = true,
        ["Rin'ji's Secret"] = true,
        ["Mana Surges"] = true,
        ["Magic Dust"] = true,
        ["Carendin Summons"] = true,
        ["The Demon Hunter"] = true,
        ["Murloc Poachers"] = true,
        ["Bring Back the Mug"] = true,
        ["Magecraft"] = true,
        ["The Path of the Righteous"] = true,
        ["Mage's Wand"] = true,
        ["Searching for Evidence"] = true,
        ["Dreamwalker Handguards"] = true,
        ["Mage Training"] = true,
        ["Smooth as Butter"] = true,
        ["Journey to Undercity"] = true,
        ["Laughing Sisters"] = true,
        ["Protect Kaya"] = true,
        ["The Remains of Trey Lightforge"] = true,
        ["Ju-Ju Heaps"] = true,
        ["Knowledge in the Deeps"] = true,
        ["Asghar's Totem"] = true,
        ["Run a Diagnostic!"] = true,
        ["Paragons of Power: The Illusionist's Wraps"] = true,
        ["That's Asking A Lot"] = true,
        ["The Fel and the Furious"] = true,
        ["Kitchen Assistance"] = true,
        ["The Tome of Divinity"] = true,
        ["Diagnosis: Critical"] = true,
        ["Investigate the Blue Recluse"] = true,
        ["Investigate the Alchemist Shop"] = true,
        ["High Sorcerer Andromath"] = true,
        ["More Bat Eyes"] = true,
        ["The Molten Core"] = true,
        ["Dadanga is Hungry!"] = true,
        ["Small Furry Paws"] = true,
        ["Glyphic Tablet"] = true,
        ["... and Bugs"] = true,
        ["Dreadnaught Legplates"] = true,
        ["Honor the Fallen"] = true,
        ["The Shrine of Dath'Remar"] = true,
        ["The Firewing Liaison"] = true,
        ["Finding the Antidote"] = true,
        ["Buzzbox 525"] = true,
        ["The Warp Rifts"] = true,
        ["Return to Nessa"] = true,
        ["Get the Scoop"] = true,
        ["A Hero Is Needed"] = true,
        ["Epic Armaments of Battle - Exalted Amongst the Dawn"] = true,
        ["Answered Questions"] = true,
        ["Grim Message"] = true,
        ["An Easy Pickup"] = true,
        ["Lost in Battle"] = true,
        ["Imperial Plate Leggings"] = true,
        ["A Visit With The Ancestors"] = true,
        ["Hallow's End Treats for Spoops!"] = true,
        ["Crocolisk Hunting"] = true,
        ["Control"] = true,
        ["Celestial Power"] = true,
        ["Libram of Rapidity"] = true,
        ["Astral Knot Garment"] = true,
        ["Arcane Reavers"] = true,
        ["A Simple Robe"] = true,
        ["The Mills Overrun"] = true,
        ["Wolves Across the Border"] = true,
        ["Bane of the Illidari"] = true,
        ["Grark Lorkrub"] = true,
        ["Driftwood"] = true,
        ["Report to Goldshire"] = true,
        ["The Orebor Harborage"] = true,
        ["Slay the Brood Mother"] = true,
        ["Underworld Loam"] = true,
        ["Milly's Harvest"] = true,
        ["Milly Osworth"] = true,
        ["Where Did Those Darn Gnomes Go?"] = true,
        ["Handle With Care"] = true,
        ["Kim'jael's \"Missing\" Equipment"] = true,
        ["The Curious Visitor"] = true,
        ["More Tendrils!"] = true,
        ["Rhapsody's Kalimdor Kocktail"] = true,
        ["Grape Manifest"] = true,
        ["Bonescythe Sabatons"] = true,
        ["Eagan Peltskinner"] = true,
        ["Brotherhood of Thieves"] = true,
        ["Crushridge Bounty"] = true,
        ["... and a Batch of Ooze"] = true,
        ["Crime and Punishment"] = true,
        ["Flute of Xavaric"] = true,
        ["The Principal Source"] = true,
        ["Synthesis of Power"] = true,
        ["Natural Enemies"] = true,
        ["A Threat Within"] = true,
        ["Dreadnaught Sabatons"] = true,
        ["Redemption"] = true,
        ["The Kolkar of Desolace"] = true,
        ["Arugal Must Die"] = true,
        ["Do My Eyes Deceive Me"] = true,
        ["Wildmane Totem"] = true,
        ["Mortality Wanes"] = true,
        ["Spirit Totem"] = true,
        ["Shaman Training"] = true,
        ["On the Wings of a Hippogryph"] = true,
        ["Rune-Inscribed Parchment"] = true,
        ["Hameya's Plea"] = true,
        ["The Daughter Who Lived"] = true,
        ["Craftsman's Writ - Runic Leather Pants"] = true,
        ["Kharan Mighthammer"] = true,
        ["Inert Scourgestones"] = true,
        ["Fire Sapta"] = true,
        ["Incriminating Documents"] = true,
        ["Gathering Idols"] = true,
        ["Da Voodoo"] = true,
        ["Falrin's Vendetta"] = true,
        ["Expert Blacksmith!"] = true,
        ["A Bird's-Eye View"] = true,
        ["Because Kilrath is a Coward"] = true,
        ["Call of Water"] = true,
        ["Dousing the Flames of Protection"] = true,
        ["Alliance Relations"] = true,
        ["Call of Fire"] = true,
        ["Prove Your Hatred"] = true,
        ["Call of Earth"] = true,
        ["Wandering Shay"] = true,
        ["The Master Planner"] = true,
        ["Pamela's Doll"] = true,
        ["Zapper Fuel"] = true,
        ["Sigil of Thoradin"] = true,
        ["The Count of the Marshes"] = true,
        ["10 Tickets - Last Month's Mutton"] = true,
        ["The Assassin"] = true,
        ["Delivering Daffodils"] = true,
        ["Doomcaller's Mantle"] = true,
        ["Testing for Corruption - Felwood"] = true,
        ["The Northern Pylon"] = true,
        ["Get the Goblins Drunk"] = true,
        ["Digging Through the Ooze"] = true,
        ["A Defector"] = true,
        ["The New Springs"] = true,
        ["Heart of Rage"] = true,
        ["Murkblood Corrupters"] = true,
        ["Crushridge Warmongers"] = true,
        ["Fragments of the Past"] = true,
        ["The Caverns of Time"] = true,
        ["The Jasperlode Mine"] = true,
        ["Back to Thunder Bluff"] = true,
        ["The Shadowmoon Shuffle"] = true,
        ["Anachronos"] = true,
        ["Winterfall Runners"] = true,
        ["The Bait for Lar'korwi"] = true,
        ["The Apes of Un'Goro"] = true,
        ["Return to Tinkee"] = true,
        ["A Bump in the Road"] = true,
        ["Kaya's Alive"] = true,
        ["In the Name of the Light"] = true,
        ["The Lost Ingots"] = true,
        ["Libram of Constitution"] = true,
        ["Muigin and Larion"] = true,
        ["Kill Grundig Darkcloud"] = true,
        ["Orders from Lady Vashj"] = true,
        ["One Shot. One Kill."] = true,
        ["The Lost Fragments"] = true,
        ["More Thorium Widgets"] = true,
        ["Tainted Arcane Sliver"] = true,
        ["Slake That Thirst"] = true,
        ["A Message to Telaar"] = true,
        ["Marvon's Workshop"] = true,
        ["Frostfire Robe"] = true,
        ["Thun'grim Firegaze"] = true,
        ["Lost!"] = true,
        ["Gauging the Resonant Frequency"] = true,
        ["The Agony and the Darkness"] = true,
        ["Dungar Longdrink"] = true,
        ["Hive'Ashi Scout Report"] = true,
        ["Marla's Last Wish"] = true,
        ["Linken's Memory"] = true,
        ["The Alliance Needs More Thorium Bars!"] = true,
        ["In Search of Thaelrid"] = true,
        ["The Blackwood Corrupted"] = true,
        ["The Prison's Casing"] = true,
        ["Arconus the Insatiable"] = true,
        ["Crystal Yield"] = true,
        ["Too Many Mouths to Feed"] = true,
        ["Underbelly Scales"] = true,
        ["Morrowgrain Research"] = true,
        ["Suncrown Village"] = true,
        ["Further Instructions"] = true,
        ["A Necessary Distraction"] = true,
        ["Finding the Source"] = true,
        ["Favored of Elune?"] = true,
        ["Expedition Salvation"] = true,
        ["Runewarden Deryan"] = true,
        ["Getting the Bladespire Tanked"] = true,
        ["It's a Secret to Everybody"] = true,
        ["Lost But Not Forgotten"] = true,
        ["Winter's Presents"] = true,
        ["Crystal Ward"] = true,
        ["The Kessel Run"] = true,
        ["Luck Be With You"] = true,
        ["Against the Illidari"] = true,
        ["Warsong Saw Blades"] = true,
        ["Brother Carlin"] = true,
        ["Doorway to the Abyss"] = true,
        ["Kurzen's Mystery"] = true,
        ["50 Tickets - Darkmoon Storage Box"] = true,
        ["Assassin's Contract"] = true,
        ["Protect Kanati Greycloud"] = true,
        ["Turning Point"] = true,
        ["The Howling Wind"] = true,
        ["A Fishy Peril"] = true,
        ["Dagger of Veiled Shadows"] = true,
        ["Fire Hardened Mail"] = true,
        ["Declaration of Power"] = true,
        ["Signal for Pickup"] = true,
        ["Vision of the Dead"] = true,
        ["The Ruins of Burning Blade"] = true,
        ["Rocknot's Ale"] = true,
        ["The Crimson Courier"] = true,
        ["Bloodpetal Zapper"] = true,
        ["Pridewings of Stonetalon"] = true,
        ["Bloodpetal Sprouts"] = true,
        ["Speak with Coleman"] = true,
        ["Alien Ecology"] = true,
        ["Wanted: Knucklerot and Luzran"] = true,
        ["A Visit to Gregan"] = true,
        ["Digging for Prayer Beads"] = true,
        ["Gizmo for Warug"] = true,
        ["A Little Help From My Friends"] = true,
        ["A Grave Situation"] = true,
        ["Forging the Weapon"] = true,
        ["The Ruins of Kel'Theril"] = true,
        ["The Undermarket"] = true,
        ["Concerted Efforts"] = true,
        ["The Sigil of Krasus"] = true,
        ["Speak with Gramma"] = true,
        ["Success!"] = true,
        ["Becoming a Spellfire Tailor"] = true,
        ["Ysera's Tears"] = true,
        ["Becoming a Shadoweave Tailor"] = true,
        ["Letter to Jin'Zil"] = true,
        ["Slaying the Beast"] = true,
        ["Scrying Goggles? No Problem!"] = true,
        ["Becoming a Mooncloth Tailor"] = true,
        ["Vorrel's Revenge"] = true,
        ["A Boaring Time for Grulloc"] = true,
        ["Allegiance to the Scryers"] = true,
        ["Meeting at the Blackwing Coven"] = true,
        ["Mythology of the Titans"] = true,
        ["A Personal Favor"] = true,
        ["Compendium of the Fallen"] = true,
        ["Cuergo's Gold"] = true,
        ["Zenn's Bidding"] = true,
        ["The Woodland Protector"] = true,
        ["Guarded Thunderbrew Barrel"] = true,
        ["Against All Odds"] = true,
        ["Operative Bijou"] = true,
        ["The Pledge of Secrecy"] = true,
        ["Tumors"] = true,
        ["Twisted Evils"] = true,
        ["Timberling Sprouts"] = true,
        ["The Alliance Needs More Spotted Yellowtail!"] = true,
        ["The Sprouted Fronds"] = true,
        ["The Shimmering Frond"] = true,
        ["The Road to Darnassus"] = true,
        ["Vorsha the Lasher"] = true,
        ["The Relics of Wakening"] = true,
        ["The Moss-twined Heart"] = true,
        ["The Enchanted Glade"] = true,
        ["The Work of Grimand Elmore"] = true,
        ["Draconic for Dummies"] = true,
        ["Precarious Predicament"] = true,
        ["Return to Denalan"] = true,
        ["Replenishing the Healing Crystals"] = true,
        ["Report to Ironforge"] = true,
        ["More Heads Full of Ivory"] = true,
        ["Deliver the Thread"] = true,
        ["Return of the Ring"] = true,
        ["Whitebark's Memory"] = true,
        ["Potential for Brain Damage = High"] = true,
        ["For Love Eternal"] = true,
        ["Footwraps of the Oracle"] = true,
        ["Oakenscowl"] = true,
        ["Summons from Knight-Lord Bloodvalor"] = true,
        ["Mist"] = true,
        ["Gnarlpine Corruption"] = true,
        ["The Warsong Reports"] = true,
        ["The Barrens Oases"] = true,
        ["The Alliance Needs Iron Bars!"] = true,
        ["Winterfall E'ko"] = true,
        ["A Portable Power Source"] = true,
        ["Desert Recipe"] = true,
        ["The Ashenvale Hunt"] = true,
        ["Doomsday Candle"] = true,
        ["Druid of the Claw"] = true,
        ["A Troubling Breeze"] = true,
        ["There's No Explanation for Fashion"] = true,
        ["Maelstrom's Wrath"] = true,
        ["Return to Andormu"] = true,
        ["To the Undercity for Yagyin's Digest"] = true,
        ["To Ironforge for Yagyin's Digest"] = true,
        ["What Strange Creatures..."] = true,
        ["Fields of Grief"] = true,
        ["Ride to Ironforge"] = true,
        ["Bring the End"] = true,
        ["Green Iron Bracers"] = true,
        ["Talk to the Hand"] = true,
        ["Deceive thy Enemy"] = true,
        ["Collection of the Corrupt Water"] = true,
        ["Lonebrow's Journal"] = true,
        ["Outrider Advanced Care Package"] = true,
        ["Prospect of Faith"] = true,
        ["Snakestone of the Shadow Huntress"] = true,
        ["The Missing Expedition"] = true,
        ["Pearl Diving"] = true,
        ["An Unwelcome Presence"] = true,
        ["Return to Thalodien"] = true,
        ["Forsaken Diseases"] = true,
        ["The Missing Fisherman"] = true,
        ["Murdaloc"] = true,
        ["Mirages"] = true,
        ["Liquid Stone"] = true,
        ["Safety First"] = true,
        ["Fire Plume Forged"] = true,
        ["The Wrong Stuff"] = true,
        ["Forbidden Knowledge"] = true,
        ["Find Agmond"] = true,
        ["Totem of Coo"] = true,
        ["Dreamwalker Headpiece"] = true,
        ["Dreadmaul Rock"] = true,
        ["Coyote Thieves"] = true,
        ["Investigate the Amani Catacombs"] = true,
        ["The Tempest Key"] = true,
        ["Bartleby the Drunk"] = true,
        ["Hippogryph Muisek"] = true,
        ["Kim'jael Indeed!"] = true,
        ["Barbecued Buzzard Wings"] = true,
        ["The Woodpaw Gnolls"] = true,
        ["Vanquish the Betrayers"] = true,
        ["The Hunt Completed"] = true,
        ["Investigate An'daroth"] = true,
        ["Irradiated Crystal Shards"] = true,
        ["Zukk'ash Report"] = true,
        ["Zukk'ash Infestation"] = true,
        ["Zapped Giants"] = true,
        ["Report from the Northern Front"] = true,
        ["Woodpaw Investigation"] = true,
        ["Coilfang Armaments"] = true,
        ["Colossal Menace"] = true,
        ["Us or Them"] = true,
        ["Paragons of Power: The Augur's Hauberk"] = true,
        ["The Arakkoa Threat"] = true,
        ["Weapons of Spirit"] = true,
        ["To the Top"] = true,
        ["Mazen's Behest"] = true,
        ["Return to the Abyssal Shelf"] = true,
        ["Goldenmist Village"] = true,
        ["Blind Cazul"] = true,
        ["Craftsman's Writ - Runecloth Robe"] = true,
        ["Whispers on the Wind"] = true,
        ["Call of Air"] = true,
        ["Muren Stormpike"] = true,
        ["Crystal Spire"] = true,
        ["The Writhing Deep"] = true,
        ["Freed from the Hive"] = true,
        ["The Balance of Light and Shadow"] = true,
        ["The Cipher of Damnation - The Second Fragment Recovered"] = true,
        ["Crystal Clear"] = true,
        ["Highperch Venom"] = true,
        ["A Proper String"] = true,
        ["An Ambassador of Evil"] = true,
        ["Brother Anton"] = true,
        ["The Videre Elixir"] = true,
        ["Seek Huntress Kella Nightbow"] = true,
        ["The Super Snapper FX"] = true,
        ["Family Tree"] = true,
        ["Dirge's Kickin' Chimaerok Chops"] = true,
        ["Speak with Rilak the Redeemed"] = true,
        ["Journey to Tarren Mill"] = true,
        ["The Lost Caravan"] = true,
        ["Tremors of the Earth"] = true,
        ["Break Sharptusk!"] = true,
        ["The Morrow Stone"] = true,
        ["Did You Lose This?"] = true,
        ["Agents of Destruction"] = true,
        ["Feralas: A History"] = true,
        ["The Mark of Quality"] = true,
        ["Cyclonian"] = true,
        ["The Knife Revealed"] = true,
        ["The High Wilderness"] = true,
        ["Spinal Dust"] = true,
        ["The Hound-Master"] = true,
        ["The Gordunni Scroll"] = true,
        ["Attack on Firewing Point"] = true,
        ["The Gordunni Orb"] = true,
        ["The Giant Guardian"] = true,
        ["Magram Alliance"] = true,
        ["The Eyes of Skettis"] = true,
        ["Thalanaar Delivery"] = true,
        ["A Boar's Vitality"] = true,
        ["Testing the Vessel"] = true,
        ["Stinglasher"] = true,
        ["No More Mushrooms!"] = true,
        ["Return to Witch Doctor Uzer'i"] = true,
        ["The Traitor's Destruction"] = true,
        ["Flawless Fel Essence"] = true,
        ["The Thunderspike"] = true,
        ["Badlands Reagent Run II"] = true,
        ["Testing an Enemy's Strength"] = true,
        ["Paragons of Power: The Vindicator's Belt"] = true,
        ["Return to Feathermoon Stronghold"] = true,
        ["A Somber Task"] = true,
        ["Rescue OOX-22/FE!"] = true,
        ["Psychometric Reading"] = true,
        ["Pristine Yeti Hide"] = true,
        ["The Coastal Menace"] = true,
        ["Rattling the Rattlecages"] = true,
        ["Return to the Crossroads."] = true,
        ["Natural Materials"] = true,
        ["Sprinkle's Secret Ingredient"] = true,
        ["Parts of the Swarm"] = true,
        ["Kamsis"] = true,
        ["Improved Quality"] = true,
        ["Noboru the Cudgel"] = true,
        ["Featherbeard's Endorsement"] = true,
        ["A Warrior's Training"] = true,
        ["The Slaughtered Lamb"] = true,
        ["Gnome Improvement"] = true,
        ["To Kill With Purpose"] = true,
        ["Anthion's Parting Words"] = true,
        ["The Missing Courier"] = true,
        ["Caught!"] = true,
        ["Breastplate of Bloodthirst"] = true,
        ["Faerie Dragon Muisek"] = true,
        ["Enraged Thunder Lizards"] = true,
        ["Dark Heart"] = true,
        ["Boat Wreckage"] = true,
        ["To the Stormspire"] = true,
        ["An Orphan Looking For a Home"] = true,
        ["The Dragon's Eye"] = true,
        ["Felspark Ravine"] = true,
        ["Terokkarantula"] = true,
        ["Newfound Allies"] = true,
        ["Against the Hatecrest"] = true,
        ["Dr. Boom!"] = true,
        ["Final Preparations"] = true,
        ["Inoculation"] = true,
        ["Test Flight: The Singing Ridge"] = true,
        ["Again With the Zapped Giants"] = true,
        ["Clamlette Surprise"] = true,
        ["A Short Incubation"] = true,
        ["Victory for the Horde"] = true,
        ["Troll Witchery"] = true,
        ["Rethban Ore"] = true,
        ["Target: Hive'Regal Burrowers"] = true,
        ["A Grim Discovery"] = true,
        ["Wanted: Vile Priestess Hexx and Her Minions"] = true,
        ["Your Fortune Awaits You..."] = true,
        ["Whirring Bronze Gizmo"] = true,
        ["Enraged Spirits"] = true,
        ["Wharfmaster Dizzywig"] = true,
        ["Supplies for the Crossroads"] = true,
        ["A Dire Situation"] = true,
        ["The Ashtongue Tribe"] = true,
        ["The Day After"] = true,
        ["Creature of the Void"] = true,
        ["Capture the Weapons"] = true,
        ["Return to Talionia"] = true,
        ["Marauding Wolves"] = true,
        ["Thorium Widget"] = true,
        ["The Crown of Will"] = true,
        ["Agamaggan's Agility"] = true,
        ["Show Your Work"] = true,
        ["Preserving Knowledge"] = true,
        ["Spawn of Jubjub"] = true,
        ["Karynaku"] = true,
        ["Rituals of Strength"] = true,
        ["More Glowing Scorpid Blood"] = true,
        ["Situation at Sunsail Anchorage"] = true,
        ["Mantles of the Dawn"] = true,
        ["The Horde Needs Runecloth Bandages!"] = true,
        ["More Armor Kits"] = true,
        ["Sentinel Basic Care Package"] = true,
        ["Never Ask Me About My Business"] = true,
        ["Orm Stonehoof and the Brutal Helm"] = true,
        ["The Pack Mistress"] = true,
        ["The Smallest Creatures"] = true,
        ["Message to the Wildhammer"] = true,
        ["The Deserter"] = true,
        ["Tracking Down the Culprits"] = true,
        ["Filthy Paws"] = true,
        ["Returning Home"] = true,
        ["Tenaron's Summons"] = true,
        ["Balance Must Be Preserved"] = true,
        ["Klockmort's Essentials"] = true,
        ["The Blightcaller Cometh"] = true,
        ["Olemba Seeds"] = true,
        ["Study of the Elements: Rock"] = true,
        ["Garments of Spirituality"] = true,
        ["Iron Coral"] = true,
        ["Codex of Defense"] = true,
        ["Rites of the Earthmother"] = true,
        ["Ula'elek and the Brutal Gauntlets"] = true,
        ["Crashing the Wickerman Festival"] = true,
        ["Evil Bat Eyes"] = true,
        ["Enraged Spirits of Air"] = true,
        ["Raptor Thieves"] = true,
        ["For All To See"] = true,
        ["The Theramore Docks"] = true,
        ["Bone Collector"] = true,
        ["Darkmoon Portals Deck"] = true,
        ["Darkmoon Elementals Deck"] = true,
        ["Bonescythe Legplates"] = true,
        ["Blood Elf Plans"] = true,
        ["The Vile Reef"] = true,
        ["Tome of Divinity"] = true,
        ["Coarse Weightstone"] = true,
        ["Find the Gems"] = true,
        ["Carnival Jerkins"] = true,
        ["Fish in a Bucket"] = true,
        ["Carnival Boots"] = true,
        ["The Champion of the Horde"] = true,
        ["Hallowed Scroll"] = true,
        ["A Gaily Wrapped Present"] = true,
        ["5 Tickets - Minor Darkmoon Prize"] = true,
        ["Libram of Resilience"] = true,
        ["Ulag the Cleaver"] = true,
        ["Drowned Sorrows"] = true,
        ["Deadwood of the North"] = true,
        ["The Spearcrafter's Hammer"] = true,
        ["Redemption Headpiece"] = true,
        ["Catch and Release"] = true,
        ["Genesis Shoulderpads"] = true,
        ["The Final Code"] = true,
        ["Baron Sablemane"] = true,
        ["Kodo Roundup"] = true,
        ["Redemption Boots"] = true,
        ["Stormpike's Delivery"] = true,
        ["40 Tickets - Greater Darkmoon Prize"] = true,
        ["Stepping Up Security"] = true,
        ["1200 Tickets - Orb of the Darkmoon"] = true,
        ["Mor'zul Bloodbringer"] = true,
        ["1200 Tickets - Amulet of the Darkmoon"] = true,
        ["12 Tickets - Lesser Darkmoon Prize"] = true,
        ["Nether-lace Garment"] = true,
        ["Find Keltus Darkleaf"] = true,
        ["Panther Mastery"] = true,
        ["Put On Yer Kneepads..."] = true,
        ["All That Remains"] = true,
        ["The Main Course!"] = true,
        ["Red Snapper - Very Tasty!"] = true,
        ["Striker's Hauberk"] = true,
        ["Reunion"] = true,
        ["Striker's Diadem"] = true,
        ["Fel Embers"] = true,
        ["Signet of Unyielding Strength"] = true,
        ["Stormpike's Deciphering"] = true,
        ["Torek's Assault"] = true,
        ["Redemption Girdle"] = true,
        ["Khan Hratha"] = true,
        ["Sickle of Unyielding Strength"] = true,
        ["Worth Its Weight in Gold"] = true,
        ["Shroud of Unspoken Names"] = true,
        ["Shroud of Infinite Wisdom"] = true,
        ["Rampaging Giants"] = true,
        ["Reclaiming Holy Grounds"] = true,
        ["Defending Fairbreeze Village"] = true,
        ["Conqueror's Spaulders"] = true,
        ["Mantle of the Oracle"] = true,
        ["Helping the Cenarion Post"] = true,
        ["Noble Deaths"] = true,
        ["Rite of Wisdom"] = true,
        ["Genesis Trousers"] = true,
        ["Pelt Collection"] = true,
        ["A Cure for Zahlia"] = true,
        ["Genesis Helm"] = true,
        ["The Impotent Leader"] = true,
        ["Wolves at Our Heels"] = true,
        ["Genesis Boots"] = true,
        ["Clam Bait"] = true,
        ["I Must Have Them!"] = true,
        ["Torwa Pathfinder"] = true,
        ["Rilli Greasygob"] = true,
        ["Je'neu of the Earthen Ring"] = true,
        ["A Grunt's Work..."] = true,
        ["Thinning the Ranks"] = true,
        ["Frostfire Gloves"] = true,
        ["The Path of Glory"] = true,
        ["Mathiel"] = true,
        ["Enigma Shoulderpads"] = true,
        ["Find Bingles"] = true,
        ["Know Thine Enemy"] = true,
        ["Bailor's Ore Shipment"] = true,
        ["Drape of Unyielding Strength"] = true,
        ["The Western Pylon"] = true,
        ["Thadius Grimshade"] = true,
        ["Simple Scroll"] = true,
        ["Good Natured Emma"] = true,
        ["Sully Balloo's Letter"] = true,
        ["At War With The Scarlet Crusade"] = true,
        ["An Aggressive Defense"] = true,
        ["Superior Armaments of Battle - Revered Amongst the Dawn"] = true,
        ["Deathdealer's Boots"] = true,
        ["Ring of Infinite Wisdom"] = true,
        ["Hurley Blackbreath"] = true,
        ["He Called Himself Altruis..."] = true,
        ["Conqueror's Legguards"] = true,
        ["Conqueror's Greaves"] = true,
        ["Darnassian Intrusions"] = true,
        ["Rescue OOX-09/HL!"] = true,
        ["Superior Armaments of Battle - Exalted Amongst the Dawn"] = true,
        ["Impending Attack"] = true,
        ["Princess Must Die!"] = true,
        ["Defiler's Standard Care Package"] = true,
        ["Dragonscale Leatherworking"] = true,
        ["Cloak of the Gathering Storm"] = true,
        ["Hunting for Ectoplasm"] = true,
        ["The Rune of Summoning"] = true,
        ["Worgen in the Woods"] = true,
        ["Trouble at the Underlight Mines"] = true,
        ["The Battle of Darrowshire"] = true,
        ["The Black Shield"] = true,
        ["Oran's Gratitude"] = true,
        ["Mold Rhymes With..."] = true,
        ["Mac'Aree Mushroom Menagerie"] = true,
        ["Delivery to the Gnomes"] = true,
        ["Avenger's Pauldrons"] = true,
        ["Report to Hadrec"] = true,
        ["What the Soul Sees"] = true,
        ["Ar'kelos the Guardian"] = true,
        ["The Truth Unorbed"] = true,
        ["Strange Findings"] = true,
        ["The Path of Anguish"] = true,
        ["Avenger's Greaves"] = true,
        ["Identifying the Brood"] = true,
        ["Avenger's Breastplate"] = true,
        ["The Horde Needs More Spotted Yellowtail!"] = true,
        ["Rotting Hearts"] = true,
        ["Castpipe's Task"] = true,
        ["Sunfury Signets"] = true,
        ["Deeprun Rat Roundup"] = true,
        ["The Caravan Road"] = true,
        ["Libram of Rumination"] = true,
        ["Dreamwalker Tunic"] = true,
        ["Farstrider Retreat"] = true,
        ["Training the Beast"] = true,
        ["Smith Mathiel"] = true,
        ["Wing Commander Gryphongar"] = true,
        ["Intercepting the Message"] = true,
        ["When This Mine's a-Rockin'"] = true,
        ["The Binding"] = true,
        ["Return to Thunder Bluff"] = true,
        ["Bring Down the Warbringer!"] = true,
        ["The Deathstalkers' Report"] = true,
        ["Wanted: Worg Master Kruush"] = true,
        ["Wanted: Blacktalon the Savage"] = true,
        ["Consumed by Hatred"] = true,
        ["Preparation for Ceremony"] = true,
        ["Void Ridge"] = true,
        ["Courser Antlers"] = true,
        ["Report to Lanthan Perilon"] = true,
        ["Pawn Captures Queen"] = true,
        ["Wand over Fist"] = true,
        ["The Cover of Darkness"] = true,
        ["The Fare of Lar'korwi"] = true,
        ["Toxic Horrors"] = true,
        ["More Venom Sacs"] = true,
        ["The Warchief's Mandate"] = true,
        ["The Cipher of Damnation - The First Fragment Recovered"] = true,
        ["Ghost-o-plasm Round Up"] = true,
        ["The Annals of Kirin'Var"] = true,
        ["The Seer's Relic"] = true,
        ["The Disgraced One"] = true,
        ["The Mithril Order"] = true,
        ["The Road to Falcon Watch"] = true,
        ["I Shoot Magic Into the Darkness"] = true,
        ["The Dark Missive "] = true,
        ["The Mistress Revealed"] = true,
        ["The Argent Hold"] = true,
        ["The Mastermind"] = true,
        ["The Mag'har"] = true,
        ["Bearers of the Plague"] = true,
        ["Harbingers of Shadowmoon"] = true,
        ["Zamek's Distraction"] = true,
        ["Skull Rock"] = true,
        ["The Legion Reborn"] = true,
        ["The Heart of Darkness"] = true,
        ["The Finest Down"] = true,
        ["Teldrassil"] = true,
        ["The Exorcism of Colonel Jules"] = true,
        ["The Earthbinder"] = true,
        ["Mage Summoner"] = true,
        ["The Demoniac Scryer"] = true,
        ["The Battle Horn"] = true,
        ["Death's Embrace"] = true,
        ["Enraged Wildkin"] = true,
        ["Williden's Journal"] = true,
        ["Decipher the Tome"] = true,
        ["Talbuk Mastery"] = true,
        ["What Is Going On?"] = true,
        ["WANTED: Baron Vardus"] = true,
        ["Windrunner Village"] = true,
        ["Mission: The Abyssal Shelf"] = true,
        ["A Lesson Learned"] = true,
        ["Shatter Point"] = true,
        ["Rohok's Request"] = true,
        ["The Hunt Continues"] = true,
        ["Return to Thrallmar"] = true,
        ["Report to Zurai"] = true,
        ["Enigma Circlet"] = true,
        ["Sigil of Arathor"] = true,
        ["The Dormant Shade"] = true,
        ["Boulderslide Ravine"] = true,
        ["Kroshius' Infernal Core"] = true,
        ["Preparing the Salve"] = true,
        ["Return to Mokvar"] = true,
        ["Salt of the Scorpok"] = true,
        ["The Fall of Ossirian"] = true,
        ["The Love Potion"] = true,
        ["Outland Sucks!"] = true,
        ["Besieged!"] = true,
        ["Vile Plans"] = true,
        ["Naladu"] = true,
        ["Ride to Thunder Bluff"] = true,
        ["Raven Hill"] = true,
        ["Mission: Gateways Murketh and Shaadraz"] = true,
        ["Supplies to Private Thorsen"] = true,
        ["Revered Among the Sha'tar"] = true,
        ["What Happens in Terokkar Stays in Terokkar"] = true,
        ["The Horde Needs More Peacebloom!"] = true,
        ["Makuru's Vengeance"] = true,
        ["Make Them Listen"] = true,
        ["Magic of the Arakkoa"] = true,
        ["Echeyakee"] = true,
        ["Conqueror's Breastplate"] = true,
        ["Fumping"] = true,
        ["Shadoweaver"] = true,
        ["Primal Magic"] = true,
        ["After the Ambush"] = true,
        ["Practical Prey"] = true,
        ["Laying Waste to the Unwanted"] = true,
        ["Keep Thornfang Hill Clear!"] = true,
        ["Journey to Thrallmar"] = true,
        ["Journey to Honor Hold"] = true,
        ["The Everlook Report"] = true,
        ["In Need of Felblood"] = true,
        ["I Work... For the Horde!"] = true,
        ["Imperial Qiraji Regalia"] = true,
        ["Flint Shadowmore"] = true,
        ["Grillok \"Darkeye\""] = true,
        ["Gathering the Cure"] = true,
        ["Frostfire Shoulderpads"] = true,
        ["Bound for Glory"] = true,
        ["The Test of Righteousness"] = true,
        ["In Defense of the King's Lands"] = true,
        ["Enraged Spirits of Fire and Earth"] = true,
        ["Maktu's Revenge"] = true,
        ["Grand Master Rohok"] = true,
        ["Slain by the Wretched"] = true,
        ["Gaining Mirren's Trust"] = true,
        ["The Twilight Lexicon"] = true,
        ["Travel to Azure Watch"] = true,
        ["Force Commander Danath"] = true,
        ["Fel Spirits"] = true,
        ["Elemental Bracers"] = true,
        ["Escaping the Tomb"] = true,
        ["Warning Fairbreeze Village"] = true,
        ["Fei Fei's Treat"] = true,
        ["Falcon Watch"] = true,
        ["The Prophecy of Akida"] = true,
        ["Agmond's Fate"] = true,
        ["Etched Parchment"] = true,
        ["Envoy to the Mag'har"] = true,
        ["Entry Into the Citadel"] = true,
        ["Enemy of my Enemy..."] = true,
        ["The Hopeless Ones..."] = true,
        ["Troublesome Distractions"] = true,
        ["The Lost Chalice"] = true,
        ["Indispensable Tools"] = true,
        ["Conscript of the Horde"] = true,
        ["Attack on Camp Narache"] = true,
        ["To Serve Kum'isha"] = true,
        ["An Old History Book"] = true,
        ["The Way to Auberdine"] = true,
        ["Towers and Bunkers"] = true,
        ["Altered Beings"] = true,
        ["Uncovering the Past"] = true,
        ["Children's Week"] = true,
        ["The Eighteenth Pilot"] = true,
        ["Proving Allegiance"] = true,
        ["Demonic Contamination"] = true,
        ["Consecrated Letter"] = true,
        ["Stymying the Arakkoa"] = true,
        ["Deadly Predators"] = true,
        ["Sven's Camp"] = true,
        ["Malfunction at the West Sanctum"] = true,
        ["Amongst the Ruins"] = true,
        ["Escape from Durnholde"] = true,
        ["Cruel Taskmasters"] = true,
        ["Crimson Crystal Clue"] = true,
        ["Spare Parts"] = true,
        ["Cleansing the Waters"] = true,
        ["A Different Approach"] = true,
        ["Pool of Tears"] = true,
        ["Journey to the Crossroads"] = true,
        ["Dawn's Gambit"] = true,
        ["Divination: Gorefiend's Armor"] = true,
        ["Arms for the Field"] = true,
        ["Taking Back Silithus"] = true,
        ["Captives at Deatholme"] = true,
        ["Boiling Blood"] = true,
        ["Birds of a Feather"] = true,
        ["Beneath Thrallmar"] = true,
        ["Minions of the Shadow Council"] = true,
        ["Avruu's Orb"] = true,
        ["Enigma Boots"] = true,
        ["Gerenzo Wrenchwhistle"] = true,
        ["Dig Rat Stew"] = true,
        ["Restoring Fiery Flux Supplies via Iron"] = true,
        ["Stolen Silver"] = true,
        ["Arrival in Outland"] = true,
        ["Beast Training"] = true,
        ["Trouble in Winterspring!"] = true,
        ["Arelion's Secret"] = true,
        ["Arelion's Mistress"] = true,
        ["The Master's Touch"] = true,
        ["Redemption Tunic"] = true,
        ["Candles of Beckoning"] = true,
        ["Wild Leather Vest"] = true,
        ["Apothecary Antonivich"] = true,
        ["Firewing Signets"] = true,
        ["An Old Gift"] = true,
        ["Report Back to Fizzlebub"] = true,
        ["An Ambitious Plan"] = true,
        ["The Right Piece of Lord Valthalak's Amulet"] = true,
        ["Assessing the Threat"] = true,
        ["Return to Rokag"] = true,
        ["A Strange Weapon"] = true,
        ["A Spirit Guide"] = true,
        ["The Root of All Evil"] = true,
        ["Plagueheart Bindings"] = true,
        ["Warlord's Command"] = true,
        ["Another Heap of Ethereals"] = true,
        ["A Job for an Intelligent Man"] = true,
        ["Spirits of the Drowned"] = true,
        ["Between a Rock and a Thistlefur"] = true,
        ["Everything Will Be Alright"] = true,
        ["Target: Hive'Zora Tunnelers"] = true,
        ["Imperial Plate Bracer"] = true,
        ["Chicken Clucking for a Mint"] = true,
        ["Prowlers of the Barrens"] = true,
        ["Zul'Marosh"] = true,
        ["Westfall Stew"] = true,
        ["Wretched Ringleader"] = true,
        ["Tools of the Trade"] = true,
        ["Where's Wyllithen?"] = true,
        ["Delivery to Tranquillien"] = true,
        ["Unstable Mana Crystals"] = true,
        ["Warlord Krellian"] = true,
        ["Bonescythe Waistguard"] = true,
        ["Honored Amongst the Guard"] = true,
        ["Restoring Fiery Flux Supplies via Heavy Leather"] = true,
        ["The Wayward Apprentice"] = true,
        ["Kharan's Tale"] = true,
        ["The Ring of Mmmrrrggglll"] = true,
        ["The Party Never Ends"] = true,
        ["Tiara of the Oracle"] = true,
        ["Ironband's Compound"] = true,
        ["Taking the Fall"] = true,
        ["The Stolen Journal"] = true,
        ["Shadowpine Weaponry"] = true,
        ["Soaked Pages"] = true,
        ["Collection of Goods"] = true,
        ["Kidnapped Elder Torntusk!"] = true,
        ["Another Power Source?"] = true,
        ["More Dense Grinding Stones"] = true,
        ["The Ruins of Stardust"] = true,
        ["Uncle Carlin"] = true,
        ["More Spore Sacs"] = true,
        ["Saving Yenniku"] = true,
        ["Drain Schematics"] = true,
        ["Apothecary Zamah"] = true,
        ["Crystals of Power"] = true,
        ["The Annals of Darrowshire"] = true,
        ["Research Notes"] = true,
        ["Into the Field"] = true,
        ["Back to the Beginning"] = true,
        ["Ranger Sareyn"] = true,
        ["Powering our Defenses"] = true,
        ["Old Whitebark's Pendant"] = true,
        ["In Eranikus' Own Words"] = true,
        ["Murkblood Leaders..."] = true,
        ["Dark Tidings"] = true,
        ["Major Malfunction"] = true,
        ["Lost Armaments"] = true,
        ["The Outcast's Plight"] = true,
        ["Report to General Kirika"] = true,
        ["The Royal Rescue"] = true,
        ["Ring of Unspoken Names"] = true,
        ["Webwood Egg"] = true,
        ["Deactivating the Spire"] = true,
        ["Goldleaf's Discovery"] = true,
        ["How Big a Threat?"] = true,
        ["Looking to the Leadership"] = true,
        ["Corrupted Soil"] = true,
        ["Cleaning up the Grounds"] = true,
        ["Captain Kelisendra's Lost Rudders"] = true,
        ["Warn Your People"] = true,
        ["Amani Invasion"] = true,
        ["Enchanted Thorium Platemail: Volume II"] = true,
        ["Abandoned Investigations"] = true,
        ["In Favor of Elune"] = true,
        ["You Survived!"] = true,
        ["What Must Be Done..."] = true,
        ["Speak with Dillinger"] = true,
        ["Volatile Mutations"] = true,
        ["The Soul Devices"] = true,
        ["Indurium"] = true,
        ["Urgent Delivery!"] = true,
        ["The Missing Scout"] = true,
        ["The Emitter"] = true,
        ["Zandalarian Shadow Mastery Talisman"] = true,
        ["Erion Shadewhisper"] = true,
        ["Poor Old Blanchy"] = true,
        ["Critters of the Void"] = true,
        ["Healing the Lake"] = true,
        ["The Tome of Valor"] = true,
        ["Botanical Legwork"] = true,
        ["Kolkar Leaders"] = true,
        ["Blood Crystals"] = true,
        ["Preying on the Predators"] = true,
        ["Darkmoon Beast Deck"] = true,
        ["Winterhoof Cleansing"] = true,
        ["Gateway to the Frontier"] = true,
        ["The Karnitol Shipwreck"] = true,
        ["CLUCK!"] = true,
        ["The Ice Guard"] = true,
        ["Stopping the Spread"] = true,
        ["Tabetha's Task"] = true,
        ["Noggle's Lost Satchel"] = true,
        ["Distraction at Manaforge B'naar"] = true,
        ["Mo'mor the Breaker"] = true,
        ["Galaen's Journal - The Fate of Vindicator Saruan"] = true,
        ["Redemption Wristguards"] = true,
        ["Disrupt Their Reinforcements"] = true,
        ["Zando'zan"] = true,
        ["Destiny Calls"] = true,
        ["A Free Lunch"] = true,
        ["Word from the Spire"] = true,
        ["Vyletongue Corruption"] = true,
        ["Angling to Beat the Competition"] = true,
        ["Thunderbrew Lager"] = true,
        ["War on the Woodpaw"] = true,
        ["The Shattered Salute"] = true,
        ["The Sad Truth"] = true,
        ["The Deathstalkers"] = true,
        ["The Azure Key"] = true,
        ["The Second Sample"] = true,
        ["Knowledge of the Orb of Orahil"] = true,
        ["The Apple Falls"] = true,
        ["Snatch and Grab"] = true,
        ["Troll Temper"] = true,
        ["Simple Subterfugin'"] = true,
        ["Un-Life's Little Annoyances"] = true,
        ["SI:7"] = true,
        ["Seek out SI: 7"] = true,
        ["Bonescythe Helmet"] = true,
        ["Precious and Fragile Things Need Special Handling"] = true,
        ["Treant Muisek"] = true,
        ["Zaeldarr the Outcast"] = true,
        ["Guardians of the Altar"] = true,
        ["The Dead Mire"] = true,
        ["The Missing Orders"] = true,
        ["New Life"] = true,
        ["Return the Reports"] = true,
        ["The Real Threat"] = true,
        ["Redridge Rendezvous"] = true,
        ["A Fine Egg"] = true,
        ["Goldtooth"] = true,
        ["Still Believing"] = true,
        ["Plundering the Plunderers"] = true,
        ["Medallion of Station"] = true,
        ["Hemet Nesingwary Jr."] = true,
        ["The Sharpest Blades"] = true,
        ["Triangulation Point One"] = true,
        ["Crackin' Some Skulls"] = true,
        ["Return to Onu"] = true,
        ["Mission: Possible But Not Probable"] = true,
        ["Turning the Tide"] = true,
        ["What's Wrong at Cenarion Thicket?"] = true,
        ["The Charge of the Dragonflights"] = true,
        ["Find OOX-09/HL!"] = true,
        ["Crush the Bloodmaul Camp!"] = true,
        ["The Cipher of Damnation - Borak's Charge"] = true,
        ["Judgment and Redemption"] = true,
        ["Junkboxes Needed"] = true,
        ["Fenwick Thatros"] = true,
        ["Hunting in Stranglethorn"] = true,
        ["Invaders of Alterac Valley"] = true,
        ["Coldridge Valley Mail Delivery"] = true,
        ["Erion's Behest"] = true,
        ["Rescue the Survivors!"] = true,
        ["Encrypted Tablet"] = true,
        ["Encrypted Sigil"] = true,
        ["WANTED: Chok'sul"] = true,
        ["The Fate of Tuurem"] = true,
        ["A Favor for Evershine"] = true,
        ["Costly Menace"] = true,
        ["Naga at the Zoram Strand"] = true,
        ["Encrypted Memorandum"] = true,
        ["Encoded Fragments"] = true,
        ["Shadowshard Fragments"] = true,
        ["Researching the Corruption"] = true,
        ["Wrenix of Ratchet"] = true,
        ["Deep Cover"] = true,
        ["Combining Forces"] = true,
        ["Take Four Bases"] = true,
        ["Call of Air - Mulverick's Fleet"] = true,
        ["A Sign of Hope"] = true,
        ["Dealing with Zeb'Sora"] = true,
        ["Wasteland"] = true,
        ["A Little Dash of Seasoning"] = true,
        ["Mathystra Relics"] = true,
        ["The Hunt Begins"] = true,
        ["I See Dead Draenei"] = true,
        ["Owatanka"] = true,
        ["A Threat in Feralas"] = true,
        ["Badlands Reagent Run"] = true,
        ["Limits of Physical Exhaustion"] = true,
        ["A Taste of Flame"] = true,
        ["Kaela's Update"] = true,
        ["The Flesh Lies..."] = true,
        ["Help Tavara"] = true,
        ["Twilight Geolords"] = true,
        ["The Howling Vale"] = true,
        ["Westbrook Garrison Needs Help!"] = true,
        ["Encroaching Wildlife"] = true,
        ["Preparing for War"] = true,
        ["The Platinum Discs"] = true,
        ["Sealed Azure Bag"] = true,
        ["Red Linen Goods"] = true,
        ["Stinging the Stingers"] = true,
        ["A Helping Hand"] = true,
        ["Cleansing the Scar"] = true,
        ["Champion's Battlegear"] = true,
        ["A Sacred Burial"] = true,
        ["Life's Finer Pleasures"] = true,
        ["Wounded Ancients"] = true,
        ["Frostfire Sandals"] = true,
        ["Shipment to Stormwind"] = true,
        ["Anok'suten"] = true,
        ["Culling the Wild"] = true,
        ["Frostfire Belt"] = true,
        ["Note to William"] = true,
        ["Rest and Relaxation"] = true,
        ["Yorus Barleybrew"] = true,
        ["Solomon's Law"] = true,
        ["Report to Gryan Stoutmantle"] = true,
        ["Everything Counts In Large Amounts"] = true,
        ["Tiara of the Deep"] = true,
        ["Wanted: DWARVES!"] = true,
        ["Pursuing Terrorclaw"] = true,
        ["Thin the Flock"] = true,
        ["The Fargodeep Mine"] = true,
        ["Shutting Down Manaforge Duro"] = true,
        ["Harvesting the Fel Ammunition"] = true,
        ["Setting Up the Bomb"] = true,
        ["Ogre Thieves"] = true,
        ["Gaining Access"] = true,
        ["Eye of the Emberseer"] = true,
        ["Sigil of Trollbane"] = true,
        ["Pie for Billy"] = true,
        ["Noggenfogger Elixir"] = true,
        ["Blackfathom Villainy"] = true,
        ["Manhunt"] = true,
        ["Kobold Candles"] = true,
        ["Gold Dust Exchange"] = true,
        ["Further Concerns"] = true,
        ["Discover Rolf's Fate"] = true,
        ["The Barrens Port"] = true,
        ["Signet of the Unseen Path"] = true,
        ["The Lost Supplies"] = true,
        ["Wanted: Zorbo the Advisor"] = true,
        ["Confront Yeh'kinya"] = true,
        ["Starfall"] = true,
        ["Cloth and Leather Armor"] = true,
        ["Bounty on Murlocs"] = true,
        ["Hallowed Rune"] = true,
        ["Lard Lost His Lunch"] = true,
        ["Fungal Spores"] = true,
        ["Back to Billy"] = true,
        ["Mor'Ladim"] = true,
        ["Crystal Force"] = true,
        ["Gava'xi"] = true,
        ["Battle of Hillsbrad"] = true,
        ["Blackrock Bounty"] = true,
        ["To Netherwing Ledge!"] = true,
        ["Searching for Scout Jyoba"] = true,
        ["A Bundle of Trouble"] = true,
        ["Willix the Importer"] = true,
        ["The Crone of the Kraul"] = true,
        ["A Baying of Gnolls"] = true,
        ["The Darkreaver Menace"] = true,
        ["Blueleaf Tubers"] = true,
        ["A Vengeful Fate"] = true,
        ["The Horde Needs Rugged Leather!"] = true,
        ["Underground Assault"] = true,
        ["Red Silk Bandanas"] = true,
        ["Oh Brother. . ."] = true,
        ["Delivery to the North Sanctum"] = true,
        ["Ango'rosh Encroachment"] = true,
        ["Libram of Protection"] = true,
        ["Protecting the Shipment"] = true,
        ["Zanzil's Mixture and a Fool's Stout"] = true,
        ["Glyphed Oaken Branch"] = true,
        ["Wanted - Arnak Grimtotem"] = true,
        ["Marks of Sargeras"] = true,
        ["Trollbane is Looking for You"] = true,
        ["The Brassbolts Brothers"] = true,
        ["Legends of Maraudon"] = true,
        ["Crossroads Conscription"] = true,
        ["Wanted: Chieftain Mummaki"] = true,
        ["Bodley's Unfortunate Fate"] = true,
        ["The Only Cure is More Green Glow"] = true,
        ["Return to the Marsh"] = true,
        ["Goods from Silvermoon City"] = true,
        ["Cenarius' Legacy"] = true,
        ["I Was A Lot Of Things..."] = true,
        ["Salt Flat Venom"] = true,
        ["Sacred Fire"] = true,
        ["Juice Delivery"] = true,
        ["Message to the Daggerfen"] = true,
        ["The Name of the Beast"] = true,
        ["Rizzle's Schematics"] = true,
        ["Target: Hive'Regal Spitfires"] = true,
        ["Warlock Training"] = true,
        ["Mountain Giant Muisek"] = true,
        ["Craftsman's Writ - Wicked Leather Headband"] = true,
        ["News for Fizzle"] = true,
        ["Incendosaurs? Whateverosaur is More Like It"] = true,
        ["Message to Freewind Post"] = true,
        ["The Bloodmaul Ogres"] = true,
        ["Dispelling Evil"] = true,
        ["Curing the Sick"] = true,
        ["Report to Helgrum"] = true,
        ["Hidden Secrets"] = true,
        ["Corruption"] = true,
        ["Back to Darnassus"] = true,
        ["Dark Iron Scraps"] = true,
        ["Vindicator Aldar"] = true,
        ["Hypercapacitor Gizmo"] = true,
        ["Homeward Bound"] = true,
        ["Onin's Report"] = true,
        ["Shizz Work"] = true,
        ["Hive'Zora Scout Report"] = true,
        ["Continued Threat"] = true,
        ["Simple Rune"] = true,
        ["How to Break Into the Arcatraz"] = true,
        ["Eradicate the Burning Legion"] = true,
        ["Get the Gnomes Drunk"] = true,
        ["Mathias and the Defias"] = true,
        ["Returning the Favor"] = true,
        ["Grand Master Dumphry"] = true,
        ["The Strength of Corruption"] = true,
        ["Encrusted Tail Fins"] = true,
        ["Allegiance to Cenarion Circle"] = true,
        ["Above and Beyond"] = true,
        ["Band of Unending Life"] = true,
        ["Dwarven Outfitters"] = true,
        ["Target: Hive'Ashi Workers"] = true,
        ["Back to Booty Bay"] = true,
        ["Assassination Plot"] = true,
        ["Hive'Regal Scout Report"] = true,
        ["Xylem's Payment to Jediga"] = true,
        ["A Dip in the Moonwell"] = true,
        ["Silver Heart"] = true,
        ["The Essence of Aku'Mai"] = true,
        ["Proving Grounds"] = true,
        ["The Ring of Blood: Skra'gath"] = true,
        ["More Booty!"] = true,
        ["On Iron Pauldrons"] = true,
        ["Report to Sen'jin Village"] = true,
        ["The Horde Needs Mithril Bars!"] = true,
        ["The Art of the Armorsmith"] = true,
        ["Crystal Cluster"] = true,
        ["Ivus the Forest Lord"] = true,
        ["Exorcising the Trees"] = true,
        ["The Stones of Vekh'nir"] = true,
        ["Grimtotem Spying"] = true,
        ["Khan Dez'hepah"] = true,
        ["Larion and Muigin"] = true,
        ["A Gallon of Blood"] = true,
        ["Hero of the Stormpike"] = true,
        ["When the Cows Come Home"] = true,
        ["Enemy Booty"] = true,
        ["Empty Stables"] = true,
        ["A Hero's Welcome"] = true,
        ["Capture a Mine"] = true,
        ["Call of Air - Vipore's Fleet"] = true,
        ["Call of Air - Slidore's Fleet"] = true,
        ["Alther's Mill"] = true,
        ["Call of Air - Guse's Fleet"] = true,
        ["Call of Air - Ichman's Fleet"] = true,
        ["Brotherly Love"] = true,
        ["Gerenzo's Orders"] = true,
        ["Familiar Fungi"] = true,
        ["Pay the Baron a Visit"] = true,
        ["Test of Faith"] = true,
        ["The Key to Freedom"] = true,
        ["Ancient Sinew Wrapped Lamina"] = true,
        ["The Mystery of Morrowgrain"] = true,
        ["Morrowgrain to Feathermoon Stronghold"] = true,
        ["Single Firewing Signet"] = true,
        ["Serpentbloom"] = true,
        ["The Bloodcursed Naga"] = true,
        ["Twilight Marauders"] = true,
        ["The Red Messenger"] = true,
        ["The Mindless Ones"] = true,
        ["More than a Pound of Flesh"] = true,
        ["Iverron's Antidote"] = true,
        ["The Bearer of Bad News"] = true,
        ["The Damned"] = true,
        ["Scavenging Deathknell"] = true,
        ["Agamand Heirlooms"] = true,
        ["Cape of Eternal Justice"] = true,
        ["A Friend in Need"] = true,
        ["More Irradiated Crystal Shards"] = true,
        ["Perfect Yeti Hide"] = true,
        ["Night Web's Hollow"] = true,
        ["Linken's Sword"] = true,
        ["A Rogue's Deal"] = true,
        ["Waking Legends"] = true,
        ["Ledger from Tanaris"] = true,
        ["Assisting the Consortium"] = true,
        ["Abjurist Belmara"] = true,
        ["The Hand of Gul'dan"] = true,
        ["The Terror of Marshlight Lake"] = true,
        ["What the Wind Carries"] = true,
        ["Sporeggar"] = true,
        ["Triage"] = true,
        ["Power over Poison"] = true,
        ["Escape Through Stealth"] = true,
        ["Horde Trauma"] = true,
        ["Alliance Trauma"] = true,
        ["Back to the Chief!"] = true,
        ["Unfortunate Measures"] = true,
        ["The Changing of Paths - Conqueror No More"] = true,
        ["Glyphic Letter"] = true,
        ["Inquire at the Inn"] = true,
        ["Secret of the Circle"] = true,
        ["Final Passage"] = true,
        ["Natural Remedies"] = true,
        ["The Encroaching Wilderness"] = true,
        ["Malaise"] = true,
        ["Gryphon Master Talonaxe"] = true,
        ["Fiery Menace!"] = true,
        ["Craftsman's Writ - Thorium Grenade"] = true,
        ["Package Recovery"] = true,
        ["Felendren the Banished"] = true,
        ["The Ancient Egg"] = true,
        ["Shutting Down Manaforge B'naar"] = true,
        ["Nugget Slugs"] = true,
        ["Guarding Secrets"] = true,
        ["Aiding the Outrunners"] = true,
        ["Supplies to Auberdine"] = true,
        ["An Unnatural Drought"] = true,
        ["The Archivist"] = true,
        ["Aggression"] = true,
        ["Tharnariun's Hope"] = true,
        ["Vibrant Plumes"] = true,
        ["Copper Modulator"] = true,
        ["Neeru Fireblade"] = true,
        ["Suntara Stones"] = true,
        ["Well of Corruption"] = true,
        ["To Show Due Judgment"] = true,
        ["The Eyes of Grillok"] = true,
        ["The Second Trial"] = true,
        ["The First Trial"] = true,
        ["Missing Crystals"] = true,
        ["The Blood-Tempered Ranseur"] = true,
        ["Seeking the Kor Gem"] = true,
        ["Windroc Mastery"] = true,
        ["Blisters on The Land"] = true,
        ["Operation Recombobulation"] = true,
        ["Warrior Kinship"] = true,
        ["Long Forgotten Memories"] = true,
        ["Blood Tinged Skies"] = true,
        ["Wheel of the Black March"] = true,
        ["Venom Bottles"] = true,
        ["Paladin Training"] = true,
        ["A Troubled Spirit"] = true,
        ["Not On My Watch!"] = true,
        ["Jol"] = true,
        ["Delivery to Silverpine Forest"] = true,
        ["Forging the Shaft"] = true,
        ["Mastering the Elements"] = true,
        ["Goblin Invaders"] = true,
        ["Grimand's Finest Work"] = true,
        ["Craftsman's Writ - Huge Thorium Battleaxe"] = true,
        ["Ice Thistle E'ko"] = true,
        ["Forging the Mightstone"] = true,
        ["Spellfire Robes"] = true,
        ["Seeing What Happens"] = true,
        ["Emphasis on Sacrifice"] = true,
        ["Ram Hide Harnesses"] = true,
        ["Myzrael's Allies"] = true,
        ["Garments of the Moon"] = true,
        ["Target: Dalson's Tears"] = true,
        ["The Flesh Does Not Lie"] = true,
        ["A Map to Where?"] = true,
        ["Blessed Arcanite Barding"] = true,
        ["Craftsman's Writ - Thorium Tube"] = true,
        ["The Unmarred Vision of Voodress"] = true,
        ["Sceptre of Light"] = true,
        ["The Savage Guard - Arcanum of Protection"] = true,
        ["Gavel of Infinite Wisdom"] = true,
        ["Blessed Arm"] = true,
        ["Skulk Rock Clean-up"] = true,
        ["The Jewel of Kajaro"] = true,
        ["The All-Seeing Eye of Zuldazar"] = true,
        ["Prophetic Aura"] = true,
        ["Paragons of Power: The Vindicator's Breastplate"] = true,
        ["Bandits!"] = true,
        ["Of Coursers We Know"] = true,
        ["Betrayed"] = true,
        ["Excelsior"] = true,
        ["Paragons of Power: The Predator's Mantle"] = true,
        ["Crocolisk Boy and the Bearded Murloc"] = true,
        ["The Corruption of the Jadefire"] = true,
        ["Paragons of Power: The Madcap's Tunic"] = true,
        ["Paragons of Power: The Madcap's Mantle"] = true,
        ["Horde Presence"] = true,
        ["Paragons of Power: The Madcap's Bracers"] = true,
        ["Craftsman's Writ - Dense Weightstone"] = true,
        ["Journey to the Marsh"] = true,
        ["The Cryo-Core"] = true,
        ["Job Opening: Guard Captain of Revantusk Village"] = true,
        ["Paragons of Power: The Illusionist's Robes"] = true,
        ["Return to Shattrath"] = true,
        ["Paragons of Power: The Freethinker's Belt"] = true,
        ["Attack on Zeb'Tela"] = true,
        ["Uncatalogued Species"] = true,
        ["Dead-tooth Jack"] = true,
        ["What the Flux?"] = true,
        ["Rescue Deirom!"] = true,
        ["Gyrodrillmatic Excavationators"] = true,
        ["Rogues of the Shattered Hand"] = true,
        ["Paragons of Power: The Demoniac's Wraps"] = true,
        ["Paragons of Power: The Demoniac's Robes"] = true,
        ["The Power to Destroy..."] = true,
        ["Ethereum Data"] = true,
        ["What Comes Around..."] = true,
        ["Journey into Thunder Bluff"] = true,
        ["Book of the Ancients"] = true,
        ["Hilary's Necklace"] = true,
        ["Paragons of Power: The Confessor's Bindings"] = true,
        ["Paragons of Power: The Augur's Bracers"] = true,
        ["Summoner Kanthin's Prize"] = true,
        ["Deliver the Plans to An'telas"] = true,
        ["A Dark Pact"] = true,
        ["Nat's Measuring Tape"] = true,
        ["The Newest Member of the Family"] = true,
        ["Hoodoo Hex"] = true,
        ["Falcon's Call"] = true,
        ["Avenge My Village"] = true,
        ["A Collection of Heads"] = true,
        ["A Bijou for Zanza"] = true,
        ["Leader of the Darkcrest"] = true,
        ["Ur's Treatise on Shadow Magic"] = true,
        ["The Will of the Warchief"] = true,
        ["Ivar the Foul"] = true,
        ["Tear of the Earthmother"] = true,
        ["The Longbeards"] = true,
        ["Restoring Fiery Flux Supplies via Kingsblood"] = true,
        ["Seal of Ascension"] = true,
        ["Enchanted Thorium Platemail: Volume III"] = true,
        ["Lords of the Council"] = true,
        ["Put Her Down"] = true,
        ["Shutting Down Manaforge Ara"] = true,
        ["Oculus Illusions"] = true,
        ["Mother's Milk"] = true,
        ["Message to Maxwell"] = true,
        ["Venom to the Undercity"] = true,
        ["Mayara Brightwing"] = true,
        ["More Obsidian Warbeads"] = true,
        ["Maxwell's Mission"] = true,
        ["The Shattered Necklace"] = true,
        ["Fire Taboo"] = true,
        ["Retribution of the Light"] = true,
        ["General Drakkisath's Demise"] = true,
        ["General Drakkisath's Command"] = true,
        ["More Warbeads!"] = true,
        ["The Master's Grand Design?"] = true,
        ["The Alliance Needs Runecloth Bandages!"] = true,
        ["The Dead Fields"] = true,
        ["En-Ay-Es-Tee-Why"] = true,
        ["The Corpulent One"] = true,
        ["Egg Freezing"] = true,
        ["Egg Collection"] = true,
        ["The Rise of the Machines"] = true,
        ["Ishamuhale"] = true,
        ["Drakefire Amulet"] = true,
        ["The Princess Saved?"] = true,
        ["Dreamwalker Spaulders"] = true,
        ["Beached Sea Turtle"] = true,
        ["Craftsman's Writ - Stonescale Eel"] = true,
        ["Down With Daellis"] = true,
        ["Delivery to Ridgewell"] = true,
        ["Solution to Doom"] = true,
        ["Stinking Up Southshore"] = true,
        ["The Heart of the Mountain"] = true,
        ["The Corruption Abroad"] = true,
        ["The Harvester"] = true,
        ["Thunderaan the Windseeker"] = true,
        ["Vision Guide"] = true,
        ["Bijou's Reconnaissance Report"] = true,
        ["The Atal'ai Exile"] = true,
        ["The Dying Balance"] = true,
        ["Wildmane Cleansing"] = true,
        ["Securing the Lines"] = true,
        ["Bijou's Belongings"] = true,
        ["War Banners"] = true,
        ["Disruption - Forge Camp: Mageddon"] = true,
        ["Tramping Paws"] = true,
        ["The Third Fleet"] = true,
        ["The Thandol Span"] = true,
        ["The Search Continues"] = true,
        ["Mending Old Wounds"] = true,
        ["The Eye of Paleth"] = true,
        ["The Dark Iron War"] = true,
        ["The Cursed Crew"] = true,
        ["Saving Sharpbeak"] = true,
        ["Report to Mountaineer Rockgar"] = true,
        ["Ending the Bloodcurse"] = true,
        ["Report to Captain Stoutfist"] = true,
        ["Reclaiming Goods"] = true,
        ["Plea To The Alliance"] = true,
        ["Ormer's Revenge"] = true,
        ["Massacre at Gruul's Lair"] = true,
        ["Essence of the Exile"] = true,
        ["Nek'rosh's Gambit"] = true,
        ["The Ogre Threat"] = true,
        ["Falling to Corruption"] = true,
        ["Fresh Meat"] = true,
        ["Centaur Bounty"] = true,
        ["Lifting the Curse"] = true,
        ["The Demon Seed"] = true,
        ["In Search of The Excavation Team"] = true,
        ["The Ashtongue Corruptors"] = true,
        ["Winds in the Desert"] = true,
        ["Nefarius's Corruption"] = true,
        ["Theldurin the Lost"] = true,
        ["Fiora Longears"] = true,
        ["Grimand Elmore"] = true,
        ["Extinguishing the Idol"] = true,
        ["Daily Delivery"] = true,
        ["Cleansing of the Orb of Orahil"] = true,
        ["Claws from the Deep"] = true,
        ["More Crystal Fragments"] = true,
        ["The Carevin Family"] = true,
        ["The Monogrammed Sash"] = true,
        ["Marauders of Darrowshire"] = true,
        ["Arcane Instability"] = true,
        ["Warlord Sriss'tiz"] = true,
        ["A King's Tribute"] = true,
        ["Full Triangle"] = true,
        ["Tree's Company"] = true,
        ["Forge Camp: Mageddon"] = true,
        ["Totem of Yor"] = true,
        ["Return to Kristoff"] = true,
        ["Totem of Vark"] = true,
        ["Totem of Tikti"] = true,
        ["Proof of Demise"] = true,
        ["All Clear!"] = true,
        ["Passing Word of a Threat"] = true,
        ["The Unending Invasion"] = true,
        ["Infiltrating Dragonmaw Fortress"] = true,
        ["The Great Moongraze Hunt"] = true,
        ["Ortor My Old Friend..."] = true,
        ["Fulgor Spores"] = true,
        ["Stillpine Hold"] = true,
        ["Felsworn Gas Mask"] = true,
        ["Show Gnomercy"] = true,
        ["Rune Covered Tablet"] = true,
        ["Reclaiming the Ruins"] = true,
        ["Wanted: \"Hogger\""] = true,
        ["Umbrafen Eel Filets"] = true,
        ["Murlocs... Why Here? Why Now?"] = true,
        ["Celebrating Good Times"] = true,
        ["Medicinal Purpose"] = true,
        ["Creating the Pendant"] = true,
        ["Learning the Language"] = true,
        ["The Alliance Needs Light Leather!"] = true,
        ["Report to Splintertree Post"] = true,
        ["The Pariah's Instructions"] = true,
        ["The Sunfury Garrison"] = true,
        ["Hallowed Letter"] = true,
        ["Goretusk Liver Pie"] = true,
        ["Find Acteon!"] = true,
        ["Elekks Are Serious Business"] = true,
        ["The Ultimate Deception"] = true,
        ["Cookie's Jumbo Gumbo"] = true,
        ["Brann Bronzebeard's Lost Letter"] = true,
        ["Washte Pawne"] = true,
        ["Ink Supplies"] = true,
        ["Bungle in the Jungle"] = true,
        ["The Purest Water"] = true,
        ["A Cry For Help"] = true,
        ["You're a Mean One..."] = true,
        ["Helping the Lost Find Their Way"] = true,
        ["A Final Blow"] = true,
        ["The Reason for the Season"] = true,
        ["Frostfire Leggings"] = true,
        ["The Feast of Winter Veil"] = true,
        ["Ruined Kegs"] = true,
        ["Contact from Dalaran"] = true,
        ["New Year Celebrations!"] = true,
        ["A New Ore Sample"] = true,
        ["The Cipher of Damnation - Grom'tor's Charge"] = true,
        ["Metzen the Reindeer"] = true,
        ["Honoring a Hero"] = true,
        ["Greatfather Winter is Here!"] = true,
        ["Vilebranch Hooligans"] = true,
        ["Flexing for Nougat"] = true,
        ["Ineptitude + Chemicals = Fun"] = true,
        ["Arathor Basic Care Package"] = true,
        ["Alien Spirits"] = true,
        ["Rin'ji is Trapped!"] = true,
        ["Bleeding Hollow Supply Crates"] = true,
        ["The World At Your Feet"] = true,
        ["The Decisive Striker"] = true,
        ["The Old Ways"] = true,
        ["Diplomatic Measures"] = true,
        ["Only One May Rise"] = true,
        ["Burning Shadows"] = true,
        ["The Mithril Kid"] = true,
        ["Galaen's Fate"] = true,
        ["Doras the Wind Rider Master"] = true,
        ["Death From Below"] = true,
        ["The Art of the Imbue"] = true,
        ["Restoring Sanctity"] = true,
        ["Pyrewood Ambush"] = true,
        ["Gather the Orbs"] = true,
        ["Supplying the Front"] = true,
        ["Cryptstalker Boots"] = true,
        ["Pick Your Part"] = true,
        ["Imperial Plate Shoulders"] = true,
        ["Unruly Neighbors"] = true,
        ["Fragmented Magic"] = true,
        ["Calling in the Reserves"] = true,
        ["Saving the Best for Last"] = true,
        ["The Princess's Surprise"] = true,
        ["Road to Salvation"] = true,
        ["A Burden of Souls"] = true,
        ["Shadumbra's Head"] = true,
        ["Speaking of Fortitude"] = true,
        ["Imperial Plate Boots"] = true,
        ["Ogre Head On A Stick = Party"] = true,
        ["FIFTY! YEP!"] = true,
        ["Grimscale Pirates!"] = true,
        ["Horns of Frenzy"] = true,
        ["Agitated Spirits of Skysong"] = true,
        ["Marking the Path"] = true,
        ["Cho'war the Pillager"] = true,
        ["Return to Chromie"] = true,
        ["Cenarion Aid"] = true,
        ["Amani Encroachment"] = true,
        ["Observing the Sporelings"] = true,
        ["Return to the Blasted Lands"] = true,
        ["Indurium Ore"] = true,
        ["Booty Bay or Bust!"] = true,
        ["Silkwing Cocoons"] = true,
        ["Elanaria"] = true,
        ["Gaffer Jacks"] = true,
        ["A Blue Light Bargain"] = true,
        ["Whirlwind Weapon"] = true,
        ["Bingles' Missing Supplies"] = true,
        ["Shard of an Infernal"] = true,
        ["Redeeming the Dead"] = true,
        ["War on the Shadowsworn"] = true,
        ["Beads for Salfa"] = true,
        ["Gryth Thurden"] = true,
        ["Veteran Uzzek"] = true,
        ["Split Bone Necklace"] = true,
        ["Cenarion Battlegear"] = true,
        ["The Public Servant"] = true,
        ["Glowing Scorpid Blood"] = true,
        ["The Fall of Ameth'Aran"] = true,
        ["Trial at the Field of Giants"] = true,
        ["Centaur Bracers"] = true,
        ["Into the Dream"] = true,
        ["Tormus Deepforge"] = true,
        ["Making Sense of It"] = true,
        ["The Dead Scar"] = true,
        ["A Cleansing Light"] = true,
        ["The Shieldsmith"] = true,
        ["Blackmoore's Legacy"] = true,
        ["Isha Awak"] = true,
        ["The Boha'mu Ruins"] = true,
        ["The Shade of Elura"] = true,
        ["Reagents for Reclaimers Inc."] = true,
        ["Dealing with the Overmaster"] = true,
        ["Securing the Shaleskin Shale"] = true,
        ["The Rethban Gauntlet"] = true,
        ["Wanted: Thaelis the Hungerer"] = true,
        ["A Dandy's Best Friend"] = true,
        ["Strength of One"] = true,
        ["Trial and Error"] = true,
        ["Components of Importance"] = true,
        ["The Alliance Needs Medium Leather!"] = true,
        ["Simple Tablet"] = true,
        ["Culling the Flutterers"] = true,
        ["The Sporelings' Plight"] = true,
        ["The Elusive Ironjaw"] = true,
        ["In Favor of the Light"] = true,
        ["Dealing with the Foreman"] = true,
        ["Simple Parchment"] = true,
        ["The Price of Shoes"] = true,
        ["Speak with Deino"] = true,
        ["Simple Letter"] = true,
        ["Heavy Grinding Stone"] = true,
        ["Vengeance on the Northspring"] = true,
        ["Mathiel's Armor"] = true,
        ["Marshal Haggard"] = true,
        ["Bring Me The Egg!"] = true,
        ["Klockmort's Creation"] = true,
        ["Klockmort Spannerspan"] = true,
        ["More Firewing Signets"] = true,
        ["Betrayal from Within"] = true,
        ["Rather Be Fishin'"] = true,
        ["The Windwatcher"] = true,
        ["Green Fireworks"] = true,
        ["Heirloom Weapon"] = true,
        ["An Audacious Advance"] = true,
        ["Bonescythe Pauldrons"] = true,
        ["Target: Hive'Zora Waywatchers"] = true,
        ["In Pursuit of Featherbeard"] = true,
        ["Grey Iron Weapons"] = true,
        ["Forged Steel"] = true,
        ["The Mark of the Lightbringer"] = true,
        ["Replacement Phial"] = true,
        ["Chimaeric Horn"] = true,
        ["Burning Blood"] = true,
        ["Cryptstalker Armor Doesn't Make Itself..."] = true,
        ["The Tower of Althalaxx"] = true,
        ["Gyromast's Retrieval"] = true,
        ["An Old Colleague"] = true,
        ["Brutal Legguards"] = true,
        ["Krom'Grul"] = true,
        ["Help Ranger Valanna!"] = true,
        ["The Defias Brotherhood"] = true,
        ["Volunteer's Battlegear"] = true,
        ["Stones of Binding"] = true,
        ["Khadgar"] = true,
        ["Searching for the Lost Satchel"] = true,
        ["Brutal Hauberk"] = true,
        ["Desperate Prayer"] = true,
        ["Aldor No More"] = true,
        ["Beat Bartleby"] = true,
        ["Gordunni Cobalt"] = true,
        ["An Unwelcome Guest"] = true,
        ["The Only Song I Know..."] = true,
        ["Your Place In The World"] = true,
        ["Thazz'ril's Pick"] = true,
        ["A Shifty Merchant"] = true,
        ["Speaking with Nezzliok"] = true,
        ["Sarkoth"] = true,
        ["Establishing New Outposts"] = true,
        ["Components for the Enchanted Gold Bloodrobe"] = true,
        ["Cutting Teeth"] = true,
        ["The Balance of Nature"] = true,
        ["Burning Blade Medallion"] = true,
        ["Proving Your Strength"] = true,
        ["A Job Undone"] = true,
        ["Unexpected Results"] = true,
        ["The Testament of Rexxar"] = true,
        ["Illidari Bane Shard"] = true,
        ["Blood Watch"] = true,
        ["Return to the Greatmother"] = true,
        ["Deathstalkers in Shadowfang"] = true,
        ["Summon Felsteed"] = true,
        ["Strange Alliance"] = true,
        ["Search for Tyranis"] = true,
        ["Return to Vahlarriel"] = true,
        ["More Warbeads"] = true,
        ["The Great Retribution"] = true,
        ["Other Fish to Fry "] = true,
        ["Ongeku"] = true,
        ["Fall From Grace"] = true,
        ["Khan Shaka"] = true,
        ["Khan Jehn"] = true,
        ["Sigil of Strom"] = true,
        ["Hand of Iruxos"] = true,
        ["Ascension..."] = true,
        ["Reinforcements for Garadar"] = true,
        ["Get Me Out of Here!"] = true,
        ["Morbent Fel"] = true,
        ["Against the Legion"] = true,
        ["Gelkis Alliance"] = true,
        ["The Agitated Ancestors"] = true,
        ["Down the Scarlet Path"] = true,
        ["Twilight Battle Orders"] = true,
        ["Time To Strike"] = true,
        ["Bloodgem Crystals"] = true,
        ["More Marks of Sargeras"] = true,
        ["Broken Tears"] = true,
        ["Paragons of Power: The Confessor's Mantle"] = true,
        ["Darkmoon Warlords Deck"] = true,
        ["Bodyguard for Hire "] = true,
        ["Wanted: Maggot Eye"] = true,
        ["The Prodigal Lich Returns"] = true,
        ["Imbuing the Headpiece"] = true,
        ["Crown of the Earth"] = true,
        ["Rare Fish - Brownell's Blue Striped Racer"] = true,
        ["The Force of Neltharaku"] = true,
        ["Craftsman's Writ - Greater Arcane Protection Potion"] = true,
        ["The Family Crypt"] = true,
        ["Rampaging Ravagers"] = true,
        ["The Basilisk's Bite"] = true,
        ["Spectrecles"] = true,
        ["Return to the Magistrate"] = true,
        ["Missing Mag'hari Procession"] = true,
        ["Supplies for Nethergarde"] = true,
        ["The Hand of Rastakhan"] = true,
        ["Scepter of the Council"] = true,
        ["The Prophecy of Velen"] = true,
        ["Graverobbers"] = true,
        ["Petty Squabbles"] = true,
        ["Forsaken Duties"] = true,
        ["Curse of the Violet Tower"] = true,
        ["Blessings of the Ancients"] = true,
        ["Rhapsody Shindigger"] = true,
        ["Doom Weed"] = true,
        ["Deaths in the Family"] = true,
        ["Apothecary Zelana"] = true,
        ["Standards and Practices"] = true,
        ["Deathdealer's Helm"] = true,
        ["The Great Masquerade"] = true,
        ["The Fallen Courier"] = true,
        ["A Putrid Task"] = true,
        ["A Plague Upon Thee"] = true,
        ["A New Plague"] = true,
        ["The Fall of Kel'Thuzad"] = true,
        ["Deathdealer's Vest"] = true,
        ["Dreamwalker Boots"] = true,
        ["Lakota'mani"] = true,
        ["Speak with Shoni"] = true,
        ["Return to Ironforge"] = true,
        ["Tribes at War"] = true,
        ["Reclaimers' Business in Desolace"] = true,
        ["Forgotten Rituals"] = true,
        ["Messenger to Stormwind"] = true,
        ["Spirit of the Boar"] = true,
        ["Bashal'Aran"] = true,
        ["James Hyal"] = true,
        ["The Mighty U'cha"] = true,
        ["Burn It Up... For the Horde!"] = true,
        ["Tainted Memorandum"] = true,
        ["Razormaw"] = true,
        ["Summoning the Princess"] = true,
        ["Damning Evidence"] = true,
        ["Report to Nazgrel"] = true,
        ["Arcane Runes"] = true,
        ["Lieutenant Paval Reethe"] = true,
        ["The Swarm Grows"] = true,
        ["The Lost Tablets of Mosh'aru"] = true,
        ["Gathering Materials"] = true,
        ["A Little Slime Goes a Long Way"] = true,
        ["Spirits of the Feralfen"] = true,
        ["Plagued Hatchlings"] = true,
        ["Redemption Handguards"] = true,
        ["Kirtonos the Herald"] = true,
        ["Healthy Dragon Scale"] = true,
        ["Ironband Wants You!"] = true,
        ["Betina Bigglezink"] = true,
        ["Dreadnaught Pauldrons"] = true,
        ["Barov Family Fortune"] = true,
        ["Undercutting the Competition"] = true,
        ["Look To The Stars"] = true,
        ["Someone Else's Hard Work Pays Off"] = true,
        ["Samophlange"] = true,
        ["Surrender to the Horde"] = true,
        ["The Hunter's Way"] = true,
        ["Errand for Apothecary Zinge"] = true,
        ["Snickerfang Jowls"] = true,
        ["Encrypted Rune"] = true,
        ["Sharing the Land"] = true,
        ["Deliver the Gems"] = true,
        ["Genesis Vest"] = true,
        ["Cannons of Rage"] = true,
        ["Trolls of a Feather"] = true,
        ["Craftsman's Writ - Major Healing Potion"] = true,
        ["Paragons of Power: The Confessor's Wraps"] = true,
        ["Speak with Jennea"] = true,
        ["Dangers of the Windfury"] = true,
        ["Tran'rek"] = true,
        ["The Cenarion Expedition"] = true,
        ["Sharing the Knowledge"] = true,
        ["A Question of Gluttony"] = true,
        ["Truth or Fiction"] = true,
        ["The Big Bone Worm"] = true,
        ["Counterattack!"] = true,
        ["Recipe of the Kaldorei"] = true,
        ["The Traitor's Shadow"] = true,
        ["Weapons of Elunite"] = true,
        ["A Strange Request"] = true,
        ["Frostfire Bindings"] = true,
        ["Letter to Stormpike"] = true,
        ["A Hunter's Boast"] = true,
        ["Diaphanous Wings"] = true,
        ["Smart Drinks"] = true,
        ["The Scarlet Crusade"] = true,
        ["Nara Wildmane"] = true,
        ["Sentinel Advanced Care Package"] = true,
        ["Duke Nicholas Zverenhoff"] = true,
        ["Defenders of Darrowshire"] = true,
        ["Etched Note"] = true,
        ["Infallible Mind"] = true,
        ["Devourer of Souls"] = true,
        ["Deviate Hides"] = true,
        ["Tribal Leatherworking"] = true,
        ["Valik"] = true,
        ["Dreadnaught Helmet"] = true,
        ["Of Forgotten Memories"] = true,
        ["WANTED: Syndicate Personnel"] = true,
        ["Losing Gracefully"] = true,
        ["Hardened Shells"] = true,
        ["Brutal Politics"] = true,
        ["Concerns About Tuurem"] = true,
        ["The Hammer May Fall"] = true,
        ["Stormwind Ho!"] = true,
        ["Skymistress Gloaming"] = true,
        ["Uniting the Shattered Amulet"] = true,
        ["The Torch of Retribution"] = true,
        ["Stone Tokens"] = true,
        ["Dark Storms"] = true,
        ["Report to Tarren Mill"] = true,
        ["Reassignment"] = true,
        ["Prison Break In"] = true,
        ["The Divination Scryer"] = true,
        ["The Befouled Element"] = true,
        ["Altruis"] = true,
        ["Army of the Black Dragon"] = true,
        ["Neutralizing the Nethermancers"] = true,
        ["Humbert's Sword"] = true,
        ["Fallen Sky Lake"] = true,
        ["Essential Artificials"] = true,
        ["Counting Out Time"] = true,
        ["The Archmage's Staff"] = true,
        ["Farren's Proof"] = true,
        ["Elixir of Pain"] = true,
        ["Report to Captain Helios"] = true,
        ["Dreadsteed of Xoroth"] = true,
        ["Calm Before the Storm"] = true,
        ["Culinary Crunch"] = true,
        ["Reception from Tyrande"] = true,
        ["Elixir of Agony"] = true,
        ["Dangerous!"] = true,
        ["Bracers of Binding"] = true,
        ["Trollbane"] = true,
        ["A Warm Welcome"] = true,
        ["Seed of Life"] = true,
        ["Testing the Tonic"] = true,
        ["Simple Note"] = true,
        ["Yuka Screwspigot"] = true,
        ["More Wastewander Justice"] = true,
        ["Vivian Lagrave"] = true,
        ["Target: Hive'Ashi Stingers"] = true,
        ["The Spectral Chalice"] = true,
        ["Collecting Memories"] = true,
        ["The People's Militia"] = true,
        ["Overlord"] = true,
        ["The Twilight Mystery"] = true,
        ["Blood of the Black Dragon Champion"] = true,
        ["Invaluable Asset Zapping"] = true,
        ["Jarl Needs a Blade"] = true,
        ["The Eastern Kingdoms"] = true,
        ["Salvaging the Data"] = true,
        ["A Simple Request"] = true,
        ["Ribbly Screwspigot"] = true,
        ["A Lost Master"] = true,
        ["Ragnar Thunderbrew"] = true,
        ["Marshal Windsor"] = true,
        ["Of Love and Family"] = true,
        ["Lost Thunderbrew Recipe"] = true,
        ["Trek to Ashenvale"] = true,
        ["Hands of the Enemy"] = true,
        ["KILL ON SIGHT: Dark Iron Dwarves"] = true,
        ["To Catch A Thistlehead"] = true,
        ["The Jeremiah Blues"] = true,
        ["A New Threat"] = true,
        ["From the Ashes"] = true,
        ["Skirmish at Echo Ridge"] = true,
        ["Stolen Booty"] = true,
        ["Disharmony of Fire"] = true,
        ["Dark Iron Legacy"] = true,
        ["Commander Gor'shak"] = true,
        ["A Crumpled Up Note"] = true,
        ["A Binding Contract"] = true,
        ["What Argus Means to Me"] = true,
        ["Fallen Sky Lords"] = true,
        ["Jyoba's Report"] = true,
        ["The Bear Necessities"] = true,
        ["Warp-Raider Nesaad"] = true,
        ["S-A-B-O-T-A-G-E"] = true,
        ["Unlocking the Compendium"] = true,
        ["The Great Fras Siabi"] = true,
        ["The Horde Needs Firebloom!"] = true,
        ["Consecrated Rune"] = true,
        ["Dragonkin Menace"] = true,
        ["Becoming a Parent"] = true,
        ["The Kurken is Lurkin'"] = true,
        ["Rat Catching"] = true,
        ["Gurf's Dignity"] = true,
        ["The Minions of Culuthas"] = true,
        ["The Horrors of Pollution"] = true,
        ["Scouring the Desert"] = true,
        ["Wild Leather Helmet"] = true,
        ["The Best Defense"] = true,
        ["Sharptalon's Claw"] = true,
        ["A Swift Message"] = true,
        ["That Little Extra Kick"] = true,
        ["Morrowgrain to Thunder Bluff"] = true,
        ["Lord Banehollow"] = true,
        ["Testing the Prototype"] = true,
        ["Teleport This!"] = true,
        ["Morgan Ladimore"] = true,
        ["Sunfury Briefings"] = true,
        ["Stealth Flight"] = true,
        ["Host of the Hidden City"] = true,
        ["Socrethar's Shadow"] = true,
        ["Demonic Crystal Prisons"] = true,
        ["Completing the Delivery"] = true,
        ["Securing the Celestial Ridge"] = true,
        ["Sabotage the Warp-Gate!"] = true,
        ["Wanted: Annihilator Servo!"] = true,
        ["Request for Assistance"] = true,
        ["Priest Training"] = true,
        ["Report to Engineering"] = true,
        ["Dreamwalker Legguards"] = true,
        ["Recipe for Destruction"] = true,
        ["I Got Nothin' Left!"] = true,
        ["Speak with Un'thuwa"] = true,
        ["War on Deatholme"] = true,
        ["Disharmony of Flame"] = true,
        ["Seek Out Neltharaku"] = true,
        ["Noxious Lair Investigation"] = true,
        ["Cycle of Rebirth"] = true,
        ["In Search of Galvan"] = true,
        ["The Absent Minded Prospector"] = true,
        ["On Nethery Wings"] = true,
        ["Nexus-King Salhadaar"] = true,
        ["New Opportunities"] = true,
        ["Escape Through Force"] = true,
        ["Scaring Shaky"] = true,
        ["Wanted: Giselda the Crone"] = true,
        ["The Way of the Weaponsmith"] = true,
        ["Return to Silvermoon"] = true,
        ["Flash Bomb Recipe"] = true,
        ["High Chief Winterfall"] = true,
        ["Measuring Warp Energies"] = true,
        ["Draenethyst Crystals"] = true,
        ["Love Song for Narain"] = true,
        ["Gann's Reclamation"] = true,
        ["Destroy the Legion"] = true,
        ["Keeping Up Appearances"] = true,
        ["Target: Hive'Zora Reavers"] = true,
        ["Broodling Essence"] = true,
        ["The Elder Crone"] = true,
        ["Vile Satyr! Dryads in Danger!"] = true,
        ["Down the Dead Scar"] = true,
        ["Tharil'zun"] = true,
        ["A Gesture of Goodwill"] = true,
        ["A Fine Mess"] = true,
        ["Krasus's Compendium"] = true,
        ["Killing the Crawlers"] = true,
        ["Kick Them While They're Down"] = true,
        ["The Underneath"] = true,
        ["Ishanah's Help"] = true,
        ["Information Gathering"] = true,
        ["Olemba Seed Oil"] = true,
        ["Divination: Gorefiend's Truncheon"] = true,
        ["A Lingering Suspicion"] = true,
        ["In Search of Farahlite"] = true,
        ["Speak to Salfa"] = true,
        ["Don't Kill the Fat One"] = true,
        ["Jonespyre's Request"] = true,
        ["Getting Down to Business"] = true,
        ["Prospector Balmoral"] = true,
        ["Hero of the Sin'dorei"] = true,
        ["Finding the Keymaster"] = true,
        ["Swift Discipline"] = true,
        ["Land Ho!"] = true,
        ["Eating Damnation"] = true,
        ["Saving Princess Stillpine"] = true,
        ["Curse These Fat Fingers"] = true,
        ["Elemental Power Extraction"] = true,
        ["Audience with the Prophet"] = true,
        ["Drijya Needs Your Help"] = true,
        ["Doomrigger's Clasp"] = true,
        ["The Cipher of Damnation - The Third Fragment Recovered"] = true,
        ["Dimensius the All-Devouring"] = true,
        ["The Stone Watcher"] = true,
        ["Deal With the Saboteurs"] = true,
        ["Items of Power"] = true,
        ["The Stones That Bind Us"] = true,
        ["Destroy Naberius!"] = true,
        ["Delivering the Message"] = true,
        ["Saving the Sporeloks"] = true,
        ["Conjurer Luminrath"] = true,
        ["Bone-Bladed Weapons"] = true,
        ["The Forsaken"] = true,
        ["The Completed Orb of Noh'Orahil"] = true,
        ["Anthion's Strange Request"] = true,
        ["Capturing the Phylactery"] = true,
        ["A Humble Task"] = true,
        ["Journey to Astranaar"] = true,
        ["Salvaging the Past"] = true,
        ["Captain Tyralius"] = true,
        ["Deliver the Shipment"] = true,
        ["Building a Perimeter"] = true,
        ["Searching for Galaen"] = true,
        ["The Haunted Isle"] = true,
        ["Bloody Imp-ossible!"] = true,
        ["Elemental War"] = true,
        ["Gakin's Summons"] = true,
        ["The Missing Survey Team"] = true,
        ["Nogg's Ring Redo"] = true,
        ["It's Dangerous to Go Alone"] = true,
        ["Corki's Ransom"] = true,
        ["Call to Arms"] = true,
        ["A Pilgrim's Plight"] = true,
        ["More Fertile Spores"] = true,
        ["Brutal Armor"] = true,
        ["Shrouded in Nightmare"] = true,
        ["A Promising Start"] = true,
        ["Report to Zor"] = true,
        ["A Gift for Voren'thal"] = true,
        ["A Fate Worse Than Death"] = true,
        ["Paragons of Power: The Augur's Belt"] = true,
        ["A Ghost in the Machine"] = true,
        ["The True Masters"] = true,
        ["Tablet of the Seven"] = true,
        ["Feathers for Nafien"] = true,
        ["Imperial Plate Belt"] = true,
        ["Now That We're Still Friends..."] = true,
        ["Roll the Bones"] = true,
        ["Leonid Barthalomew"] = true,
        ["Felnok Steelspring"] = true,
        ["A Scroll from Mauren"] = true,
        ["A Reliquary of Purity"] = true,
        ["Zombie Juice"] = true,
        ["Wait for Sirra to Finish"] = true,
        ["Travel to Darkshire"] = true,
        ["Meet at the Grave"] = true,
        ["Illidan's Pupil"] = true,
        ["Buzzbox 827"] = true,
        ["Translate Abercrombie's Note"] = true,
        ["The Weathered Grave"] = true,
        ["Return to Milton"] = true,
        ["Trinkets..."] = true,
        ["What Niby Commands"] = true,
        ["Etched Sigil"] = true,
        ["Moonglow Vest"] = true,
        ["Fertile Spores"] = true,
        ["They're Alive! Maybe..."] = true,
        ["The Legend of Stalvan"] = true,
        ["Uldaman Reagent Run"] = true,
        ["The Doomed Fleet"] = true,
        ["Take Five Bases"] = true,
        ["Sven's Revenge"] = true,
        ["Return the Book"] = true,
        ["Anthion's Old Friend"] = true,
        ["Wildeyes"] = true,
        ["A Spirit Ally?"] = true,
        ["Seeking Wisdom"] = true,
        ["Trouble in the Deeps"] = true,
        ["It's Watching You!"] = true,
        ["Dreamwalker Girdle"] = true,
        ["Brother Paxton"] = true,
        ["Melding of Influences"] = true,
        ["Return to Sven"] = true,
        ["There Is No Hope"] = true,
        ["Tablets of Baa'ri"] = true,
        ["Syndicate Assassins"] = true,
        ["Return the Comb"] = true,
        ["Nothing But The Truth"] = true,
        ["Oronok Torn-heart"] = true,
        ["Note to the Mayor"] = true,
        ["Rumors for Kravel"] = true,
        ["Lines of Communication"] = true,
        ["Stinger Venom"] = true,
        ["Jitters' Growling Gut"] = true,
        ["The Ring of Blood: The Warmaul Champion"] = true,
        ["The Only Prescription"] = true,
        ["Ghoulish Effigy"] = true,
        ["Report to Anastasia"] = true,
        ["Magical Disturbances"] = true,
        ["Gather Rot Blossoms"] = true,
        ["Incendius!"] = true,
        ["Finding the Shadowy Figure"] = true,
        ["Disturbance at Umbrafen Lake"] = true,
        ["Planting the Heart"] = true,
        ["Elemental Leatherworking"] = true,
        ["Wildkin of Elune"] = true,
        ["Bride of the Embalmer"] = true,
        ["Garona: A Study on Stealth and Treachery"] = true,
        ["The Alliance Needs Spotted Yellowtail!"] = true,
        ["Wanted: Durn the Hungerer"] = true,
        ["Dreadnaught Gauntlets"] = true,
        ["Bring Me A Shrubbery!"] = true,
        ["The Trappings of a Vindicator"] = true,
        ["Drill the Drillmaster"] = true,
        ["A Daughter's Love"] = true,
        ["Looking Further"] = true,
        ["Baron Sablemane Has Requested Your Presence"] = true,
        ["The Crystal of Zin-Malor"] = true,
        ["The Zapthrottle Mote Extractor!"] = true,
        ["Forge Camp: Annihilated"] = true,
        ["Wild Guardians"] = true,
        ["Margoz"] = true,
        ["Portents of Uldum"] = true,
        ["Malevolent Remnants"] = true,
        ["For The Horde!"] = true,
        ["Lethtendris's Web"] = true,
        ["Arikara"] = true,
        ["A Pawn on the Eternal Board"] = true,
        ["Chasing A-Me 01"] = true,
        ["Stonetalon Standstill"] = true,
        ["Passage to Booty Bay"] = true,
        ["Bolstering Our Defenses"] = true,
        ["Into the Churning Gulch"] = true,
        ["Paragons of Power: The Predator's Belt"] = true,
        ["Chillwind Horns"] = true,
        ["The Rod of Lianthe"] = true,
        ["Hitting the Motherlode"] = true,
        ["Blood Shards of Agamaggan"] = true,
        ["Doomcaller's Circlet"] = true,
        ["Vahlarriel's Search"] = true,
        ["Mage-tastic Gizmonitor"] = true,
        ["Spirit Calling"] = true,
        ["Proof of Life"] = true,
        ["Forces of Jaedenar"] = true,
        ["Food for Baby"] = true,
        ["A Head Full of Ivory"] = true,
        ["Disrupt the Attacks"] = true,
        ["Test of Endurance"] = true,
        ["Whispers of the Raven God"] = true,
        ["Ripple Recovery"] = true,
        ["The Lost Pages"] = true,
        ["Restoring the Light"] = true,
        ["Back to Uldaman"] = true,
        ["The Infested Protectors"] = true,
        ["Fall of Dun Modr"] = true,
        ["A Fistful of Slivers"] = true,
        ["The Islander"] = true,
        ["Bone Fragments"] = true,
        ["Since Time Forgotten..."] = true,
        ["Craftsman's Writ - Plated Armorfish"] = true,
        ["Cleansing Felwood"] = true,
        ["Elixirs for the Bladeleafs"] = true,
        ["The Lexicon Demonica"] = true,
        ["Secrets of the Arakkoa"] = true,
        ["Cleansed Water Returns to Felwood"] = true,
        ["Portals of the Legion"] = true,
        ["Vorlus Vilehoof"] = true,
        ["Sunken Treasure"] = true,
        ["Kingly Shakedown"] = true,
        ["Oshu'gun Crystal Powder"] = true,
        ["An OOX of Your Own"] = true,
        ["Master of the Wild Leather"] = true,
        ["Spleendid!"] = true,
        ["Buying Time"] = true,
        ["A Strange Red Key"] = true,
        ["Nolkai's Words"] = true,
        ["Winterfall Firewater"] = true,
        ["Howling in the Hills"] = true,
        ["Brumeran of the Chillwind"] = true,
        ["A Husband's Last Battle"] = true,
        ["Villains of Darrowshire"] = true,
        ["Treats for Greatfather Winter"] = true,
        ["By Any Means Necessary"] = true,
        ["To Legion Hold"] = true,
        ["The Horn of the Beast"] = true,
        ["Armor Scraps"] = true,
        ["Scarab Shells"] = true,
        ["The Ring of Blood: Rokdar the Sundered Lord"] = true,
        ["The Grand Betrayal"] = true,
        ["Foreboding Plans"] = true,
        ["The Dunemaul Compound"] = true,
        ["The Night Watch"] = true,
        ["Rig Wars"] = true,
        ["Raene's Cleansing"] = true,
        ["Twilight Falls"] = true,
        ["The Demon Forge"] = true,
        ["Chromatic Mantle of the Dawn"] = true,
        ["The Stave of Equinex"] = true,
        ["Gnomer-gooooone!"] = true,
        ["Gnogaine"] = true,
        ["A Handful of Magic Dust"] = true,
        ["Shadow Magic"] = true,
        ["Hints of a New Plague?"] = true,
        ["Treebole Must Know"] = true,
        ["Hints of the Past"] = true,
        ["Chief Engineer Scooty"] = true,
        ["The Path of Conquest"] = true,
        ["Matis the Cruel"] = true,
        ["An Earnest Proposition"] = true,
        ["Onward to Ashenvale"] = true,
        ["Speak with Private Weeks"] = true,
        ["The Temple of Atal'Hakkar"] = true,
        ["Journey to Stonetalon Peak"] = true,
        ["Weaken the Ramparts"] = true,
        ["Cryptstalker Girdle"] = true,
        ["Un'Goro Soil"] = true,
        ["Taming the Beast"] = true,
        ["Free at Last"] = true,
        ["Word from Azure Watch"] = true,
        ["Set Them Ablaze!"] = true,
        ["The Horde Needs More Mageweave Bandages!"] = true,
        ["A Curse Upon Both of Your Clans!"] = true,
        ["Thunderlord Clan Artifacts"] = true,
        ["Bell of Dethmoora"] = true,
        ["Delivery for Marin"] = true,
        ["The Green Drake"] = true,
        ["Torn Bear Pelts"] = true,
        ["The Blood is Life"] = true,
        ["Ulathek the Traitor"] = true,
        ["Marks of Kil'jaeden"] = true,
        ["Serena Bloodfeather"] = true,
        ["Earthen Arise"] = true,
        ["Passing the Burden"] = true,
        ["Three Kings of Flame"] = true,
        ["Wenikee Boltbucket"] = true,
        ["Return to Bodley"] = true,
        ["Shredding Machines"] = true,
        ["Lord Aliden Perenolde"] = true,
        ["A Haunted History"] = true,
        ["Speak with Scout Neftis"] = true,
        ["Deep Sea Salvage"] = true,
        ["The Fallen Exarch"] = true,
        ["Bring Me Another Shrubbery!"] = true,
        ["More Components of Importance"] = true,
        ["Against Lord Shalzaru"] = true,
        ["Clues in the Thicket"] = true,
        ["The Disruption Ends"] = true,
        ["Dancing for Marzipan"] = true,
        ["Potential Energy Source"] = true,
        ["Mok'Nathal Treats"] = true,
        ["Summoning Shadra"] = true,
        ["The Ring of Blood: The Blue Brothers"] = true,
        ["Speak with Ruga"] = true,
        ["Gorgrom the Dragon-Eater"] = true,
        ["Marg Speaks"] = true,
        ["Seek the Farstriders"] = true,
        ["Urgent Delivery"] = true,
        ["Linken's Adventure"] = true,
        ["Control Four Bases"] = true,
        ["The Truth Comes Crashing Down"] = true,
        ["Divination: Gorefiend's Cloak"] = true,
        ["Felstone Field Cauldron"] = true,
        ["Winterfall Intrusion"] = true,
        ["Mercenaries"] = true,
        ["The Twin Clefts of Nagrand"] = true,
        ["Power Stones"] = true,
        ["Paragons of Power: The Demoniac's Mantle"] = true,
        ["Gahz'rilla"] = true,
        ["Ramstein"] = true,
        ["Aurius' Reckoning"] = true,
        ["The Zhevra"] = true,
        ["Break a Few Eggs"] = true,
        ["Chapter I"] = true,
        ["Wastewander Justice"] = true,
        ["Until Death Do Us Part"] = true,
        ["Rite of Strength"] = true,
        ["Dreadnaught Bracers"] = true,
        ["Circlet of Faith"] = true,
        ["Nothin' Says Lovin' Like a Big Stinger"] = true,
        ["WANTED: Caliph Scorpidsting"] = true,
        ["Cortello's Riddle"] = true,
        ["Culling the Threat"] = true,
        ["Devils in Westfall"] = true,
        ["Showdown"] = true,
        ["Little Morsels"] = true,
        ["Prisoner of the Bladespire"] = true,
        ["Zuluhed the Whacked"] = true,
        ["The Gordok Taste Test"] = true,
        ["Harpy Lieutenants"] = true,
        ["Reclaiming Felfire Hill"] = true,
        ["Gurok the Usurper"] = true,
        ["The Branch of Cenarius"] = true,
        ["Remorseful Highborne"] = true,
        ["Nekrum's Medallion"] = true,
        ["A Favorite Treat"] = true,
        ["STOLEN: Smithing Tuyere and Lookout's Spyglass"] = true,
        ["The Great Silver Deceiver"] = true,
        ["The Horde Needs Tin Bars!"] = true,
        ["The Scrimshank Redemption"] = true,
        ["Scourge of the Downs"] = true,
        ["Aurel Goldleaf"] = true,
        ["I've Got a Plant"] = true,
        ["Wyrmskull Watcher"] = true,
        ["Wanted: Lieutenant Fangore"] = true,
        ["The Isle of Dread!"] = true,
        ["Razorhide"] = true,
        ["Favor of the Gronn"] = true,
        ["Translations..."] = true,
        ["Safeguarding the Watchers"] = true,
        ["The Ectoplasmic Distiller"] = true,
        ["The Changing of Paths - Protector No More"] = true,
        ["Prayer to Elune"] = true,
        ["Fel Orc Scavengers"] = true,
        ["Thirst Unending"] = true,
        ["Package for Thurman"] = true,
        ["A Strange Historian"] = true,
        ["...and a Time for Action"] = true,
        ["Velinde Starsong"] = true,
        ["Dust from the Drakes"] = true,
        ["Stoley's Debt"] = true,
        ["Eight-Legged Menaces"] = true,
        ["Zinge's Delivery"] = true,
        ["Arakkoa War Path"] = true,
        ["Dreadnaught Breastplate"] = true,
        ["The Hidden Chamber"] = true,
        ["Destroy Morphaz"] = true,
        ["The Lost Report"] = true,
        ["Translation to Ello"] = true,
        ["Frostfire Circlet"] = true,
        ["The Savage Guard - Arcanum of Focus"] = true,
        ["Bathran's Hair"] = true,
        ["Rise of the Silithid"] = true,
        ["Return to Narain"] = true,
        ["The Lost Dwarves"] = true,
        ["Menethil's Gift"] = true,
        ["Slaughter at Boulder'mok"] = true,
        ["Crypt Fiend Parts"] = true,
        ["Strange Sources"] = true,
        ["Stealing from Thieves"] = true,
        ["Jin'Zil's Forest Magic"] = true,
        ["Miner's Fortune"] = true,
        ["The Demon Scarred Cloak"] = true,
        ["Pirate Hats Ahoy!"] = true,
        ["The Brood of Onyxia"] = true,
        ["Trueflight Arrows"] = true,
        ["MacKreel's Moonshine"] = true,
        ["Body and Heart"] = true,
        ["Insect Part Analysis"] = true,
        ["Binding the Dreadnaught"] = true,
        ["Soothing Spices"] = true,
        ["Order Must Be Restored"] = true,
        ["When Worlds Collide..."] = true,
        ["Gahz'ridian"] = true,
        ["Body of Evidence"] = true,
        ["Dreadnaught Waistguard"] = true,
        ["The Shadow Guard"] = true,
        ["Test Flight: Razaan's Landing"] = true,
        ["The Fate of Ramaladni"] = true,
        ["Find OOX-17/TN!"] = true,
        ["Path of the Violet Protector"] = true,
        ["Vital Supplies"] = true,
        ["Deliver to MacKinley"] = true,
        ["Decoy!"] = true,
        ["Beasts of the Apocalypse!"] = true,
        ["Therylune's Escape"] = true,
        ["Furlbrow's Deed"] = true,
        ["Dry Times"] = true,
        ["Once Were Warriors"] = true,
        ["The Forgotten Pools"] = true,
        ["The Zoram Strand"] = true,
        ["Maxnar Must Die!"] = true,
        ["Outrider Standard Care Package"] = true,
        ["Allegiance to the Aldor"] = true,
        ["A Lack of Fear"] = true,
        ["Collecting Kelp"] = true,
        ["Did You Get The Note?"] = true,
        ["Withered Flesh"] = true,
        ["Stinky's Escape"] = true,
        ["Underlight Ore Samples"] = true,
        ["Ferocitas the Dream Eater"] = true,
        ["Rare Fish - Keefer's Angelfish"] = true,
        ["Rare Fish - Dezian Queenfish"] = true,
        ["Hungry!"] = true,
        ["A Watchful Eye"] = true,
        ["Ship Schedules"] = true,
        ["The Ogres of Feralas"] = true,
        ["Continue to Stormwind"] = true,
        ["The Prophecy of Mosh'aru"] = true,
        ["The Battleboars"] = true,
        ["War at Sea"] = true,
        ["Kirith"] = true,
        ["Hippogryph Master Stephanos"] = true,
        ["Capturing the Keystone"] = true,
        ["Hamuul Runetotem"] = true,
        ["Gathering Leather"] = true,
        ["Arcanite"] = true,
        ["Triangulation Point Two"] = true,
        ["Wanted: Gath'Ilzogg"] = true,
        ["The Arcanist's Cookbook"] = true,
        ["Teron Gorefiend - Lore and Legend"] = true,
        ["The Touch of Zanzil"] = true,
        ["The Guns of Northwatch"] = true,
        ["Weapons of Choice"] = true,
        ["Deviate Eradication"] = true,
        ["Coming of Age"] = true,
        ["Verog the Dervish"] = true,
        ["Blade of Eternal Justice"] = true,
        ["Moontouched Wildkin"] = true,
        ["Honored Amongst the Clan"] = true,
        ["To Steal From Thieves"] = true,
        ["The Trogg Threat"] = true,
        ["Update for Sentinel Thenysil"] = true,
        ["Messenger to the Feralfen"] = true,
        ["The Prison's Bindings"] = true,
        ["Threat of the Winterfall"] = true,
        ["Shards of the Felvine"] = true,
        ["Captain Vimes"] = true,
        ["Forward Base: Reaver's Fall"] = true,
        ["The Sun Gate"] = true,
        ["The Ranger Lord's Behest"] = true,
        ["The Ancient Leaf"] = true,
        ["News from Zangarmarsh"] = true,
        ["Ravager Egg Roundup"] = true,
        ["Material Components"] = true,
        ["The Firewing Point Project"] = true,
        ["Garments of the Light"] = true,
        ["Reclaiming the Charred Vale"] = true,
        ["The Forgotten Heirloom"] = true,
        ["Just Compensation"] = true,
        ["Buzzbox 323"] = true,
        ["Begin the Attack!"] = true,
        ["Levixus the Soul Caller"] = true,
        ["Plagueheart Belt"] = true,
        ["Ursius of the Shardtooth"] = true,
        ["Threat From the Sea"] = true,
        ["Spirit of the Wind"] = true,
        ["Find the Gems and Power Source"] = true,
        ["The Bounty of Teldrassil"] = true,
        ["The Softest Wings"] = true,
        ["Goblin Sponsorship"] = true,
        ["Samophlange Manual"] = true,
        ["Jail Break!"] = true,
        ["Return to Primal Torntusk"] = true,
        ["Delivery to Jes'rimon"] = true,
        ["Thunderhorn Totem"] = true,
        ["Mission: The Murketh and Shaadraz Gateways"] = true,
        ["A Secret Revealed"] = true,
        ["Ride to Orgrimmar"] = true,
        ["Return to the Aldor"] = true,
        ["Bad Medicine"] = true,
        ["Devouring Plague"] = true,
        ["Plainstrider Menace"] = true,
        ["Under the Chitin Was..."] = true,
        ["A Terrible Purpose"] = true,
        ["As Water Cascades"] = true,
        ["Ending Their World"] = true,
        ["The Warden's Cage"] = true,
        ["Onu is meditating"] = true,
        ["The Venture Co."] = true,
        ["The Greenwarden"] = true,
        ["Find Myranda"] = true,
        ["Gnome Engineering"] = true,
        ["I Know A Guy..."] = true,
        ["An Apprentice's Enchantment"] = true,
        ["Vessels of Power"] = true,
        ["Jorn Skyseer"] = true,
        ["Ignition"] = true,
        ["Hezrul Bloodmark"] = true,
        ["Thistleshrub Valley"] = true,
        ["Plagueheart Leggings"] = true,
        ["Poaching from Poachers"] = true,
        ["The Algaz Gauntlet"] = true,
        ["Free From the Hold"] = true,
        ["A Refugee's Quandary"] = true,
        ["Return to Troyas"] = true,
        ["Doling Justice"] = true,
        ["Parts for Kravel"] = true,
        ["Veil Rhaze: Unliving Evil"] = true,
        ["Theocritus' Retrieval"] = true,
        ["Undamaged Venom Sac"] = true,
        ["Imperial Plate Armor"] = true,
        ["Torgos!"] = true,
        ["The Scepter of Celebras"] = true,
        ["Cloak of the Unseen Path"] = true,
        ["The Darkstone Tablet"] = true,
        ["What Are These Things?"] = true,
        ["The Totem of Kar'dash"] = true,
        ["Behind Enemy Lines"] = true,
        ["Before Darkness Falls"] = true,
        ["Agamaggan's Strength"] = true,
        ["The Final Sample"] = true,
        ["The Treasure of the Shen'dralar"] = true,
        ["The Madness Within"] = true,
        ["Bloodscalp Ears"] = true,
        ["The Light and How To Swing It"] = true,
        ["Voren'thal's Visions"] = true,
        ["The Left Piece of Lord Valthalak's Amulet"] = true,
        ["The Instigator's Enchantment"] = true,
        ["The Greatest Race of Hunters"] = true,
        ["Abyssal Contacts"] = true,
        ["Hallowed Sigil"] = true,
        ["The Emerald Dream..."] = true,
        ["Libram of Focus"] = true,
        ["Minshina's Skull"] = true,
        ["Holy Bologna: What the Light Won't Tell You"] = true,
        ["No Time for Curiosity"] = true,
        ["More Marks of Kil'jaeden"] = true,
        ["The Cliffspring River"] = true,
        ["The Sacred Flame"] = true,
        ["Clefthoof Mastery"] = true,
        ["Rune-Inscribed Note"] = true,
        ["The Cipher of Damnation - Ar'tor's Charge"] = true,
        ["Foror's Compendium"] = true,
        ["Feathermoon Stronghold"] = true,
        ["Cannibalistic Cousins"] = true,
        ["Jes'rimon's Payment to Jediga"] = true,
        ["There Can Be Only One Response"] = true,
        ["Veil Shalas: Signal Fires"] = true,
        ["Craftsman's Writ - Major Mana Potion"] = true,
        ["Morgan Stern"] = true,
        ["Wildkin E'ko"] = true,
        ["Speak with Sevren"] = true,
        ["The Skettis Offensive"] = true,
        ["Paragons of Power: The Haruspex's Belt"] = true,
        ["Into The Temple of Atal'Hakkar"] = true,
        ["The New Frontier"] = true,
        ["Troll Charm"] = true,
        ["Mountaineer Stormpike's Task"] = true,
        ["Rage of Ages"] = true,
        ["Return to Fel'Zerul"] = true,
        ["Find Ranshalla"] = true,
        ["Kobold Camp Cleanup"] = true,
        ["Investigate Tuurem"] = true,
        ["The Head of the Beast"] = true,
        ["Deliver Thomas' Report"] = true,
        ["Alpha Strike"] = true,
        ["Rude Awakening"] = true,
        ["Insane Druids"] = true,
        ["Imperial Plate Chest"] = true,
        ["Writ of Safe Passage"] = true,
        ["The Attack!"] = true,
        ["Can't Stay Away"] = true,
        ["Stormwind Rendezvous"] = true,
        ["Honor the Dead"] = true,
        ["In Search of Sedai"] = true,
        ["Stoley's Shipment"] = true,
        ["Baron's Demise"] = true,
        ["Shadow of the Past"] = true,
        ["Ancient Spirit"] = true,
        ["The Totem of Infliction"] = true,
        ["Arachnophobia"] = true,
        ["Rabine Saturna"] = true,
        ["The World's Largest Gnome!"] = true,
        ["Southsea Freebooters"] = true,
        ["Rot Hide Clues"] = true,
        ["One Draenei's Junk..."] = true,
        ["Chieftain Oomooroo"] = true,
        ["Dissention Amongst the Ranks..."] = true,
        ["Diabolical Plans"] = true,
        ["Unfinished Business"] = true,
        ["The Battle Plans"] = true,
        ["Trouble at Auchindoun"] = true,
        ["The Ichor of Undeath"] = true,
        ["Simple Sigil"] = true,
        ["Encrypted Letter"] = true,
        ["Redridge Goulash"] = true,
        ["Glyphic Memorandum"] = true,
        ["Veil Lithic: Preemptive Strike"] = true,
        ["A Sticky Situation"] = true,
        ["Young Lovers"] = true,
        ["Befouled by Satyr"] = true,
        ["The Coast Isn't Clear"] = true,
        ["The Nesingwary Safari"] = true,
        ["Galvan's Finest Pupil"] = true,
        ["A Yeti of Your Own"] = true,
        ["They Call Him Smiling Jim"] = true,
        ["Arelion's Journal"] = true,
        ["The Unwritten Prophecy"] = true,
        ["The Rumormonger"] = true,
        ["Warsong Supplies"] = true,
        ["Carry Your Weight"] = true,
        ["The Book of Fel Names"] = true,
        ["Felling an Ancient Tree"] = true,
        ["Elmore's Task"] = true,
        ["A Bundle of Hides"] = true,
        ["Brother Against Brother"] = true,
        ["The Engraved Ring"] = true,
        ["Test of Strength"] = true,
        ["WANTED: Boss Grog'ak"] = true,
        ["Digging Through the Dirt"] = true,
        ["Etched Tablet"] = true,
        ["Voodoo Feathers"] = true,
        ["Daelin's Men"] = true,
        ["Dumphry's Request"] = true,
        ["Haze of Evil"] = true,
        ["Windows to the Source"] = true,
        ["Ursal the Mauler"] = true,
        ["Sample for Helbrim"] = true,
        ["Unclaimed Baggage"] = true,
        ["Further Mysteries"] = true,
        ["Southshore"] = true,
        ["Emberstrife"] = true,
        ["The Lord of Blackrock"] = true,
        ["City of Light"] = true,
        ["Return to Verner"] = true,
        ["The Sunken Temple"] = true,
        ["Return to Nathanos"] = true,
        ["Stealing Back the Mushrooms"] = true,
        ["The Red Crystal"] = true,
        ["Target: Hive'Zora Hive Sisters"] = true,
        ["Twisted Hatred"] = true,
        ["Shard of a Felhound"] = true,
        ["Gizelton Caravan"] = true,
        ["Report to Stonebreaker Camp"] = true,
        ["Single Mark of Sargeras"] = true,
        ["Ordanus"] = true,
        ["Zalazane"] = true,
        ["Hidden Treasures"] = true,
        ["An Extraordinary Egg"] = true,
        ["The Horde Needs More Purple Lotus!"] = true,
        ["Infiltration"] = true,
        ["Mechanical Repair Kits"] = true,
        ["Klaven's Tower"] = true,
        ["More Glowcaps"] = true,
        ["Rescue Dugar!"] = true,
        ["Encrypted Twilight Texts"] = true,
        ["Tormented By the Past"] = true,
        ["Azure Templar"] = true,
        ["Words of the High Chief"] = true,
        ["A Good Friend"] = true,
        ["Find the Deserter"] = true,
        ["When Nature Goes Too Far"] = true,
        ["Have You Ever Seen One of These?"] = true,
        ["Paragons of Power: The Predator's Bracers"] = true,
        ["Of Lost Honor"] = true,
        ["The Severed Head"] = true,
        ["Recover the Bones"] = true,
        ["Seeping Corruption"] = true,
        ["A Hasty Departure"] = true,
        ["Powder to Ironband"] = true,
        ["Stave of the Ancients"] = true,
        ["The Shadowy Figure"] = true,
        ["Cryptstalker Headpiece"] = true,
        ["The Horde Needs Heavy Leather!"] = true,
        ["Obsidian Warbeads"] = true,
        ["C'Thun's Legacy"] = true,
        ["Ruthless Cunning"] = true,
        ["The Horde Needs More Thick Leather!"] = true,
        ["Retaking Windrunner Spire"] = true,
        ["The Plagued Coast"] = true,
        ["The Den"] = true,
        ["Essence for the Engines"] = true,
        ["The Biggest of Them All"] = true,
        ["Vulture's Vigor"] = true,
        ["Return to Arcanist Vandril"] = true,
        ["More Rotting Hearts"] = true,
        ["Pusillin and the Elder Azj'Tordin"] = true,
        ["An Ordinary Egg"] = true,
        ["The Lost Tools"] = true,
        ["The Exorcism"] = true,
        ["Kill the Shadow Council!"] = true,
        ["Wanted! Otto and Falconcrest"] = true,
        ["Escape from the Catacombs"] = true,
        ["The Challenge"] = true,
        ["Earthshatter Boots"] = true,
        ["Souvenirs of Death"] = true,
        ["Fierce Enemies"] = true,
        ["Resupplying the Excavation"] = true,
        ["Wanted! Marez Cowl"] = true,
        ["Brotherhood's End"] = true,
        ["Dar'Khan's Lieutenants"] = true,
        ["Bonechewer Blood"] = true,
        ["Trapping the Light Fantastic"] = true,
        ["Missing Friends"] = true,
        ["Bring Me Kel'gash's Head!"] = true,
        ["Victory for the Alliance"] = true,
        ["Kibler's Exotic Pets"] = true,
        ["Melor Sends Word"] = true,
        ["Containing the Threat"] = true,
        ["The Alliance Needs More Medium Leather!"] = true,
        ["Return to Marleth"] = true,
        ["A Peon's Burden"] = true,
        ["Mudrock Soup and Bugs"] = true,
        ["The Glowing Shard"] = true,
        ["Target: Hive'Regal Ambushers"] = true,
        ["To Gadgetzan You Go!"] = true,
        ["Ironband's Excavation"] = true,
        ["Paragons of Power: The Freethinker's Armguards"] = true,
        ["It's a Trap!"] = true,
        ["Twilight of the Dawn Runner"] = true,
        ["When Spirits Speak"] = true,
        ["The Prodigal Lich"] = true,
        ["The Eastern Plagues"] = true,
        ["The Horde Needs Peacebloom!"] = true,
        ["Fouled Water Spirits"] = true,
        ["A Time for Negotiation..."] = true,
        ["The Final Piece"] = true,
        ["Warden Hamoot"] = true,
        ["Rhapsody's Tale"] = true,
        ["Saltheril's Haven"] = true,
        ["More Arakkoa Feathers"] = true,
        ["Xorothian Stardust"] = true,
        ["What Book? I Don't See Any Book."] = true,
        ["Solving the Problem"] = true,
        ["Another Message to the Wildhammer"] = true,
        ["Escape from Firewing Point!"] = true,
        ["Separation Anxiety"] = true,
        ["Hammerfall"] = true,
        ["Vyral the Vile"] = true,
        ["Spinebreaker Post"] = true,
        ["Catch of the Day"] = true,
        ["Mercy for the Cursed"] = true,
        ["Shardtooth E'ko"] = true,
        ["40 Tickets - Schematic: Steam Tonk Controller"] = true,
        ["True Believers"] = true,
        ["The Last Element"] = true,
        ["The Hand of the Righteous"] = true,
        ["War on the Warmaul"] = true,
        ["The Ravaged Caravan"] = true,
        ["They Call Me \"The Rooster\""] = true,
        ["Target: Hive'Ashi Sandstalkers"] = true,
        ["Flora of the Eco-Domes"] = true,
        ["Reclaiming Sunstrider Isle"] = true,
        ["Crimson Templar"] = true,
        ["The Collector"] = true,
        ["Battle of Warsong Gulch"] = true,
        ["Craftsman's Writ - Runecloth Bag"] = true,
        ["Return to Brock"] = true,
        ["A Humble Offering"] = true,
        ["Lost in Action"] = true,
        ["Arathor Standard Care Package"] = true,
        ["Neeka Bloodscar"] = true,
        ["Escape from the Staging Grounds"] = true,
        ["Warsong Outrider Update"] = true,
        ["A Mysterious Portent"] = true,
        ["The Shadowy Search Continues"] = true,
        ["Scratches"] = true,
        ["Hearts of the Pure"] = true,
        ["The Restless Souls"] = true,
        ["Dreamwalker Wristguards"] = true,
        ["Armaments for Deception"] = true,
        ["The Completed Robe"] = true,
        ["The Corrupter"] = true,
        ["Krastinov's Bag of Horrors"] = true,
        ["Love's Gift"] = true,
        ["Arzeth's Demise"] = true,
        ["In Search of Menara Voidrender"] = true,
        ["Overlord Mok'Morokk's Concern"] = true,
        ["Scalding Mornbrew Delivery"] = true,
        ["The Book of Ur"] = true,
        ["Necklace Recovery"] = true,
        ["Kum'isha's Endeavors"] = true,
        ["The Opening of the Dark Portal"] = true,
        ["Naaru Technology"] = true,
        ["The Horde Needs Spotted Yellowtail!"] = true,
        ["Trelane's Defenses"] = true,
        ["The Broken Sigil"] = true,
        ["Message to Telaar"] = true,
        ["Northfold Manor"] = true,
        ["Questioning Reethe"] = true,
        ["Twilight Ring of Lordship"] = true,
        ["Guile of the Raptor"] = true,
        ["5 Tickets - Darkmoon Flower"] = true,
        ["Service to the Horde"] = true,
        ["Sister Pamela"] = true,
        ["The Spider God"] = true,
        ["Seasoned Wolf Kabobs"] = true,
        ["Washed Ashore"] = true,
        ["A Heap of Ethereals"] = true,
        ["Vestments of the Wolf Spirit"] = true,
        ["Water Pouch Bounty"] = true,
        ["Find OOX-22/FE!"] = true,
        ["The Sleeper Has Awakened"] = true,
        ["Divine Retribution"] = true,
        ["The Final Tablets"] = true,
        ["Onu"] = true,
        ["Finding the Survivors"] = true,
        ["The Killing Fields"] = true,
        ["Escape from Umbrafen"] = true,
        ["Skullsplitter Tusks"] = true,
        ["Fruit of the Sea"] = true,
        ["Cave Mushrooms"] = true,
        ["A Date with Dorgok"] = true,
        ["The Admiral's Orders"] = true,
        ["Beached Sea Creature"] = true,
        ["Gan'rul's Summons"] = true,
        ["Returning the Cleansed Orb"] = true,
        ["The Hunter's Charm"] = true,
        ["Bloodfury Bloodline"] = true,
        ["Trouble at the Docks"] = true,
        ["Martek the Exiled"] = true,
        ["Master Angler"] = true,
        ["The Alliance Needs More Silk Bandages!"] = true,
        ["Report to Exarch Admetius"] = true,
        ["Kodo Hide Bag"] = true,
        ["The Deathforge"] = true,
        ["An Introduction"] = true,
        ["Constrictor Vines"] = true,
        ["Flight to Auberdine"] = true,
        ["Avenging the Fallen"] = true,
        ["More Feathers"] = true,
        ["The Tortured Earth"] = true,
        ["Hero of the Brood"] = true,
        ["Fiery Plate Gauntlets"] = true,
        ["As the Crow Flies"] = true,
        ["Big Black Mace"] = true,
        ["Kindness"] = true,
        ["Invasion Point: Cataclysm"] = true,
        ["Illidari-Bane Shard"] = true,
        ["Welcoming the Wolf Spirit"] = true,
        ["Frostsaber Provisions"] = true,
        ["Witherbark Cages"] = true,
        ["Demon Dogs"] = true,
        ["Additional Materials"] = true,
        ["Test Flight: Ruuan Weald"] = true,
        ["Savage Flora"] = true,
        ["Return to Jitters"] = true,
        ["Dwarven Digging"] = true,
        ["Manaforge B'naar"] = true,
        ["A Hunter's Challenge"] = true,
        ["The Troll Cave"] = true,
        ["The Totems of My Enemy"] = true,
        ["The Horde Needs More Mithril Bars!"] = true,
        ["Need for a Cure"] = true,
        ["Thwarting Kolkar Aggression"] = true,
} end)

BabbleQuest:RegisterTranslations("zhTW", function() return {
    -- Quest names (3814)
        ["Data Rescue"] = "搶救資料",
        ["The Everstill Bridge"] = "止水湖上的橋",
        ["Return to Sha'tari Base Camp"] = "回到薩塔營地",
        ["Carrion Grubbage"] = "腐肉蟲",
        ["Resting in Pieces"] = "支離破碎",
        ["Fresh From the Mechanar"] = "麥克那爾的新鮮貨",
        ["The Sketh'lon Wreckage"] = "史凱瑟隆殘骸",
        ["Trol'kalar"] = "托卡拉爾",
        ["Bladespire Kegger"] = "劍刃氏族的喝酒大會",
        ["A Better Ingredient"] = "更好的材料",
        ["Breaching the Path"] = "突破道路",
        ["The Horde Needs More Runecloth Bandages!"] = "部落需要更多符文布繃帶！",
        ["A Shred of Hope"] = "一絲希望",
        ["Return to Honor Hold"] = "回到榮譽堡",
        ["Rear Guard Patrol"] = "巡查後方",
        ["Rescue From Jaedenar"] = "逃出加德納爾",
        ["Bookie Herod"] = "書呆子赫羅德",
        ["In Nightmares"] = "在噩夢中",
        ["Recover the Key!"] = "找回鑰匙！",
        ["The Throne of the Elements"] = "元素王座",
        ["Alien Predators"] = "外來掠奪者",
        ["Of Thistleheads and Eggs..."] = "血薊與蛋",
        ["Voidwalkers Gone Wild"] = "野放的虛空行者",
        ["Reclaimed Treasures"] = "尋找寶物",
        ["The Affray"] = "格鬥考驗",
        ["Muck Diving"] = "摧毀菌體",
        ["Excavation Progress Report"] = "挖掘進度報告",
        ["Piercing the Veil"] = "控制小鬼",
        ["An Unholy Alliance"] = "邪惡的盟友",
        ["The Unsent Letter"] = "未寄出的信",
        ["Vile Idolatry"] = "邪惡的石像",
        ["Help Watcher Biggs"] = "幫助看守者比格斯",
        ["Bloodpetal Poison"] = "血瓣毒藥",
        ["Striker's Footguards"] = "攻擊者的足甲",
        ["A New Cloak's Sheen"] = "新斗篷的光輝",
        ["A Gnome's Respite"] = "地精學者",
        ["Curbing the Plague"] = "遏止瘟疫",
        ["An Alternative Alternative"] = "替代的選擇",
        ["The Qiraji Conqueror"] = "其拉蟲人的征服者",
        ["The Spirit Polluted"] = "被污染的靈魂",
        ["Idols of the Feralfen"] = "菲拉芬石像",
        ["What We Know..."] = "我們所知道的事...",
        ["The Princess Trapped"] = "受困的公主",
        ["Noggle's Last Hope"] = "諾格的最後一線希望",
        ["The Orb of Soran'ruk"] = "索蘭魯克寶珠",
        ["Electropellers"] = "導電器",
        ["Red Leather Bandanas"] = "紅色皮質面罩",
        ["In Good Taste"] = "好味道",
        ["Hallowed Tablet"] = "神聖石板",
        ["Breaking the Keystone"] = "打開鑰匙之石",
        ["Chen's Empty Keg"] = "老陳的空酒桶",
        ["A Supernatural Device"] = "超自然儀器",
        ["Mennet Carkad"] = "米奈特·卡加德",
        ["Baron Sablemane's Poison"] = "沙伯曼男爵的毒藥",
        ["Crystal Charge"] = "爆炸水晶",
        ["A Visit With the Greatmother"] = "與祖母的會面",
        ["The Forging of Quel'Serrar"] = "鑄造奎爾塞拉",
        ["Natural Armor"] = "自然護甲",
        ["The Flawless Flame"] = "無瑕之焰",
        ["Rightful Repossession"] = "合法的回收",
        ["HELP!"] = "救命！",
        ["Urok Doomhowl"] = "烏洛克",
        ["The Eastern Pylon"] = "東部水晶塔",
        ["Report to Doren"] = "向多倫報告",
        ["Touch of Weakness"] = "虛弱之觸",
        ["Seek Out Kirrik"] = "尋找奇瑞克",
        ["Cryptstalker Handguards"] = "地穴行者護手",
        ["Expedition Point"] = "遠征隊哨塔",
        ["Deactivate An'owyn"] = "關閉安歐恩水晶",
        ["Ruuzel"] = "盧澤爾",
        ["Ziz Fizziks"] = "菲茲克斯",
        ["Timberling Seeds"] = "林精的種子",
        ["WANTED: Baron Longshore"] = "通緝：巴隆·朗紹爾",
        ["Stalwart's Battlegear"] = "忠誠者的裝備",
        ["Into the Draenethyst Mine"] = "進入德萊尼礦坑",
        ["The Emerald Dreamcatcher"] = "翡翠攝夢符",
        ["Assault on the Kolkar"] = "突襲科卡爾部族",
        ["Tanaris Field Sampling"] = "塔納利斯的樣本",
        ["Taretha's Gift"] = "塔蕾莎的禮物",
        ["Bonescythe Bracers"] = "骨鐮護腕",
        ["Gyro... What?"] = "發條式什麼什麼儀",
        ["Imperial Plate Helm"] = "君王鎧甲頭盔",
        ["On Spirit's Wings"] = "精靈的翅膀上",
        ["The Tear of the Moons"] = "眾月之淚",
        ["Harlan Needs a Resupply"] = "哈蘭需要供貨",
        ["Razzeric's Tweaking"] = "拉澤瑞克的調整",
        ["Brutal Gauntlets"] = "野蠻護手",
        ["Revenge of Gann"] = "加恩的報復",
        ["Into the Heart of the Labyrinth"] = "進入迷宮的中心",
        ["The Dread Citadel - Naxxramas"] = "可怕的堡壘 - 納克薩瑪斯",
        ["Steelsnap"] = "鋼齒土狼",
        ["The Troll Witchdoctor"] = "食人妖巫醫",
        ["Assessing the Situation"] = "評估狀況",
        ["Harpy Raiders"] = "鷹身強盜",
        ["The First and the Last"] = "第一個和最後一個",
        ["The Perfect Poison"] = "完美的毒藥",
        ["Missing In Action"] = "失蹤人員",
        ["The Orgrimmar Legion Needs Mojo!"] = "奧格瑪軍團需要魔精油！",
        ["Blacksting's Bane"] = "Blacksting's Bane",
        ["Sara Balloo's Plea"] = "薩拉·巴魯的請求",
        ["The Chill of Death"] = "死亡之寒",
        ["Super Reaper 6000"] = "超級收割機6000",
        ["The Origins of Smithing"] = "鍛造的起源",
        ["Andron's Payment to Jediga"] = "安德隆的報酬",
        ["Daggerfen Deviance"] = "匕首沼澤的異常",
        ["Syndicate Emblems"] = "辛迪加徽章",
        ["A Not-So-Modest Proposal"] = "一個不那麼謙虛的提議",
        ["Invasion Point: Annihilator"] = "侵略點：殲滅者",
        ["Filling the Soul Gem"] = "靈魂寶石",
        ["Covert Ops - Beta"] = "隱秘行動：B",
        ["B'naar Console Transcription"] = "巴納爾控制臺謄本",
        ["Bloodscalp Clan Heads"] = "血頂之顱",
        ["Divino-matic Rod"] = "探水棒",
        ["Belt of Faith"] = "信仰腰帶",
        ["Protecting Our Own"] = "保護我們自己",
        ["Fetch!"] = "Fetch!",
        ["A Gnome's Assistance"] = "地精的援助",
        ["Testing for Impurities - Un'Goro Crater"] = "雜質檢測 - 安戈洛環形山",
        ["Fuel for the Zapping"] = "壓縮器的動力",
        ["Ruuan Weald"] = "魯安曠野",
        ["Tome of the Cabal"] = "陰謀之書",
        ["A Broken Trap"] = "破碎的陷阱",
        ["Webwood Venom"] = "樹林蜘蛛的毒囊",
        ["The Shattered Hand"] = "破碎之手氏族",
        ["Fiery Blaze Enchantments"] = "黑龍之火",
        ["Arcane Refreshment"] = "久違的法師",
        ["Dark Council"] = "黑暗議會",
        ["On Guard in Stonetalon"] = "守衛石爪山",
        ["Pristine Enchanted South Seas Kelp"] = "原始南海魔化海藻",
        ["Mark V is Alive!"] = "充滿動力的Mark V",
        ["The Black Morass"] = "黑色沼澤",
        ["The Boar Hunter"] = "獵殺野豬",
        ["The Ethereum"] = "伊斯利恩",
        ["Items of Some Consequence"] = "必備物品",
        ["The Dreghood Elders"] = "崔互德長者",
        ["Cry of the Thunderhawk"] = "雷鷹的嘶鳴",
        ["To Meet Mother Kashur"] = "與卡修爾母親會面",
        ["Tainted Parchment"] = "受污染的羊皮紙",
        ["Plants of Zangarmarsh"] = "贊格瑪什的植物",
        ["Matters of Security"] = "防禦之事",
        ["Therzok"] = "瑟祖克",
        ["I See Alcaz Island In Your Future..."] = "我看見你的未來有奧卡茲島……",
        ["Conqueror's Crown"] = "征服者的皇冠",
        ["Runecloth"] = "符文布",
        ["The Alliance Needs More Linen Bandages!"] = "聯盟需要更多亞麻繃帶！",
        ["Baron Aquanis"] = "阿奎尼斯男爵",
        ["Failed Incursion"] = "入侵失敗",
        ["Lord Maxwell Tyrosus"] = "瑪克斯韋爾·泰羅索斯男爵",
        ["Freedom for All Creatures"] = "所有生物的自由",
        ["Return the Statuette"] = "歸還雕像",
        ["The Ironforge Brigade Needs Explosives!"] = "鐵爐堡軍旅需要炸藥！",
        ["The Calling"] = "召喚",
        ["Incoming Gumdrop"] = "學火車，換糖果",
        ["Veil Skith: Darkstone of Terokk"] = "迷霧斯奇司：泰洛卡黑石",
        ["The Missing Shipment"] = "丟失的貨物",
        ["Battle of the Crimson Watch"] = "赤紅守望的戰鬥",
        ["Don't Drink the Water"] = "別喝那裡的水",
        ["Rage of Blood"] = "血之狂暴",
        ["Claim Rackmore's Treasure!"] = "拉克摩爾的財寶！",
        ["Signets of the Zandalar"] = "贊達拉的徽記",
        ["The Consortium Needs You!"] = "The Consortium Needs You!",
        ["Dead Man's Plea"] = "逝者的請求",
        ["Encroachment"] = "野豬人的進犯",
        ["Identify Plant Parts"] = "Identify Plant Parts",
        ["Rotten Eggs"] = "惡臭雞蛋",
        ["Help Mama Wheeler"] = "協助瑪媽·威勒",
        ["Poison Water"] = "毒水",
        ["The Art of Fel Reaver Maintenance"] = "災難侵佔崗哨",
        ["The Fate of Kagrosh"] = "The Fate of Kagrosh",
        ["Deliver Them From Evil..."] = "Deliver Them From Evil...",
        ["The Twin Ziggurats"] = "雙子通靈塔",
        ["Patrol Schedules"] = "巡邏時間表",
        ["Gyromast's Revenge"] = "基爾卡克的報復",
        ["Strange Brew"] = "怪酒",
        ["The Kurken's Hide"] = "The Kurken's Hide",
        ["Report to Thomas"] = "回覆湯瑪斯",
        ["Tomber's Supplies"] = "土柏的貨物",
        ["Fly to Silvermoon City"] = "飛往銀月城",
        ["Cleansing the Eye"] = "淨化帕雷斯之眼",
        ["Cleansing of the Infected"] = "清除疫疾",
        ["Chapter IV"] = "荊棘谷的青山 - 第四章",
        ["Supervisor Fizsprocket"] = "菲茲普羅克主管",
        ["Keeper of the Flame"] = "火炬的守護者",
        ["Survey the Land"] = "調查土地",
        ["Stalking the Stalkers"] = "銀鬃捕獵者",
        ["Lore for a Price"] = "昂貴的知識",
        ["The Essence of Eranikus"] = "伊蘭尼庫斯精華",
        ["From The Wreckage...."] = "From The Wreckage....",
        ["Screecher Spirits"] = "尖嘯者的靈魂",
        ["Frostmaw"] = "霜喉雪人",
        ["Defeat Nek'rosh"] = "擊敗納克羅西",
        ["Gordo's Task"] = "葛爾多的任務",
        ["Signet of the Dukes"] = "公爵的徽記",
        ["Wanted: Bonelashers Dead!"] = "Wanted: Bonelashers Dead!",
        ["Pilfered Equipment"] = "被偷走的裝備",
        ["The Smoldering Ruins of Thaurissan"] = "索瑞森廢墟",
        ["Cache of Mau'ari"] = "瑪艾里的容器",
        ["Orendil's Cure"] = "奧雷迪爾的藥劑",
        ["Galgar's Cactus Apple Surprise"] = "戈加爾的清涼果",
        ["Satyr Slaying!"] = "Satyr Slaying!",
        ["Cryptstalker Wristguards"] = "地穴行者護腕",
        ["Encrypted Scroll"] = "密文卷軸",
        ["Senir's Observations"] = "森內爾的觀察站",
        ["The Farstrider Enclave"] = "旅行者營地",
        ["Arcane Tomes"] = "秘法秘典",
        ["Troubled Spirits of Kel'Theril"] = "凱斯利爾的怨靈",
        ["Release Them"] = "釋放他們",
        ["The Savage Guard - Arcanum of Rapidity"] = "野人守衛者-疾速秘藥",
        ["Harnessing Shadows"] = "束縛之影",
        ["Rellian Greenspyre"] = "雷利亞·綠樹",
        ["Cryptstalker Tunic"] = "地穴行者外套",
        ["Source of the Corruption"] = "腐敗根源",
        ["The Horde Needs Thick Leather!"] = "The Horde Needs Thick Leather!",
        ["Special Delivery for Gaxim"] = "給加克希姆的特快專遞",
        ["Stormpike's Order"] = "卡爾·雷矛的訂單",
        ["This Is Going to Be Hard"] = "不祥的感覺",
        ["Safety Is Job One"] = "安全至上",
        ["Menacing Marshfangs"] = "險惡的沼牙",
        ["Warn Area 52!"] = "Warn Area 52!",
        ["The Ancient Statuette"] = "遠古雕像",
        ["Foul Magics"] = "邪惡的魔法",
        ["Azsharite"] = "艾薩拉水晶",
        ["The Lost Tablets of Will"] = "意志石板",
        ["High Value Targets"] = "高重要性的目標",
        ["A Traitor Among Us"] = "眾人的背叛者",
        ["Formal Introductions"] = "正式自我介紹",
        ["Patrolling Westfall"] = "西部荒野的巡邏",
        ["Honor Students"] = "榮譽學員",
        ["Scrounging"] = "搜集行動",
        ["Bonescythe Breastplate"] = "骨鐮胸甲",
        ["Raptor Horns"] = "迅猛龍角",
        ["Grime-Encrusted Ring"] = "髒兮兮的戒指",
        ["Infiltrating the Castle"] = "潛入城堡",
        ["The Battle of Alterac"] = "霜狼地圖",
        ["Etched Rune"] = "風蝕符文",
        ["Satyr Hooves"] = "薩特之蹄",
        ["From the Abyss"] = "來自深淵",
        ["Elixir of Suffering"] = "受難藥劑",
        ["The Black Shield "] = "The Black Shield ",
        ["Administering the Salve"] = "使用藥膏",
        ["Deciphering the Book"] = "解讀這本書",
        ["The Alliance Needs Linen Bandages!"] = "The Alliance Needs Linen Bandages!",
        ["In Favor of Spirituality"] = "部族的傳統",
        ["Surena Caledon"] = "蘇倫娜·凱爾東",
        ["You Have Served Us Well"] = "幹得好",
        ["Into the Depths"] = "深入神廟",
        ["Reclaiming the Eggs"] = "取回那些蛋",
        ["WANTED: Andre Firebeard"] = "通緝：安德雷·費爾比德",
        ["Into The Maw of Madness"] = "深入瘋狂之口",
        ["Target: Hive'Regal Slavemakers"] = "目標：雷戈制奴者",
        ["Core of Elements"] = "元素之心",
        ["Attack on the Tower"] = "進攻高塔",
        ["Further Corruption"] = "更深重的墮落",
        ["The Codex of Blood"] = "血之聖典",
        ["A Festive Gift"] = "節慶禮物",
        ["Ansirem's Key"] = "安斯雷姆的鑰匙",
        ["Mazzranache"] = "馬茲拉納其",
        ["Message to Garadar"] = "給卡拉達爾的訊息",
        ["Mai'Zoth"] = "麥佐斯",
        ["The Bladespire Threat"] = "劍刃的威脅",
        ["Doomcaller's Footwraps"] = "厄運召喚者的裹足",
        ["Akama's Promise"] = "Akama的承諾",
        ["Operation: Death to Angerforge"] = "行動：殺死安格弗將軍",
        ["Look to an Old Friend"] = "老朋友",
        ["Frame of Atiesh"] = "阿泰絲之架",
        ["It's Just That Easy?"] = "It's Just That Easy?",
        ["Murkblood Invaders"] = "黑暗之血入侵者",
        ["Raleigh and the Undercity"] = "拉林夫與幽暗城",
        ["To The Hinterlands"] = "前往辛特蘭",
        ["Blast the Infernals!"] = "Blast the Infernals!",
        ["Speak with Anastasia"] = "安娜斯塔西婭",
        ["Retrieving the Goods"] = "回收物資",
        ["Overmaster Pyron"] = "征服者派隆",
        ["Kayneth Stillwind"] = "凱尼斯·靜風",
        ["Veteran's Battlegear"] = "精兵的裝備",
        ["Houses of the Holy"] = "神聖之屋",
        ["Ram Riding Harnesses"] = "山羊座具",
        ["Warrior Training"] = "戰士訓練",
        ["Into the Breach"] = "進入裂縫中",
        ["Deliveries to Sven"] = "給斯溫的物資",
        ["One Demon's Trash..."] = "One Demon's Trash...",
        ["You Too Good."] = "You Too Good.",
        ["Southsea Shakedown"] = "南海復仇",
        ["A Solvent Spirit"] = "沃納爾大師",
        ["Rune-Inscribed Tablet"] = "符文石板",
        ["JOB OPPORTUNITY: Culling the Competition"] = "工作機會：肅清競爭對手",
        ["The Orc Report"] = "獸人的報告",
        ["Hero of the Mag'har"] = "瑪格哈的英雄",
        ["Ken'zigla's Draught"] = "肯茲格拉的傷藥",
        ["Path of the Violet Restorer"] = "紫羅蘭治療師之路",
        ["Wild Leather Boots"] = "蠻皮戰靴",
        ["Death's Door"] = "死亡之門",
        ["An Unseen Hand"] = "看不見的手",
        ["Surveying the Ruins"] = "調察這些廢墟",
        ["Messenger to Darkshire"] = "送信到夜色鎮",
        ["Rite of Vision"] = "幻象儀祭",
        ["A Host of Evil"] = "邪惡之地",
        ["Seeking Strahad"] = "尋找斯坦哈德",
        ["Abandoned Hope"] = "被遺棄的希望",
        ["Fragments of the Orb of Orahil"] = "寶珠碎片",
        ["The Horde Needs More Rugged Leather!"] = "The Horde Needs More Rugged Leather!",
        ["The Ruins of Solarsal "] = "The Ruins of Solarsal ",
        ["Consortium Crystal Collection"] = "聯合團水晶收集",
        ["Sunscorched Shells"] = "曬焦的蛋殼",
        ["Galen's Escape"] = "加林的逃亡",
        ["Fel Orc Plans"] = "地獄獸人計畫",
        ["To The Bulwark"] = "前進亡靈壁壘",
        ["A Discreet Inquiry"] = "謹慎的要求",
        ["Call of Air - Jeztor's Fleet"] = "天空的召喚 - 傑斯托的部隊",
        ["A Tale of Sorrow"] = "悲傷的故事",
        ["Blood Feeders"] = "盜竊的蜘蛛",
        ["The Hermit"] = "隱士",
        ["The Scent of Lar'korwi"] = "拉克維的氣味",
        ["Suspicious Hoofprints"] = "可疑的蹄印",
        ["Earthen Templar"] = "土色聖殿騎士",
        ["Report to Marshal Bluewall"] = "向治安官藍牆報告",
        ["Wild Leather Leggings"] = "蠻皮護腿",
        ["The Dread Relic"] = "恐怖聖物",
        ["Heroes of Darrowshire"] = "達隆郡的英雄",
        ["Lazy Peons"] = "懶惰的苦工",
        ["Shy-Rotam"] = "希洛塔姆",
        ["Corruption of Earth and Seed"] = "大地的污染",
        ["\"Pretty Boy\" Duncan"] = "「帥小子」鄧肯",
        ["Know your Enemy"] = "認識你的敵人",
        ["The Darkmoon Faire"] = "暗月馬戲團",
        ["Picking Up Some Power Converters"] = "Picking Up Some Power Converters",
        ["Return to Tymor"] = "向法師泰摩爾回覆",
        ["Freedom to Ruul"] = "盧爾的自由",
        ["Halgar's Summons"] = "哈加爾的召喚",
        ["The Ultimate Bloodsport"] = "最後的浴血之戰",
        ["Vivian Lagrave and the Darkstone Tablet"] = "薇薇安·拉格雷和黑暗石板",
        ["Soothing Turtle Bisque"] = "海龜湯",
        ["Pride of the Fel Horde"] = "地獄部落的驕傲",
        ["Taken in the Night"] = "夜裡被劫走的人",
        ["A Shameful Waste"] = "可恥的浪費",
        ["Aquatic Form"] = "水棲形態",
        ["The Vengeful Harbinger"] = "復仇先驅者",
        ["Search More Hovels"] = "搜尋雕像",
        ["The Ashtongue Broken"] = "灰舌部族",
        ["Easy Strider Living"] = "燉陸行鳥",
        ["Test of Lore"] = "知識試煉",
        ["Scouting the Defenses"] = "偵查防禦",
        ["Heroes of Old"] = "古代英雄",
        ["The God Hakkar"] = "神靈哈卡",
        ["A Rare Bean"] = "稀有的豆子",
        ["Rising Spirit"] = "高漲的士氣",
        ["Mystery Goo"] = "神秘的粘液",
        ["Tainted Letter"] = "受污染的信件",
        ["The Spirits of Stonetalon"] = "石爪之靈",
        ["The Spirits Have Voices"] = "靈魂會說話",
        ["Hot Fiery Death"] = "火熱的死亡",
        ["A Letter Undelivered"] = "未寄出的信件",
        ["Battle-Mage Dathric"] = "Battle-Mage Dathric",
        ["Jarl Needs Eyes"] = "加爾需要蜘蛛眼",
        ["In Search of The Temple"] = "調查神廟",
        ["Restoring the Necklace"] = "修復項鏈",
        ["Tabards of the Illidari"] = "伊利達瑞的外衣",
        ["Into Occupied Territory"] = "進入被佔據的土地",
        ["King of the Foulweald"] = "汙林熊怪之王",
        ["The Cipher of Damnation - Truth and History"] = "毀滅密碼 - 歷史與真相",
        ["A Pilot's Revenge"] = "駕駛員的復仇",
        ["The Glowing Fruit"] = "發光的水果",
        ["The Missing Merchant"] = "失蹤的商人",
        ["Path of Defense"] = "防禦之道",
        ["Sergra Darkthorn"] = "瑟格拉·黑棘",
        ["Investigate the Crash"] = "調查這場空難",
        ["Paragons of Power: The Haruspex's Tunic"] = "權力珍寶：占卜師外套",
        ["Blade of Vaulted Secrets"] = "魔法秘密之刃",
        ["Kris of Unspoken Names"] = "禁斷邪語短劍",
        ["Tools of the Highborne"] = "高等精靈的工具",
        ["Mystery Mask"] = "神秘面罩",
        ["Signs of the Legion"] = "燃燒軍團的徵象",
        ["Breaking the Code"] = "破解密碼",
        ["Old Hillsbrad"] = "舊時的希爾斯布萊德",
        ["The Sanctum of the Sun"] = "太陽聖所",
        ["The Stone Circle"] = "石環",
        ["A Noble Brew"] = "名釀",
        ["Blackhand's Command"] = "黑手的命令",
        ["WANTED: Deathclaw"] = "通緝：死亡之爪",
        ["Rescue OOX-17/TN!"] = "Rescue OOX-17/TN!",
        ["Elune's Tear"] = "月神之淚",
        ["Egg Hunt"] = "蠍卵",
        ["Cutting Your Teeth"] = "割下你的牙齒",
        ["Auchindoun..."] = "Auchindoun...",
        ["The Balnir Farmstead"] = "巴尼爾農場",
        ["Sentinel Standard Care Package"] = "哨兵標準護理包",
        ["A Strange One"] = "奇怪的傢伙",
        ["Harpies Threaten"] = "鷹身人的威脅",
        ["Animist's Caress"] = "靈魂的安撫",
        ["Superior Armaments of Battle - Friend of the Dawn"] = "精良級軍備之戰-銀色黎明聲望友善",
        ["A Debilitating Sickness"] = "削弱力量的疾病",
        ["What We Don't Know..."] = "What We Don't Know...",
        ["The Sleeping Druid"] = "沉睡的德魯伊",
        ["The Alliance Needs Silk Bandages!"] = "The Alliance Needs Silk Bandages!",
        ["Dusky Crab Cakes"] = "黑螃蟹蛋糕",
        ["The Escape"] = "逃跑",
        ["A Grim Task"] = "艱鉅的任務",
        ["The Bloodcurse Legacy"] = "血咒遺產",
        ["The Twilight Camp"] = "暮光之錘的營地",
        ["Shutting Down Manaforge Coruu"] = "關閉法力熔鐵爐寇魯",
        ["Shoulderpads of Faith"] = "信仰護肩",
        ["Cruel's Intentions"] = "殘忍的目的",
        ["Examine the Vessel"] = "複生之瓶",
        ["In A Scrap With The Legion"] = "與軍團一戰",
        ["Vanquishing Aquantion"] = "消滅海之平衡",
        ["Shattering the Veil"] = "粉碎外表",
        ["Rot Hide Ichor"] = "腐皮豺狼人的膿液",
        ["Watcher Leesa'oh"] = "看守者里薩歐",
        ["Arcane Feedback"] = "秘法回饋",
        ["Ashenvale Outrunners"] = "梣谷先驅者",
        ["Tainted Scroll"] = "受污染的卷軸",
        ["Restless Activity"] = "不安的活動",
        ["The Family and the Fishing Pole"] = "釣魚世家",
        ["Welcome!"] = "Welcome!",
        ["Allegiance to the Old Gods"] = "上古之神的僕從",
        ["Frostmane Hold"] = "霜鬃食人妖要塞",
        ["Speak with Thun'grim"] = "和索恩格瑞姆交談",
        ["Report to Shadow Hunter Denjai"] = "Report to Shadow Hunter Denjai",
        ["Armor Kits for the Field"] = "戰場上的護甲片",
        ["Arrows Are For Sissies"] = "弓箭是給娘娘腔用的",
        ["Encroaching Gnolls"] = "豺狼人的入侵",
        ["Report to the Allerian Post"] = "到艾蘭里哨站報到",
        ["The Spirits of Southwind"] = "南風村的靈魂",
        ["Quenching the Blade"] = "將刀淬火",
        ["Bindings of Faith"] = "信仰束腕",
        ["Armed and Ready"] = "整裝待發",
        ["Secrets of the Daggerfen"] = "匕首沼澤的秘密",
        ["The Dwarven Spy"] = "矮人間諜",
        ["Fine Gold Thread"] = "優質金線",
        ["News for Rakoria"] = "給瑞克利亞的消息",
        ["The Ring of Blood: Brokentoe"] = "血色競技場：斷趾",
        ["Little Embers"] = "一些餘燼",
        ["Terokk's Legacy"] = "泰洛卡的遺產",
        ["Beginnings"] = "開端",
        ["Corki's Gone Missing Again!"] = "Corki's Gone Missing Again!",
        ["The Powers Below"] = "深淵之神",
        ["Find the Lost Guards"] = "失蹤的衛兵",
        ["Learning from the Crystals"] = "水晶的學問",
        ["Stormwind Library"] = "暴風城圖書館",
        ["Soft Bushy Tails"] = "柔軟的狼尾",
        ["Lost Necklace"] = "遺失的項鏈",
        ["Abyssal Crests"] = "深淵紋章",
        ["Glowcap Mushrooms"] = "白閃菇",
        ["Hunt the Savages"] = "野蠻的梟獸",
        ["The Rescue"] = "拯救行動",
        ["Vyrin's Revenge"] = "維林的報復",
        ["For Great Honor"] = "無上的榮耀",
        ["Report to Magister Kaendris"] = "向博學者坎德立斯回報",
        ["Return to Apothecary Zinge"] = "向藥劑師金格回報",
        ["Craftsman's Writ - Brightcloth Pants"] = "工匠令狀 - 亮布短褲",
        ["Field Duty"] = "戰地任務",
        ["Challenge Overlord Mok'Morokk"] = "挑戰莫格穆洛克",
        ["The Blood Elves"] = "血精靈",
        ["Young Crocolisk Skins"] = "小鱷魚皮",
        ["Down the Coast"] = "清理海岸",
        ["Avenger's Crown"] = "復仇者的王冠",
        ["Hearts of Zeal"] = "狂熱之心",
        ["Target: Hive'Ashi Defenders"] = "目標：亞什防禦者",
        ["Echoes of War"] = "戰爭的回響",
        ["Super Sticky"] = "極度粘稠的瀝青",
        ["Test Flight: The Zephyrium Capacitorium"] = "測試飛行︰ZC號",
        ["Glyphic Scroll"] = "雕文卷軸",
        ["The Horde Needs Wool Bandages!"] = "The Horde Needs Wool Bandages!",
        ["<NYI><TXT>News of Victory"] = "<NYI><TXT>News of Victory",
        ["Search for Incendicite"] = "火岩礦石",
        ["A Dark Threat Looms"] = "水壩危機",
        ["Trouble In Darkshore?"] = "Trouble In Darkshore?",
        ["For the Fallen"] = "為了垂死的同伴",
        ["The Completed Orb of Dar'Orahil"] = "達奧拉赫寶珠",
        ["Tears of the Moon"] = "月神的淚水",
        ["Proof of Allegiance"] = "表明立場",
        ["Araj's Scarab"] = "阿拉基的聖甲蟲",
        ["Thelsamar Blood Sausages"] = "塞爾薩瑪血腸",
        ["Evil Draws Near"] = "邪惡逼近",
        ["Sathrah's Sacrifice"] = "薩絲拉的祭品",
        ["Visit the Herbalist"] = "拜訪草藥師",
        ["The Master's Glaive"] = "主宰之劍",
        ["Nessa Shadowsong"] = "尼莎·影歌",
        ["Go to the Front"] = "到前線去",
        ["The Four Dukes"] = "四個公爵",
        ["Morrowgrain to Darnassus"] = "達納蘇斯的晨光麥",
        ["A Carefully Wrapped Present"] = "精心包裹的禮物",
        ["Grove of the Ancients"] = "古樹之林",
        ["Dolanaar Delivery"] = "多蘭納爾的貨物",
        ["Wild Hearts"] = "荒野之心",
        ["Wand to Bethor"] = "給比索的魔杖",
        ["Beware of Pterrordax"] = "當心翼手龍",
        ["Thule Ravenclaw"] = "圖勒·鴉爪",
        ["Strange Energy"] = "奇怪的能量",
        ["The Shadow Tomb"] = "暗影之墓",
        ["The Weaver"] = "法師的頭領",
        ["Maps and Runes"] = "地圖與符記",
        ["Cursed Talismans"] = "Cursed Talismans",
        ["Wild Leather Armor"] = "蠻皮護甲",
        ["The Final Reagents"] = "最後的試劑",
        ["The Hidden Niche"] = "密室",
        ["Flawed Power Stone"] = "有瑕疵的能量石",
        ["Warning the Cenarion Circle"] = "警告塞納里奧議會",
        ["The Fate of the Kingdom"] = "王國的命運",
        ["The Decrepit Ferry"] = "破舊渡口",
        ["Save Techbot's Brain!"] = "Save Techbot's Brain!",
        ["Hinott's Assistance"] = "希諾特的幫助",
        ["Warlord of the Bleeding Hollow"] = "血之谷的督軍",
        ["To Winterspring!"] = "To Winterspring!",
        ["Supplying the Sepulcher"] = "瑟伯切爾的補給",
        ["The Cipher of Damnation"] = "毀滅密碼",
        ["Speak with Renferrel"] = "與倫法洛會面",
        ["Rot Hide Origins"] = "腐皮豺狼人的產生",
        ["Digging Through Bones"] = "挖掘骨頭",
        ["Off To Area 52"] = "離開52區",
        ["Ride to the Undercity"] = "飛往幽暗城",
        ["Return to Quinn"] = "回到奎恩身旁",
        ["Return to Podrig"] = "向博迪瑞格回報",
        ["Botanist Taerix"] = "植物學家泰瑞茲",
        ["Avenger's Legguards"] = "復仇者的護腿",
        ["Sweet Serenity"] = "甜美的平靜",
        ["WANTED: Murkdeep!"] = "WANTED: Murkdeep!",
        ["Creatures of the Eco-Domes"] = "秘境原野的生物",
        ["Paragons of Power: The Haruspex's Bracers"] = "權力珍寶：占卜師護腕",
        ["Broken Alliances"] = "破碎的聯盟",
        ["Dream Dust in the Swamp"] = "夢境之塵",
        ["Michael Garrett"] = "邁克爾·加勒特",
        ["Lost Deathstalkers"] = "失蹤的亡靈哨兵",
        ["Hidden Enemies"] = "隱藏的敵人",
        ["The Champion of the Banshee Queen"] = "女妖之王的勇士",
        ["Grimand's Armor"] = "格瑞曼德的鎧甲",
        ["The Elemental Equation"] = "元素方程式",
        ["Deadly Desert Venom"] = "沙漠中的劇毒",
        ["Cabal Orders"] = "卡巴的命令",
        ["Journey to Hillsbrad Foothills"] = "前往希爾斯布萊德丘陵",
        ["Return to Obadei"] = "回去找歐拜德",
        ["Translating the Journal"] = "翻譯日記",
        ["WANTED: Overseer Maltorius"] = "懸賞：工頭瑪托留斯",
        ["Regthar Deathgate"] = "雷戈薩·死門",
        ["Escorting Erland"] = "護送埃蘭德",
        ["The Gordok Ogre Suit"] = "戈多克巨魔裝",
        ["Delivery to the Sepulcher"] = "送貨到瑟伯切爾",
        ["Load Lightening"] = "減輕負重",
        ["Dark Vessels"] = "黑暗之瓶",
        ["Beer Basted Boar Ribs"] = "啤酒烤豬排",
        ["The Stone"] = "虛空石",
        ["Satyr Horns"] = "薩特之角",
        ["Verdant Sigil"] = "綠色符記",
        ["Dalaran's Intentions"] = "達拉然的意圖",
        ["Dalar's Analysis"] = "達拉爾的推理",
        ["Border Crossings"] = "越境",
        ["Beren's Peril"] = "博倫的巢穴",
        ["Mace of Unending Life"] = "不滅生命之錘",
        ["Understanding the Mok'Nathal"] = "了解摩克納薩爾",
        ["Assault on Fenris Isle"] = "突襲芬里斯島",
        ["Arugal's Folly"] = "阿魯高的愚行",
        ["A Convincing Disguise"] = "具說服力的偽裝",
        ["Ambermill Investigations"] = "調查安伯米爾",
        ["Return Trip"] = "回程",
        ["Claiming the Light"] = "掌握聖光",
        ["Overlord Gorefist"] = "統治者血拳",
        ["The Warlord's Hideout"] = "督軍的藏身之處",
        ["Pacify the Centaur"] = "清除半人馬",
        ["A Husband's Revenge"] = "丈夫的復仇",
        ["The Altar of Zul"] = "祖爾祭壇",
        ["The Active Agent"] = "活躍的探子",
        ["The Stockade Riots"] = "監獄暴動",
        ["The Fury Runs Deep"] = "卡姆·深怒",
        ["The Color of Blood"] = "鮮血的顏色",
        ["Quell The Uprising"] = "鎮壓暴動",
        ["Bounty on Garrick Padfoot"] = "加瑞克·帕德弗特的賞金",
        ["Blessing of Incineratus"] = "Blessing of Incineratus",
        ["Volcanic Activity"] = "火山的活動",
        ["The Pools of Aggonar"] = "阿葛納爾之池",
        ["Give Gerard a Drink"] = "吉拉德的飲料",
        ["Tal the Wind Rider Master"] = "雙足飛龍管理員塔爾",
        ["Zanzil's Secret"] = "贊吉爾的秘密",
        ["Whiskey Slim's Lost Grog"] = "威士卡斯利姆的酒",
        ["Welcome to the Jungle"] = "歡迎來到叢林",
        ["The Angry Scytheclaws"] = "狂暴的鐮爪龍",
        ["Water Elementals"] = "水元素",
        ["Voodoo Dues"] = "討債行動",
        ["Venture Company Mining"] = "風險投資公司",
        ["Up to Snuff"] = "鼻煙",
        ["Bartolo's Yeti Fur Cloak"] = "巴圖羅的雪人毛皮披風",
        ["Stealing Supplies"] = "偷取物資",
        ["Withered Basidium"] = "枯萎的孢子臺",
        ["Coldtooth Supplies"] = "冷齒礦坑的補給",
        ["The Fate of Flanis"] = "弗藍尼斯的命運",
        ["Through the Dark Portal"] = "穿越黑暗之門",
        ["Traitor to the Bloodsail"] = "血帆的叛徒",
        ["Tiger Mastery"] = "獵虎大師",
        ["Selling Fish"] = "賣魚",
        ["Aquementas"] = "亞奎門塔斯",
        ["The Scorched Grove"] = "烈焰邊境",
        ["Hoary Templar"] = "蒼白聖殿騎士",
        ["Outside Assistance"] = "外來的協助",
        ["The Runed Scroll"] = "符文卷軸",
        ["Thwart the Dark Conclave"] = "阻礙黑暗議會",
        ["Felbound Ancients"] = "被禁錮的古樹",
        ["The Stone of the Tides"] = "海潮之石",
        ["The Spy Revealed!"] = "The Spy Revealed!",
        ["The Singing Crystals"] = "歌唱水晶",
        ["The Second Rebellion"] = "以彼之道還施彼身",
        ["Theramore Spies"] = "塞拉摩間諜",
        ["Apprentice's Duties"] = "學徒的職責",
        ["The Mind's Eye"] = "心靈之眼",
        ["Wrath of the Blue Flight"] = "藍龍之怒",
        ["Gathering the Reagents"] = "收集材料",
        ["Riverpaw Gnoll Bounty"] = "懸賞河爪豺狼人",
        ["The Path of the Adept"] = "高手之路",
        ["The Hidden Key"] = "隱藏的鑰匙",
        ["Breaking Down Netherock"] = "擊倒Netherock",
        ["The Green Hills of Stranglethorn"] = "荊棘谷的青山",
        ["Marauding Crust Bursters"] = "潛行的地殼穿刺者",
        ["Good Luck Charm"] = "好運護符",
        ["Simple Memorandum"] = "簡易備忘錄",
        ["Velinde's Effects"] = "維琳德的日記",
        ["rAnS0m"] = "贖金",
        ["Stromgarde Badges"] = "激流堡徽章",
        ["The Defense of Grom'gol"] = "格羅姆高保衛戰",
        ["The Summoning Chamber"] = "召喚密室",
        ["Follow the Breadcrumbs"] = "跟著痕跡走",
        ["The Curse of the Tides"] = "海潮的詛咒",
        ["The Second Course..."] = "The Second Course...",
        ["The Bloodsail Buccaneers"] = "血帆海盜",
        ["Proof of Deed"] = "證明文件",
        ["A Task Unfinished"] = "未完的任務",
        ["Supply and Demand"] = "供與求",
        ["The Flame's Casing"] = "烈焰之盒",
        ["Outrider Basic Care Package"] = "斥候基礎護理包",
        ["Fel Armaments"] = "地獄武器",
        ["Material Assistance"] = "收集材料",
        ["Messenger to Thrall"] = "給索爾的消息",
        ["A Dwarf and His Tools"] = "矮人的工具",
        ["Stranglethorn Fever"] = "荊棘谷熱疫",
        ["Velora Nitely and the Brutal Legguards"] = "維羅拉·奈特雷和野蠻腿甲",
        ["Special Forces"] = "特種部隊",
        ["Winterfall Ritual Totem"] = "冬泉儀祭圖騰",
        ["Sting of the Scorpid"] = "工蠍的尾巴",
        ["Winterfall Activity"] = "冬泉熊怪的活動",
        ["Returning the Lost Satchel"] = "歸還背包",
        ["Past Endeavors"] = "過往的努力",
        ["Speaking with Gan'zulah"] = "甘祖拉恩",
        ["Some Assembly Required"] = "收集鱷魚皮",
        ["Buzzbox 411"] = "傳聲盒411號",
        ["Crush the Bloodmaul Camp"] = "粉碎血錘營地",
        ["Singing Blue Shards"] = "藍色歌唱水晶碎片",
        ["Paragons of Power: The Illusionist's Mantle"] = "權力珍寶：幻術師襯肩",
        ["Nether Gas In a Fel Fire Engine"] = "地獄火焰引擎裡的地獄沼氣",
        ["Longtail is the Lynchpin"] = "長尾是關鍵",
        ["Report to Orgnil"] = "向奧戈尼爾報告",
        ["The Missing War Party"] = "失蹤的戰友",
        ["Enraged Spirits of Water"] = "暴怒的水靈",
        ["Patriarch Ironjaw"] = "鐵顎元老",
        ["Wind Trader Lathrai"] = "風之貿易者拉斯蕊",
        ["Enchanted Thorium Platemail: Volume I"] = "魔化瑟銀鎧甲：第一卷",
        ["Return to MacKinley"] = "向馬克基雷回報",
        ["Paragons of Power: The Freethinker's Breastplate"] = "權力珍寶：思考者胸甲",
        ["Return to Corporal Kaleb"] = "向卡雷布下士回報",
        ["Bor Wishes to Speak"] = "伯爾想說話",
        ["Consult Master Gadrin"] = "請教加德林大師",
        ["The Divination"] = "占卜",
        ["Artifacts of the Blacksilt"] = "黑沙的手工藝品",
        ["Raptor Mastery"] = "獵龍",
        ["The Savior of Kalimdor"] = "卡林多的救星",
        ["Barbaric Battlements"] = "野人裝甲",
        ["Mok'thardin's Enchantment"] = "摩克薩爾丁的魔法",
        ["Message in a Bottle"] = "瓶中信",
        ["Making Amends"] = "重修舊好",
        ["Magical Analysis"] = "魔法分析",
        ["Behomat"] = "畢和瑪特",
        ["Cruelfin's Necklace"] = "酷鰭的項鍊",
        ["Crystal Restore"] = "恢復水晶",
        ["Planting the Banner"] = "插上戰旗",
        ["Missing in the Ghostlands"] = "鬼魂之地的失蹤者",
        ["Karabor Training Grounds"] = "卡拉伯爾訓練場",
        ["Ring of the Gathering Storm"] = "聚集風暴之戒",
        ["They Stole Me Hookah and Me Brews!"] = "They Stole Me Hookah and Me Brews!",
        ["Krazek's Cookery"] = "克拉茲克的烹調鍋",
        ["The Grizzled Den"] = "灰色洞穴",
        ["Sweet Amber"] = "琥珀酒",
        ["Camp Mojache"] = "莫沙徹營地",
        ["Solanian's Belongings"] = "索蘭尼亞的東西",
        ["An Audience with the Prince"] = "晉見王子",
        ["The Scythe of Elune"] = "月神的鐮刀",
        ["Keep An Eye Out"] = "海盜的眼睛",
        ["Jungle Secrets"] = "叢林中的秘密",
        ["Investigate the Camp"] = "調查營地",
        ["Hunt for Yenniku"] = "耶尼庫的下落",
        ["Hostile Takeover"] = "惡性競爭",
        ["Paragons of Power: The Vindicator's Armguards"] = "權力珍寶：辯護者護臂",
        ["Messenger to Westfall"] = "送信到西部荒野",
        ["The Bladespire Ogres"] = "劍刃巨魔",
        ["Return to Deliana"] = "回到德莉娜那裡",
        ["Enticing Negolash"] = "引誘奈古拉什",
        ["Craftsman's Writ - Runecloth Boots"] = "工匠令狀 - 符文布靴",
        ["Thundris Windweaver"] = "桑迪斯·織風",
        ["I'm Saved!"] = "I'm Saved!",
        ["Enchanted Azsharite Fel Weaponry"] = "魔化艾薩拉水晶武器",
        ["Dressing the Part"] = "適宜的服裝",
        ["An Improper Burial"] = "不適當的葬禮",
        ["Warsong Scout Update"] = "戰歌斥候的報告",
        ["Cracking Maury's Foot"] = "瑪雷的腿",
        ["A Good Head On Your Shoulders"] = "罩帽和護肩",
        ["Show Them Gnome Mercy!"] = "Show Them Gnome Mercy!",
        ["Colonel Kurzen"] = "庫爾森上校",
        ["Blackrock Menace"] = "黑石氏族的威脅",
        ["Chapter III"] = "荊棘谷的青山 - 第三章",
        ["Chapter II"] = "荊棘谷的青山 - 第二章",
        ["Thunderhorn Cleansing"] = "淨化雷角之井",
        ["Wild Leather Shoulders"] = "蠻皮護肩",
        ["Stealing Knowledge"] = "偷竊知識",
        ["Bloodscalp Insight"] = "洞悉血頂習性",
        ["Malin's Request"] = "馬林的要求",
        ["Big Game Hunter"] = "王牌獵人",
        ["Hotter than Hell"] = "比地獄還熱",
        ["Seer Udalo"] = "先知烏達羅",
        ["Band of Vaulted Secrets"] = "魔法秘密之戒",
        ["Raising Spirits"] = "振奮精神",
        ["Ridgespine Menace"] = "山脊的威脅",
        ["Supplies from Darkshire"] = "來自夜色鎮的補給",
        ["Arena Master"] = "競技場大師",
        ["An Unusual Patron"] = "稀有的庇護人",
        ["Warsong Runner Update"] = "戰歌信差的報告",
        ["Tools for Steelgrill"] = "貝爾丁的工具",
        ["Akiris by the Bundle"] = "一捆海蛇草",
        ["Return to Thander"] = "回到薩德爾那裡",
        ["Tundra MacGrann's Stolen Stash"] = "馬克格拉恩的乾肉",
        ["Wisdom of Agamaggan"] = "阿迦瑪甘的智慧",
        ["The Horde Needs Purple Lotus!"] = "The Horde Needs Purple Lotus!",
        ["The Medallion of Faith"] = "信仰獎章",
        ["Those Blasted Troggs!"] = "Those Blasted Troggs!",
        ["The Reports"] = "森內爾的報告",
        ["Vejrek"] = "維吉雷克",
        ["The Perfect Stout"] = "完美烈酒",
        ["Return to Quartermaster Lymel"] = "回到軍需官里莫那裡",
        ["The Lost Pilot"] = "失蹤的駕駛員",
        ["The Great Fissure"] = "大裂縫",
        ["Supplies to Tannok"] = "塔諾克的補給品",
        ["Medivh's Journal"] = "麥迪文的日記",
        ["Gor'tesh the Brute Lord"] = "蠻王戈泰什",
        ["Oronu the Elder"] = "Oronu the Elder",
        ["Stout to Kadrell"] = "給卡德雷爾的酒",
        ["Stonegear's Search"] = "迪恩·石輪的追尋",
        ["Libram of Tenacity"] = "堅韌聖契",
        ["The Call to Command"] = "上級的命令",
        ["Stocking Jetsteam"] = "貝爾丁的補給",
        ["Shimmer Stout"] = "微光酒",
        ["Vital Intelligence"] = "重要情報",
        ["Covert Ops - Alpha"] = "隱秘行動：A",
        ["Return to Bellowfiz"] = "艾沃沙酒",
        ["Rejold's New Brew"] = "雷傑德的新酒",
        ["Keanna's Log"] = "琪安娜的日誌",
        ["Akama"] = "Akama",
        ["The Swamp Talker"] = "沼澤空談者",
        ["Protecting the Herd"] = "保護牲畜",
        ["Jammal'an the Prophet"] = "預言者迦瑪蘭",
        ["More Power!"] = "More Power!",
        ["Tyrande and Remulos"] = "泰蘭妲與雷姆洛斯",
        ["Evershine"] = "艾沃沙酒",
        ["Distracting Jarven"] = "加文的愛好",
        ["The Missing Diplomat"] = "失蹤的使節",
        ["Delivering the Relic"] = "遞送聖物",
        ["Coolant Heads Prevail"] = "至關重要的冷卻劑",
        ["A Study in Power"] = "學習力量",
        ["Sacred Cloth"] = "神聖的月布",
        ["Bitter Rivals"] = "針鋒相對",
        ["Ammo for Rumbleshot"] = "海格納的彈藥",
        ["Superior Armaments of Battle - Honored Amongst the Dawn"] = "精良級軍備之戰-銀色黎明聲望尊敬",
        ["The Temple of Telhamat"] = "特爾哈曼神廟",
        ["Encrypted Parchment"] = "密文羊皮紙",
        ["Writhing Haunt Cauldron"] = "嚎哭鬼屋的瘟疫之鍋",
        ["Two Halves Become One"] = "合二為一",
        ["Timber Worg Tails"] = "灰座狼尾巴",
        ["Vindicator's Rest"] = "復仇者之陵",
        ["Tomb of the Lightbringer"] = "光明使者之墓",
        ["Blood Elf Spy"] = "血精靈間諜",
        ["Helcular's Revenge"] = "赫爾庫拉的復仇",
        ["The Wildlife Suffers Too"] = "大自然的苦楚",
        ["The So-Called Mark of the Lightbringer"] = "所謂的光明使者的印記",
        ["Return to Lewis"] = "返回西部荒野",
        ["The Scourge Cauldrons"] = "瘟疫之鍋",
        ["Extinguish the Firegut"] = "消滅火腹巨魔",
        ["Single Mark of Kil'jaeden"] = "單一基爾加丹印記",
        ["Dragonmaw Shinbones"] = "龍喉脛骨",
        ["The Umbrafen Tribe"] = "昂布拉凡部族",
        ["Cloak of Veiled Shadows"] = "籠罩陰影披風",
        ["Gaining Acceptance"] = "獲得信任",
        ["The Last Barov"] = "巴羅夫的繼承人",
        ["Refuel for the Zapping"] = "補充動力",
        ["Rogue Training"] = "盜賊訓練",
        ["Roadside Ambush"] = "路邊的伏擊",
        ["Bring the Light"] = "與聖光同在",
        ["Verifying the Corruption"] = "驗證腐蝕",
        ["Missing Missive"] = "丟失的公文",
        ["Target: Writhing Haunt"] = "目標：嚎哭鬼屋",
        ["Target: Gahrron's Withering"] = "目標：蓋羅恩農場",
        ["Bartleby's Mug"] = "巴托比的酒杯",
        ["Tinkee Steamboil"] = "丁奇·斯迪波爾",
        ["Target: Felstone Field"] = "目標：費爾斯通農場",
        ["Defiler's Basic Care Package"] = "污染者基本醫療包",
        ["Feast at the Blue Recluse"] = "盛筵",
        ["Hallow's End Treats for Jesper!"] = "Hallow's End Treats for Jesper!",
        ["Chillwind Point"] = "冰風崗哨",
        ["Soulbound Keepsake"] = "禁錮靈魂的遺物",
        ["Skeletal Fragments"] = "骸骨碎片",
        ["Cohlien Frostweaver"] = "考林·織霜者",
        ["Return to the Hinterlands"] = "返回辛特蘭",
        ["Tooga's Quest"] = "圖加的任務",
        ["The Lich's Identity"] = "巫妖的身份",
        ["Scholomance"] = "通靈學院",
        ["Torching Sunfury Hold"] = "燒毀日怒要塞",
        ["Deepmoss Spider Eggs"] = "深苔蜘蛛的卵",
        ["Scarlet Subterfuge"] = "血色幻象",
        ["Scarlet Diversions"] = "誤導血色十字軍",
        ["Return to the Bulwark"] = "返回亡靈壁壘",
        ["Return to Chillwind Camp"] = "返回冰風崗",
        ["The Stagnant Oasis"] = "死水綠洲",
        ["Feathers for Grazle"] = "給格拉茲的羽毛",
        ["Band of Veiled Shadows"] = "籠罩陰影之戒",
        ["Cutting a Path"] = "清出一條路來",
        ["Mahren Skyseer"] = "瑪倫·星眼",
        ["The Summoning"] = "召喚",
        ["Heartswood"] = "同心樹",
        ["Strained Supplies"] = "物資短缺",
        ["Drape of Vaulted Secrets"] = "魔法秘密披風",
        ["In Dreams"] = "在夢中",
        ["Amulet of Secrets"] = "鐵趾的護符",
        ["The Fate of Yenniku"] = "耶尼庫的命運",
        ["Wind Rider"] = "雙足飛龍",
        ["The Ring of Blood: The Final Challenge"] = "血色競技場：最後的挑戰",
        ["Greed"] = "貪婪",
        ["Gahrron's Withering Cauldron"] = "蓋羅恩農場的瘟疫之鍋",
        ["Ursangous's Paw"] = "烏薩苟斯的爪子",
        ["Into The Scarlet Monastery"] = "深入血色修道院",
        ["Leaders of the Fang"] = "尖牙德魯伊",
        ["Hellfire Fortifications"] = "地獄火防禦堡壘",
        ["Dearest Natalia"] = "親愛的娜塔莉雅",
        ["Speak to Nafien"] = "與納菲恩交談",
        ["Down at the Docks"] = "降帆靠港",
        ["Fire At Will!"] = "Fire At Will!",
        ["Electro-Shock Goodness!"] = "Electro-Shock Goodness!",
        ["Meats to Orgrimmar"] = "送往奧格瑪的肉",
        ["Find the Shattered Hand"] = "尋找破碎之手氏族",
        ["Craftsman's Writ - Goblin Sapper Charge"] = "工匠令狀 - 哥布林工兵炸藥",
        ["The Ensorcelled Parchment"] = "附有魔法的羊皮紙",
        ["Auntie Marlene"] = "瑪萊恩姑媽",
        ["Morganth"] = "莫甘斯",
        ["Defiling Uther's Tomb"] = "褻瀆烏瑟之墓",
        ["Dalson's Tears Cauldron"] = "達爾松之淚的瘟疫之鍋",
        ["The Haunted Mills"] = "鬧鬼的磨坊",
        ["Gol'dir"] = "高迪爾",
        ["Ill Omens"] = "邪惡的預兆",
        ["Libram of Voracity"] = "貪婪聖契",
        ["Catalogue of the Wayward"] = "遊蕩者目錄",
        ["Breastplate of the Chromatic Flight"] = "多彩巨龍胸甲",
        ["Better Late Than Never"] = "遲到總比不到好",
        ["Needs More Cowbell"] = "需要更多的鈴鐺",
        ["The Magister's Apprentice"] = "博學者的學徒",
        ["Alien Egg"] = "異型卵",
        ["Dalaran Patrols"] = "達拉然巡邏隊",
        ["Deadmire"] = "死沼巨鱷",
        ["Clearing the Way"] = "清除道路",
        ["Rocket Car Parts"] = "火箭車零件",
        ["The Dynamic Duo"] = "最佳拍檔",
        ["Keeping Pace"] = "跟上節奏",
        ["The Inconsolable Chieftain"] = "極為傷心的酋長",
        ["The Formation of Felbane"] = "武器的鑄造",
        ["Stormers and Rumblers"] = "雷暴和磐石",
        ["Bloody Bone Necklaces"] = "染血的白骨項鏈",
        ["Spiritual Unrest"] = "永不安息的靈魂",
        ["Apprentice Angler"] = "釣魚學徒",
        ["A Recipe For Death"] = "致命配方",
        ["What Tomorrow Brings"] = "明天的希望",
        ["Return to the Scryers"] = "回到先知者身邊",
        ["Toxic Test"] = "毒性測試",
        ["Poisoned Water"] = "被囚禁的水元素",
        ["Meeting with the Master"] = "見到主人",
        ["Mura Runetotem"] = "茉拉·符文圖騰",
        ["Gadgetzan Water Survey"] = "加基森水業公司的調查報告",
        ["Thick Hydra Scales"] = "Thick Hydra Scales",
        ["Spiritual Domination"] = "精神矍鑠",
        ["The Foot of the Citadel"] = "堡壘之根",
        ["Omarion's Handbook"] = "歐瑪利安之手冊",
        ["Cloak of Unending Life"] = "不滅生命披風",
        ["Trampled Under Foot"] = "踩在腳底下",
        ["Magatha's Payment to Jediga"] = "瑪加薩的報酬",
        ["Leader of the Bloodscale"] = "血鱗領導者",
        ["Loramus"] = "洛拉姆斯",
        ["Wine Shop Advert"] = "酒店的廣告",
        ["The Fragments Within"] = "水晶中的碎骨",
        ["Test Flight: Shattrath <TXT>"] = "Test Flight: Shattrath <TXT>",
        ["Prove Your Worth"] = "證明你的價值",
        ["In Search of Anthion"] = "尋找安希恩",
        ["The Borrower"] = "海龜照片",
        ["KILL ON SIGHT: High Ranking Dark Iron Officials"] = "格殺勿論：高階黑鐵軍官",
        ["Troll Juju"] = "食人妖護符",
        ["Seek Redemption!"] = "Seek Redemption!",
        ["Find Spy To'gun"] = "找尋間諜·吐剛",
        ["Eitrigg's Wisdom"] = "伊崔格的智慧",
        ["Protect the Frontier"] = "保衛邊境",
        ["The Alliance Needs More Copper Bars!"] = "The Alliance Needs More Copper Bars!",
        ["Savage Fronds"] = "野性藻葉",
        ["Search Stillpine Hold"] = "搜索靜松要塞",
        ["Zeth'Gor Must Burn!"] = "Zeth'Gor Must Burn!",
        ["Delivery to Magatha"] = "瑪加薩的石版",
        ["Translating the Ledger"] = "翻譯龍語",
        ["Never Again!"] = "Never Again!",
        ["You're Fired!"] = "You're Fired!",
        ["Delivery to Archmage Xylem"] = "送貨給大法師克希雷姆",
        ["Delivery to Andron Gant"] = "送貨給安德隆·甘特",
        ["Secrets of the Colossus - Ashi"] = "巨像的秘密 - 亞什",
        ["Under Whose Orders?"] = "Under Whose Orders?",
        ["Breaking the Ward"] = "破壞結界",
        ["You're Hired!"] = "You're Hired!",
        ["Vile Familiars"] = "邪靈劣魔",
        ["Azuregos's Magical Ledger"] = "艾索雷葛斯的魔法賬本",
        ["Ride the Lightning"] = "操控閃電",
        ["Elven Legends"] = "精靈的傳說",
        ["A Restorative Draught"] = "恢復藥劑",
        ["A Land Filled with Hatred"] = "充滿仇恨的土地",
        ["Frostmaul E'ko"] = "霜槌魂精",
        ["A Hero's Reward"] = "英雄的獎賞",
        ["A Crew Under Fire"] = "危難中的船長",
        ["The Rock Flayer Matriarch"] = "石頭掠奪者女王",
        ["Squire Maltrake"] = "侍衛瑪特拉克",
        ["Dogran's Captivity"] = "多格蘭之囚",
        ["Captain Sander's Hidden Treasure"] = "桑德爾船長的寶藏",
        ["The Second and Third Fragments"] = "第二和第三個碎片",
        ["An Imp's Request"] = "小鬼的要求",
        ["Frostsaber E'ko"] = "霜刃魂精",
        ["Testing the Antidote"] = "測試解毒劑",
        ["Bonescythe Digs"] = "骨鐮掘鏟",
        ["Entry Into Karazhan"] = "卡拉贊的入口",
        ["Humble Beginnings"] = "童年的記憶",
        ["Return to Khadgar"] = "回到凱德卡那裡",
        ["Brutal Helm"] = "野蠻頭盔",
        ["Ezekiel"] = "伊斯奇歐",
        ["In Search of Knowledge"] = "尋找知識",
        ["In Good Hands"] = "妥善保管",
        ["Gearing Redridge"] = "支援赤脊山",
        ["Ishanah"] = "伊莎納",
        ["Whelps of the Wyrmcult"] = "卡特火龍的幼獸",
        ["The Final Message to the Wildhammer"] = "給蠻錘部族的最後警告",
        ["Joys of Omosh"] = "沃姆什的喜悅",
        ["Raid on the Kolkar"] = "突襲科卡爾",
        ["In Defense of Frostwolf"] = "保衛霜狼氏族",
        ["Swoop Hunting"] = "獵捕猛鷲",
        ["Harbinger of Doom"] = "厄運先驅者",
        ["Inform Leoroxx!"] = "Inform Leoroxx!",
        ["Waters of Xavian"] = "薩維亞之水",
        ["Purified!"] = "Purified!",
        ["Hex of Weakness"] = "虛弱妖術",
        ["The Matron Protectorate"] = "監護者",
        ["The Siren's Coral"] = "海妖的珊瑚",
        ["A Small Start"] = "一個小開始",
        ["The Infernal Orb"] = "地獄火寶珠",
        ["Presence of Sight"] = "魔法的視域",
        ["Lack of Surplus"] = "缺乏補給",
        ["The Deserters"] = "背叛者",
        ["Bonescythe Gauntlets"] = "骨鐮護手",
        ["Exorcising Terrordale"] = "恐懼谷的靈魂",
        ["Recharging the Batteries"] = "補充電源",
        ["Ripple Delivery"] = "送回蜜酒",
        ["Root Samples"] = "根鬚樣本",
        ["Dwarven Justice"] = "矮人的正義",
        ["Speak with Bink"] = "和彬克交談",
        ["Rituals of Power"] = "能量儀祭",
        ["Report to Jennea"] = "向詹妮亞報告",
        ["Damaged Mask"] = "破損的面具",
        ["The Den Mother"] = "獸穴之后",
        ["Fairbreeze Village"] = "晴風村",
        ["Now That We're Friends..."] = "Now That We're Friends...",
        ["Irondeep Supplies"] = "深鐵礦坑的補給",
        ["The Stolen Tome"] = "失竊的典籍",
        ["Troll Necklace Bounty"] = "食人妖部族項鏈",
        ["Proving Your Worth"] = "證明你的實力",
        ["Ghost Hair Thread"] = "幽靈的髮絲",
        ["News of Dogran"] = "多格蘭的消息",
        ["Victims of Corruption "] = "Victims of Corruption ",
        ["Investigate Echo Ridge"] = "回音山調查行動",
        ["Forsaken Aid"] = "被遺忘者的援助",
        ["Recently Living"] = "適者生存",
        ["A Bad Egg"] = "壞掉的蛋",
        ["Presence of Might"] = "力量的證明",
        ["Pristine Spider Silk"] = "新鮮的蜘蛛絲",
        ["Serpent Wild"] = "狂熱之蛇",
        ["Power in Uldaman"] = "奧達曼的能量源",
        ["Shizzle's Flyer"] = "希茲爾的的飛行器",
        ["Return to Topher Loaal"] = "回到塔伏爾·羅歐那裡",
        ["Assault on Zeb'Nowa"] = "攻擊札布諾瓦",
        ["Who Are They?"] = "Who Are They?",
        ["All Along the Watchtowers"] = "標記哨塔",
        ["Mirror Lake"] = "明鏡湖",
        ["The Good Stuff"] = "好東西",
        ["Manaweave Robe"] = "法紋長袍",
        ["Ak'Zeloth"] = "雅克塞羅斯",
        ["Rin'ji's Secret"] = "林吉的秘密",
        ["Mana Surges"] = "法力怒靈",
        ["Magic Dust"] = "魔法粉末",
        ["Carendin Summons"] = "凱倫丁的召喚",
        ["The Demon Hunter"] = "惡魔獵人",
        ["Murloc Poachers"] = "魚人偷獵者",
        ["Bring Back the Mug"] = "歸還酒杯",
        ["Magecraft"] = "法師公會",
        ["The Path of the Righteous"] = "正義之路",
        ["Mage's Wand"] = "法師的魔杖",
        ["Searching for Evidence"] = "尋找證據",
        ["Dreamwalker Handguards"] = "夢行者護手",
        ["Mage Training"] = "法師訓練",
        ["Smooth as Butter"] = "技術高超",
        ["Journey to Undercity"] = "幽暗城之旅",
        ["Laughing Sisters"] = "歡笑的姐妹",
        ["Protect Kaya"] = "保護卡雅",
        ["The Remains of Trey Lightforge"] = "特雷·萊弗治的殘骸",
        ["Ju-Ju Heaps"] = "魂能骨堆",
        ["Knowledge in the Deeps"] = "深淵中的知識",
        ["Asghar's Totem"] = "阿斯格的圖騰",
        ["Run a Diagnostic!"] = "Run a Diagnostic!",
        ["Paragons of Power: The Illusionist's Wraps"] = "權力珍寶：幻術師裹布",
        ["That's Asking A Lot"] = "獅子大開口",
        ["The Fel and the Furious"] = "狂熱的地獄",
        ["Kitchen Assistance"] = "廚房助手",
        ["The Tome of Divinity"] = "聖潔之書",
        ["Diagnosis: Critical"] = "診斷︰關鍵性的",
        ["Investigate the Blue Recluse"] = "調查藍色隱士",
        ["Investigate the Alchemist Shop"] = "調查煉金店",
        ["High Sorcerer Andromath"] = "高階巫師安多瑪斯",
        ["More Bat Eyes"] = "更多蝙蝠眼",
        ["The Molten Core"] = "熔火之心",
        ["Dadanga is Hungry!"] = "Dadanga is Hungry!",
        ["Small Furry Paws"] = "毛茸茸的小爪子",
        ["Glyphic Tablet"] = "雕文石板",
        ["... and Bugs"] = "... and Bugs",
        ["Dreadnaught Legplates"] = "恐懼之無腿鎧",
        ["Honor the Fallen"] = "榮耀失落者",
        ["The Shrine of Dath'Remar"] = "達斯雷瑪神殿",
        ["The Firewing Liaison"] = "火翼聯繫",
        ["Finding the Antidote"] = "尋找解毒劑",
        ["Buzzbox 525"] = "傳聲盒525號",
        ["The Warp Rifts"] = "扭曲裂縫",
        ["Return to Nessa"] = "飛回泰達希爾",
        ["Get the Scoop"] = "解封咒語",
        ["A Hero Is Needed"] = "需要一位英雄",
        ["Epic Armaments of Battle - Exalted Amongst the Dawn"] = "史詩級軍備之戰-銀色黎明聲望崇拜",
        ["Answered Questions"] = "回覆珊蒂斯",
        ["Grim Message"] = "可怕的消息",
        ["An Easy Pickup"] = "簡單的接收任務",
        ["Lost in Battle"] = "在戰鬥中失蹤",
        ["Imperial Plate Leggings"] = "君王鎧甲護腿",
        ["A Visit With The Ancestors"] = "拜訪先祖們",
        ["Hallow's End Treats for Spoops!"] = "Hallow's End Treats for Spoops!",
        ["Crocolisk Hunting"] = "捕獵鱷魚",
        ["Control"] = "控制魔法",
        ["Celestial Power"] = "天國之力",
        ["Libram of Rapidity"] = "疾速聖契",
        ["Astral Knot Garment"] = "星界之衣",
        ["Arcane Reavers"] = "秘法掠奪者",
        ["A Simple Robe"] = "一件簡單的長袍",
        ["The Mills Overrun"] = "磨坊告急",
        ["Wolves Across the Border"] = "森林中的狼群",
        ["Bane of the Illidari"] = "伊利達瑞的剋星",
        ["Grark Lorkrub"] = "格拉克·洛克魯布",
        ["Driftwood"] = "曬乾的流木",
        ["Report to Goldshire"] = "去閃金鎮報到",
        ["The Orebor Harborage"] = "奧雷伯爾港",
        ["Slay the Brood Mother"] = "殺死幼龍之母",
        ["Underworld Loam"] = "Underworld Loam",
        ["Milly's Harvest"] = "米莉的葡萄",
        ["Milly Osworth"] = "米莉·奧斯沃斯",
        ["Where Did Those Darn Gnomes Go?"] = "Where Did Those Darn Gnomes Go?",
        ["Handle With Care"] = "小心運送",
        ["Kim'jael's \"Missing\" Equipment"] = "基姆加爾「丟失」的裝備",
        ["The Curious Visitor"] = "好奇的訪客",
        ["More Tendrils!"] = "More Tendrils!",
        ["Rhapsody's Kalimdor Kocktail"] = "拉普索迪的卡林多雞尾酒",
        ["Grape Manifest"] = "葡萄出貨單",
        ["Bonescythe Sabatons"] = "骨鐮重靴",
        ["Eagan Peltskinner"] = "伊根·派特斯金納",
        ["Brotherhood of Thieves"] = "盜賊兄弟會",
        ["Crushridge Bounty"] = "破碎嶺巨魔",
        ["... and a Batch of Ooze"] = "... and a Batch of Ooze",
        ["Crime and Punishment"] = "罪與罰",
        ["Flute of Xavaric"] = "薩瓦里克長笛",
        ["The Principal Source"] = "毒水之源",
        ["Synthesis of Power"] = "力量的綜合",
        ["Natural Enemies"] = "自然天敵",
        ["A Threat Within"] = "身邊的危機",
        ["Dreadnaught Sabatons"] = "恐懼之無馬靴",
        ["Redemption"] = "贖救",
        ["The Kolkar of Desolace"] = "淒涼之地的科卡爾部族",
        ["Arugal Must Die"] = "除掉阿魯高",
        ["Do My Eyes Deceive Me"] = "我眼花了嗎",
        ["Wildmane Totem"] = "蠻鬃圖騰",
        ["Mortality Wanes"] = "臨終遺言",
        ["Spirit Totem"] = "靈魂圖騰",
        ["Shaman Training"] = "薩滿訓練",
        ["On the Wings of a Hippogryph"] = "飛快的角鷹獸",
        ["Rune-Inscribed Parchment"] = "符文羊皮紙",
        ["Hameya's Plea"] = "哈米亞的請求",
        ["The Daughter Who Lived"] = "倖存的女兒",
        ["Craftsman's Writ - Runic Leather Pants"] = "工匠令狀 - 符文皮甲短褲",
        ["Kharan Mighthammer"] = "卡蘭·巨錘",
        ["Inert Scourgestones"] = "惰性天災石",
        ["Fire Sapta"] = "火焰靈契",
        ["Incriminating Documents"] = "控罪文件",
        ["Gathering Idols"] = "收集石像",
        ["Da Voodoo"] = "巫毒羽毛",
        ["Falrin's Vendetta"] = "法琳的仇恨",
        ["Expert Blacksmith!"] = "Expert Blacksmith!",
        ["A Bird's-Eye View"] = "鳥眼視線",
        ["Because Kilrath is a Coward"] = "Because Kilrath is a Coward",
        ["Call of Water"] = "水之召喚",
        ["Dousing the Flames of Protection"] = "熄滅火焰",
        ["Alliance Relations"] = "聯盟關係",
        ["Call of Fire"] = "火焰召喚",
        ["Prove Your Hatred"] = "復仇的證明",
        ["Call of Earth"] = "土的召喚",
        ["Wandering Shay"] = "迷路的沙恩",
        ["The Master Planner"] = "規劃大師",
        ["Pamela's Doll"] = "帕米拉的洋娃娃",
        ["Zapper Fuel"] = "除草器的燃料",
        ["Sigil of Thoradin"] = "索拉丁符印",
        ["The Count of the Marshes"] = "沼澤的伯爵",
        ["10 Tickets - Last Month's Mutton"] = "10 Tickets - Last Month's Mutton",
        ["The Assassin"] = "刺客",
        ["Delivering Daffodils"] = "水仙訴衷情",
        ["Doomcaller's Mantle"] = "厄運召喚者的襯肩",
        ["Testing for Corruption - Felwood"] = "墮落檢測 - 費伍德森林",
        ["The Northern Pylon"] = "北部水晶塔",
        ["Get the Goblins Drunk"] = "灌醉哥布林",
        ["Digging Through the Ooze"] = "搜尋軟泥怪",
        ["A Defector"] = "背叛者",
        ["The New Springs"] = "新的泉水",
        ["Heart of Rage"] = "狂怒之心",
        ["Murkblood Corrupters"] = "黑暗之血腐敗者",
        ["Crushridge Warmongers"] = "破碎嶺好戰者",
        ["Fragments of the Past"] = "歷史的殘片",
        ["The Caverns of Time"] = "時光之穴",
        ["The Jasperlode Mine"] = "玉石礦坑",
        ["Back to Thunder Bluff"] = "返回雷霆崖",
        ["The Shadowmoon Shuffle"] = "影月谷的潛行",
        ["Anachronos"] = "安納克羅斯",
        ["Winterfall Runners"] = "冬泉信差",
        ["The Bait for Lar'korwi"] = "拉克維的誘餌",
        ["The Apes of Un'Goro"] = "安戈洛的猩猩",
        ["Return to Tinkee"] = "返回丁奇身邊",
        ["A Bump in the Road"] = "安全隱患",
        ["Kaya's Alive"] = "卡雅還活著",
        ["In the Name of the Light"] = "以聖光之名",
        ["The Lost Ingots"] = "丟失的鐵錠",
        ["Libram of Constitution"] = "體質聖契",
        ["Muigin and Larion"] = "莫爾金和拉里安",
        ["Kill Grundig Darkcloud"] = "殺死格魯迪格·暗雲",
        ["Orders from Lady Vashj"] = "瓦許女士的命令",
        ["One Shot. One Kill."] = "One Shot. One Kill.",
        ["The Lost Fragments"] = "遺失的卷軸碎片",
        ["More Thorium Widgets"] = "更多的瑟銀零件",
        ["Tainted Arcane Sliver"] = "腐壞的秘法裂片",
        ["Slake That Thirst"] = "口渴的比格維茲",
        ["A Message to Telaar"] = "給泰拉的消息",
        ["Marvon's Workshop"] = "瑪爾馮的車間",
        ["Frostfire Robe"] = "霜火長袍",
        ["Thun'grim Firegaze"] = "索恩格瑞姆·火眼",
        ["Lost!"] = "Lost!",
        ["Gauging the Resonant Frequency"] = "測量共振的頻率",
        ["The Agony and the Darkness"] = "苦痛的黑暗",
        ["Dungar Longdrink"] = "杜加爾·朗德瑞克",
        ["Hive'Ashi Scout Report"] = "亞什蟲巢偵查報告",
        ["Marla's Last Wish"] = "瑪拉的遺願",
        ["Linken's Memory"] = "林克的記憶",
        ["The Alliance Needs More Thorium Bars!"] = "The Alliance Needs More Thorium Bars!",
        ["In Search of Thaelrid"] = "尋找塞爾瑞德",
        ["The Blackwood Corrupted"] = "黑木熊怪的墮落",
        ["The Prison's Casing"] = "監牢之壁",
        ["Arconus the Insatiable"] = "貪求無厭的阿肯納斯",
        ["Crystal Yield"] = "破甲水晶",
        ["Too Many Mouths to Feed"] = "僧多粥少",
        ["Underbelly Scales"] = "雛龍的鱗片",
        ["Morrowgrain Research"] = "晨光麥研究",
        ["Suncrown Village"] = "日冠村",
        ["Further Instructions"] = "新的指示",
        ["A Necessary Distraction"] = "一種必要的干擾",
        ["Finding the Source"] = "究根問底",
        ["Favored of Elune?"] = "Favored of Elune?",
        ["Expedition Salvation"] = "搶救物資",
        ["Runewarden Deryan"] = "符文守護者德蘭",
        ["Getting the Bladespire Tanked"] = "灌醉劍刃巨魔",
        ["It's a Secret to Everybody"] = "無人知曉的秘密",
        ["Lost But Not Forgotten"] = "丟失的孩子",
        ["Winter's Presents"] = "冬天的禮物",
        ["Crystal Ward"] = "防禦水晶",
        ["The Kessel Run"] = "幫凱索的忙",
        ["Luck Be With You"] = "祝你好運",
        ["Against the Illidari"] = "對抗伊利達瑞",
        ["Warsong Saw Blades"] = "戰歌鋸刃",
        ["Brother Carlin"] = "卡林·雷德帕斯",
        ["Doorway to the Abyss"] = "通往深淵的門戶",
        ["Kurzen's Mystery"] = "庫爾森的秘密",
        ["50 Tickets - Darkmoon Storage Box"] = "50 Tickets - Darkmoon Storage Box",
        ["Assassin's Contract"] = "刺客的契約",
        ["Protect Kanati Greycloud"] = "保護卡納提·灰雲",
        ["Turning Point"] = "轉捩點",
        ["The Howling Wind"] = "The Howling Wind",
        ["A Fishy Peril"] = "魚人的威脅",
        ["Dagger of Veiled Shadows"] = "籠罩陰影匕首",
        ["Fire Hardened Mail"] = "弗倫的鎧甲",
        ["Declaration of Power"] = "宣示力量",
        ["Signal for Pickup"] = "信號發射器",
        ["Vision of the Dead"] = "死者的視界",
        ["The Ruins of Burning Blade"] = "燃燒之劍廢墟",
        ["Rocknot's Ale"] = "羅克諾特的麥酒",
        ["The Crimson Courier"] = "紅衣信差",
        ["Bloodpetal Zapper"] = "血瓣花除草器",
        ["Pridewings of Stonetalon"] = "石爪山的雙足飛龍",
        ["Bloodpetal Sprouts"] = "血瓣花苗",
        ["Speak with Coleman"] = "庫勒曼",
        ["Alien Ecology"] = "異型的生態",
        ["Wanted: Knucklerot and Luzran"] = "懸賞：納克羅和路斯萊恩",
        ["A Visit to Gregan"] = "造訪格雷甘",
        ["Digging for Prayer Beads"] = "挖掘祈禱珠串",
        ["Gizmo for Warug"] = "瓦魯格的玩具",
        ["A Little Help From My Friends"] = "朋友的幫助",
        ["A Grave Situation"] = "尋找墓碑",
        ["Forging the Weapon"] = "鑄造武器",
        ["The Ruins of Kel'Theril"] = "凱斯利爾廢墟",
        ["The Undermarket"] = "地下交易",
        ["Concerted Efforts"] = "共同的努力",
        ["The Sigil of Krasus"] = "The Sigil of Krasus",
        ["Speak with Gramma"] = "跟湯米的祖母談話",
        ["Success!"] = "Success!",
        ["Becoming a Spellfire Tailor"] = "成為一名法術火裁縫師",
        ["Ysera's Tears"] = "伊瑟拉的眼淚",
        ["Becoming a Shadoweave Tailor"] = "成為一名暗影裁縫師",
        ["Letter to Jin'Zil"] = "寫給金吉爾的信",
        ["Slaying the Beast"] = "饑餓者塔拉加曼",
        ["Scrying Goggles? No Problem!"] = "Scrying Goggles? No Problem!",
        ["Becoming a Mooncloth Tailor"] = "成為一名月布裁縫師",
        ["Vorrel's Revenge"] = "沃瑞爾的復仇",
        ["A Boaring Time for Grulloc"] = "葛魯洛克的豬時光",
        ["Allegiance to the Scryers"] = "向占卜者效忠",
        ["Meeting at the Blackwing Coven"] = "黑翼集會所的集會",
        ["Mythology of the Titans"] = "泰坦神話",
        ["A Personal Favor"] = "個人的喜好",
        ["Compendium of the Fallen"] = "墮落者綱要",
        ["Cuergo's Gold"] = "科爾戈的黃金",
        ["Zenn's Bidding"] = "賽恩的要求",
        ["The Woodland Protector"] = "森林守護者",
        ["Guarded Thunderbrew Barrel"] = "戒備森嚴",
        ["Against All Odds"] = "挑戰不可能",
        ["Operative Bijou"] = "狡猾的比修",
        ["The Pledge of Secrecy"] = "保密協議",
        ["Tumors"] = "青苔之瘤",
        ["Twisted Evils"] = "扭曲的邪惡",
        ["Timberling Sprouts"] = "林精的新芽",
        ["The Alliance Needs More Spotted Yellowtail!"] = "The Alliance Needs More Spotted Yellowtail!",
        ["The Sprouted Fronds"] = "發芽的樹葉",
        ["The Shimmering Frond"] = "發光的樹葉",
        ["The Road to Darnassus"] = "達納蘇斯之路",
        ["Vorsha the Lasher"] = "鞭笞者沃爾沙",
        ["The Relics of Wakening"] = "喚醒聖物",
        ["The Moss-twined Heart"] = "佈滿苔蘚的心臟",
        ["The Enchanted Glade"] = "神諭林地",
        ["The Work of Grimand Elmore"] = "格瑞曼德·艾爾默",
        ["Draconic for Dummies"] = "龍語傻瓜教程",
        ["Precarious Predicament"] = "押送囚徒",
        ["Return to Denalan"] = "向德納蘭回報",
        ["Replenishing the Healing Crystals"] = "補充治療水晶",
        ["Report to Ironforge"] = "向鐵爐堡報告",
        ["More Heads Full of Ivory"] = "更多象長牙",
        ["Deliver the Thread"] = "幽靈的發絲",
        ["Return of the Ring"] = "戒指歸來",
        ["Whitebark's Memory"] = "白吼的記憶",
        ["Potential for Brain Damage = High"] = "大腦損傷的可能性＝高",
        ["For Love Eternal"] = "永志不渝",
        ["Footwraps of the Oracle"] = "神諭者的裹足",
        ["Oakenscowl"] = "奧肯斯古爾",
        ["Summons from Knight-Lord Bloodvalor"] = "騎士領導者·伯洛德瓦勒的召喚",
        ["Mist"] = "密斯特",
        ["Gnarlpine Corruption"] = "瘤背熊怪的墮落",
        ["The Warsong Reports"] = "戰歌報告",
        ["The Barrens Oases"] = "貧瘠之地的綠洲",
        ["The Alliance Needs Iron Bars!"] = "The Alliance Needs Iron Bars!",
        ["Winterfall E'ko"] = "寒水魂精",
        ["A Portable Power Source"] = "攜帶式能量泉源",
        ["Desert Recipe"] = "沙漠食譜",
        ["The Ashenvale Hunt"] = "梣谷狩獵",
        ["Doomsday Candle"] = "末日蠟燭",
        ["Druid of the Claw"] = "利爪德魯伊",
        ["A Troubling Breeze"] = "煩惱之風",
        ["There's No Explanation for Fashion"] = "流行沒有理由",
        ["Maelstrom's Wrath"] = "漩渦之怒",
        ["Return to Andormu"] = "回去安杜姆身邊",
        ["To the Undercity for Yagyin's Digest"] = "遠赴幽暗城",
        ["To Ironforge for Yagyin's Digest"] = "遠赴鐵爐堡",
        ["What Strange Creatures..."] = "What Strange Creatures...",
        ["Fields of Grief"] = "悲傷之地",
        ["Ride to Ironforge"] = "飛往鐵爐堡",
        ["Bring the End"] = "寒冰之王",
        ["Green Iron Bracers"] = "綠鐵護腕",
        ["Talk to the Hand"] = "與阿格斯之手談談",
        ["Deceive thy Enemy"] = "矇騙敵人",
        ["Collection of the Corrupt Water"] = "收集墮落之水",
        ["Lonebrow's Journal"] = "亨里格的日記",
        ["Outrider Advanced Care Package"] = "斥候高級護理包",
        ["Prospect of Faith"] = "鐵趾的遺願",
        ["Snakestone of the Shadow Huntress"] = "沃許加斯的菊石",
        ["The Missing Expedition"] = "失蹤的遠征隊",
        ["Pearl Diving"] = "潛水采珍珠",
        ["An Unwelcome Presence"] = "不速之客",
        ["Return to Thalodien"] = "回去找Thalodien",
        ["Forsaken Diseases"] = "被遺忘者的病菌",
        ["The Missing Fisherman"] = "失蹤的漁夫",
        ["Murdaloc"] = "莫達洛克",
        ["Mirages"] = "饑腸轆轆",
        ["Liquid Stone"] = "盧希恩的藥水",
        ["Safety First"] = "安全第一",
        ["Fire Plume Forged"] = "火羽山",
        ["The Wrong Stuff"] = "奇怪的材料",
        ["Forbidden Knowledge"] = "禁斷的知識",
        ["Find Agmond"] = "尋找阿戈莫德",
        ["Totem of Coo"] = "庫的圖騰",
        ["Dreamwalker Headpiece"] = "夢行者頭盔",
        ["Dreadmaul Rock"] = "巨槌石",
        ["Coyote Thieves"] = "捕獵山狗",
        ["Investigate the Amani Catacombs"] = "調查阿曼尼地下墓穴",
        ["The Tempest Key"] = "風暴之鑰",
        ["Bartleby the Drunk"] = "醉鬼巴托比",
        ["Hippogryph Muisek"] = "角鷹獸靈魂精華",
        ["Kim'jael Indeed!"] = "Kim'jael Indeed!",
        ["Barbecued Buzzard Wings"] = "燒烤禿鷹翅膀",
        ["The Woodpaw Gnolls"] = "木爪豺狼人",
        ["Vanquish the Betrayers"] = "背信棄義的人類",
        ["The Hunt Completed"] = "完成狩獵",
        ["Investigate An'daroth"] = "調查安都拉斯",
        ["Irradiated Crystal Shards"] = "受到輻射的水晶碎片",
        ["Zukk'ash Report"] = "祖卡什報告",
        ["Zukk'ash Infestation"] = "祖卡什的入侵",
        ["Zapped Giants"] = "被縮小的巨人",
        ["Report from the Northern Front"] = "北方前線的報告",
        ["Woodpaw Investigation"] = "調查木爪嶺",
        ["Coilfang Armaments"] = "盤牙裝備",
        ["Colossal Menace"] = "巨大的威脅",
        ["Us or Them"] = "不是你死就是我活",
        ["Paragons of Power: The Augur's Hauberk"] = "權力珍寶：預言者外套",
        ["The Arakkoa Threat"] = "阿拉卡的威脅",
        ["Weapons of Spirit"] = "靈魂武器",
        ["To the Top"] = "登高",
        ["Mazen's Behest"] = "馬森的請求",
        ["Return to the Abyssal Shelf"] = "回到深淵沙洲",
        ["Goldenmist Village"] = "金霧村",
        ["Blind Cazul"] = "盲眼卡祖爾",
        ["Craftsman's Writ - Runecloth Robe"] = "工匠令狀 - 符文布袍",
        ["Whispers on the Wind"] = "風中低語",
        ["Call of Air"] = "空氣之召喚",
        ["Muren Stormpike"] = "穆倫·雷矛",
        ["Crystal Spire"] = "尖刺水晶",
        ["The Writhing Deep"] = "痛苦深淵",
        ["Freed from the Hive"] = "逃離蟲巢",
        ["The Balance of Light and Shadow"] = "光與影的平衡",
        ["The Cipher of Damnation - The Second Fragment Recovered"] = "毀滅密碼 - 第二部",
        ["Crystal Clear"] = "清除水晶的障礙",
        ["Highperch Venom"] = "風巢雙足飛龍的毒囊",
        ["A Proper String"] = "合適的弓弦",
        ["An Ambassador of Evil"] = "邪惡的使者",
        ["Brother Anton"] = "安東修士",
        ["The Videre Elixir"] = "視靈藥劑",
        ["Seek Huntress Kella Nightbow"] = "Seek Huntress Kella Nightbow",
        ["The Super Snapper FX"] = "超級攝影器FX",
        ["Family Tree"] = "族譜",
        ["Dirge's Kickin' Chimaerok Chops"] = "迪爾格的超美味奇美拉肉片",
        ["Speak with Rilak the Redeemed"] = "跟贖罪者里拉談談",
        ["Journey to Tarren Mill"] = "塔倫米爾之旅",
        ["The Lost Caravan"] = "走失的商隊",
        ["Tremors of the Earth"] = "大地的震顫",
        ["Break Sharptusk!"] = "Break Sharptusk!",
        ["The Morrow Stone"] = "晨光石",
        ["Did You Lose This?"] = "Did You Lose This?",
        ["Agents of Destruction"] = "毀滅間諜",
        ["Feralas: A History"] = "菲拉斯的歷史",
        ["The Mark of Quality"] = "品質的保證",
        ["Cyclonian"] = "塞克隆尼亞",
        ["The Knife Revealed"] = "奎恩提斯的技藝",
        ["The High Wilderness"] = "高原荒野",
        ["Spinal Dust"] = "脊骨之塵",
        ["The Hound-Master"] = "公爵",
        ["The Gordunni Scroll"] = "戈杜尼卷軸",
        ["Attack on Firewing Point"] = "攻擊火翼崗哨",
        ["The Gordunni Orb"] = "戈杜尼寶珠",
        ["The Giant Guardian"] = "大保姆",
        ["Magram Alliance"] = "瑪格拉姆族的聯盟",
        ["The Eyes of Skettis"] = "司凱堤斯之眼",
        ["Thalanaar Delivery"] = "薩蘭納爾的貨物",
        ["A Boar's Vitality"] = "野豬的活力",
        ["Testing the Vessel"] = "測試容器",
        ["Stinglasher"] = "毒刺鞭笞者",
        ["No More Mushrooms!"] = "No More Mushrooms!",
        ["Return to Witch Doctor Uzer'i"] = "向巫醫尤克里回覆",
        ["The Traitor's Destruction"] = "叛國者的毀滅",
        ["Flawless Fel Essence"] = "無暇的惡魔精華",
        ["The Thunderspike"] = "The Thunderspike",
        ["Badlands Reagent Run II"] = "荒蕪之地的試劑 II",
        ["Testing an Enemy's Strength"] = "試探敵人",
        ["Paragons of Power: The Vindicator's Belt"] = "權力珍寶：辯護者腰帶",
        ["Return to Feathermoon Stronghold"] = "返回羽月要塞",
        ["A Somber Task"] = "陰鬱任務",
        ["Rescue OOX-22/FE!"] = "Rescue OOX-22/FE!",
        ["Psychometric Reading"] = "心靈占卜術",
        ["Pristine Yeti Hide"] = "原始雪人毛皮",
        ["The Coastal Menace"] = "海岸上的威脅",
        ["Rattling the Rattlecages"] = "斷骨骷髏",
        ["Return to the Crossroads."] = "Return to the Crossroads.",
        ["Natural Materials"] = "天然材料",
        ["Sprinkle's Secret Ingredient"] = "斯普琳科的秘密佐料",
        ["Parts of the Swarm"] = "蟲群的消息",
        ["Kamsis"] = "坎希斯",
        ["Improved Quality"] = "更高的品質",
        ["Noboru the Cudgel"] = "木棒諾博魯",
        ["Featherbeard's Endorsement"] = "羽鬚的背書",
        ["A Warrior's Training"] = "戰士的訓練",
        ["The Slaughtered Lamb"] = "已宰的羔羊",
        ["Gnome Improvement"] = "地精的手藝",
        ["To Kill With Purpose"] = "殺戮的理由",
        ["Anthion's Parting Words"] = "安希恩的離別感言",
        ["The Missing Courier"] = "失蹤的信差",
        ["Caught!"] = "Caught!",
        ["Breastplate of Bloodthirst"] = "嗜血胸甲",
        ["Faerie Dragon Muisek"] = "精靈龍靈魂精華",
        ["Enraged Thunder Lizards"] = "被激怒的雷霆蜥蜴",
        ["Dark Heart"] = "黑暗之心",
        ["Boat Wreckage"] = "船隻的殘骸",
        ["To the Stormspire"] = "到風暴之尖",
        ["An Orphan Looking For a Home"] = "領養孤兒",
        ["The Dragon's Eye"] = "巨龍之眼",
        ["Felspark Ravine"] = "黂閃深谷",
        ["Terokkarantula"] = "泰洛卡狼蛛",
        ["Newfound Allies"] = "新找到的盟友",
        ["Against the Hatecrest"] = "憎世納迦之戰",
        ["Dr. Boom!"] = "Dr. Boom!",
        ["Final Preparations"] = "最後的準備",
        ["Inoculation"] = "預防注射",
        ["Test Flight: The Singing Ridge"] = "飛行測試：美聲山脊",
        ["Again With the Zapped Giants"] = "更多被縮小的巨人！",
        ["Clamlette Surprise"] = "蚌肉大餐",
        ["A Short Incubation"] = "即將孵化",
        ["Victory for the Horde"] = "部落的勝利",
        ["Troll Witchery"] = "食人妖巫術",
        ["Rethban Ore"] = "瑞斯班礦石",
        ["Target: Hive'Regal Burrowers"] = "目標：雷戈掘洞者",
        ["A Grim Discovery"] = "可怕的發現",
        ["Wanted: Vile Priestess Hexx and Her Minions"] = "通緝：邪惡祭司海克斯和她的爪牙",
        ["Your Fortune Awaits You..."] = "Your Fortune Awaits You...",
        ["Whirring Bronze Gizmo"] = "高速青銅齒輪",
        ["Enraged Spirits"] = "怒靈",
        ["Wharfmaster Dizzywig"] = "碼頭管理員迪茲維格",
        ["Supplies for the Crossroads"] = "十字路口的補給物資",
        ["A Dire Situation"] = "情況緊迫",
        ["The Ashtongue Tribe"] = "灰舌部族",
        ["The Day After"] = "災難之後",
        ["Creature of the Void"] = "虛空中的生物",
        ["Capture the Weapons"] = "奪取武器",
        ["Return to Talionia"] = "返回塔萊妮亞那裡",
        ["Marauding Wolves"] = "巡邏的狼群",
        ["Thorium Widget"] = "瑟銀零件",
        ["The Crown of Will"] = "意志之冠",
        ["Agamaggan's Agility"] = "阿迦瑪甘的敏捷",
        ["Show Your Work"] = "工作成果",
        ["Preserving Knowledge"] = "保全書籍",
        ["Spawn of Jubjub"] = "啾啾的蛋",
        ["Karynaku"] = "凱瑞納古",
        ["Rituals of Strength"] = "力量儀式",
        ["More Glowing Scorpid Blood"] = "更多閃光的蠍血",
        ["Situation at Sunsail Anchorage"] = "日帆泊地的狀況",
        ["Mantles of the Dawn"] = "黎明襯肩",
        ["The Horde Needs Runecloth Bandages!"] = "The Horde Needs Runecloth Bandages!",
        ["More Armor Kits"] = "更多的護甲片",
        ["Sentinel Basic Care Package"] = "哨兵基礎護理包",
        ["Never Ask Me About My Business"] = "不要過問我的工作",
        ["Orm Stonehoof and the Brutal Helm"] = "歐姆·石蹄和野蠻頭盔",
        ["The Pack Mistress"] = "座狼的首領",
        ["The Smallest Creatures"] = "最小的動物",
        ["Message to the Wildhammer"] = "給蠻錘部族的警告",
        ["The Deserter"] = "沙漠隱士",
        ["Tracking Down the Culprits"] = "追蹤罪犯",
        ["Filthy Paws"] = "骯髒的爪子",
        ["Returning Home"] = "回家",
        ["Tenaron's Summons"] = "特納隆的召喚",
        ["Balance Must Be Preserved"] = "一定要保持平衡",
        ["Klockmort's Essentials"] = "幫助科勞莫特",
        ["The Blightcaller Cometh"] = "凋零者",
        ["Olemba Seeds"] = "歐蘭巴種子",
        ["Study of the Elements: Rock"] = "研究石元素",
        ["Garments of Spirituality"] = "靈魂之衣",
        ["Iron Coral"] = "鐵珊瑚",
        ["Codex of Defense"] = "防禦寶典",
        ["Rites of the Earthmother"] = "大地之母儀祭",
        ["Ula'elek and the Brutal Gauntlets"] = "尤拉萊克和野蠻護手",
        ["Crashing the Wickerman Festival"] = "破壞稻草人節",
        ["Evil Bat Eyes"] = "邪惡的蝙蝠眼",
        ["Enraged Spirits of Air"] = "暴怒的空氣之靈",
        ["Raptor Thieves"] = "迅猛龍小偷",
        ["For All To See"] = "萬眾敬仰",
        ["The Theramore Docks"] = "塞拉摩碼頭",
        ["Bone Collector"] = "集骨者",
        ["Darkmoon Portals Deck"] = "暗月傳送門套卡",
        ["Darkmoon Elementals Deck"] = "暗月元素套卡",
        ["Bonescythe Legplates"] = "骨鐮腿甲",
        ["Blood Elf Plans"] = "血精靈計畫",
        ["The Vile Reef"] = "暗礁海",
        ["Tome of Divinity"] = "聖潔之書",
        ["Coarse Weightstone"] = "粗製平衡石",
        ["Find the Gems"] = "尋找寶石",
        ["Carnival Jerkins"] = "狂歡節外套",
        ["Fish in a Bucket"] = "坐享其成",
        ["Carnival Boots"] = "狂歡節長靴",
        ["The Champion of the Horde"] = "部落的勇士",
        ["Hallowed Scroll"] = "神聖卷軸",
        ["A Gaily Wrapped Present"] = "精心包裝的禮物",
        ["5 Tickets - Minor Darkmoon Prize"] = "5 Tickets - Minor Darkmoon Prize",
        ["Libram of Resilience"] = "恢復聖契",
        ["Ulag the Cleaver"] = "切割者奧拉格",
        ["Drowned Sorrows"] = "船長的復仇",
        ["Deadwood of the North"] = "北方的死木熊怪",
        ["The Spearcrafter's Hammer"] = "製矛者之錘",
        ["Redemption Headpiece"] = "救贖頭盔",
        ["Catch and Release"] = "標記魚人",
        ["Genesis Shoulderpads"] = "起源護肩",
        ["The Final Code"] = "最終的密碼",
        ["Baron Sablemane"] = "沙伯曼男爵",
        ["Kodo Roundup"] = "誘捕科多獸",
        ["Redemption Boots"] = "救贖長靴",
        ["Stormpike's Delivery"] = "雷矛的包裹",
        ["40 Tickets - Greater Darkmoon Prize"] = "40 Tickets - Greater Darkmoon Prize",
        ["Stepping Up Security"] = "確保安全",
        ["1200 Tickets - Orb of the Darkmoon"] = "1200 Tickets - Orb of the Darkmoon",
        ["Mor'zul Bloodbringer"] = "莫蘇爾·召血者",
        ["1200 Tickets - Amulet of the Darkmoon"] = "1200 Tickets - Amulet of the Darkmoon",
        ["12 Tickets - Lesser Darkmoon Prize"] = "12 Tickets - Lesser Darkmoon Prize",
        ["Nether-lace Garment"] = "虛靈長袍",
        ["Find Keltus Darkleaf"] = "找到卡特斯·暗葉",
        ["Panther Mastery"] = "獵豹大師",
        ["Put On Yer Kneepads..."] = "Put On Yer Kneepads...",
        ["All That Remains"] = "剩下的一切",
        ["The Main Course!"] = "The Main Course!",
        ["Red Snapper - Very Tasty!"] = "Red Snapper - Very Tasty!",
        ["Striker's Hauberk"] = "攻擊者的護甲",
        ["Reunion"] = "團聚",
        ["Striker's Diadem"] = "攻擊者的王冠",
        ["Fel Embers"] = "地獄餘燼",
        ["Signet of Unyielding Strength"] = "堅定力量之戒",
        ["Stormpike's Deciphering"] = "解碼高手",
        ["Torek's Assault"] = "托雷克的突襲",
        ["Redemption Girdle"] = "救贖腰帶",
        ["Khan Hratha"] = "赫蘭薩可汗",
        ["Sickle of Unyielding Strength"] = "堅定力量之鐮",
        ["Worth Its Weight in Gold"] = "證明實力",
        ["Shroud of Unspoken Names"] = "禁斷邪語披風",
        ["Shroud of Infinite Wisdom"] = "無盡智慧披風",
        ["Rampaging Giants"] = "狂暴的巨人",
        ["Reclaiming Holy Grounds"] = "開拓神聖之地",
        ["Defending Fairbreeze Village"] = "保衛晴風村",
        ["Conqueror's Spaulders"] = "征服者的肩鎧",
        ["Mantle of the Oracle"] = "神諭者的襯肩",
        ["Helping the Cenarion Post"] = "協助塞納里奧前哨",
        ["Noble Deaths"] = "貴族之死",
        ["Rite of Wisdom"] = "智慧儀祭",
        ["Genesis Trousers"] = "起源長褲",
        ["Pelt Collection"] = "收集毛皮",
        ["A Cure for Zahlia"] = "給札麗亞的解藥",
        ["Genesis Helm"] = "起源頭盔",
        ["The Impotent Leader"] = "無能的領導者",
        ["Wolves at Our Heels"] = "惡狼成群",
        ["Genesis Boots"] = "起源長靴",
        ["Clam Bait"] = "蚌肉魚餌",
        ["I Must Have Them!"] = "I Must Have Them!",
        ["Torwa Pathfinder"] = "托爾瓦·尋路者",
        ["Rilli Greasygob"] = "雷里·格里斯高布",
        ["Je'neu of the Earthen Ring"] = "陶土議會的耶努薩克雷",
        ["A Grunt's Work..."] = "A Grunt's Work...",
        ["Thinning the Ranks"] = "削弱軍隊",
        ["Frostfire Gloves"] = "霜火手套",
        ["The Path of Glory"] = "光榮之路",
        ["Mathiel"] = "瑪希爾",
        ["Enigma Shoulderpads"] = "神秘肩墊",
        ["Find Bingles"] = "尋找賓格斯",
        ["Know Thine Enemy"] = "了解你的敵人",
        ["Bailor's Ore Shipment"] = "白洛爾的礦石",
        ["Drape of Unyielding Strength"] = "堅定力量披風",
        ["The Western Pylon"] = "西部水晶塔",
        ["Thadius Grimshade"] = "薩迪斯·格希德",
        ["Simple Scroll"] = "簡易卷軸",
        ["Good Natured Emma"] = "善良的艾瑪",
        ["Sully Balloo's Letter"] = "蘇利·巴魯的信",
        ["At War With The Scarlet Crusade"] = "與血色十字軍的戰爭",
        ["An Aggressive Defense"] = "先發制人",
        ["Superior Armaments of Battle - Revered Amongst the Dawn"] = "精良級軍備之戰-銀色黎明聲望崇敬",
        ["Deathdealer's Boots"] = "死亡執行者的長靴",
        ["Ring of Infinite Wisdom"] = "無盡智慧之戒",
        ["Hurley Blackbreath"] = "霍爾雷·黑鬚",
        ["He Called Himself Altruis..."] = "He Called Himself Altruis...",
        ["Conqueror's Legguards"] = "征服者的腿鎧",
        ["Conqueror's Greaves"] = "征服者的脛甲",
        ["Darnassian Intrusions"] = "達納蘇斯的入侵",
        ["Rescue OOX-09/HL!"] = "Rescue OOX-09/HL!",
        ["Superior Armaments of Battle - Exalted Amongst the Dawn"] = "精良級軍備之戰-銀色黎明聲望崇拜",
        ["Impending Attack"] = "逼近的攻擊",
        ["Princess Must Die!"] = "Princess Must Die!",
        ["Defiler's Standard Care Package"] = "污染者標準醫療包",
        ["Dragonscale Leatherworking"] = "龍鱗製皮",
        ["Cloak of the Gathering Storm"] = "聚集風暴披風",
        ["Hunting for Ectoplasm"] = "尋找外膜",
        ["The Rune of Summoning"] = "召喚符文",
        ["Worgen in the Woods"] = "森林裡的狼人",
        ["Trouble at the Underlight Mines"] = "光底礦坑的麻煩",
        ["The Battle of Darrowshire"] = "達隆郡的戰鬥",
        ["The Black Shield"] = "The Black Shield",
        ["Oran's Gratitude"] = "奧蘭的感謝",
        ["Mold Rhymes With..."] = "Mold Rhymes With...",
        ["Mac'Aree Mushroom Menagerie"] = "麥克艾瑞野生蘑菇",
        ["Delivery to the Gnomes"] = "送貨給地精",
        ["Avenger's Pauldrons"] = "復仇者的護肩",
        ["Report to Hadrec"] = "給哈德瑞克的報告",
        ["What the Soul Sees"] = "靈魂看見的",
        ["Ar'kelos the Guardian"] = "守護者阿其羅斯",
        ["The Truth Unorbed"] = "未知的真相",
        ["Strange Findings"] = "奇怪的發現",
        ["The Path of Anguish"] = "苦痛之路",
        ["Avenger's Greaves"] = "復仇者的脛甲",
        ["Identifying the Brood"] = "群龍之首",
        ["Avenger's Breastplate"] = "復仇者的胸甲",
        ["The Horde Needs More Spotted Yellowtail!"] = "The Horde Needs More Spotted Yellowtail!",
        ["Rotting Hearts"] = "腐爛之心",
        ["Castpipe's Task"] = "卡斯派普的任務",
        ["Sunfury Signets"] = "日怒徽章",
        ["Deeprun Rat Roundup"] = "捕捉礦道老鼠",
        ["The Caravan Road"] = "商隊通路",
        ["Libram of Rumination"] = "沉思聖契",
        ["Dreamwalker Tunic"] = "夢行者外套",
        ["Farstrider Retreat"] = "旅行者居所",
        ["Training the Beast"] = "訓練野獸",
        ["Smith Mathiel"] = "鐵匠瑪希爾",
        ["Wing Commander Gryphongar"] = "空軍指揮葛萊弗卡爾",
        ["Intercepting the Message"] = "攔截訊息",
        ["When This Mine's a-Rockin'"] = "When This Mine's a-Rockin'",
        ["The Binding"] = "誓縛",
        ["Return to Thunder Bluff"] = "返回雷霆崖",
        ["Bring Down the Warbringer!"] = "Bring Down the Warbringer!",
        ["The Deathstalkers' Report"] = "亡靈哨兵的報告",
        ["Wanted: Worg Master Kruush"] = "懸賞告示︰座狼大師科洛斯",
        ["Wanted: Blacktalon the Savage"] = "懸賞：野蠻者黑爪",
        ["Consumed by Hatred"] = "復仇的怒火",
        ["Preparation for Ceremony"] = "準備典禮",
        ["Void Ridge"] = "虛空山脈",
        ["Courser Antlers"] = "苔蹄快步者鹿角",
        ["Report to Lanthan Perilon"] = "向蘭深·佩瑞隆回報",
        ["Pawn Captures Queen"] = "小兵捉蠍后",
        ["Wand over Fist"] = "特雷萊恩的符咒魔杖",
        ["The Cover of Darkness"] = "黑暗籠罩",
        ["The Fare of Lar'korwi"] = "拉克維的食物",
        ["Toxic Horrors"] = "劇毒之水",
        ["More Venom Sacs"] = "更多毒囊",
        ["The Warchief's Mandate"] = "大酋長的命令",
        ["The Cipher of Damnation - The First Fragment Recovered"] = "毀滅密碼 - 第一部",
        ["Ghost-o-plasm Round Up"] = "幽靈電漿",
        ["The Annals of Kirin'Var"] = "肯瑞瓦的記錄",
        ["The Seer's Relic"] = "先知的聖物",
        ["The Disgraced One"] = "悔恨的戰士",
        ["The Mithril Order"] = "秘銀會",
        ["The Road to Falcon Watch"] = "通往獵鷹哨站的路",
        ["I Shoot Magic Into the Darkness"] = "向黑暗中發射魔法",
        ["The Dark Missive "] = "The Dark Missive ",
        ["The Mistress Revealed"] = "情婦曝光",
        ["The Argent Hold"] = "銀色黎明寶箱",
        ["The Mastermind"] = "幕後的黑手",
        ["The Mag'har"] = "瑪格哈",
        ["Bearers of the Plague"] = "削弱瘟疫",
        ["Harbingers of Shadowmoon"] = "Harbingers of Shadowmoon",
        ["Zamek's Distraction"] = "札米克的困擾",
        ["Skull Rock"] = "骷髏石",
        ["The Legion Reborn"] = "燃燒軍團捲土重來",
        ["The Heart of Darkness"] = "黑暗之心",
        ["The Finest Down"] = "完美的羽毛",
        ["Teldrassil"] = "泰達希爾",
        ["The Exorcism of Colonel Jules"] = "喬渥上校的驅邪儀式",
        ["The Earthbinder"] = "大地束縛者",
        ["Mage Summoner"] = "法師召喚者",
        ["The Demoniac Scryer"] = "惡魔占卜器",
        ["The Battle Horn"] = "戰鬥號角",
        ["Death's Embrace"] = "死亡的擁抱",
        ["Enraged Wildkin"] = "被激怒的梟獸",
        ["Williden's Journal"] = "威利德的日記",
        ["Decipher the Tome"] = "解譯書籍",
        ["Talbuk Mastery"] = "塔巴克專精",
        ["What Is Going On?"] = "What Is Going On?",
        ["WANTED: Baron Vardus"] = "通緝：瓦杜斯男爵",
        ["Windrunner Village"] = "風行者村",
        ["Mission: The Abyssal Shelf"] = "任務︰深淵沙洲",
        ["A Lesson Learned"] = "學到一課",
        ["Shatter Point"] = "破碎崗哨",
        ["Rohok's Request"] = "洛赫克的請求",
        ["The Hunt Continues"] = "繼續狩獵",
        ["Return to Thrallmar"] = "返回索爾瑪",
        ["Report to Zurai"] = "報告祖瑞伊",
        ["Enigma Circlet"] = "神秘頭飾",
        ["Sigil of Arathor"] = "阿拉索符印",
        ["The Dormant Shade"] = "The Dormant Shade",
        ["Boulderslide Ravine"] = "滾岩峽谷",
        ["Kroshius' Infernal Core"] = "克羅蘇斯的惡魔之核",
        ["Preparing the Salve"] = "準備藥膏",
        ["Return to Mokvar"] = "回到莫克瓦那裡",
        ["Salt of the Scorpok"] = "厚甲蠍鹽",
        ["The Fall of Ossirian"] = "奧斯里安的墮落",
        ["The Love Potion"] = "愛情藥水",
        ["Outland Sucks!"] = "Outland Sucks!",
        ["Besieged!"] = "Besieged!",
        ["Vile Plans"] = "邪惡的計畫",
        ["Naladu"] = "納拉杜",
        ["Ride to Thunder Bluff"] = "飛往雷霆崖",
        ["Raven Hill"] = "烏鴉嶺",
        ["Mission: Gateways Murketh and Shaadraz"] = "任務：墨奇斯以及夏德拉茲入口",
        ["Supplies to Private Thorsen"] = "送補給物資給士兵托爾森",
        ["Revered Among the Sha'tar"] = "薩塔的崇敬",
        ["What Happens in Terokkar Stays in Terokkar"] = "把泰洛卡的事留在泰洛卡",
        ["The Horde Needs More Peacebloom!"] = "The Horde Needs More Peacebloom!",
        ["Makuru's Vengeance"] = "瑪酷魯的復仇",
        ["Make Them Listen"] = "讓他們聽話",
        ["Magic of the Arakkoa"] = "阿拉卡的魔法",
        ["Echeyakee"] = "埃其亞基",
        ["Conqueror's Breastplate"] = "征服者的胸甲",
        ["Fumping"] = "太鼓之音",
        ["Shadoweaver"] = "暗影蛛絲",
        ["Primal Magic"] = "原始魔法",
        ["After the Ambush"] = "惡戰之後",
        ["Practical Prey"] = "生活所需的虎皮",
        ["Laying Waste to the Unwanted"] = "將剩餘的變不需要的",
        ["Keep Thornfang Hill Clear!"] = "Keep Thornfang Hill Clear!",
        ["Journey to Thrallmar"] = "前往索爾瑪",
        ["Journey to Honor Hold"] = "榮譽堡之行",
        ["The Everlook Report"] = "永望鎮報告",
        ["In Need of Felblood"] = "需要惡魔鮮血",
        ["I Work... For the Horde!"] = "I Work... For the Horde!",
        ["Imperial Qiraji Regalia"] = "其拉帝王徽記",
        ["Flint Shadowmore"] = "弗林特·沙多摩爾",
        ["Grillok \"Darkeye\""] = "葛銳洛克「黑眼」",
        ["Gathering the Cure"] = "收集解藥",
        ["Frostfire Shoulderpads"] = "霜火護肩",
        ["Bound for Glory"] = "通往光榮",
        ["The Test of Righteousness"] = "正義試煉",
        ["In Defense of the King's Lands"] = "保衛國王的領土",
        ["Enraged Spirits of Fire and Earth"] = "火與大地的暴怒之靈",
        ["Maktu's Revenge"] = "Maktu's Revenge",
        ["Grand Master Rohok"] = "大師洛赫克",
        ["Slain by the Wretched"] = "鄙惡者兇手",
        ["Gaining Mirren's Trust"] = "贏得麥倫的信任",
        ["The Twilight Lexicon"] = "暮光詞典",
        ["Travel to Azure Watch"] = "前往藍色守望",
        ["Force Commander Danath"] = "軍隊指揮官達納斯·托爾貝恩",
        ["Fel Spirits"] = "惡魔靈魂",
        ["Elemental Bracers"] = "元素護腕",
        ["Escaping the Tomb"] = "逃出墓穴",
        ["Warning Fairbreeze Village"] = "警告晴風村",
        ["Fei Fei's Treat"] = "菲菲的威脅",
        ["Falcon Watch"] = "獵鷹哨站",
        ["The Prophecy of Akida"] = "阿契達的預言",
        ["Agmond's Fate"] = "阿戈莫德的命運",
        ["Etched Parchment"] = "風蝕羊皮紙",
        ["Envoy to the Mag'har"] = "瑪格哈使者",
        ["Entry Into the Citadel"] = "進入堡壘",
        ["Enemy of my Enemy..."] = "Enemy of my Enemy...",
        ["The Hopeless Ones..."] = "The Hopeless Ones...",
        ["Troublesome Distractions"] = "討人厭的分心",
        ["The Lost Chalice"] = "丟失的酒杯",
        ["Indispensable Tools"] = "必需的工具",
        ["Conscript of the Horde"] = "Conscript of the Horde",
        ["Attack on Camp Narache"] = "納拉其營地的危機",
        ["To Serve Kum'isha"] = "為庫米沙效力",
        ["An Old History Book"] = "一本破舊的歷史書",
        ["The Way to Auberdine"] = "去奧伯丁的路",
        ["Towers and Bunkers"] = "哨塔和碉堡",
        ["Altered Beings"] = "變異的生物",
        ["Uncovering the Past"] = "發現歷史",
        ["Children's Week"] = "孤兒週",
        ["The Eighteenth Pilot"] = "第十八個駕駛員",
        ["Proving Allegiance"] = "證明忠誠",
        ["Demonic Contamination"] = "惡魔污染",
        ["Consecrated Letter"] = "聖潔信件",
        ["Stymying the Arakkoa"] = "阻礙阿拉卡",
        ["Deadly Predators"] = "痛恨的掠奪者",
        ["Sven's Camp"] = "斯溫的營地",
        ["Malfunction at the West Sanctum"] = "西部聖殿的故障",
        ["Amongst the Ruins"] = "廢墟之間",
        ["Escape from Durnholde"] = "逃離敦霍爾德",
        ["Cruel Taskmasters"] = "殘酷的工頭",
        ["Crimson Crystal Clue"] = "深紅水晶線索",
        ["Spare Parts"] = "備用零件",
        ["Cleansing the Waters"] = "淨化水源",
        ["A Different Approach"] = "不同的方式",
        ["Pool of Tears"] = "淚水之池",
        ["Journey to the Crossroads"] = "十字路口之旅",
        ["Dawn's Gambit"] = "黎明先鋒",
        ["Divination: Gorefiend's Armor"] = "預言：血魔的護甲",
        ["Arms for the Field"] = "戰場上的武器",
        ["Taking Back Silithus"] = "奪回希利蘇斯",
        ["Captives at Deatholme"] = "死亡之域俘虜",
        ["Boiling Blood"] = "沸騰的血",
        ["Birds of a Feather"] = "稀有的鳥類",
        ["Beneath Thrallmar"] = "索爾瑪的地下礦坑",
        ["Minions of the Shadow Council"] = "暗影議會的爪牙",
        ["Avruu's Orb"] = "艾芙魯的寶珠",
        ["Enigma Boots"] = "神秘長靴",
        ["Gerenzo Wrenchwhistle"] = "格雷蘇",
        ["Dig Rat Stew"] = "掘地鼠燉肉",
        ["Restoring Fiery Flux Supplies via Iron"] = "熾熱助熔劑的補給：鐵錠",
        ["Stolen Silver"] = "被偷走的銀幣",
        ["Arrival in Outland"] = "抵達外域",
        ["Beast Training"] = "野獸訓練",
        ["Trouble in Winterspring!"] = "Trouble in Winterspring!",
        ["Arelion's Secret"] = "阿利恩的秘密",
        ["Arelion's Mistress"] = "阿利恩的情婦",
        ["The Master's Touch"] = "大師之觸",
        ["Redemption Tunic"] = "救贖外套",
        ["Candles of Beckoning"] = "誘靈蠟燭",
        ["Wild Leather Vest"] = "蠻皮外衣",
        ["Apothecary Antonivich"] = "藥劑師安拓維奇",
        ["Firewing Signets"] = "火翼徽章",
        ["An Old Gift"] = "一份多年的禮物",
        ["Report Back to Fizzlebub"] = "向菲茲巴布報告",
        ["An Ambitious Plan"] = "野心勃勃的計劃",
        ["The Right Piece of Lord Valthalak's Amulet"] = "瓦薩拉克護符的右半塊",
        ["Assessing the Threat"] = "審時度勢",
        ["Return to Rokag"] = "回到Rokag那裡",
        ["A Strange Weapon"] = "奇怪的武器",
        ["A Spirit Guide"] = "精神指引",
        ["The Root of All Evil"] = "萬惡根源",
        ["Plagueheart Bindings"] = "瘟疫之心束腕",
        ["Warlord's Command"] = "高圖斯的命令",
        ["Another Heap of Ethereals"] = "另一支伊斯利勢力",
        ["A Job for an Intelligent Man"] = "聰明人的工作",
        ["Spirits of the Drowned"] = "溺死者的靈魂",
        ["Between a Rock and a Thistlefur"] = "薊皮熊怪的麻煩",
        ["Everything Will Be Alright"] = "一切都會很好",
        ["Target: Hive'Zora Tunnelers"] = "目標：佐拉坑道蠍",
        ["Imperial Plate Bracer"] = "君王鎧甲護腕",
        ["Chicken Clucking for a Mint"] = "學小雞，換糖果",
        ["Prowlers of the Barrens"] = "草原上的徘徊者",
        ["Zul'Marosh"] = "祖瑪羅什",
        ["Westfall Stew"] = "西部荒野燉肉",
        ["Wretched Ringleader"] = "鄙惡者頭目",
        ["Tools of the Trade"] = "交易工具",
        ["Where's Wyllithen?"] = "Where's Wyllithen?",
        ["Delivery to Tranquillien"] = "送貨至安寧地",
        ["Unstable Mana Crystals"] = "不穩定法力水晶",
        ["Warlord Krellian"] = "軍閥克雷利安",
        ["Bonescythe Waistguard"] = "骨鐮腰帶",
        ["Honored Amongst the Guard"] = "衛兵的尊敬",
        ["Restoring Fiery Flux Supplies via Heavy Leather"] = "熾熱助熔劑的補給：重皮",
        ["The Wayward Apprentice"] = "遊蕩者學徒",
        ["Kharan's Tale"] = "卡蘭的故事",
        ["The Ring of Mmmrrrggglll"] = "魔鉤的戒指",
        ["The Party Never Ends"] = "夜夜狂歡",
        ["Tiara of the Oracle"] = "神諭者的皇冠",
        ["Ironband's Compound"] = "鐵環營地",
        ["Taking the Fall"] = "說謊",
        ["The Stolen Journal"] = "被竊取的日記",
        ["Shadowpine Weaponry"] = "滅絕闇谷食人妖",
        ["Soaked Pages"] = "浸溼的書頁",
        ["Collection of Goods"] = "收集材料",
        ["Kidnapped Elder Torntusk!"] = "Kidnapped Elder Torntusk!",
        ["Another Power Source?"] = "Another Power Source?",
        ["More Dense Grinding Stones"] = "更多的緻密砂輪",
        ["The Ruins of Stardust"] = "星塵廢墟",
        ["Uncle Carlin"] = "卡林叔叔",
        ["More Spore Sacs"] = "更多孢子囊",
        ["Saving Yenniku"] = "拯救耶尼庫",
        ["Drain Schematics"] = "排水結構圖",
        ["Apothecary Zamah"] = "藥劑師札瑪",
        ["Crystals of Power"] = "能量水晶",
        ["The Annals of Darrowshire"] = "達隆郡的歷史",
        ["Research Notes"] = "研究報告",
        ["Into the Field"] = "進入沙漠",
        ["Back to the Beginning"] = "回到原點",
        ["Ranger Sareyn"] = "巡邏員塞瑞",
        ["Powering our Defenses"] = "增強我們的防禦",
        ["Old Whitebark's Pendant"] = "老白樹之環",
        ["In Eranikus' Own Words"] = "幫助伊蘭尼庫斯",
        ["Murkblood Leaders..."] = "Murkblood Leaders...",
        ["Dark Tidings"] = "黑暗的消息",
        ["Major Malfunction"] = "嚴重失靈",
        ["Lost Armaments"] = "丟失的裝備",
        ["The Outcast's Plight"] = "流亡者的困境",
        ["Report to General Kirika"] = "向奇立卡將軍報告",
        ["The Royal Rescue"] = "拯救公主",
        ["Ring of Unspoken Names"] = "禁斷邪語之戒",
        ["Webwood Egg"] = "樹林蜘蛛的卵",
        ["Deactivating the Spire"] = "關閉尖塔能源",
        ["Goldleaf's Discovery"] = "金葉的發現",
        ["How Big a Threat?"] = "How Big a Threat?",
        ["Looking to the Leadership"] = "與領導者同在",
        ["Corrupted Soil"] = "被汙染的土壤",
        ["Cleaning up the Grounds"] = "清理地面",
        ["Captain Kelisendra's Lost Rudders"] = "Captain Kelisendra's Lost Rudders",
        ["Warn Your People"] = "警告你的族人",
        ["Amani Invasion"] = "阿曼尼入侵",
        ["Enchanted Thorium Platemail: Volume II"] = "魔化瑟銀鎧甲：第二卷",
        ["Abandoned Investigations"] = "放棄的調查",
        ["In Favor of Elune"] = "月神的恩賜",
        ["You Survived!"] = "You Survived!",
        ["What Must Be Done..."] = "What Must Be Done...",
        ["Speak with Dillinger"] = "迪林格爾",
        ["Volatile Mutations"] = "暴躁突變者",
        ["The Soul Devices"] = "靈魂儀器",
        ["Indurium"] = "精鐵碎片",
        ["Urgent Delivery!"] = "Urgent Delivery!",
        ["The Missing Scout"] = "調查暗影山脊",
        ["The Emitter"] = "發射器",
        ["Zandalarian Shadow Mastery Talisman"] = "贊達拉暗影大師墜飾",
        ["Erion Shadewhisper"] = "艾里安·影語",
        ["Poor Old Blanchy"] = "可憐的老布蘭契",
        ["Critters of the Void"] = "虛空異常者",
        ["Healing the Lake"] = "拯救湖泊",
        ["The Tome of Valor"] = "勇氣之書",
        ["Botanical Legwork"] = "牧場的植物",
        ["Kolkar Leaders"] = "科卡爾首領",
        ["Blood Crystals"] = "血水晶",
        ["Preying on the Predators"] = "捕食掠奪者",
        ["Darkmoon Beast Deck"] = "暗月野獸套卡",
        ["Winterhoof Cleansing"] = "淨化冰蹄之井",
        ["Gateway to the Frontier"] = "前線之門",
        ["The Karnitol Shipwreck"] = "卡尼托的沉船遺骸",
        ["CLUCK!"] = "CLUCK!",
        ["The Ice Guard"] = "冰霜守衛者",
        ["Stopping the Spread"] = "阻止蔓延",
        ["Tabetha's Task"] = "塔貝薩的任務",
        ["Noggle's Lost Satchel"] = "諾格的背包",
        ["Distraction at Manaforge B'naar"] = "法力熔鐵爐巴納爾的擾亂行動",
        ["Mo'mor the Breaker"] = "Mo'mor the Breaker",
        ["Galaen's Journal - The Fate of Vindicator Saruan"] = "高拉恩的日誌 - 復仇者薩魯安的命運",
        ["Redemption Wristguards"] = "救贖護腕",
        ["Disrupt Their Reinforcements"] = "阻斷他們的援助",
        ["Zando'zan"] = "贊杜沙",
        ["Destiny Calls"] = "命運的召喚",
        ["A Free Lunch"] = "免費的午餐",
        ["Word from the Spire"] = "塔內的消息",
        ["Vyletongue Corruption"] = "維利塔恩的污染",
        ["Angling to Beat the Competition"] = "擊敗釣魚者的對手",
        ["Thunderbrew Lager"] = "雷霆啤酒",
        ["War on the Woodpaw"] = "與豺狼人開戰",
        ["The Shattered Salute"] = "碎手軍禮",
        ["The Sad Truth"] = "悲傷的事實",
        ["The Deathstalkers"] = "亡靈哨兵",
        ["The Azure Key"] = "碧藍鑰匙",
        ["The Second Sample"] = "第二個樣本",
        ["Knowledge of the Orb of Orahil"] = "奧拉赫寶珠",
        ["The Apple Falls"] = "詹諾克的花",
        ["Snatch and Grab"] = "連偷帶搶",
        ["Troll Temper"] = "食人妖調和劑",
        ["Simple Subterfugin'"] = "Simple Subterfugin'",
        ["Un-Life's Little Annoyances"] = "討厭的蝙蝠",
        ["SI:7"] = "軍情七處",
        ["Seek out SI: 7"] = "軍情七處",
        ["Bonescythe Helmet"] = "骨鐮頭盔",
        ["Precious and Fragile Things Need Special Handling"] = "小心輕放",
        ["Treant Muisek"] = "樹人靈魂精華",
        ["Zaeldarr the Outcast"] = "流亡者塞達爾",
        ["Guardians of the Altar"] = "祭壇守護者",
        ["The Dead Mire"] = "死亡污泥",
        ["The Missing Orders"] = "遺失的命令",
        ["New Life"] = "新的生命",
        ["Return the Reports"] = "交回報告",
        ["The Real Threat"] = "真正的威脅",
        ["Redridge Rendezvous"] = "赤脊山的聯絡員",
        ["A Fine Egg"] = "優良的蛋",
        ["Goldtooth"] = "金牙",
        ["Still Believing"] = "更多的讀物",
        ["Plundering the Plunderers"] = "搶劫海盜",
        ["Medallion of Station"] = "身份勳章",
        ["Hemet Nesingwary Jr."] = "Hemet Nesingwary Jr.",
        ["The Sharpest Blades"] = "最鋒利的劍",
        ["Triangulation Point One"] = "三角之一",
        ["Crackin' Some Skulls"] = "解決一些傢伙",
        ["Return to Onu"] = "向安努回覆",
        ["Mission: Possible But Not Probable"] = "基本不可能的任務",
        ["Turning the Tide"] = "扭轉情勢",
        ["What's Wrong at Cenarion Thicket?"] = "What's Wrong at Cenarion Thicket?",
        ["The Charge of the Dragonflights"] = "守護之龍",
        ["Find OOX-09/HL!"] = "Find OOX-09/HL!",
        ["Crush the Bloodmaul Camp!"] = "Crush the Bloodmaul Camp!",
        ["The Cipher of Damnation - Borak's Charge"] = "毀滅密碼-柏爾拉克的改變",
        ["Judgment and Redemption"] = "審判和救贖",
        ["Junkboxes Needed"] = "垃圾箱",
        ["Fenwick Thatros"] = "芬維克·薩托斯",
        ["Hunting in Stranglethorn"] = "荊棘谷狩獵",
        ["Invaders of Alterac Valley"] = "奧特蘭克的入侵者",
        ["Coldridge Valley Mail Delivery"] = "寒脊山谷的送信任務",
        ["Erion's Behest"] = "艾里安的命令",
        ["Rescue the Survivors!"] = "Rescue the Survivors!",
        ["Encrypted Tablet"] = "密文石板",
        ["Encrypted Sigil"] = "密文符記",
        ["WANTED: Chok'sul"] = "通緝令：卓克蘇爾",
        ["The Fate of Tuurem"] = "杜瑞的命運",
        ["A Favor for Evershine"] = "艾沃沙酒",
        ["Costly Menace"] = "損失慘重",
        ["Naga at the Zoram Strand"] = "佐拉姆海岸的納迦",
        ["Encrypted Memorandum"] = "密文備忘錄",
        ["Encoded Fragments"] = "加密的碎片",
        ["Shadowshard Fragments"] = "暗影殘片",
        ["Researching the Corruption"] = "研究墮落",
        ["Wrenix of Ratchet"] = "棘齒城的維尼克斯",
        ["Deep Cover"] = "臥底密探",
        ["Combining Forces"] = "結合力量",
        ["Take Four Bases"] = "奪取四座基地",
        ["Call of Air - Mulverick's Fleet"] = "天空的召喚 - 穆維里克的部隊",
        ["A Sign of Hope"] = "一線希望",
        ["Dealing with Zeb'Sora"] = "與札布索拉交涉",
        ["Wasteland"] = "廢土",
        ["A Little Dash of Seasoning"] = "一點小樂趣",
        ["Mathystra Relics"] = "瑪塞斯特拉聖物",
        ["The Hunt Begins"] = "開始狩獵",
        ["I See Dead Draenei"] = "我看到了德萊尼的鬼魂",
        ["Owatanka"] = "奧瓦坦卡",
        ["A Threat in Feralas"] = "菲拉斯的危機",
        ["Badlands Reagent Run"] = "荒蕪之地的試劑",
        ["Limits of Physical Exhaustion"] = "體能極限",
        ["A Taste of Flame"] = "烈焰精華",
        ["Kaela's Update"] = "向凱拉回報",
        ["The Flesh Lies..."] = "The Flesh Lies...",
        ["Help Tavara"] = "幫助塔瓦拉",
        ["Twilight Geolords"] = "暮光地王",
        ["The Howling Vale"] = "狼嚎谷",
        ["Westbrook Garrison Needs Help!"] = "Westbrook Garrison Needs Help!",
        ["Encroaching Wildlife"] = "逼近的野獸",
        ["Preparing for War"] = "準備作戰",
        ["The Platinum Discs"] = "白金圓盤",
        ["Sealed Azure Bag"] = "密封的藍袋子",
        ["Red Linen Goods"] = "紅色亞麻布",
        ["Stinging the Stingers"] = "以牙還牙",
        ["A Helping Hand"] = "伸出援手",
        ["Cleansing the Scar"] = "淨化斷崖",
        ["Champion's Battlegear"] = "勇士的裝備",
        ["A Sacred Burial"] = "神聖的墓地",
        ["Life's Finer Pleasures"] = "生命中更棒的樂趣",
        ["Wounded Ancients"] = "受傷的古樹",
        ["Frostfire Sandals"] = "霜火便鞋",
        ["Shipment to Stormwind"] = "送往暴風城的貨物",
        ["Anok'suten"] = "安羅科舒頓",
        ["Culling the Wild"] = "搶救自然",
        ["Frostfire Belt"] = "霜火腰帶",
        ["Note to William"] = "給威廉·匹斯特的信",
        ["Rest and Relaxation"] = "休息和放鬆",
        ["Yorus Barleybrew"] = "猶魯斯·麥酒",
        ["Solomon's Law"] = "所羅門的律法",
        ["Report to Gryan Stoutmantle"] = "Report to Gryan Stoutmantle",
        ["Everything Counts In Large Amounts"] = "多多益善",
        ["Tiara of the Deep"] = "深淵皇冠",
        ["Wanted: DWARVES!"] = "Wanted: DWARVES!",
        ["Pursuing Terrorclaw"] = "Pursuing Terrorclaw",
        ["Thin the Flock"] = "抑制阿拉卡",
        ["The Fargodeep Mine"] = "法戈第礦坑",
        ["Shutting Down Manaforge Duro"] = "關閉法力熔鐵爐杜羅",
        ["Harvesting the Fel Ammunition"] = "獲得地獄彈藥",
        ["Setting Up the Bomb"] = "設定炸彈",
        ["Ogre Thieves"] = "巨魔盜賊",
        ["Gaining Access"] = "進入的方法",
        ["Eye of the Emberseer"] = "艾博希爾之眼",
        ["Sigil of Trollbane"] = "托爾貝恩符印",
        ["Pie for Billy"] = "比利的餡餅",
        ["Noggenfogger Elixir"] = "諾格弗格藥劑",
        ["Blackfathom Villainy"] = "黑暗深淵中的邪惡",
        ["Manhunt"] = "獵殺收貨人",
        ["Kobold Candles"] = "狗頭人的蠟燭",
        ["Gold Dust Exchange"] = "金砂交易",
        ["Further Concerns"] = "衛兵湯瑪斯",
        ["Discover Rolf's Fate"] = "羅爾夫的下落",
        ["The Barrens Port"] = "貧瘠之地的港口",
        ["Signet of the Unseen Path"] = "隱秘通途之戒",
        ["The Lost Supplies"] = "遺失的補給物資",
        ["Wanted: Zorbo the Advisor"] = "懸賞：諫言者·索爾波",
        ["Confront Yeh'kinya"] = "面對葉基亞",
        ["Starfall"] = "墜星村",
        ["Cloth and Leather Armor"] = "布甲和皮甲",
        ["Bounty on Murlocs"] = "懸賞魚人",
        ["Hallowed Rune"] = "神聖符文",
        ["Lard Lost His Lunch"] = "拉爾德的午餐",
        ["Fungal Spores"] = "菌類孢子",
        ["Back to Billy"] = "回去找比利",
        ["Mor'Ladim"] = "摩拉迪姆",
        ["Crystal Force"] = "精神水晶",
        ["Gava'xi"] = "卡沃希",
        ["Battle of Hillsbrad"] = "希爾斯布萊德之戰",
        ["Blackrock Bounty"] = "懸賞：黑石氏族",
        ["To Netherwing Ledge!"] = "To Netherwing Ledge!",
        ["Searching for Scout Jyoba"] = "Searching for Scout Jyoba",
        ["A Bundle of Trouble"] = "木材危機",
        ["Willix the Importer"] = "進口商威利克斯",
        ["The Crone of the Kraul"] = "剃刀沼澤的乾癟老太婆",
        ["A Baying of Gnolls"] = "豺狼人的咆哮",
        ["The Darkreaver Menace"] = "達克雷爾的威脅",
        ["Blueleaf Tubers"] = "藍葉薯",
        ["A Vengeful Fate"] = "奧爾德的報復",
        ["The Horde Needs Rugged Leather!"] = "The Horde Needs Rugged Leather!",
        ["Underground Assault"] = "地底突襲",
        ["Red Silk Bandanas"] = "紅色絲質面罩",
        ["Oh Brother. . ."] = "Oh Brother. . .",
        ["Delivery to the North Sanctum"] = "北部聖殿的貨物",
        ["Ango'rosh Encroachment"] = "安格拉斯入侵",
        ["Libram of Protection"] = "防護聖典",
        ["Protecting the Shipment"] = "護送貨物",
        ["Zanzil's Mixture and a Fool's Stout"] = "贊吉爾的藥劑和蠢人酒",
        ["Glyphed Oaken Branch"] = "刻著文字的橡木樹枝",
        ["Wanted - Arnak Grimtotem"] = "通緝：阿納克·恐怖圖騰",
        ["Marks of Sargeras"] = "薩格拉斯印記",
        ["Trollbane is Looking for You"] = "托爾貝恩正在找你",
        ["The Brassbolts Brothers"] = "銅栓兄弟",
        ["Legends of Maraudon"] = "瑪拉頓的傳說",
        ["Crossroads Conscription"] = "十字路口的徵兵行動",
        ["Wanted: Chieftain Mummaki"] = "懸賞：姆瑪奇酋長",
        ["Bodley's Unfortunate Fate"] = "布德利不幸之命運",
        ["The Only Cure is More Green Glow"] = "更多的輻射塵！",
        ["Return to the Marsh"] = "回到沼澤",
        ["Goods from Silvermoon City"] = "銀月城的貨物",
        ["Cenarius' Legacy"] = "塞納留斯的遺產",
        ["I Was A Lot Of Things..."] = "I Was A Lot Of Things...",
        ["Salt Flat Venom"] = "含鹽的蠍毒",
        ["Sacred Fire"] = "聖火",
        ["Juice Delivery"] = "殭屍汁",
        ["Message to the Daggerfen"] = "給匕首沼澤的訊息",
        ["The Name of the Beast"] = "惡魔之名",
        ["Rizzle's Schematics"] = "瑞茲爾的圖表",
        ["Target: Hive'Regal Spitfires"] = "目標：雷戈噴火者",
        ["Warlock Training"] = "術士訓練",
        ["Mountain Giant Muisek"] = "山嶺巨人靈魂精華",
        ["Craftsman's Writ - Wicked Leather Headband"] = "工匠令狀 - 邪惡皮甲頭環",
        ["News for Fizzle"] = "回覆菲茲爾",
        ["Incendosaurs? Whateverosaur is More Like It"] = "Incendosaurs? Whateverosaur is More Like It",
        ["Message to Freewind Post"] = "給亂風崗的緊急信件",
        ["The Bloodmaul Ogres"] = "血錘巨魔",
        ["Dispelling Evil"] = "驅散邪惡",
        ["Curing the Sick"] = "消除疾病",
        ["Report to Helgrum"] = "向赫格拉姆報到",
        ["Hidden Secrets"] = "隱藏的秘密",
        ["Corruption"] = "腐蝕",
        ["Back to Darnassus"] = "返回達納蘇斯",
        ["Dark Iron Scraps"] = "黑鐵碎片",
        ["Vindicator Aldar"] = "復仇者艾德",
        ["Hypercapacitor Gizmo"] = "超適應齒輪",
        ["Homeward Bound"] = "回家",
        ["Onin's Report"] = "奧寧的報告",
        ["Shizz Work"] = "噁心的工作",
        ["Hive'Zora Scout Report"] = "佐拉蟲巢偵查報告",
        ["Continued Threat"] = "海中的威脅",
        ["Simple Rune"] = "簡易符文",
        ["How to Break Into the Arcatraz"] = "闖入亞克崔茲的方法",
        ["Eradicate the Burning Legion"] = "徹底消滅燃燒軍團",
        ["Get the Gnomes Drunk"] = "灌醉地精",
        ["Mathias and the Defias"] = "馬迪亞斯和迪菲亞盜賊",
        ["Returning the Favor"] = "回報",
        ["Grand Master Dumphry"] = "戴夫利大師",
        ["The Strength of Corruption"] = "腐化的力量",
        ["Encrusted Tail Fins"] = "堅硬的尾鰭",
        ["Allegiance to Cenarion Circle"] = "忠於塞納里奧議會",
        ["Above and Beyond"] = "超越",
        ["Band of Unending Life"] = "不滅生命之戒",
        ["Dwarven Outfitters"] = "矮人的交易",
        ["Target: Hive'Ashi Workers"] = "目標：亞什工蠍",
        ["Back to Booty Bay"] = "返回藏寶海灣",
        ["Assassination Plot"] = "暗殺計畫",
        ["Hive'Regal Scout Report"] = "雷戈蟲巢偵查報告",
        ["Xylem's Payment to Jediga"] = "克希雷姆的報酬",
        ["A Dip in the Moonwell"] = "月井之水",
        ["Silver Heart"] = "銀爪鐵心",
        ["The Essence of Aku'Mai"] = "阿庫麥爾水晶",
        ["Proving Grounds"] = "試煉場",
        ["The Ring of Blood: Skra'gath"] = "血色競技場：史卡拉克斯",
        ["More Booty!"] = "More Booty!",
        ["On Iron Pauldrons"] = "鐵肩鎧",
        ["Report to Sen'jin Village"] = "去森金村報到",
        ["The Horde Needs Mithril Bars!"] = "The Horde Needs Mithril Bars!",
        ["The Art of the Armorsmith"] = "護甲鍛造師的藝術",
        ["Crystal Cluster"] = "水晶簇",
        ["Ivus the Forest Lord"] = "森林之王伊弗斯",
        ["Exorcising the Trees"] = "為樹木驅魔",
        ["The Stones of Vekh'nir"] = "維克尼爾之石",
        ["Grimtotem Spying"] = "偵察恐怖圖騰族",
        ["Khan Dez'hepah"] = "戴茲帕可汗",
        ["Larion and Muigin"] = "拉里安和莫爾金",
        ["A Gallon of Blood"] = "聯盟之血",
        ["Hero of the Stormpike"] = "雷矛英雄",
        ["When the Cows Come Home"] = "母牛返家",
        ["Enemy Booty"] = "敵人的物資",
        ["Empty Stables"] = "補充坐騎",
        ["A Hero's Welcome"] = "羽月將軍的歡迎",
        ["Capture a Mine"] = "佔領礦坑",
        ["Call of Air - Vipore's Fleet"] = "天空的召喚 - 維波里的空軍",
        ["Call of Air - Slidore's Fleet"] = "天空的召喚 - 斯里多爾的空軍",
        ["Alther's Mill"] = "奧瑟爾伐木場",
        ["Call of Air - Guse's Fleet"] = "天空的召喚 - 古斯的部隊",
        ["Call of Air - Ichman's Fleet"] = "天空的召喚 - 艾克曼的空軍",
        ["Brotherly Love"] = "兄弟情深",
        ["Gerenzo's Orders"] = "格雷蘇的要求",
        ["Familiar Fungi"] = "熟悉的蘑菇",
        ["Pay the Baron a Visit"] = "拜訪男爵",
        ["Test of Faith"] = "信仰的試煉",
        ["The Key to Freedom"] = "自由的鑰匙",
        ["Ancient Sinew Wrapped Lamina"] = "龍筋箭袋",
        ["The Mystery of Morrowgrain"] = "晨光麥的秘密",
        ["Morrowgrain to Feathermoon Stronghold"] = "羽月要塞的晨光麥",
        ["Single Firewing Signet"] = "單一的火翼徽章",
        ["Serpentbloom"] = "毒蛇花",
        ["The Bloodcursed Naga"] = "血咒納迦",
        ["Twilight Marauders"] = "暮光掠奪者",
        ["The Red Messenger"] = "十字軍信差",
        ["The Mindless Ones"] = "無腦的殭屍",
        ["More than a Pound of Flesh"] = "不只是一磅的肉",
        ["Iverron's Antidote"] = "埃沃隆的解藥",
        ["The Bearer of Bad News"] = "糟糕的消息",
        ["The Damned"] = "被詛咒者",
        ["Scavenging Deathknell"] = "撿破爛",
        ["Agamand Heirlooms"] = "阿加曼德家傳武器",
        ["Cape of Eternal Justice"] = "永恆公正斗篷",
        ["A Friend in Need"] = "需要幫助的朋友",
        ["More Irradiated Crystal Shards"] = "More Irradiated Crystal Shards",
        ["Perfect Yeti Hide"] = "完美的雪人毛皮",
        ["Night Web's Hollow"] = "夜行蜘蛛洞穴",
        ["Linken's Sword"] = "林克的劍",
        ["A Rogue's Deal"] = "盜賊的交易",
        ["Waking Legends"] = "喚醒傳說",
        ["Ledger from Tanaris"] = "塔納利斯的帳本",
        ["Assisting the Consortium"] = "協助聯合團",
        ["Abjurist Belmara"] = "貝馬拉",
        ["The Hand of Gul'dan"] = "古爾丹火山",
        ["The Terror of Marshlight Lake"] = "恐怖的沼澤光之湖",
        ["What the Wind Carries"] = "風吹來的消息",
        ["Sporeggar"] = "斯博格爾",
        ["Triage"] = "救死扶傷",
        ["Power over Poison"] = "解毒之術",
        ["Escape Through Stealth"] = "偷偷溜走",
        ["Horde Trauma"] = "部落醫療隊",
        ["Alliance Trauma"] = "聯盟醫療隊",
        ["Back to the Chief!"] = "Back to the Chief!",
        ["Unfortunate Measures"] = "不幸的手段",
        ["The Changing of Paths - Conqueror No More"] = "遠離征服者之路",
        ["Glyphic Letter"] = "雕文信件",
        ["Inquire at the Inn"] = "調查旅店",
        ["Secret of the Circle"] = "雕像群的秘密",
        ["Final Passage"] = "最後的旅程",
        ["Natural Remedies"] = "自然治療法",
        ["The Encroaching Wilderness"] = "失控的侵略",
        ["Malaise"] = "莫名的不安",
        ["Gryphon Master Talonaxe"] = "獅鷲獸管理員",
        ["Fiery Menace!"] = "Fiery Menace!",
        ["Craftsman's Writ - Thorium Grenade"] = "工匠令狀 - 瑟銀手榴彈",
        ["Package Recovery"] = "重獲包裹",
        ["Felendren the Banished"] = "被流放的法蘭德倫",
        ["The Ancient Egg"] = "遠古之卵",
        ["Shutting Down Manaforge B'naar"] = "關閉法力熔鐵爐巴納爾",
        ["Nugget Slugs"] = "高強度齒輪",
        ["Guarding Secrets"] = "守護秘密",
        ["Aiding the Outrunners"] = "幫助先驅者",
        ["Supplies to Auberdine"] = "奧伯丁的補給品",
        ["An Unnatural Drought"] = "不尋常的乾旱",
        ["The Archivist"] = "文獻管理員",
        ["Aggression"] = "侵略",
        ["Tharnariun's Hope"] = "薩納瑞恩的希望",
        ["Vibrant Plumes"] = "鮮豔的羽毛",
        ["Copper Modulator"] = "銅質調節器",
        ["Neeru Fireblade"] = "尼爾魯·火刃",
        ["Suntara Stones"] = "桑塔拉之石",
        ["Well of Corruption"] = "腐化之井",
        ["To Show Due Judgment"] = "聖騎士的審判",
        ["The Eyes of Grillok"] = "葛銳洛克之眼",
        ["The Second Trial"] = "第二個試煉",
        ["The First Trial"] = "第一個試煉",
        ["Missing Crystals"] = "遺失的水晶",
        ["The Blood-Tempered Ranseur"] = "血鑄三叉矛",
        ["Seeking the Kor Gem"] = "尋找科爾寶石",
        ["Windroc Mastery"] = "風翼專精",
        ["Blisters on The Land"] = "大地上的膿皰",
        ["Operation Recombobulation"] = "自動淨化裝置",
        ["Warrior Kinship"] = "戰士的血脈",
        ["Long Forgotten Memories"] = "久遠的記憶",
        ["Blood Tinged Skies"] = "血染的天空",
        ["Wheel of the Black March"] = "黑暗戰車之輪",
        ["Venom Bottles"] = "毒液瓶",
        ["Paladin Training"] = "聖騎士訓練",
        ["A Troubled Spirit"] = "困擾的靈魂",
        ["Not On My Watch!"] = "Not On My Watch!",
        ["Jol"] = "喬歐",
        ["Delivery to Silverpine Forest"] = "給銀松森林送信",
        ["Forging the Shaft"] = "鑄造火炬桿",
        ["Mastering the Elements"] = "控制元素",
        ["Goblin Invaders"] = "哥布林侵略者",
        ["Grimand's Finest Work"] = "艾爾默的手藝",
        ["Craftsman's Writ - Huge Thorium Battleaxe"] = "工匠令狀 - 巨型瑟銀戰斧",
        ["Ice Thistle E'ko"] = "冰草魂精",
        ["Forging the Mightstone"] = "鑄造力量之石",
        ["Spellfire Robes"] = "魔焰長袍",
        ["Seeing What Happens"] = "拭目以待",
        ["Emphasis on Sacrifice"] = "犧牲精神",
        ["Ram Hide Harnesses"] = "羊皮座具",
        ["Myzrael's Allies"] = "密斯賴爾的盟友",
        ["Garments of the Moon"] = "月光之衣",
        ["Target: Dalson's Tears"] = "目標：達爾松之淚",
        ["The Flesh Does Not Lie"] = "血肉不會撒謊",
        ["A Map to Where?"] = "A Map to Where?",
        ["Blessed Arcanite Barding"] = "受祝福的奧金馬鎧",
        ["Craftsman's Writ - Thorium Tube"] = "工匠令狀 - 瑟銀管",
        ["The Unmarred Vision of Voodress"] = "完美巫毒幻象",
        ["Sceptre of Light"] = "聖光節杖",
        ["The Savage Guard - Arcanum of Protection"] = "野人守衛者-保護秘藥",
        ["Gavel of Infinite Wisdom"] = "無盡智慧之槌",
        ["Blessed Arm"] = "格瑞曼德·艾爾默",
        ["Skulk Rock Clean-up"] = "清理隱匿石",
        ["The Jewel of Kajaro"] = "卡亞羅的珠寶",
        ["The All-Seeing Eye of Zuldazar"] = "祖達薩全視之眼",
        ["Prophetic Aura"] = "預言的光環",
        ["Paragons of Power: The Vindicator's Breastplate"] = "權力珍寶：辯護者胸甲",
        ["Bandits!"] = "Bandits!",
        ["Of Coursers We Know"] = "打獵者",
        ["Betrayed"] = "叛徒",
        ["Excelsior"] = "刨花皮靴",
        ["Paragons of Power: The Predator's Mantle"] = "權力珍寶：捕獵者襯肩",
        ["Crocolisk Boy and the Bearded Murloc"] = "鱷魚小子和有鬍子的魚人",
        ["The Corruption of the Jadefire"] = "碧火薩特",
        ["Paragons of Power: The Madcap's Tunic"] = "權力珍寶：狂妄者外套",
        ["Paragons of Power: The Madcap's Mantle"] = "權力珍寶：狂妄者襯肩",
        ["Horde Presence"] = "部落的示威",
        ["Paragons of Power: The Madcap's Bracers"] = "權力珍寶：狂妄者護腕",
        ["Craftsman's Writ - Dense Weightstone"] = "工匠令狀 - 緻密平衡石",
        ["Journey to the Marsh"] = "沼澤之旅",
        ["The Cryo-Core"] = "寒冰核心",
        ["Job Opening: Guard Captain of Revantusk Village"] = "職位空缺：惡齒村衛兵隊長",
        ["Paragons of Power: The Illusionist's Robes"] = "權力珍寶：幻術師長袍",
        ["Return to Shattrath"] = "回到撒塔斯城",
        ["Paragons of Power: The Freethinker's Belt"] = "權力珍寶：思考者腰帶",
        ["Attack on Zeb'Tela"] = "攻擊札布泰拉",
        ["Uncatalogued Species"] = "未編目的品種",
        ["Dead-tooth Jack"] = "蛀牙傑克",
        ["What the Flux?"] = "What the Flux?",
        ["Rescue Deirom!"] = "Rescue Deirom!",
        ["Gyrodrillmatic Excavationators"] = "陀螺式挖掘機",
        ["Rogues of the Shattered Hand"] = "破碎之手盜賊",
        ["Paragons of Power: The Demoniac's Wraps"] = "權力珍寶：惡魔師裹帶",
        ["Paragons of Power: The Demoniac's Robes"] = "權力珍寶：惡魔師長袍",
        ["The Power to Destroy..."] = "The Power to Destroy...",
        ["Ethereum Data"] = "伊斯利恩資料",
        ["What Comes Around..."] = "What Comes Around...",
        ["Journey into Thunder Bluff"] = "雷霆崖之旅",
        ["Book of the Ancients"] = "上古之書",
        ["Hilary's Necklace"] = "希拉蕊的項鏈",
        ["Paragons of Power: The Confessor's Bindings"] = "權力珍寶：懺悔者護腕",
        ["Paragons of Power: The Augur's Bracers"] = "權力珍寶：預言者護腕",
        ["Summoner Kanthin's Prize"] = "召喚者卡辛恩的禮物",
        ["Deliver the Plans to An'telas"] = "送計畫書到安泰拉斯",
        ["A Dark Pact"] = "黑暗契約",
        ["Nat's Measuring Tape"] = "納特的捲尺",
        ["The Newest Member of the Family"] = "新的生命",
        ["Hoodoo Hex"] = "不祥的妖術",
        ["Falcon's Call"] = "獵鷹的召喚",
        ["Avenge My Village"] = "為我的村莊復仇",
        ["A Collection of Heads"] = "收集頭顱",
        ["A Bijou for Zanza"] = "贊札的寶石",
        ["Leader of the Darkcrest"] = "暗羽領導者",
        ["Ur's Treatise on Shadow Magic"] = "烏爾的暗影魔法研究論文",
        ["The Will of the Warchief"] = "酋長的希望",
        ["Ivar the Foul"] = "邪惡的伊瓦",
        ["Tear of the Earthmother"] = "Tear of the Earthmother",
        ["The Longbeards"] = "長鬚兄弟",
        ["Restoring Fiery Flux Supplies via Kingsblood"] = "熾熱助熔劑的補給：皇血草",
        ["Seal of Ascension"] = "晉升印章",
        ["Enchanted Thorium Platemail: Volume III"] = "魔化瑟銀鎧甲：第三卷",
        ["Lords of the Council"] = "議會領主",
        ["Put Her Down"] = "座狼之源",
        ["Shutting Down Manaforge Ara"] = "關閉法力熔鐵爐艾拉",
        ["Oculus Illusions"] = "黑龍幻象",
        ["Mother's Milk"] = "蛛后的乳汁",
        ["Message to Maxwell"] = "給麥斯威爾的訊息",
        ["Venom to the Undercity"] = "送往幽暗城的毒藥",
        ["Mayara Brightwing"] = "瑪亞拉·布萊特文",
        ["More Obsidian Warbeads"] = "更多黑曜石戰爭串珠",
        ["Maxwell's Mission"] = "麥克斯韋爾的任務",
        ["The Shattered Necklace"] = "破碎的項鏈",
        ["Fire Taboo"] = "火焰管制",
        ["Retribution of the Light"] = "光明的懲戒",
        ["General Drakkisath's Demise"] = "達基薩斯將軍之死",
        ["General Drakkisath's Command"] = "達基薩斯將軍的命令",
        ["More Warbeads!"] = "More Warbeads!",
        ["The Master's Grand Design?"] = "The Master's Grand Design?",
        ["The Alliance Needs Runecloth Bandages!"] = "The Alliance Needs Runecloth Bandages!",
        ["The Dead Fields"] = "亡者農場",
        ["En-Ay-Es-Tee-Why"] = "蜘蛛卵",
        ["The Corpulent One"] = "肥仔",
        ["Egg Freezing"] = "冷凍龍蛋",
        ["Egg Collection"] = "收集龍蛋",
        ["The Rise of the Machines"] = "機器的崛起",
        ["Ishamuhale"] = "伊沙姆哈爾",
        ["Drakefire Amulet"] = "龍火護符",
        ["The Princess Saved?"] = "The Princess Saved?",
        ["Dreamwalker Spaulders"] = "夢行者肩甲",
        ["Beached Sea Turtle"] = "擱淺的海龜",
        ["Craftsman's Writ - Stonescale Eel"] = "工匠令狀 - 石鱗鰻",
        ["Down With Daellis"] = "擊倒戴利斯",
        ["Delivery to Ridgewell"] = "瑞治維爾的箱子",
        ["Solution to Doom"] = "化解災難",
        ["Stinking Up Southshore"] = "薰死南海鎮",
        ["The Heart of the Mountain"] = "山脈之心",
        ["The Corruption Abroad"] = "遙遠的旅途",
        ["The Harvester"] = "收割者",
        ["Thunderaan the Windseeker"] = "逐風者桑德蘭",
        ["Vision Guide"] = "幻象導覽",
        ["Bijou's Reconnaissance Report"] = "比修的偵察報告",
        ["The Atal'ai Exile"] = "阿塔萊流放者",
        ["The Dying Balance"] = "垂死的平衡",
        ["Wildmane Cleansing"] = "淨化蠻鬃之井",
        ["Securing the Lines"] = "保衛商路",
        ["Bijou's Belongings"] = "比修的裝置",
        ["War Banners"] = "龍喉戰旗",
        ["Disruption - Forge Camp: Mageddon"] = "瓦解 - 煉冶場：黑色祭壇",
        ["Tramping Paws"] = "踐踏之爪",
        ["The Third Fleet"] = "第三艦隊",
        ["The Thandol Span"] = "薩多爾大橋",
        ["The Search Continues"] = "繼續搜尋",
        ["Mending Old Wounds"] = "修復舊創",
        ["The Eye of Paleth"] = "帕雷斯之眼",
        ["The Dark Iron War"] = "黑鐵戰爭",
        ["The Cursed Crew"] = "被詛咒的船員",
        ["Saving Sharpbeak"] = "拯救沙普比克",
        ["Report to Mountaineer Rockgar"] = "向巡山人羅克加報告",
        ["Ending the Bloodcurse"] = "終止血咒",
        ["Report to Captain Stoutfist"] = "向斯托菲隊長報告",
        ["Reclaiming Goods"] = "奪回雕像",
        ["Plea To The Alliance"] = "向聯盟求援",
        ["Ormer's Revenge"] = "奧莫爾的復仇",
        ["Massacre at Gruul's Lair"] = "戈魯爾之巢大屠殺",
        ["Essence of the Exile"] = "流放精華",
        ["Nek'rosh's Gambit"] = "納克羅什的優勢",
        ["The Ogre Threat"] = "巨魔威脅",
        ["Falling to Corruption"] = "墮落熊怪",
        ["Fresh Meat"] = "新鮮的螃蟹腿",
        ["Centaur Bounty"] = "懸賞半人馬",
        ["Lifting the Curse"] = "解除詛咒",
        ["The Demon Seed"] = "惡魔之種",
        ["In Search of The Excavation Team"] = "尋找挖掘隊",
        ["The Ashtongue Corruptors"] = "The Ashtongue Corruptors",
        ["Winds in the Desert"] = "沙漠之風",
        ["Nefarius's Corruption"] = "奈法利斯的腐敗",
        ["Theldurin the Lost"] = "迷失者塞爾杜林",
        ["Fiora Longears"] = "菲歐拉·長耳",
        ["Grimand Elmore"] = "格瑞曼德·艾爾默",
        ["Extinguishing the Idol"] = "封印神像",
        ["Daily Delivery"] = "日常供貨",
        ["Cleansing of the Orb of Orahil"] = "奧拉赫寶珠的淨化",
        ["Claws from the Deep"] = "海中的魚人",
        ["More Crystal Fragments"] = "更多水晶碎片",
        ["The Carevin Family"] = "卡爾文家族",
        ["The Monogrammed Sash"] = "刺著字母的腰帶",
        ["Marauders of Darrowshire"] = "達隆郡的掠奪者",
        ["Arcane Instability"] = "秘法不穩定性",
        ["Warlord Sriss'tiz"] = "督軍司瑞史提斯",
        ["A King's Tribute"] = "國王的禮物",
        ["Full Triangle"] = "完整三角形",
        ["Tree's Company"] = "樹的偽裝",
        ["Forge Camp: Mageddon"] = "煉冶場：黑色祭壇",
        ["Totem of Yor"] = "優兒的圖騰",
        ["Return to Kristoff"] = "克里斯多夫的書",
        ["Totem of Vark"] = "瓦克的圖騰",
        ["Totem of Tikti"] = "堤克悌的圖騰",
        ["Proof of Demise"] = "死亡證明",
        ["All Clear!"] = "All Clear!",
        ["Passing Word of a Threat"] = "亡者的警告",
        ["The Unending Invasion"] = "無止盡的侵略",
        ["Infiltrating Dragonmaw Fortress"] = "滲入龍喉堡壘",
        ["The Great Moongraze Hunt"] = "牧月大狩獵",
        ["Ortor My Old Friend..."] = "Ortor My Old Friend...",
        ["Fulgor Spores"] = "Fulgor Spores",
        ["Stillpine Hold"] = "靜松要塞",
        ["Felsworn Gas Mask"] = "邪誓防毒面具",
        ["Show Gnomercy"] = "別對地精仁慈",
        ["Rune Covered Tablet"] = "Rune Covered Tablet",
        ["Reclaiming the Ruins"] = "奪回廢墟",
        ["Wanted: \"Hogger\""] = "通缉：霍格",
        ["Umbrafen Eel Filets"] = "昂布拉凡鰻魚片",
        ["Murlocs... Why Here? Why Now?"] = "Murlocs... Why Here? Why Now?",
        ["Celebrating Good Times"] = "英雄慶典",
        ["Medicinal Purpose"] = "醫療用途",
        ["Creating the Pendant"] = "製造墜飾",
        ["Learning the Language"] = "學習語言",
        ["The Alliance Needs Light Leather!"] = "The Alliance Needs Light Leather!",
        ["Report to Splintertree Post"] = "向碎木崗哨回報",
        ["The Pariah's Instructions"] = "賤民的指引",
        ["The Sunfury Garrison"] = "日怒部隊",
        ["Hallowed Letter"] = "神聖信件",
        ["Goretusk Liver Pie"] = "豬肝餡餅",
        ["Find Acteon!"] = "Find Acteon!",
        ["Elekks Are Serious Business"] = "伊萊克是嚴肅的職責",
        ["The Ultimate Deception"] = "最後的詭計",
        ["Cookie's Jumbo Gumbo"] = "Cookie's Jumbo Gumbo",
        ["Brann Bronzebeard's Lost Letter"] = "布拉恩·銅鬚遺失的信",
        ["Washte Pawne"] = "瓦希塔帕恩",
        ["Ink Supplies"] = "墨水補給",
        ["Bungle in the Jungle"] = "擒蟲先擒王",
        ["The Purest Water"] = "純淨之水",
        ["A Cry For Help"] = "求救",
        ["You're a Mean One..."] = "You're a Mean One...",
        ["Helping the Lost Find Their Way"] = "幫迷失者找到方向",
        ["A Final Blow"] = "最終一擊",
        ["The Reason for the Season"] = "季節的由來",
        ["Frostfire Leggings"] = "霜火護腿",
        ["The Feast of Winter Veil"] = "冬幕節",
        ["Ruined Kegs"] = "惡臭的雞蛋",
        ["Contact from Dalaran"] = "達拉然的聯繫",
        ["New Year Celebrations!"] = "New Year Celebrations!",
        ["A New Ore Sample"] = "新的礦石樣本",
        ["The Cipher of Damnation - Grom'tor's Charge"] = "毀滅密碼 - 葛洛姆特的炸彈",
        ["Metzen the Reindeer"] = "麋鹿梅特森",
        ["Honoring a Hero"] = "緬懷英雄",
        ["Greatfather Winter is Here!"] = "Greatfather Winter is Here!",
        ["Vilebranch Hooligans"] = "邪枝竊賊",
        ["Flexing for Nougat"] = "顯肌肉，換糖果",
        ["Ineptitude + Chemicals = Fun"] = "Ineptitude + Chemicals = Fun",
        ["Arathor Basic Care Package"] = "阿拉索基本醫療包",
        ["Alien Spirits"] = "不同的靈魂",
        ["Rin'ji is Trapped!"] = "Rin'ji is Trapped!",
        ["Bleeding Hollow Supply Crates"] = "血之谷補給箱",
        ["The World At Your Feet"] = "世界在你腳下",
        ["The Decisive Striker"] = "決定性的打擊",
        ["The Old Ways"] = "古老的技藝",
        ["Diplomatic Measures"] = "外交的衡量",
        ["Only One May Rise"] = "唯一的領袖",
        ["Burning Shadows"] = "燃影之眼",
        ["The Mithril Kid"] = "秘銀小子",
        ["Galaen's Fate"] = "高拉恩的命運",
        ["Doras the Wind Rider Master"] = "雙足飛龍管理員朵拉斯",
        ["Death From Below"] = "水下伏兵",
        ["The Art of the Imbue"] = "灌魔工藝",
        ["Restoring Sanctity"] = "恢復聖潔",
        ["Pyrewood Ambush"] = "焚木村中的伏擊",
        ["Gather the Orbs"] = "收集寶珠",
        ["Supplying the Front"] = "前線的補給",
        ["Cryptstalker Boots"] = "地穴行者長靴",
        ["Pick Your Part"] = "挑出你的部份",
        ["Imperial Plate Shoulders"] = "君王鎧甲護肩",
        ["Unruly Neighbors"] = "難搞的鄰居",
        ["Fragmented Magic"] = "破碎的魔法",
        ["Calling in the Reserves"] = "召回衛兵",
        ["Saving the Best for Last"] = "最後的獎賞",
        ["The Princess's Surprise"] = "語出驚人的公主",
        ["Road to Salvation"] = "救贖之路",
        ["A Burden of Souls"] = "靈魂的負擔",
        ["Shadumbra's Head"] = "薩杜布拉的頭顱",
        ["Speaking of Fortitude"] = "關於堅韌的演講",
        ["Imperial Plate Boots"] = "君王鎧甲戰靴",
        ["Ogre Head On A Stick = Party"] = "梟首示眾",
        ["FIFTY! YEP!"] = "FIFTY! YEP!",
        ["Grimscale Pirates!"] = "Grimscale Pirates!",
        ["Horns of Frenzy"] = "瘋狂之角",
        ["Agitated Spirits of Skysong"] = "天歌的焦慮精靈",
        ["Marking the Path"] = "記下路徑",
        ["Cho'war the Pillager"] = "掠奪者喬沃",
        ["Return to Chromie"] = "返回克羅米身邊",
        ["Cenarion Aid"] = "幫助塞納里奧",
        ["Amani Encroachment"] = "侵犯阿曼尼",
        ["Observing the Sporelings"] = "觀察孢子人",
        ["Return to the Blasted Lands"] = "返回詛咒之地",
        ["Indurium Ore"] = "精鐵礦石",
        ["Booty Bay or Bust!"] = "Booty Bay or Bust!",
        ["Silkwing Cocoons"] = "Silkwing Cocoons",
        ["Elanaria"] = "艾蘭娜瑞",
        ["Gaffer Jacks"] = "小齒輪",
        ["A Blue Light Bargain"] = "君王鎧甲的設計圖",
        ["Whirlwind Weapon"] = "旋風武器",
        ["Bingles' Missing Supplies"] = "賓格斯的補給品",
        ["Shard of an Infernal"] = "地獄火的靈魂",
        ["Redeeming the Dead"] = "解救亡者",
        ["War on the Shadowsworn"] = "魔誓者之戰",
        ["Beads for Salfa"] = "給薩爾法的珠串",
        ["Gryth Thurden"] = "格萊斯·瑟登",
        ["Veteran Uzzek"] = "老兵猶塞克",
        ["Split Bone Necklace"] = "裂骨項鏈",
        ["Cenarion Battlegear"] = "塞納里奧戰鬥工具",
        ["The Public Servant"] = "公僕",
        ["Glowing Scorpid Blood"] = "閃光的蠍血",
        ["The Fall of Ameth'Aran"] = "亞米薩蘭的毀滅",
        ["Trial at the Field of Giants"] = "巨人曠野的試煉",
        ["Centaur Bracers"] = "半人馬護腕",
        ["Into the Dream"] = "進入夢境",
        ["Tormus Deepforge"] = "托姆斯·深爐",
        ["Making Sense of It"] = "分析水晶塔",
        ["The Dead Scar"] = "死亡之痕",
        ["A Cleansing Light"] = "淨化的聖光",
        ["The Shieldsmith"] = "鑄盾師",
        ["Blackmoore's Legacy"] = "布拉克摩爾的餘孽",
        ["Isha Awak"] = "依沙瓦克",
        ["The Boha'mu Ruins"] = "波哈姆廢墟",
        ["The Shade of Elura"] = "艾魯拉的陰影",
        ["Reagents for Reclaimers Inc."] = "Reagents for Reclaimers Inc.",
        ["Dealing with the Overmaster"] = "解決征服者",
        ["Securing the Shaleskin Shale"] = "獲得岩層泥岩",
        ["The Rethban Gauntlet"] = "往返瑞斯班洞穴",
        ["Wanted: Thaelis the Hungerer"] = "通緝：飢餓者泰利斯",
        ["A Dandy's Best Friend"] = "花花公子的知音",
        ["Strength of One"] = "一人的力量",
        ["Trial and Error"] = "錯誤的試驗",
        ["Components of Importance"] = "重要的材料",
        ["The Alliance Needs Medium Leather!"] = "The Alliance Needs Medium Leather!",
        ["Simple Tablet"] = "普通石板",
        ["Culling the Flutterers"] = "撲殺翼鳥",
        ["The Sporelings' Plight"] = "孢子人的困境",
        ["The Elusive Ironjaw"] = "難捉摸的鐵顎",
        ["In Favor of the Light"] = "聖光的恩賜",
        ["Dealing with the Foreman"] = "解決工頭",
        ["Simple Parchment"] = "簡易羊皮紙",
        ["The Price of Shoes"] = "馬蹄鐵的價值",
        ["Speak with Deino"] = "食人妖法師迪諾",
        ["Simple Letter"] = "簡要的信件",
        ["Heavy Grinding Stone"] = "重砂輪",
        ["Vengeance on the Northspring"] = "對鷹身人的復仇",
        ["Mathiel's Armor"] = "瑪希爾的鎧甲",
        ["Marshal Haggard"] = "治安官哈迦德",
        ["Bring Me The Egg!"] = "Bring Me The Egg!",
        ["Klockmort's Creation"] = "科羅莫特的成果",
        ["Klockmort Spannerspan"] = "科羅莫特·鋼尺",
        ["More Firewing Signets"] = "更多的火翼徽章",
        ["Betrayal from Within"] = "內奸",
        ["Rather Be Fishin'"] = "Rather Be Fishin'",
        ["The Windwatcher"] = "捕風者",
        ["Green Fireworks"] = "綠色煙火",
        ["Heirloom Weapon"] = "祖傳武器",
        ["An Audacious Advance"] = "大膽前進",
        ["Bonescythe Pauldrons"] = "骨鐮肩鎧",
        ["Target: Hive'Zora Waywatchers"] = "目標：佐拉守衛",
        ["In Pursuit of Featherbeard"] = "追蹤羽鬚",
        ["Grey Iron Weapons"] = "灰鐵武器",
        ["Forged Steel"] = "鍛造好的鋼錠",
        ["The Mark of the Lightbringer"] = "光明使者的印記",
        ["Replacement Phial"] = "交換藥水",
        ["Chimaeric Horn"] = "奇美拉之角",
        ["Burning Blood"] = "燃燒之血",
        ["Cryptstalker Armor Doesn't Make Itself..."] = "Cryptstalker Armor Doesn't Make Itself...",
        ["The Tower of Althalaxx"] = "奧薩拉克斯之塔",
        ["Gyromast's Retrieval"] = "基爾卡克的鑰匙",
        ["An Old Colleague"] = "老同事",
        ["Brutal Legguards"] = "野蠻腿甲",
        ["Krom'Grul"] = "克羅格盧爾",
        ["Help Ranger Valanna!"] = "Help Ranger Valanna!",
        ["The Defias Brotherhood"] = "迪菲亞兄弟會",
        ["Volunteer's Battlegear"] = "志願兵的裝備",
        ["Stones of Binding"] = "禁錮之石",
        ["Khadgar"] = "凱德卡",
        ["Searching for the Lost Satchel"] = "尋找背包",
        ["Brutal Hauberk"] = "野蠻鎖甲",
        ["Desperate Prayer"] = "絕望禱言",
        ["Aldor No More"] = "奧多爾不再",
        ["Beat Bartleby"] = "擊敗巴托比",
        ["Gordunni Cobalt"] = "戈杜尼鈷礦石",
        ["An Unwelcome Guest"] = "不速之客",
        ["The Only Song I Know..."] = "The Only Song I Know...",
        ["Your Place In The World"] = "起點",
        ["Thazz'ril's Pick"] = "塔茲利爾的鎬",
        ["A Shifty Merchant"] = "狡猾的商人",
        ["Speaking with Nezzliok"] = "奈茲里奧克",
        ["Sarkoth"] = "薩科斯",
        ["Establishing New Outposts"] = "建立新前哨",
        ["Components for the Enchanted Gold Bloodrobe"] = "魔化金線血袍",
        ["Cutting Teeth"] = "小試身手",
        ["The Balance of Nature"] = "自然的平衡",
        ["Burning Blade Medallion"] = "火刃獎章",
        ["Proving Your Strength"] = "證明你的力量",
        ["A Job Undone"] = "未完成的工作",
        ["Unexpected Results"] = "意外的結果",
        ["The Testament of Rexxar"] = "The Testament of Rexxar",
        ["Illidari Bane Shard"] = "Illidari Bane Shard",
        ["Blood Watch"] = "血色守望",
        ["Return to the Greatmother"] = "回到祖母身邊",
        ["Deathstalkers in Shadowfang"] = "影牙城堡裡的亡靈哨兵",
        ["Summon Felsteed"] = "召喚地獄戰馬",
        ["Strange Alliance"] = "奇怪的聯盟",
        ["Search for Tyranis"] = "尋找泰拉尼斯",
        ["Return to Vahlarriel"] = "回覆瓦拉里爾",
        ["More Warbeads"] = "更多的戰爭串珠",
        ["The Great Retribution"] = "巨大的懲罰",
        ["Other Fish to Fry "] = "Other Fish to Fry ",
        ["Ongeku"] = "盎格庫",
        ["Fall From Grace"] = "失落的榮耀",
        ["Khan Shaka"] = "沙卡可汗",
        ["Khan Jehn"] = "傑恩可汗",
        ["Sigil of Strom"] = "激流堡符印",
        ["Hand of Iruxos"] = "埃盧梭斯之手",
        ["Ascension..."] = "Ascension...",
        ["Reinforcements for Garadar"] = "卡拉達爾的援軍",
        ["Get Me Out of Here!"] = "Get Me Out of Here!",
        ["Morbent Fel"] = "摩本特·費爾",
        ["Against the Legion"] = "對抗燃燒軍團",
        ["Gelkis Alliance"] = "吉爾吉斯族的聯盟",
        ["The Agitated Ancestors"] = "焦慮的先祖們",
        ["Down the Scarlet Path"] = "血色之路",
        ["Twilight Battle Orders"] = "暮光戰鬥命令",
        ["Time To Strike"] = "進攻的時機",
        ["Bloodgem Crystals"] = "血寶石水晶",
        ["More Marks of Sargeras"] = "更多薩格拉斯印記",
        ["Broken Tears"] = "破碎之淚",
        ["Paragons of Power: The Confessor's Mantle"] = "權力珍寶：懺悔者襯肩",
        ["Darkmoon Warlords Deck"] = "暗月督軍套卡",
        ["Bodyguard for Hire "] = "Bodyguard for Hire ",
        ["Wanted: Maggot Eye"] = "懸賞：蛆眼",
        ["The Prodigal Lich Returns"] = "The Prodigal Lich Returns",
        ["Imbuing the Headpiece"] = "浸注權杖頭",
        ["Crown of the Earth"] = "大地之冠",
        ["Rare Fish - Brownell's Blue Striped Racer"] = "稀有魚類 - 布隆奈爾藍斑魚",
        ["The Force of Neltharaku"] = "奈爾斯阿拉古的力量",
        ["Craftsman's Writ - Greater Arcane Protection Potion"] = "工匠令狀 - 強效秘法防護藥水",
        ["The Family Crypt"] = "家族墓穴",
        ["Rampaging Ravagers"] = "消滅劫掠者",
        ["The Basilisk's Bite"] = "石化蜥蜴的大腦",
        ["Spectrecles"] = "幽靈",
        ["Return to the Magistrate"] = "向塞弗倫回報",
        ["Missing Mag'hari Procession"] = "失蹤的瑪格哈利隊伍",
        ["Supplies for Nethergarde"] = "守望堡的補給物資",
        ["The Hand of Rastakhan"] = "拉斯塔哈之手",
        ["Scepter of the Council"] = "議會權杖",
        ["The Prophecy of Velen"] = "費倫的預言",
        ["Graverobbers"] = "盜墓賊",
        ["Petty Squabbles"] = "爭論",
        ["Forsaken Duties"] = "亡靈衛兵的職責",
        ["Curse of the Violet Tower"] = "紫羅蘭之塔的詛咒",
        ["Blessings of the Ancients"] = "先祖的祝福",
        ["Rhapsody Shindigger"] = "拉普索迪·鐵鏟",
        ["Doom Weed"] = "末日草",
        ["Deaths in the Family"] = "阿加曼德家族",
        ["Apothecary Zelana"] = "藥劑師席蓮娜",
        ["Standards and Practices"] = "軍旗與實行",
        ["Deathdealer's Helm"] = "死亡執行者的頭盔",
        ["The Great Masquerade"] = "潛藏者",
        ["The Fallen Courier"] = "倒下的信差",
        ["A Putrid Task"] = "腐爛的爪子",
        ["A Plague Upon Thee"] = "瘟疫與你",
        ["A New Plague"] = "新的瘟疫",
        ["The Fall of Kel'Thuzad"] = "科爾蘇加德的墮落",
        ["Deathdealer's Vest"] = "死亡執行者的胸甲",
        ["Dreamwalker Boots"] = "夢行者長靴",
        ["Lakota'mani"] = "拉克塔曼尼",
        ["Speak with Shoni"] = "沉默的舒尼",
        ["Return to Ironforge"] = "返回鐵爐堡",
        ["Tribes at War"] = "野豬人的內戰",
        ["Reclaimers' Business in Desolace"] = "尋物公司的業務",
        ["Forgotten Rituals"] = "被遺忘的儀式",
        ["Messenger to Stormwind"] = "送信到暴風城",
        ["Spirit of the Boar"] = "野豬之魂",
        ["Bashal'Aran"] = "巴莎蘭",
        ["James Hyal"] = "詹姆士·海厄爾",
        ["The Mighty U'cha"] = "強大的尤爾查",
        ["Burn It Up... For the Horde!"] = "Burn It Up... For the Horde!",
        ["Tainted Memorandum"] = "受污染的備忘錄",
        ["Razormaw"] = "瑞索默",
        ["Summoning the Princess"] = "召喚大地公主",
        ["Damning Evidence"] = "指責的證據",
        ["Report to Nazgrel"] = "回報納茲格雷爾",
        ["Arcane Runes"] = "秘法符文",
        ["Lieutenant Paval Reethe"] = "帕瓦爾·雷瑟上尉",
        ["The Swarm Grows"] = "瘋狂的蟲群",
        ["The Lost Tablets of Mosh'aru"] = "失落的摩沙魯石板",
        ["Gathering Materials"] = "收集原料",
        ["A Little Slime Goes a Long Way"] = "遠方的軟泥怪",
        ["Spirits of the Feralfen"] = "菲拉芬靈魂",
        ["Plagued Hatchlings"] = "瘟疫之龍",
        ["Redemption Handguards"] = "救贖護手",
        ["Kirtonos the Herald"] = "傳令官基爾圖諾斯",
        ["Healthy Dragon Scale"] = "健康的龍鱗",
        ["Ironband Wants You!"] = "Ironband Wants You!",
        ["Betina Bigglezink"] = "貝蒂娜·比格辛克",
        ["Dreadnaught Pauldrons"] = "恐懼之無肩鎧",
        ["Barov Family Fortune"] = "巴羅夫家族的寶藏",
        ["Undercutting the Competition"] = "暗殺競爭對手",
        ["Look To The Stars"] = "仰望星空",
        ["Someone Else's Hard Work Pays Off"] = "解決別人的難事",
        ["Samophlange"] = "什麼什麼平衡器",
        ["Surrender to the Horde"] = "向部落投降",
        ["The Hunter's Way"] = "獵人之道",
        ["Errand for Apothecary Zinge"] = "金格的貨物",
        ["Snickerfang Jowls"] = "彎牙土狼的顎骨",
        ["Encrypted Rune"] = "密文符文",
        ["Sharing the Land"] = "土地之爭",
        ["Deliver the Gems"] = "運送寶石",
        ["Genesis Vest"] = "起源外套",
        ["Cannons of Rage"] = "狂怒的火炮",
        ["Trolls of a Feather"] = "巨魔的羽毛",
        ["Craftsman's Writ - Major Healing Potion"] = "工匠令狀 - 極效治療藥水",
        ["Paragons of Power: The Confessor's Wraps"] = "權力珍寶：懺悔者裹布",
        ["Speak with Jennea"] = "和詹妮亞交談",
        ["Dangers of the Windfury"] = "風怒鷹身人",
        ["Tran'rek"] = "特蘭雷克",
        ["The Cenarion Expedition"] = "塞納里奧遠征隊",
        ["Sharing the Knowledge"] = "分享知識",
        ["A Question of Gluttony"] = "暴食的問題",
        ["Truth or Fiction"] = "是真是假",
        ["The Big Bone Worm"] = "巨大白骨蟲",
        ["Counterattack!"] = "Counterattack!",
        ["Recipe of the Kaldorei"] = "卡多雷的食譜",
        ["The Traitor's Shadow"] = "背叛者的陰影",
        ["Weapons of Elunite"] = "月神武器",
        ["A Strange Request"] = "奇怪的要求",
        ["Frostfire Bindings"] = "霜火護腕",
        ["Letter to Stormpike"] = "鐵爐堡的解碼者",
        ["A Hunter's Boast"] = "自豪的獵人",
        ["Diaphanous Wings"] = "透明之翼",
        ["Smart Drinks"] = "智慧飲料",
        ["The Scarlet Crusade"] = "血色十字軍",
        ["Nara Wildmane"] = "納拉·蠻鬃",
        ["Sentinel Advanced Care Package"] = "哨兵高級護理包",
        ["Duke Nicholas Zverenhoff"] = "尼古拉斯·瑟倫霍夫公爵",
        ["Defenders of Darrowshire"] = "達隆郡的保衛者",
        ["Etched Note"] = "風化便箋",
        ["Infallible Mind"] = "清晰的思想",
        ["Devourer of Souls"] = "噬魂者",
        ["Deviate Hides"] = "變異皮革",
        ["Tribal Leatherworking"] = "部族製皮",
        ["Valik"] = "僕從瓦里克",
        ["Dreadnaught Helmet"] = "恐懼之無頭盔",
        ["Of Forgotten Memories"] = "遺忘的記憶",
        ["WANTED: Syndicate Personnel"] = "通緝：辛迪加成員",
        ["Losing Gracefully"] = "優雅的失敗",
        ["Hardened Shells"] = "硬化龜殼",
        ["Brutal Politics"] = "野蠻外交",
        ["Concerns About Tuurem"] = "與杜瑞有關",
        ["The Hammer May Fall"] = "落錘之戰",
        ["Stormwind Ho!"] = "Stormwind Ho!",
        ["Skymistress Gloaming"] = "天空女教師·薄暮",
        ["Uniting the Shattered Amulet"] = "收集破碎的護符",
        ["The Torch of Retribution"] = "懲戒火炬",
        ["Stone Tokens"] = "石雕",
        ["Dark Storms"] = "黑暗風暴",
        ["Report to Tarren Mill"] = "向塔倫米爾報告",
        ["Reassignment"] = "人事調動",
        ["Prison Break In"] = "入室偷竊",
        ["The Divination Scryer"] = "預言水晶球",
        ["The Befouled Element"] = "被污染的水元素",
        ["Altruis"] = "奧翠司",
        ["Army of the Black Dragon"] = "黑龍軍團",
        ["Neutralizing the Nethermancers"] = "消滅地獄法師",
        ["Humbert's Sword"] = "亨伯特的長劍",
        ["Fallen Sky Lake"] = "墜星湖",
        ["Essential Artificials"] = "基礎模組",
        ["Counting Out Time"] = "找回時間",
        ["The Archmage's Staff"] = "大法師之杖",
        ["Farren's Proof"] = "法爾林的證據",
        ["Elixir of Pain"] = "痛苦藥劑",
        ["Report to Captain Helios"] = "向希里歐斯隊長回報",
        ["Dreadsteed of Xoroth"] = "克索諾斯恐懼戰馬",
        ["Calm Before the Storm"] = "臨危不懼",
        ["Culinary Crunch"] = "香脆料理",
        ["Reception from Tyrande"] = "泰蘭妲的接待",
        ["Elixir of Agony"] = "苦楚藥劑",
        ["Dangerous!"] = "Dangerous!",
        ["Bracers of Binding"] = "地縛護腕",
        ["Trollbane"] = "食人妖之敵",
        ["A Warm Welcome"] = "溫馨款待",
        ["Seed of Life"] = "生命之種",
        ["Testing the Tonic"] = "測試藥水",
        ["Simple Note"] = "簡易便箋",
        ["Yuka Screwspigot"] = "尤卡·斯庫比格特",
        ["More Wastewander Justice"] = "廢土的公正",
        ["Vivian Lagrave"] = "薇薇安·拉格雷",
        ["Target: Hive'Ashi Stingers"] = "目標：亞什毒蠍",
        ["The Spectral Chalice"] = "鬼魂之杯",
        ["Collecting Memories"] = "收集記憶",
        ["The People's Militia"] = "西部荒野民兵",
        ["Overlord"] = "主宰",
        ["The Twilight Mystery"] = "暮光的秘密",
        ["Blood of the Black Dragon Champion"] = "黑龍勇士之血",
        ["Invaluable Asset Zapping"] = "傳送無價的資產",
        ["Jarl Needs a Blade"] = "加爾需要一把劍",
        ["The Eastern Kingdoms"] = "東部王國",
        ["Salvaging the Data"] = "搶救資料",
        ["A Simple Request"] = "簡單的要求",
        ["Ribbly Screwspigot"] = "雷布里·斯庫比格特",
        ["A Lost Master"] = "丟失的主人",
        ["Ragnar Thunderbrew"] = "拉格納·雷酒",
        ["Marshal Windsor"] = "溫德索爾元帥",
        ["Of Love and Family"] = "愛與家庭",
        ["Lost Thunderbrew Recipe"] = "遺失的雷酒秘方",
        ["Trek to Ashenvale"] = "梣谷之旅",
        ["Hands of the Enemy"] = "敵人之手",
        ["KILL ON SIGHT: Dark Iron Dwarves"] = "格殺勿論：黑鐵矮人",
        ["To Catch A Thistlehead"] = "血薊花的陷阱",
        ["The Jeremiah Blues"] = "傑雷米亞的憂傷",
        ["A New Threat"] = "新的威脅",
        ["From the Ashes"] = "來自灰燼",
        ["Skirmish at Echo Ridge"] = "回音山清剿行動",
        ["Stolen Booty"] = "被竊的貨物",
        ["Disharmony of Fire"] = "不和諧的火焰",
        ["Dark Iron Legacy"] = "黑鐵的遺產",
        ["Commander Gor'shak"] = "指揮官哥沙克",
        ["A Crumpled Up Note"] = "弄皺的便箋",
        ["A Binding Contract"] = "瑟銀兄弟會契約",
        ["What Argus Means to Me"] = "阿格斯的意義",
        ["Fallen Sky Lords"] = "被捕的空軍指揮官",
        ["Jyoba's Report"] = "Jyoba's Report",
        ["The Bear Necessities"] = "熊的必需品",
        ["Warp-Raider Nesaad"] = "扭曲騎士尼薩德",
        ["S-A-B-O-T-A-G-E"] = "S-A-B-O-T-A-G-E",
        ["Unlocking the Compendium"] = "開啟手冊",
        ["The Great Fras Siabi"] = "弗拉斯·希亞比",
        ["The Horde Needs Firebloom!"] = "The Horde Needs Firebloom!",
        ["Consecrated Rune"] = "神聖符文",
        ["Dragonkin Menace"] = "黑龍的威脅",
        ["Becoming a Parent"] = "為人父母",
        ["The Kurken is Lurkin'"] = "The Kurken is Lurkin'",
        ["Rat Catching"] = "逮捕狗頭人",
        ["Gurf's Dignity"] = "克夫的尊嚴",
        ["The Minions of Culuthas"] = "卡露薩斯的爪牙",
        ["The Horrors of Pollution"] = "恐獸的污染",
        ["Scouring the Desert"] = "穿過沙漠",
        ["Wild Leather Helmet"] = "蠻皮頭盔",
        ["The Best Defense"] = "最佳的防禦",
        ["Sharptalon's Claw"] = "沙普塔隆的爪子",
        ["A Swift Message"] = "快遞消息",
        ["That Little Extra Kick"] = "一點額外的刺激",
        ["Morrowgrain to Thunder Bluff"] = "雷霆崖的晨光麥",
        ["Lord Banehollow"] = "魔王貝恩霍勒",
        ["Testing the Prototype"] = "測試原型",
        ["Teleport This!"] = "Teleport This!",
        ["Morgan Ladimore"] = "摩根·拉迪莫爾",
        ["Sunfury Briefings"] = "日怒簡報",
        ["Stealth Flight"] = "隱形飛行",
        ["Host of the Hidden City"] = "隱秘城市的主人",
        ["Socrethar's Shadow"] = "Socrethar's Shadow",
        ["Demonic Crystal Prisons"] = "惡魔水晶監牢",
        ["Completing the Delivery"] = "完成遞送",
        ["Securing the Celestial Ridge"] = "保衛天國山脈",
        ["Sabotage the Warp-Gate!"] = "Sabotage the Warp-Gate!",
        ["Wanted: Annihilator Servo!"] = "Wanted: Annihilator Servo!",
        ["Request for Assistance"] = "要求幫助",
        ["Priest Training"] = "牧師訓練",
        ["Report to Engineering"] = "回報工程師",
        ["Dreamwalker Legguards"] = "夢行者護腿",
        ["Recipe for Destruction"] = "破壞的訣竅",
        ["I Got Nothin' Left!"] = "I Got Nothin' Left!",
        ["Speak with Un'thuwa"] = "安蘇瓦",
        ["War on Deatholme"] = "死亡之域戰爭",
        ["Disharmony of Flame"] = "不和諧的烈焰",
        ["Seek Out Neltharaku"] = "尋找奈爾斯阿拉古",
        ["Noxious Lair Investigation"] = "腐化之巢",
        ["Cycle of Rebirth"] = "生生不息",
        ["In Search of Galvan"] = "尋找加爾文",
        ["The Absent Minded Prospector"] = "健忘的勘察員",
        ["On Nethery Wings"] = "虛空的翅膀上",
        ["Nexus-King Salhadaar"] = "奈薩斯王薩哈達爾",
        ["New Opportunities"] = "新的機會",
        ["Escape Through Force"] = "殺出重圍",
        ["Scaring Shaky"] = "嚇唬病鬼",
        ["Wanted: Giselda the Crone"] = "懸賞：老巫婆吉絲達",
        ["The Way of the Weaponsmith"] = "武器鑄造師之道",
        ["Return to Silvermoon"] = "回到銀月城",
        ["Flash Bomb Recipe"] = "閃光彈的製法",
        ["High Chief Winterfall"] = "冬泉酋長",
        ["Measuring Warp Energies"] = "測量扭曲能量",
        ["Draenethyst Crystals"] = "德萊尼水晶",
        ["Love Song for Narain"] = "給納里安的情歌",
        ["Gann's Reclamation"] = "加恩的報復",
        ["Destroy the Legion"] = "摧殘軍團",
        ["Keeping Up Appearances"] = "持續觀察",
        ["Target: Hive'Zora Reavers"] = "目標：佐拉掠奪者",
        ["Broodling Essence"] = "雛龍精華",
        ["The Elder Crone"] = "長者",
        ["Vile Satyr! Dryads in Danger!"] = "Vile Satyr! Dryads in Danger!",
        ["Down the Dead Scar"] = "進入死亡之痕",
        ["Tharil'zun"] = "薩瑞爾祖恩",
        ["A Gesture of Goodwill"] = "展示好意",
        ["A Fine Mess"] = "一團混亂",
        ["Krasus's Compendium"] = "Krasus's Compendium",
        ["Killing the Crawlers"] = "殺光爬行者",
        ["Kick Them While They're Down"] = "趁他人之危",
        ["The Underneath"] = "地底之下",
        ["Ishanah's Help"] = "伊莎納的幫助",
        ["Information Gathering"] = "收集資訊",
        ["Olemba Seed Oil"] = "歐蘭巴種子油",
        ["Divination: Gorefiend's Truncheon"] = "預言：血魔之杖",
        ["A Lingering Suspicion"] = "長久的懷疑",
        ["In Search of Farahlite"] = "尋找法拉萊特",
        ["Speak to Salfa"] = "與薩爾法交談",
        ["Don't Kill the Fat One"] = "別殺那個胖子",
        ["Jonespyre's Request"] = "奎恩提斯的請求",
        ["Getting Down to Business"] = "動手幹活",
        ["Prospector Balmoral"] = "勘察員波莫羅",
        ["Hero of the Sin'dorei"] = "辛都瑞的英雄",
        ["Finding the Keymaster"] = "找到鑰匙持有者",
        ["Swift Discipline"] = "即時的懲罰",
        ["Land Ho!"] = "Land Ho!",
        ["Eating Damnation"] = "吃掉毀滅",
        ["Saving Princess Stillpine"] = "拯救靜松公主",
        ["Curse These Fat Fingers"] = "該死的胖手指！",
        ["Elemental Power Extraction"] = "元素力量粹取",
        ["Audience with the Prophet"] = "覲見預言者",
        ["Drijya Needs Your Help"] = "迪耶亞需要你的幫助",
        ["Doomrigger's Clasp"] = "末日扣環",
        ["The Cipher of Damnation - The Third Fragment Recovered"] = "毀滅密碼 - 第三部",
        ["Dimensius the All-Devouring"] = "吞沒者戴曼希爾斯",
        ["The Stone Watcher"] = "石頭衛士",
        ["Deal With the Saboteurs"] = "處理活動破壞者",
        ["Items of Power"] = "強大的物品",
        ["The Stones That Bind Us"] = "禁錮我們的石頭",
        ["Destroy Naberius!"] = "Destroy Naberius!",
        ["Delivering the Message"] = "傳遞訊息",
        ["Saving the Sporeloks"] = "Saving the Sporeloks",
        ["Conjurer Luminrath"] = "咒術師盧瑞斯",
        ["Bone-Bladed Weapons"] = "骨刃武器",
        ["The Forsaken"] = "被遺忘者",
        ["The Completed Orb of Noh'Orahil"] = "諾奧拉赫寶珠",
        ["Anthion's Strange Request"] = "安希恩奇怪的要求",
        ["Capturing the Phylactery"] = "取得護符",
        ["A Humble Task"] = "一件瑣事",
        ["Journey to Astranaar"] = "通往阿斯特蘭納的旅途",
        ["Salvaging the Past"] = "搶救過去",
        ["Captain Tyralius"] = "泰拉里斯上尉",
        ["Deliver the Shipment"] = "運送貨物",
        ["Building a Perimeter"] = "建立結界",
        ["Searching for Galaen"] = "尋找高拉恩",
        ["The Haunted Isle"] = "幽靈島",
        ["Bloody Imp-ossible!"] = "Bloody Imp-ossible!",
        ["Elemental War"] = "元素戰爭",
        ["Gakin's Summons"] = "加科因的召喚",
        ["The Missing Survey Team"] = "失蹤的調查小組",
        ["Nogg's Ring Redo"] = "諾格的手藝",
        ["It's Dangerous to Go Alone"] = "結伴而行",
        ["Corki's Ransom"] = "柯爾奇的贖金",
        ["Call to Arms"] = "短兵相接",
        ["A Pilgrim's Plight"] = "朝聖者的困境",
        ["More Fertile Spores"] = "More Fertile Spores",
        ["Brutal Armor"] = "野蠻護甲",
        ["Shrouded in Nightmare"] = "夢魘的纏繞",
        ["A Promising Start"] = "一個有希望的開始",
        ["Report to Zor"] = "向佐爾報告",
        ["A Gift for Voren'thal"] = "給沃藍索的禮物",
        ["A Fate Worse Than Death"] = "比死還糟的命運",
        ["Paragons of Power: The Augur's Belt"] = "權力珍寶：預言者腰帶",
        ["A Ghost in the Machine"] = "機械中的幽靈",
        ["The True Masters"] = "真正的主人",
        ["Tablet of the Seven"] = "七賢石板",
        ["Feathers for Nafien"] = "給納菲恩的羽毛",
        ["Imperial Plate Belt"] = "君王鎧甲腰帶",
        ["Now That We're Still Friends..."] = "Now That We're Still Friends...",
        ["Roll the Bones"] = "挖骨頭",
        ["Leonid Barthalomew"] = "萊尼德·巴薩羅梅",
        ["Felnok Steelspring"] = "菲諾克",
        ["A Scroll from Mauren"] = "馬倫的卷軸",
        ["A Reliquary of Purity"] = "淨化之匣",
        ["Zombie Juice"] = "殭屍汁",
        ["Wait for Sirra to Finish"] = "等待希拉完工",
        ["Travel to Darkshire"] = "前往夜色鎮",
        ["Meet at the Grave"] = "墓地相見",
        ["Illidan's Pupil"] = "伊利丹的弟子",
        ["Buzzbox 827"] = "傳聲盒827號",
        ["Translate Abercrombie's Note"] = "翻譯亞伯克隆比的信",
        ["The Weathered Grave"] = "飽經風霜的墓碑",
        ["Return to Milton"] = "向密爾頓回覆",
        ["Trinkets..."] = "Trinkets...",
        ["What Niby Commands"] = "尼比的助手",
        ["Etched Sigil"] = "風化符記",
        ["Moonglow Vest"] = "月光外衣",
        ["Fertile Spores"] = "Fertile Spores",
        ["They're Alive! Maybe..."] = "They're Alive! Maybe...",
        ["The Legend of Stalvan"] = "斯塔文的傳說",
        ["Uldaman Reagent Run"] = "奧達曼的蘑菇",
        ["The Doomed Fleet"] = "被詛咒的艦隊",
        ["Take Five Bases"] = "奪取五座基地",
        ["Sven's Revenge"] = "斯溫的復仇",
        ["Return the Book"] = "歸還書籍",
        ["Anthion's Old Friend"] = "安希恩的老朋友",
        ["Wildeyes"] = "戈瑟奇·邪眼",
        ["A Spirit Ally?"] = "A Spirit Ally?",
        ["Seeking Wisdom"] = "尋求指引",
        ["Trouble in the Deeps"] = "幫助耶努薩克雷",
        ["It's Watching You!"] = "It's Watching You!",
        ["Dreamwalker Girdle"] = "夢行者束腰",
        ["Brother Paxton"] = "帕克斯頓修士",
        ["Melding of Influences"] = "融合軟泥怪",
        ["Return to Sven"] = "回覆斯溫",
        ["There Is No Hope"] = "沒有希望了",
        ["Tablets of Baa'ri"] = "Tablets of Baa'ri",
        ["Syndicate Assassins"] = "辛迪加刺客",
        ["Return the Comb"] = "歸還梳子",
        ["Nothing But The Truth"] = "誠實藥水",
        ["Oronok Torn-heart"] = "歐朗諾克·碎心",
        ["Note to the Mayor"] = "給鎮長的字條",
        ["Rumors for Kravel"] = "地精的謠言",
        ["Lines of Communication"] = "溝通管道",
        ["Stinger Venom"] = "刺針毒素",
        ["Jitters' Growling Gut"] = "饑腸轆轆的基特斯",
        ["The Ring of Blood: The Warmaul Champion"] = "血色競技場：戰錘勇士",
        ["The Only Prescription"] = "獨一無二的秘笈",
        ["Ghoulish Effigy"] = "食屍鬼假人",
        ["Report to Anastasia"] = "向安娜斯塔西婭報告",
        ["Magical Disturbances"] = "魔法干擾",
        ["Gather Rot Blossoms"] = "收集腐敗之花",
        ["Incendius!"] = "Incendius!",
        ["Finding the Shadowy Figure"] = "搜尋烏鴉嶺",
        ["Disturbance at Umbrafen Lake"] = "昂布拉凡湖的憂慮",
        ["Planting the Heart"] = "培養心臟",
        ["Elemental Leatherworking"] = "元素製皮",
        ["Wildkin of Elune"] = "伊露恩的梟獸",
        ["Bride of the Embalmer"] = "藏屍者的妻子",
        ["Garona: A Study on Stealth and Treachery"] = "迦羅娜：潛行與詭計研究",
        ["The Alliance Needs Spotted Yellowtail!"] = "The Alliance Needs Spotted Yellowtail!",
        ["Wanted: Durn the Hungerer"] = "懸賞：飢餓者唐恩",
        ["Dreadnaught Gauntlets"] = "恐懼之無護手",
        ["Bring Me A Shrubbery!"] = "Bring Me A Shrubbery!",
        ["The Trappings of a Vindicator"] = "一位復仇者的服飾",
        ["Drill the Drillmaster"] = "殺死訓練員蘇洛克",
        ["A Daughter's Love"] = "女兒的愛",
        ["Looking Further"] = "監視",
        ["Baron Sablemane Has Requested Your Presence"] = "沙伯曼男爵請求你的出現",
        ["The Crystal of Zin-Malor"] = "辛瑪洛水晶",
        ["The Zapthrottle Mote Extractor!"] = "The Zapthrottle Mote Extractor!",
        ["Forge Camp: Annihilated"] = "煉冶場：徹底擊潰",
        ["Wild Guardians"] = "冬泉谷的梟獸",
        ["Margoz"] = "瑪高茲",
        ["Portents of Uldum"] = "奧丹姆的線索",
        ["Malevolent Remnants"] = "惡意的倖存者",
        ["For The Horde!"] = "For The Horde!",
        ["Lethtendris's Web"] = "蕾瑟塔蒂絲的網",
        ["Arikara"] = "阿利卡拉",
        ["A Pawn on the Eternal Board"] = "往日的回憶",
        ["Chasing A-Me 01"] = "找回A-Me 01",
        ["Stonetalon Standstill"] = "石爪山的困境",
        ["Passage to Booty Bay"] = "藏寶海灣的航道",
        ["Bolstering Our Defenses"] = "增強防禦",
        ["Into the Churning Gulch"] = "進入翻騰峽谷",
        ["Paragons of Power: The Predator's Belt"] = "權力珍寶：捕獵者腰帶",
        ["Chillwind Horns"] = "冰風奇美拉角",
        ["The Rod of Lianthe"] = "利安瑟魔棒",
        ["Hitting the Motherlode"] = "摘下母礦",
        ["Blood Shards of Agamaggan"] = "阿迦瑪甘的血岩碎片",
        ["Doomcaller's Circlet"] = "厄運召喚者的頭飾",
        ["Vahlarriel's Search"] = "瓦拉里爾的搜尋",
        ["Mage-tastic Gizmonitor"] = "法師文檔記憶體",
        ["Spirit Calling"] = "靈魂的呼喚",
        ["Proof of Life"] = "生命的證據",
        ["Forces of Jaedenar"] = "加德納爾的勢力",
        ["Food for Baby"] = "小精龍的食物",
        ["A Head Full of Ivory"] = "象長牙",
        ["Disrupt the Attacks"] = "野豬人的襲擊",
        ["Test of Endurance"] = "耐力的試煉",
        ["Whispers of the Raven God"] = "烏鴉神的秘密預言",
        ["Ripple Recovery"] = "尋找蜜酒",
        ["The Lost Pages"] = "丟失的書頁",
        ["Restoring the Light"] = "恢復聖光",
        ["Back to Uldaman"] = "回到奧達曼",
        ["The Infested Protectors"] = "被寄生的保護者",
        ["Fall of Dun Modr"] = "丹莫德的陷落",
        ["A Fistful of Slivers"] = "一把裂片",
        ["The Islander"] = "島民",
        ["Bone Fragments"] = "骨頭碎片",
        ["Since Time Forgotten..."] = "Since Time Forgotten...",
        ["Craftsman's Writ - Plated Armorfish"] = "工匠令狀 - 板鱗魚",
        ["Cleansing Felwood"] = "淨化費伍德",
        ["Elixirs for the Bladeleafs"] = "刃葉的藥劑",
        ["The Lexicon Demonica"] = "惡魔詞典",
        ["Secrets of the Arakkoa"] = "阿拉卡的秘密",
        ["Cleansed Water Returns to Felwood"] = "淨化過的水",
        ["Portals of the Legion"] = "燃燒軍團的傳送門",
        ["Vorlus Vilehoof"] = "沃魯斯·邪蹄",
        ["Sunken Treasure"] = "水下寶藏",
        ["Kingly Shakedown"] = "國王的搜查",
        ["Oshu'gun Crystal Powder"] = "歐夏剛水晶粉末",
        ["An OOX of Your Own"] = "你自己的OOX",
        ["Master of the Wild Leather"] = "蠻皮護甲大師",
        ["Spleendid!"] = "Spleendid!",
        ["Buying Time"] = "爭取時間",
        ["A Strange Red Key"] = "奇怪的紅鑰匙",
        ["Nolkai's Words"] = "諾凱的話",
        ["Winterfall Firewater"] = "冬泉火酒",
        ["Howling in the Hills"] = "山中的嚎叫",
        ["Brumeran of the Chillwind"] = "冰風奇美拉布魯米蘭",
        ["A Husband's Last Battle"] = "最後一戰",
        ["Villains of Darrowshire"] = "達隆郡的惡魔",
        ["Treats for Greatfather Winter"] = "招待冬天爺爺",
        ["By Any Means Necessary"] = "用盡所有必須的手段",
        ["To Legion Hold"] = "軍團要塞",
        ["The Horn of the Beast"] = "巨獸瑪爾戈的角",
        ["Armor Scraps"] = "護甲碎片",
        ["Scarab Shells"] = "聖甲蟲的殼",
        ["The Ring of Blood: Rokdar the Sundered Lord"] = "血色競技場：碎裂領主洛克達",
        ["The Grand Betrayal"] = "大叛徒",
        ["Foreboding Plans"] = "預備行動計畫",
        ["The Dunemaul Compound"] = "砂槌巨魔",
        ["The Night Watch"] = "守夜人",
        ["Rig Wars"] = "設備之戰",
        ["Raene's Cleansing"] = "萊恩的淨化",
        ["Twilight Falls"] = "暮光之錘的末日",
        ["The Demon Forge"] = "惡魔熔爐",
        ["Chromatic Mantle of the Dawn"] = "多彩黎明襯肩",
        ["The Stave of Equinex"] = "艾奎尼克斯法杖",
        ["Gnomer-gooooone!"] = "Gnomer-gooooone!",
        ["Gnogaine"] = "諾恩",
        ["A Handful of Magic Dust"] = "一把魔塵",
        ["Shadow Magic"] = "暗影魔法",
        ["Hints of a New Plague?"] = "Hints of a New Plague?",
        ["Treebole Must Know"] = "樹老長者必須知道",
        ["Hints of the Past"] = "過去的線索",
        ["Chief Engineer Scooty"] = "首席工程師斯庫提",
        ["The Path of Conquest"] = "征服之路",
        ["Matis the Cruel"] = "殘忍者馬帝斯",
        ["An Earnest Proposition"] = "誠摯的建議",
        ["Onward to Ashenvale"] = "前進梣谷",
        ["Speak with Private Weeks"] = "與士兵維克斯說話",
        ["The Temple of Atal'Hakkar"] = "阿塔哈卡神廟",
        ["Journey to Stonetalon Peak"] = "石爪峰之旅",
        ["Weaken the Ramparts"] = "削弱防禦",
        ["Cryptstalker Girdle"] = "地穴行者束腰",
        ["Un'Goro Soil"] = "安戈洛的泥土",
        ["Taming the Beast"] = "馴服野獸",
        ["Free at Last"] = "終獲自由",
        ["Word from Azure Watch"] = "藍色守望的字條",
        ["Set Them Ablaze!"] = "Set Them Ablaze!",
        ["The Horde Needs More Mageweave Bandages!"] = "The Horde Needs More Mageweave Bandages!",
        ["A Curse Upon Both of Your Clans!"] = "A Curse Upon Both of Your Clans!",
        ["Thunderlord Clan Artifacts"] = "雷霆王氏族手工藝品",
        ["Bell of Dethmoora"] = "達斯莫拉之鈴",
        ["Delivery for Marin"] = "給馬林的粉末",
        ["The Green Drake"] = "神廟中的綠龍",
        ["Torn Bear Pelts"] = "破損的熊皮",
        ["The Blood is Life"] = "血液就是生命",
        ["Ulathek the Traitor"] = "背叛者烏拉泰克",
        ["Marks of Kil'jaeden"] = "基爾加丹印記",
        ["Serena Bloodfeather"] = "塞瑞娜·血羽",
        ["Earthen Arise"] = "土靈的覺醒",
        ["Passing the Burden"] = "委以重任",
        ["Three Kings of Flame"] = "烈焰三巨頭",
        ["Wenikee Boltbucket"] = "維妮·布特巴克",
        ["Return to Bodley"] = "回到布德利那裡",
        ["Shredding Machines"] = "伐木機",
        ["Lord Aliden Perenolde"] = "奧里登·匹瑞諾德",
        ["A Haunted History"] = "鬧鬼的過去",
        ["Speak with Scout Neftis"] = "與斥侯奈夫提斯說話",
        ["Deep Sea Salvage"] = "深海打撈",
        ["The Fallen Exarch"] = "墮落的主教",
        ["Bring Me Another Shrubbery!"] = "Bring Me Another Shrubbery!",
        ["More Components of Importance"] = "更多重要的材料",
        ["Against Lord Shalzaru"] = "擊敗沙爾札魯",
        ["Clues in the Thicket"] = "樹叢裡的線索",
        ["The Disruption Ends"] = "野豬人的頭目",
        ["Dancing for Marzipan"] = "跳跳舞，換糖果",
        ["Potential Energy Source"] = "潛在的能量來源",
        ["Mok'Nathal Treats"] = "摩克納薩爾的款待",
        ["Summoning Shadra"] = "召喚沙德拉",
        ["The Ring of Blood: The Blue Brothers"] = "血色競技場：憂鬱兄弟黨",
        ["Speak with Ruga"] = "和魯迦交談",
        ["Gorgrom the Dragon-Eater"] = "食龍者柯爾葛羅姆",
        ["Marg Speaks"] = "瑪格的囑託",
        ["Seek the Farstriders"] = "尋找旅行者",
        ["Urgent Delivery"] = "緊急送件",
        ["Linken's Adventure"] = "林克的冒險",
        ["Control Four Bases"] = "控制四座基地",
        ["The Truth Comes Crashing Down"] = "可怕的真相",
        ["Divination: Gorefiend's Cloak"] = "預言：血魔的披風",
        ["Felstone Field Cauldron"] = "費爾斯通農場的瘟疫之鍋",
        ["Winterfall Intrusion"] = "冬泉熊怪的侵擾",
        ["Mercenaries"] = "雇傭兵",
        ["The Twin Clefts of Nagrand"] = "納葛蘭的雙子斷崖",
        ["Power Stones"] = "能量石",
        ["Paragons of Power: The Demoniac's Mantle"] = "權力珍寶：惡魔師襯肩",
        ["Gahz'rilla"] = "加茲瑞拉",
        ["Ramstein"] = "吞嚥者拉姆斯登",
        ["Aurius' Reckoning"] = "奧里爾斯的清算",
        ["The Zhevra"] = "斑馬的威脅",
        ["Break a Few Eggs"] = "恐龍蛋大餐",
        ["Chapter I"] = "荊棘谷的青山 - 第一章",
        ["Wastewander Justice"] = "廢土的公正",
        ["Until Death Do Us Part"] = "直到死亡把我們分離",
        ["Rite of Strength"] = "力量儀祭",
        ["Dreadnaught Bracers"] = "恐懼之無護腕",
        ["Circlet of Faith"] = "信仰頭環",
        ["Nothin' Says Lovin' Like a Big Stinger"] = "讓大刺針示愛",
        ["WANTED: Caliph Scorpidsting"] = "通緝：卡利夫·斯科比斯汀",
        ["Cortello's Riddle"] = "科泰羅的謎題",
        ["Culling the Threat"] = "解除威脅",
        ["Devils in Westfall"] = "西部荒野中的惡魔",
        ["Showdown"] = "關閉",
        ["Little Morsels"] = "一點食物",
        ["Prisoner of the Bladespire"] = "劍刃囚犯",
        ["Zuluhed the Whacked"] = "疲憊者·祖魯希德",
        ["The Gordok Taste Test"] = "戈多克好酒",
        ["Harpy Lieutenants"] = "鷹身人首領",
        ["Reclaiming Felfire Hill"] = "奪回冥火嶺",
        ["Gurok the Usurper"] = "篡位者古羅克",
        ["The Branch of Cenarius"] = "塞納留斯的樹枝",
        ["Remorseful Highborne"] = "悔恨的高等精靈",
        ["Nekrum's Medallion"] = "耐克魯姆的徽章",
        ["A Favorite Treat"] = "最愛的一道菜",
        ["STOLEN: Smithing Tuyere and Lookout's Spyglass"] = "被盜：鼓風機和望遠鏡",
        ["The Great Silver Deceiver"] = "白花花的銀子",
        ["The Horde Needs Tin Bars!"] = "The Horde Needs Tin Bars!",
        ["The Scrimshank Redemption"] = "謝申克的救贖",
        ["Scourge of the Downs"] = "剃刀高地的天譴軍團",
        ["Aurel Goldleaf"] = "奧莉爾·金葉",
        ["I've Got a Plant"] = "樹之密探",
        ["Wyrmskull Watcher"] = "龍骨看守者",
        ["Wanted: Lieutenant Fangore"] = "通緝：范高雷中尉",
        ["The Isle of Dread!"] = "The Isle of Dread!",
        ["Razorhide"] = "野豬之皮",
        ["Favor of the Gronn"] = "古羅的支持",
        ["Translations..."] = "Translations...",
        ["Safeguarding the Watchers"] = "保護守夜人",
        ["The Ectoplasmic Distiller"] = "外膜蒸餾器",
        ["The Changing of Paths - Protector No More"] = "遠離保護者之路",
        ["Prayer to Elune"] = "伊露恩祈禱文",
        ["Fel Orc Scavengers"] = "地獄獸人食腐者",
        ["Thirst Unending"] = "止不了的渴",
        ["Package for Thurman"] = "薩爾曼的針線包",
        ["A Strange Historian"] = "古怪的歷史學家",
        ["...and a Time for Action"] = "...and a Time for Action",
        ["Velinde Starsong"] = "維琳德·星歌",
        ["Dust from the Drakes"] = "幼龍身上的塵",
        ["Stoley's Debt"] = "斯杜雷的債務",
        ["Eight-Legged Menaces"] = "蜘蛛的威脅",
        ["Zinge's Delivery"] = "給金格的貨物",
        ["Arakkoa War Path"] = "阿拉卡作戰方式",
        ["Dreadnaught Breastplate"] = "恐懼之無胸甲",
        ["The Hidden Chamber"] = "密室",
        ["Destroy Morphaz"] = "消滅摩弗拉斯",
        ["The Lost Report"] = "遺失的報告",
        ["Translation to Ello"] = "翻譯好的信件",
        ["Frostfire Circlet"] = "霜火頭環",
        ["The Savage Guard - Arcanum of Focus"] = "野人守衛者-專注秘藥",
        ["Bathran's Hair"] = "巴斯蘭的頭髮",
        ["Rise of the Silithid"] = "異種蠍的崛起",
        ["Return to Narain"] = "返回納里安",
        ["The Lost Dwarves"] = "失蹤的矮人",
        ["Menethil's Gift"] = "米奈希爾的禮物",
        ["Slaughter at Boulder'mok"] = "圓面之地大屠殺",
        ["Crypt Fiend Parts"] = "地穴惡魔部位",
        ["Strange Sources"] = "奇怪的源頭",
        ["Stealing from Thieves"] = "偷小偷的東西",
        ["Jin'Zil's Forest Magic"] = "金吉爾的森林魔法",
        ["Miner's Fortune"] = "礦工的寶貝",
        ["The Demon Scarred Cloak"] = "惡魔之傷",
        ["Pirate Hats Ahoy!"] = "Pirate Hats Ahoy!",
        ["The Brood of Onyxia"] = "奧妮克希亞的血脈",
        ["Trueflight Arrows"] = "真禽之箭",
        ["MacKreel's Moonshine"] = "馬克里爾的月光酒",
        ["Body and Heart"] = "身心之力",
        ["Insect Part Analysis"] = "昆蟲研究",
        ["Binding the Dreadnaught"] = "訂做恐懼之無護甲",
        ["Soothing Spices"] = "舒心草",
        ["Order Must Be Restored"] = "重鑄秩序",
        ["When Worlds Collide..."] = "When Worlds Collide...",
        ["Gahz'ridian"] = "加茲瑞迪安",
        ["Body of Evidence"] = "證據的屍體",
        ["Dreadnaught Waistguard"] = "恐懼之無腰帶",
        ["The Shadow Guard"] = "暗影守衛者",
        ["Test Flight: Razaan's Landing"] = "飛行測試：雷森平台",
        ["The Fate of Ramaladni"] = "羅馬拉丁尼的命運",
        ["Find OOX-17/TN!"] = "Find OOX-17/TN!",
        ["Path of the Violet Protector"] = "紫羅蘭保衛者之路",
        ["Vital Supplies"] = "重要的補給",
        ["Deliver to MacKinley"] = "給馬克基雷的貨物",
        ["Decoy!"] = "Decoy!",
        ["Beasts of the Apocalypse!"] = "Beasts of the Apocalypse!",
        ["Therylune's Escape"] = "護送瑟瑞露尼",
        ["Furlbrow's Deed"] = "法布隆的地契",
        ["Dry Times"] = "旱季",
        ["Once Were Warriors"] = "一朝為戰士",
        ["The Forgotten Pools"] = "遺忘之池",
        ["The Zoram Strand"] = "左拉姆海岸",
        ["Maxnar Must Die!"] = "Maxnar Must Die!",
        ["Outrider Standard Care Package"] = "斥候標準護理包",
        ["Allegiance to the Aldor"] = "向奧多爾效忠",
        ["A Lack of Fear"] = "毫無畏懼",
        ["Collecting Kelp"] = "收集海藻",
        ["Did You Get The Note?"] = "Did You Get The Note?",
        ["Withered Flesh"] = "枯萎的肉體",
        ["Stinky's Escape"] = "伊格納茲的逃亡",
        ["Underlight Ore Samples"] = "光底礦物樣本",
        ["Ferocitas the Dream Eater"] = "噬夢者菲羅斯塔",
        ["Rare Fish - Keefer's Angelfish"] = "稀有魚類 - 基佛天使魚",
        ["Rare Fish - Dezian Queenfish"] = "稀有魚類 - 迪森皇后魚",
        ["Hungry!"] = "Hungry!",
        ["A Watchful Eye"] = "法師的眼線",
        ["Ship Schedules"] = "船運時刻表",
        ["The Ogres of Feralas"] = "菲拉斯的巨魔",
        ["Continue to Stormwind"] = "趕赴暴風城",
        ["The Prophecy of Mosh'aru"] = "摩沙魯的預言",
        ["The Battleboars"] = "鬥豬",
        ["War at Sea"] = "海上之戰",
        ["Kirith"] = "基利斯",
        ["Hippogryph Master Stephanos"] = "角鷹獸管理員史丹樊那斯",
        ["Capturing the Keystone"] = "得到楔石",
        ["Hamuul Runetotem"] = "哈繆爾·符文圖騰",
        ["Gathering Leather"] = "收集皮革",
        ["Arcanite"] = "奧金錠",
        ["Triangulation Point Two"] = "三角之二",
        ["Wanted: Gath'Ilzogg"] = "通緝：加塞爾佐格",
        ["The Arcanist's Cookbook"] = "秘法師的食譜",
        ["Teron Gorefiend - Lore and Legend"] = "泰朗·血魔-傳說與傳奇",
        ["The Touch of Zanzil"] = "贊吉爾之觸",
        ["The Guns of Northwatch"] = "北方城堡的火炮",
        ["Weapons of Choice"] = "選擇武器",
        ["Deviate Eradication"] = "清除變異者",
        ["Coming of Age"] = "是時候了",
        ["Verog the Dervish"] = "狂熱的維羅戈",
        ["Blade of Eternal Justice"] = "永恆公正長劍",
        ["Moontouched Wildkin"] = "月光羽毛",
        ["Honored Amongst the Clan"] = "氏族的尊敬",
        ["To Steal From Thieves"] = "科娜塔一家",
        ["The Trogg Threat"] = "穴居人的威脅",
        ["Update for Sentinel Thenysil"] = "向塞恩希爾報告",
        ["Messenger to the Feralfen"] = "菲拉芬的信差",
        ["The Prison's Bindings"] = "監牢之鏈",
        ["Threat of the Winterfall"] = "冬泉熊怪的威脅",
        ["Shards of the Felvine"] = "魔藤碎片",
        ["Captain Vimes"] = "維米斯隊長",
        ["Forward Base: Reaver's Fall"] = "Forward Base: Reaver's Fall",
        ["The Sun Gate"] = "太陽之門",
        ["The Ranger Lord's Behest"] = "巡邏員之王的命令",
        ["The Ancient Leaf"] = "遠古石葉",
        ["News from Zangarmarsh"] = "贊格瑪什的消息",
        ["Ravager Egg Roundup"] = "圍捕劫掠者",
        ["Material Components"] = "材料成分",
        ["The Firewing Point Project"] = "火翼崗哨計畫",
        ["Garments of the Light"] = "聖光之衣",
        ["Reclaiming the Charred Vale"] = "奪回焦炭谷",
        ["The Forgotten Heirloom"] = "遺失的傳家之寶",
        ["Just Compensation"] = "公平的補償",
        ["Buzzbox 323"] = "傳聲盒323號",
        ["Begin the Attack!"] = "Begin the Attack!",
        ["Levixus the Soul Caller"] = "靈魂呼喚者勒威薩斯",
        ["Plagueheart Belt"] = "瘟疫之心腰帶",
        ["Ursius of the Shardtooth"] = "碎齒熊尤西烏斯",
        ["Threat From the Sea"] = "海中的威脅",
        ["Spirit of the Wind"] = "風之魂",
        ["Find the Gems and Power Source"] = "尋找寶貝",
        ["The Bounty of Teldrassil"] = "泰達希爾的漁業",
        ["The Softest Wings"] = "最柔軟的翅膀",
        ["Goblin Sponsorship"] = "哥布林贊助商",
        ["Samophlange Manual"] = "主動式負載平衡器說明書",
        ["Jail Break!"] = "Jail Break!",
        ["Return to Primal Torntusk"] = "向斷齒族長覆命",
        ["Delivery to Jes'rimon"] = "送貨給傑斯雷蒙",
        ["Thunderhorn Totem"] = "雷角圖騰",
        ["Mission: The Murketh and Shaadraz Gateways"] = "任務︰墨奇斯和夏德拉茲入口",
        ["A Secret Revealed"] = "秘密的揭露",
        ["Ride to Orgrimmar"] = "飛往奧格瑪",
        ["Return to the Aldor"] = "回報奧多爾",
        ["Bad Medicine"] = "庫爾森的藥物",
        ["Devouring Plague"] = "噬靈瘟疫",
        ["Plainstrider Menace"] = "平原陸行鳥的威脅",
        ["Under the Chitin Was..."] = "Under the Chitin Was...",
        ["A Terrible Purpose"] = "擺脫困境",
        ["As Water Cascades"] = "清洗水晶",
        ["Ending Their World"] = "結束他們的世界",
        ["The Warden's Cage"] = "典獄官監牢",
        ["Onu is meditating"] = "正在冥想的安努",
        ["The Venture Co."] = "The Venture Co.",
        ["The Greenwarden"] = "綠色守衛者",
        ["Find Myranda"] = "尋找米蘭達",
        ["Gnome Engineering"] = "地精工程學",
        ["I Know A Guy..."] = "I Know A Guy...",
        ["An Apprentice's Enchantment"] = "學徒的魔法",
        ["Vessels of Power"] = "能量飛船",
        ["Jorn Skyseer"] = "喬恩·星眼",
        ["Ignition"] = "打火鑰匙",
        ["Hezrul Bloodmark"] = "赫茲盧爾·血印",
        ["Thistleshrub Valley"] = "灌木谷",
        ["Plagueheart Leggings"] = "瘟疫之心護腿",
        ["Poaching from Poachers"] = "行竊侵入者",
        ["The Algaz Gauntlet"] = "丹奧加茲告急",
        ["Free From the Hold"] = "逃離監牢",
        ["A Refugee's Quandary"] = "逃難者的困境",
        ["Return to Troyas"] = "向特洛亞斯回覆",
        ["Doling Justice"] = "菲拉斯的正義",
        ["Parts for Kravel"] = "給克拉維爾的零件",
        ["Veil Rhaze: Unliving Evil"] = "迷霧瑞漢茲︰邪惡靈魂",
        ["Theocritus' Retrieval"] = "塞歐克瑞圖斯的墜飾",
        ["Undamaged Venom Sac"] = "完好無損的毒囊",
        ["Imperial Plate Armor"] = "帝國的金屬盔甲",
        ["Torgos!"] = "Torgos!",
        ["The Scepter of Celebras"] = "塞雷布拉斯節杖",
        ["Cloak of the Unseen Path"] = "隱秘通途披風",
        ["The Darkstone Tablet"] = "黑暗石板",
        ["What Are These Things?"] = "What Are These Things?",
        ["The Totem of Kar'dash"] = "卡達許圖騰",
        ["Behind Enemy Lines"] = "敵人身後",
        ["Before Darkness Falls"] = "暗影來臨前",
        ["Agamaggan's Strength"] = "阿迦瑪甘的力量",
        ["The Final Sample"] = "最後的樣本",
        ["The Treasure of the Shen'dralar"] = "辛德拉的寶藏",
        ["The Madness Within"] = "伊莫塔爾的瘋狂",
        ["Bloodscalp Ears"] = "血頂族的耳朵",
        ["The Light and How To Swing It"] = "聖光之力",
        ["Voren'thal's Visions"] = "沃藍索的幻境",
        ["The Left Piece of Lord Valthalak's Amulet"] = "瓦薩拉克護符的左半塊",
        ["The Instigator's Enchantment"] = "教唆者的附魔",
        ["The Greatest Race of Hunters"] = "最偉大的獵手",
        ["Abyssal Contacts"] = "深淵聯絡",
        ["Hallowed Sigil"] = "神聖符記",
        ["The Emerald Dream..."] = "The Emerald Dream...",
        ["Libram of Focus"] = "專注聖典",
        ["Minshina's Skull"] = "明希納的顱骨",
        ["Holy Bologna: What the Light Won't Tell You"] = "光明不會告訴你的事情",
        ["No Time for Curiosity"] = "沒時間好奇了",
        ["More Marks of Kil'jaeden"] = "更多的基爾加丹印記",
        ["The Cliffspring River"] = "壁泉河",
        ["The Sacred Flame"] = "神聖之火",
        ["Clefthoof Mastery"] = "裂蹄專精",
        ["Rune-Inscribed Note"] = "符文便箋",
        ["The Cipher of Damnation - Ar'tor's Charge"] = "The Cipher of Damnation - Ar'tor's Charge",
        ["Foror's Compendium"] = "弗洛爾的屠龍技術綱要",
        ["Feathermoon Stronghold"] = "羽月要塞",
        ["Cannibalistic Cousins"] = "野蠻的親戚",
        ["Jes'rimon's Payment to Jediga"] = "傑斯雷蒙的報酬",
        ["There Can Be Only One Response"] = "唯一的回應",
        ["Veil Shalas: Signal Fires"] = "迷霧撒拉斯：火源信號",
        ["Craftsman's Writ - Major Mana Potion"] = "工匠令狀 - 極效法力藥水",
        ["Morgan Stern"] = "摩根·斯特恩",
        ["Wildkin E'ko"] = "梟獸魂精",
        ["Speak with Sevren"] = "與塞弗倫交談",
        ["The Skettis Offensive"] = "司凱堤斯的攻擊",
        ["Paragons of Power: The Haruspex's Belt"] = "權力珍寶：占卜師腰帶",
        ["Into The Temple of Atal'Hakkar"] = "進入阿塔哈卡神廟",
        ["The New Frontier"] = "新的邊疆",
        ["Troll Charm"] = "食人妖符咒",
        ["Mountaineer Stormpike's Task"] = "巡山人卡爾·雷矛的任務",
        ["Rage of Ages"] = "遠古之怒",
        ["Return to Fel'Zerul"] = "向費澤盧爾覆命",
        ["Find Ranshalla"] = "蘭莎爾拉",
        ["Kobold Camp Cleanup"] = "剿滅狗頭人營地",
        ["Investigate Tuurem"] = "調查杜瑞",
        ["The Head of the Beast"] = "禽獸的首級",
        ["Deliver Thomas' Report"] = "傳遞湯瑪斯的報告",
        ["Alpha Strike"] = "突然襲擊",
        ["Rude Awakening"] = "突然醒來",
        ["Insane Druids"] = "瘋狂的德魯伊",
        ["Imperial Plate Chest"] = "君王鎧甲護胸",
        ["Writ of Safe Passage"] = "安全之路令狀",
        ["The Attack!"] = "The Attack!",
        ["Can't Stay Away"] = "無法置身事外",
        ["Stormwind Rendezvous"] = "暴風城在集合",
        ["Honor the Dead"] = "逝者的榮耀",
        ["In Search of Sedai"] = "尋找希戴",
        ["Stoley's Shipment"] = "斯杜雷的貨物",
        ["Baron's Demise"] = "男爵之死",
        ["Shadow of the Past"] = "往日的陰影",
        ["Ancient Spirit"] = "遠古之靈",
        ["The Totem of Infliction"] = "懲罰圖騰",
        ["Arachnophobia"] = "貝瑟萊斯",
        ["Rabine Saturna"] = "拉比恩·薩圖納",
        ["The World's Largest Gnome!"] = "The World's Largest Gnome!",
        ["Southsea Freebooters"] = "南海海盜",
        ["Rot Hide Clues"] = "線索",
        ["One Draenei's Junk..."] = "One Draenei's Junk...",
        ["Chieftain Oomooroo"] = "歐沐魯酋長",
        ["Dissention Amongst the Ranks..."] = "Dissention Amongst the Ranks...",
        ["Diabolical Plans"] = "惡魔計畫",
        ["Unfinished Business"] = "未完的使命",
        ["The Battle Plans"] = "作戰計畫",
        ["Trouble at Auchindoun"] = "奧齊頓的麻煩",
        ["The Ichor of Undeath"] = "亡靈腐液",
        ["Simple Sigil"] = "簡易符記",
        ["Encrypted Letter"] = "密文信件",
        ["Redridge Goulash"] = "赤脊山燉肉",
        ["Glyphic Memorandum"] = "雕文備忘錄",
        ["Veil Lithic: Preemptive Strike"] = "迷霧里斯克︰先發制人的攻擊",
        ["A Sticky Situation"] = "黏著的情況",
        ["Young Lovers"] = "年輕的戀人",
        ["Befouled by Satyr"] = "薩特的威脅",
        ["The Coast Isn't Clear"] = "清理海岸",
        ["The Nesingwary Safari"] = "奈辛瓦里狩獵",
        ["Galvan's Finest Pupil"] = "加爾文的得意門生",
        ["A Yeti of Your Own"] = "你自己的機械雪人",
        ["They Call Him Smiling Jim"] = "微笑的吉姆",
        ["Arelion's Journal"] = "阿利恩的日記",
        ["The Unwritten Prophecy"] = "未寫下的預言",
        ["The Rumormonger"] = "車手的傳聞",
        ["Warsong Supplies"] = "戰歌氏族的補給品",
        ["Carry Your Weight"] = "新的背包",
        ["The Book of Fel Names"] = "The Book of Fel Names",
        ["Felling an Ancient Tree"] = "砍伐古老之樹",
        ["Elmore's Task"] = "艾爾默的任務",
        ["A Bundle of Hides"] = "一捆獸皮",
        ["Brother Against Brother"] = "兄弟鬩牆",
        ["The Engraved Ring"] = "黛麗婭的戒指",
        ["Test of Strength"] = "力量的試煉",
        ["WANTED: Boss Grog'ak"] = "懸賞：葛洛卡老大",
        ["Digging Through the Dirt"] = "掘墓",
        ["Etched Tablet"] = "風蝕石板",
        ["Voodoo Feathers"] = "巫毒羽毛",
        ["Daelin's Men"] = "戴林的下屬",
        ["Dumphry's Request"] = "戴夫利的請求",
        ["Haze of Evil"] = "邪惡之霧",
        ["Windows to the Source"] = "源頭的窗口",
        ["Ursal the Mauler"] = "大槌烏薩爾",
        ["Sample for Helbrim"] = "給赫布瑞姆的樣本",
        ["Unclaimed Baggage"] = "無人的行李",
        ["Further Mysteries"] = "更大的謎團",
        ["Southshore"] = "南海鎮",
        ["Emberstrife"] = "艾博斯塔夫",
        ["The Lord of Blackrock"] = "黑石之王",
        ["City of Light"] = "聖光之城",
        ["Return to Verner"] = "回覆弗納",
        ["The Sunken Temple"] = "沉沒的神廟",
        ["Return to Nathanos"] = "向納薩諾斯覆命",
        ["Stealing Back the Mushrooms"] = "偷回蘑菇",
        ["The Red Crystal"] = "紅色水晶",
        ["Target: Hive'Zora Hive Sisters"] = "目標：佐拉雌蠍",
        ["Twisted Hatred"] = "扭曲的仇恨",
        ["Shard of a Felhound"] = "地獄犬的靈魂",
        ["Gizelton Caravan"] = "基澤爾頓車隊",
        ["Report to Stonebreaker Camp"] = "到碎石營地報到",
        ["Single Mark of Sargeras"] = "單個薩格拉斯印記",
        ["Ordanus"] = "奧達努斯",
        ["Zalazane"] = "札拉贊恩",
        ["Hidden Treasures"] = "隱藏的寶藏",
        ["An Extraordinary Egg"] = "特別的蛋",
        ["The Horde Needs More Purple Lotus!"] = "The Horde Needs More Purple Lotus!",
        ["Infiltration"] = "秘密潛入",
        ["Mechanical Repair Kits"] = "機械修理包",
        ["Klaven's Tower"] = "克拉文之塔",
        ["More Glowcaps"] = "更多白閃菇",
        ["Rescue Dugar!"] = "Rescue Dugar!",
        ["Encrypted Twilight Texts"] = "暮光加密文件",
        ["Tormented By the Past"] = "記憶的折磨",
        ["Azure Templar"] = "碧藍聖殿騎士",
        ["Words of the High Chief"] = "熊怪酋長的話",
        ["A Good Friend"] = "好朋友",
        ["Find the Deserter"] = "找出背棄者",
        ["When Nature Goes Too Far"] = "當自然遠離時",
        ["Have You Ever Seen One of These?"] = "Have You Ever Seen One of These?",
        ["Paragons of Power: The Predator's Bracers"] = "權力珍寶：捕獵者護腕",
        ["Of Lost Honor"] = "失落的榮耀",
        ["The Severed Head"] = "被斬下的頭顱",
        ["Recover the Bones"] = "取回白骨",
        ["Seeping Corruption"] = "墮落之水",
        ["A Hasty Departure"] = "倉促的離開",
        ["Powder to Ironband"] = "鐵環的火藥",
        ["Stave of the Ancients"] = "上古守護者的手杖",
        ["The Shadowy Figure"] = "模糊的人影",
        ["Cryptstalker Headpiece"] = "地穴行者頭盔",
        ["The Horde Needs Heavy Leather!"] = "The Horde Needs Heavy Leather!",
        ["Obsidian Warbeads"] = "黑曜石戰爭串珠",
        ["C'Thun's Legacy"] = "克蘇恩的遺產",
        ["Ruthless Cunning"] = "殘忍的狡猾",
        ["The Horde Needs More Thick Leather!"] = "The Horde Needs More Thick Leather!",
        ["Retaking Windrunner Spire"] = "奪回風行者塔",
        ["The Plagued Coast"] = "感染瘟疫的海岸",
        ["The Den"] = "大獸穴",
        ["Essence for the Engines"] = "引擎的精華",
        ["The Biggest of Them All"] = "最大的挑戰",
        ["Vulture's Vigor"] = "禿鷲的活力",
        ["Return to Arcanist Vandril"] = "回到秘法師范德隆那裡",
        ["More Rotting Hearts"] = "更多的腐爛之心",
        ["Pusillin and the Elder Azj'Tordin"] = "普希林和埃斯托爾迪",
        ["An Ordinary Egg"] = "普通的蛋",
        ["The Lost Tools"] = "遺失的工具",
        ["The Exorcism"] = "驅除魔鬼",
        ["Kill the Shadow Council!"] = "Kill the Shadow Council!",
        ["Wanted! Otto and Falconcrest"] = "Wanted! Otto and Falconcrest",
        ["Escape from the Catacombs"] = "地下墓穴大逃殺",
        ["The Challenge"] = "挑戰",
        ["Earthshatter Boots"] = "粉碎大地長靴",
        ["Souvenirs of Death"] = "死亡的紀念品",
        ["Fierce Enemies"] = "殘暴的敵人",
        ["Resupplying the Excavation"] = "挖掘場的補給品",
        ["Wanted! Marez Cowl"] = "Wanted! Marez Cowl",
        ["Brotherhood's End"] = "兄弟會的滅亡",
        ["Dar'Khan's Lieutenants"] = "達克汗的中尉",
        ["Bonechewer Blood"] = "噬骨者鮮血",
        ["Trapping the Light Fantastic"] = "捕捉神奇的光球",
        ["Missing Friends"] = "失蹤的朋友",
        ["Bring Me Kel'gash's Head!"] = "Bring Me Kel'gash's Head!",
        ["Victory for the Alliance"] = "聯盟的勝利",
        ["Kibler's Exotic Pets"] = "基布雷爾的特殊寵物",
        ["Melor Sends Word"] = "梅洛的關注",
        ["Containing the Threat"] = "遏制威脅",
        ["The Alliance Needs More Medium Leather!"] = "The Alliance Needs More Medium Leather!",
        ["Return to Marleth"] = "向馬萊斯回報",
        ["A Peon's Burden"] = "苦工的重擔",
        ["Mudrock Soup and Bugs"] = "泥石龜蟹湯",
        ["The Glowing Shard"] = "發光的碎片",
        ["Target: Hive'Regal Ambushers"] = "目標：雷戈伏擊者",
        ["To Gadgetzan You Go!"] = "To Gadgetzan You Go!",
        ["Ironband's Excavation"] = "鐵環挖掘場",
        ["Paragons of Power: The Freethinker's Armguards"] = "權力珍寶：思考者護臂",
        ["It's a Trap!"] = "It's a Trap!",
        ["Twilight of the Dawn Runner"] = "黎明行者的微光",
        ["When Spirits Speak"] = "當靈魂們說話時",
        ["The Prodigal Lich"] = "流浪的巫妖",
        ["The Eastern Plagues"] = "東部的瘟疫",
        ["The Horde Needs Peacebloom!"] = "The Horde Needs Peacebloom!",
        ["Fouled Water Spirits"] = "巨樹的變化",
        ["A Time for Negotiation..."] = "A Time for Negotiation...",
        ["The Final Piece"] = "最後一片",
        ["Warden Hamoot"] = "守望者漢姆特",
        ["Rhapsody's Tale"] = "拉普索迪的故事",
        ["Saltheril's Haven"] = "薩瑟里的避風港",
        ["More Arakkoa Feathers"] = "更多的阿拉卡羽毛",
        ["Xorothian Stardust"] = "克索諾斯星塵",
        ["What Book? I Don't See Any Book."] = "What Book? I Don't See Any Book.",
        ["Solving the Problem"] = "解決問題",
        ["Another Message to the Wildhammer"] = "又一個給蠻錘部族的警告",
        ["Escape from Firewing Point!"] = "Escape from Firewing Point!",
        ["Separation Anxiety"] = "分離的痛苦",
        ["Hammerfall"] = "落錘鎮",
        ["Vyral the Vile"] = "卑鄙的維拉爾",
        ["Spinebreaker Post"] = "斷脊氏族崗哨",
        ["Catch of the Day"] = "食魚度日",
        ["Mercy for the Cursed"] = "憐憫被詛咒者",
        ["Shardtooth E'ko"] = "碎齒魂精",
        ["40 Tickets - Schematic: Steam Tonk Controller"] = "40 Tickets - Schematic: Steam Tonk Controller",
        ["True Believers"] = "真實信仰者",
        ["The Last Element"] = "最後的元素",
        ["The Hand of the Righteous"] = "正義之手",
        ["War on the Warmaul"] = "戰錘之戰",
        ["The Ravaged Caravan"] = "被掠劫的車隊",
        ["They Call Me \"The Rooster\""] = "他們叫我「鬥士」",
        ["Target: Hive'Ashi Sandstalkers"] = "目標：亞什沙行者",
        ["Flora of the Eco-Domes"] = "秘境植物群",
        ["Reclaiming Sunstrider Isle"] = "奪回逐日者之島",
        ["Crimson Templar"] = "赤紅聖殿騎士",
        ["The Collector"] = "收貨人",
        ["Battle of Warsong Gulch"] = "峽谷之戰",
        ["Craftsman's Writ - Runecloth Bag"] = "工匠令狀 - 符文布包",
        ["Return to Brock"] = "向布洛克回復",
        ["A Humble Offering"] = "謙卑的提議",
        ["Lost in Action"] = "無法行動",
        ["Arathor Standard Care Package"] = "阿拉索標準醫療包",
        ["Neeka Bloodscar"] = "尼卡·血痕",
        ["Escape from the Staging Grounds"] = "逃離監視地",
        ["Warsong Outrider Update"] = "戰歌偵查騎兵的報告",
        ["A Mysterious Portent"] = "神秘的前兆",
        ["The Shadowy Search Continues"] = "繼續搜尋",
        ["Scratches"] = "達成要求",
        ["Hearts of the Pure"] = "純潔者之心",
        ["The Restless Souls"] = "永不安息的靈魂",
        ["Dreamwalker Wristguards"] = "夢行者護腕",
        ["Armaments for Deception"] = "欺騙的軍備",
        ["The Completed Robe"] = "完成金線血袍",
        ["The Corrupter"] = "墮落者",
        ["Krastinov's Bag of Horrors"] = "卡斯迪諾夫的恐懼之袋",
        ["Love's Gift"] = "愛的禮物",
        ["Arzeth's Demise"] = "阿爾塞斯的死亡",
        ["In Search of Menara Voidrender"] = "尋找梅納拉·沃倫德",
        ["Overlord Mok'Morokk's Concern"] = "莫格穆洛克的任務",
        ["Scalding Mornbrew Delivery"] = "熱酒快遞",
        ["The Book of Ur"] = "烏爾之書",
        ["Necklace Recovery"] = "搜尋項鏈",
        ["Kum'isha's Endeavors"] = "庫米沙的努力",
        ["The Opening of the Dark Portal"] = "黑暗之門的開啟",
        ["Naaru Technology"] = "納魯的技術",
        ["The Horde Needs Spotted Yellowtail!"] = "The Horde Needs Spotted Yellowtail!",
        ["Trelane's Defenses"] = "特雷萊恩的防禦",
        ["The Broken Sigil"] = "破碎的符印",
        ["Message to Telaar"] = "給泰拉的訊息",
        ["Northfold Manor"] = "諾斯弗德農場",
        ["Questioning Reethe"] = "盤問雷瑟",
        ["Twilight Ring of Lordship"] = "暮光徽記之戒",
        ["Guile of the Raptor"] = "迅猛龍的狡詐",
        ["5 Tickets - Darkmoon Flower"] = "5 Tickets - Darkmoon Flower",
        ["Service to the Horde"] = "為部落效力",
        ["Sister Pamela"] = "小妹妹帕米拉",
        ["The Spider God"] = "蜘蛛之神",
        ["Seasoned Wolf Kabobs"] = "烤狼肉串",
        ["Washed Ashore"] = "擱淺的巨獸",
        ["A Heap of Ethereals"] = "一堆伊斯利",
        ["Vestments of the Wolf Spirit"] = "狼魂法衣",
        ["Water Pouch Bounty"] = "收集水袋",
        ["Find OOX-22/FE!"] = "Find OOX-22/FE!",
        ["The Sleeper Has Awakened"] = "昏昏欲睡",
        ["Divine Retribution"] = "神聖的懲戒",
        ["The Final Tablets"] = "最後的石板",
        ["Onu"] = "安努",
        ["Finding the Survivors"] = "找到生還者",
        ["The Killing Fields"] = "清理荒野",
        ["Escape from Umbrafen"] = "逃離昂布拉凡",
        ["Skullsplitter Tusks"] = "劈顱食人妖的獠牙",
        ["Fruit of the Sea"] = "海中的水果",
        ["Cave Mushrooms"] = "洞中的蘑菇",
        ["A Date with Dorgok"] = "與多爾哥克的約會",
        ["The Admiral's Orders"] = "將軍的命令",
        ["Beached Sea Creature"] = "擱淺的海洋生物",
        ["Gan'rul's Summons"] = "甘盧爾的召喚",
        ["Returning the Cleansed Orb"] = "歸還淨化過的寶珠",
        ["The Hunter's Charm"] = "獵人護符",
        ["Bloodfury Bloodline"] = "血怒一族",
        ["Trouble at the Docks"] = "港口的麻煩",
        ["Martek the Exiled"] = "流放者馬特克",
        ["Master Angler"] = "釣魚大師",
        ["The Alliance Needs More Silk Bandages!"] = "The Alliance Needs More Silk Bandages!",
        ["Report to Exarch Admetius"] = "向主教阿德密特斯回報",
        ["Kodo Hide Bag"] = "科多獸皮包",
        ["The Deathforge"] = "死亡熔爐",
        ["An Introduction"] = "介紹",
        ["Constrictor Vines"] = "蟒藤",
        ["Flight to Auberdine"] = "飛往奧伯丁",
        ["Avenging the Fallen"] = "死者的復仇",
        ["More Feathers"] = "更多的羽毛",
        ["The Tortured Earth"] = "痛苦的大地",
        ["Hero of the Brood"] = "世代的拯救者",
        ["Fiery Plate Gauntlets"] = "熾熱鎧甲護手",
        ["As the Crow Flies"] = "烏鴉高飛時",
        ["Big Black Mace"] = "巨型黑色錘",
        ["Kindness"] = "好心",
        ["Invasion Point: Cataclysm"] = "侵略點：災難",
        ["Illidari-Bane Shard"] = "Illidari-Bane Shard",
        ["Welcoming the Wolf Spirit"] = "歡迎狼魂",
        ["Frostsaber Provisions"] = "霜刃豹的糧食",
        ["Witherbark Cages"] = "枯木食人妖的牢籠",
        ["Demon Dogs"] = "惡魔之犬",
        ["Additional Materials"] = "額外的材料",
        ["Test Flight: Ruuan Weald"] = "飛行測試：魯安曠野",
        ["Savage Flora"] = "野性植物群",
        ["Return to Jitters"] = "基特斯的美餐",
        ["Dwarven Digging"] = "矮人的挖掘場",
        ["Manaforge B'naar"] = "法力熔鐵爐巴納爾",
        ["A Hunter's Challenge"] = "獵人的挑戰",
        ["The Troll Cave"] = "食人妖洞穴",
        ["The Totems of My Enemy"] = "敵人的圖騰",
        ["The Horde Needs More Mithril Bars!"] = "The Horde Needs More Mithril Bars!",
        ["Need for a Cure"] = "救命如救火",
        ["Thwarting Kolkar Aggression"] = "科卡爾半人馬的進攻",
} end)

BabbleQuest:Debug()
BabbleQuest:SetStrictness(true)

AceLibrary:Register(BabbleQuest, MAJOR_VERSION, MINOR_VERSION)
BabbleQuest = nil
